#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2658
#define LARGE_STATE_COUNT 575
#define SYMBOL_COUNT 403
#define ALIAS_COUNT 0
#define TOKEN_COUNT 196
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 182

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_static = 53,
  anon_sym_false = 54,
  anon_sym_null = 55,
  anon_sym_true = 56,
  aux_sym_cast_type_token1 = 57,
  aux_sym_cast_type_token2 = 58,
  aux_sym_cast_type_token3 = 59,
  aux_sym_cast_type_token4 = 60,
  aux_sym_cast_type_token5 = 61,
  aux_sym_cast_type_token6 = 62,
  aux_sym_cast_type_token7 = 63,
  aux_sym_cast_type_token8 = 64,
  aux_sym_cast_type_token9 = 65,
  aux_sym_cast_type_token10 = 66,
  aux_sym_cast_type_token11 = 67,
  aux_sym_cast_type_token12 = 68,
  aux_sym_echo_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_AT = 101,
  anon_sym_PLUS = 102,
  anon_sym_DASH = 103,
  anon_sym_TILDE = 104,
  anon_sym_BANG = 105,
  anon_sym_STAR_STAR = 106,
  aux_sym_clone_expression_token1 = 107,
  anon_sym_COLON_COLON = 108,
  aux_sym_print_intrinsic_token1 = 109,
  aux_sym_object_creation_expression_token1 = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_STAR_STAR_EQ = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_DOT_EQ = 119,
  anon_sym_LT_LT_EQ = 120,
  anon_sym_GT_GT_EQ = 121,
  anon_sym_AMP_EQ = 122,
  anon_sym_CARET_EQ = 123,
  anon_sym_PIPE_EQ = 124,
  anon_sym_QMARK_QMARK_EQ = 125,
  anon_sym_DASH_GT = 126,
  anon_sym_QMARK_DASH_GT = 127,
  aux_sym__list_destructing_token1 = 128,
  anon_sym_LBRACK = 129,
  anon_sym_RBRACK = 130,
  anon_sym_self = 131,
  anon_sym_parent = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  anon_sym_SQUOTE = 136,
  anon_sym_LT_QMARK = 137,
  anon_sym_QMARK_GT2 = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  sym_string_value = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  aux_sym__new_line_token1 = 145,
  aux_sym__new_line_token2 = 146,
  anon_sym_ = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  sym_boolean = 150,
  sym_null = 151,
  anon_sym_DOLLAR = 152,
  aux_sym_yield_expression_token1 = 153,
  aux_sym_yield_expression_token2 = 154,
  aux_sym_binary_expression_token1 = 155,
  anon_sym_QMARK_QMARK = 156,
  aux_sym_binary_expression_token2 = 157,
  aux_sym_binary_expression_token3 = 158,
  aux_sym_binary_expression_token4 = 159,
  anon_sym_PIPE_PIPE = 160,
  anon_sym_AMP_AMP = 161,
  anon_sym_CARET = 162,
  anon_sym_EQ_EQ = 163,
  anon_sym_BANG_EQ = 164,
  anon_sym_LT_GT = 165,
  anon_sym_EQ_EQ_EQ = 166,
  anon_sym_BANG_EQ_EQ = 167,
  anon_sym_LT = 168,
  anon_sym_GT = 169,
  anon_sym_LT_EQ = 170,
  anon_sym_GT_EQ = 171,
  anon_sym_LT_EQ_GT = 172,
  anon_sym_LT_LT = 173,
  anon_sym_GT_GT = 174,
  anon_sym_DOT = 175,
  anon_sym_STAR = 176,
  anon_sym_SLASH = 177,
  anon_sym_PERCENT = 178,
  aux_sym_include_expression_token1 = 179,
  aux_sym_include_once_expression_token1 = 180,
  aux_sym_require_expression_token1 = 181,
  aux_sym_require_once_expression_token1 = 182,
  sym_comment = 183,
  sym__automatic_semicolon = 184,
  sym_encapsed_string_chars = 185,
  sym_encapsed_string_chars_after_variable = 186,
  sym_execution_string_chars = 187,
  sym_execution_string_chars_after_variable = 188,
  sym_encapsed_string_chars_heredoc = 189,
  sym_encapsed_string_chars_after_variable_heredoc = 190,
  sym__eof = 191,
  sym_heredoc_start = 192,
  sym_heredoc_end = 193,
  sym_nowdoc_string = 194,
  sym_sentinel_error = 195,
  sym_program = 196,
  sym_text_interpolation = 197,
  sym_text = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym_namespace_name_as_prefix = 208,
  sym_namespace_name = 209,
  sym_namespace_aliasing_clause = 210,
  sym_namespace_use_group = 211,
  sym_namespace_use_group_clause = 212,
  sym_trait_declaration = 213,
  sym_interface_declaration = 214,
  sym_base_clause = 215,
  sym_enum_declaration = 216,
  sym_enum_declaration_list = 217,
  sym__enum_member_declaration = 218,
  sym_enum_case = 219,
  sym_class_declaration = 220,
  sym_declaration_list = 221,
  sym_final_modifier = 222,
  sym_abstract_modifier = 223,
  sym_readonly_modifier = 224,
  sym_class_interface_clause = 225,
  sym__member_declaration = 226,
  sym_const_declaration = 227,
  sym__class_const_declaration = 228,
  sym__const_declaration = 229,
  sym_property_declaration = 230,
  sym__modifier = 231,
  sym_property_element = 232,
  sym_property_initializer = 233,
  sym_method_declaration = 234,
  sym_static_modifier = 235,
  sym_use_declaration = 236,
  sym_use_list = 237,
  sym_use_instead_of_clause = 238,
  sym_use_as_clause = 239,
  sym_visibility_modifier = 240,
  sym_function_definition = 241,
  sym__function_definition_header = 242,
  sym__arrow_function_header = 243,
  sym_arrow_function = 244,
  sym_formal_parameters = 245,
  sym_property_promotion_parameter = 246,
  sym_simple_parameter = 247,
  sym_variadic_parameter = 248,
  sym__type = 249,
  sym__types = 250,
  sym_named_type = 251,
  sym_optional_type = 252,
  sym_union_type = 253,
  sym_intersection_type = 254,
  sym_primitive_type = 255,
  sym_cast_type = 256,
  sym__return_type = 257,
  sym_const_element = 258,
  sym_echo_statement = 259,
  sym_unset_statement = 260,
  sym_declare_statement = 261,
  sym_declare_directive = 262,
  sym_try_statement = 263,
  sym_catch_clause = 264,
  sym_type_list = 265,
  sym_finally_clause = 266,
  sym_goto_statement = 267,
  sym_continue_statement = 268,
  sym_break_statement = 269,
  sym_return_statement = 270,
  sym_throw_expression = 271,
  sym_while_statement = 272,
  sym_do_statement = 273,
  sym_for_statement = 274,
  sym__expressions = 275,
  sym_sequence_expression = 276,
  sym_foreach_statement = 277,
  sym_foreach_pair = 278,
  sym_if_statement = 279,
  sym_colon_block = 280,
  sym_else_if_clause = 281,
  sym_else_clause = 282,
  sym_else_if_clause_2 = 283,
  sym_else_clause_2 = 284,
  sym_match_expression = 285,
  sym_match_block = 286,
  sym_match_condition_list = 287,
  sym_match_conditional_expression = 288,
  sym_match_default_expression = 289,
  sym_switch_statement = 290,
  sym_switch_block = 291,
  sym_case_statement = 292,
  sym_default_statement = 293,
  sym_compound_statement = 294,
  sym_named_label_statement = 295,
  sym_expression_statement = 296,
  sym__expression = 297,
  sym__unary_expression = 298,
  sym_unary_op_expression = 299,
  sym_exponentiation_expression = 300,
  sym_clone_expression = 301,
  sym__primary_expression = 302,
  sym_parenthesized_expression = 303,
  sym_class_constant_access_expression = 304,
  sym_print_intrinsic = 305,
  sym_anonymous_function_creation_expression = 306,
  sym_anonymous_function_use_clause = 307,
  sym_object_creation_expression = 308,
  sym_update_expression = 309,
  sym_cast_expression = 310,
  sym_cast_variable = 311,
  sym_assignment_expression = 312,
  sym_reference_assignment_expression = 313,
  sym_conditional_expression = 314,
  sym_augmented_assignment_expression = 315,
  sym_member_access_expression = 316,
  sym_nullsafe_member_access_expression = 317,
  sym_scoped_property_access_expression = 318,
  sym_list_literal = 319,
  sym__list_destructing = 320,
  sym__array_destructing = 321,
  sym__array_destructing_element = 322,
  sym_function_call_expression = 323,
  sym_scoped_call_expression = 324,
  sym__scope_resolution_qualifier = 325,
  sym_relative_scope = 326,
  sym_variadic_placeholder = 327,
  sym_arguments = 328,
  sym_argument = 329,
  sym_member_call_expression = 330,
  sym_nullsafe_member_call_expression = 331,
  sym_variadic_unpacking = 332,
  sym_subscript_expression = 333,
  sym__dereferencable_expression = 334,
  sym_array_creation_expression = 335,
  sym_attribute_group = 336,
  sym_attribute_list = 337,
  sym_attribute = 338,
  sym__complex_string_part = 339,
  sym__simple_string_member_access_expression = 340,
  sym__simple_string_subscript_unary_expression = 341,
  sym__simple_string_array_access_argument = 342,
  sym__simple_string_subscript_expression = 343,
  sym__simple_string_part = 344,
  aux_sym__interpolated_string_body = 345,
  aux_sym__interpolated_string_body_heredoc = 346,
  sym_encapsed_string = 347,
  sym_string = 348,
  sym_heredoc_body = 349,
  sym_heredoc = 350,
  sym__new_line = 351,
  sym_nowdoc_body = 352,
  sym_nowdoc = 353,
  aux_sym__interpolated_execution_operator_body = 354,
  sym_shell_command_expression = 355,
  sym__string = 356,
  sym_dynamic_variable_name = 357,
  sym_variable_name = 358,
  sym_variable_reference = 359,
  sym_by_ref = 360,
  sym_yield_expression = 361,
  sym_array_element_initializer = 362,
  sym_binary_expression = 363,
  sym_include_expression = 364,
  sym_include_once_expression = 365,
  sym_require_expression = 366,
  sym_require_once_expression = 367,
  sym__reserved_identifier = 368,
  aux_sym_program_repeat1 = 369,
  aux_sym_text_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_declaration_list_repeat1 = 378,
  aux_sym__const_declaration_repeat1 = 379,
  aux_sym_property_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat2 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_unset_statement_repeat1 = 386,
  aux_sym_try_statement_repeat1 = 387,
  aux_sym_type_list_repeat1 = 388,
  aux_sym_if_statement_repeat1 = 389,
  aux_sym_if_statement_repeat2 = 390,
  aux_sym_match_block_repeat1 = 391,
  aux_sym_match_condition_list_repeat1 = 392,
  aux_sym_switch_block_repeat1 = 393,
  aux_sym_anonymous_function_use_clause_repeat1 = 394,
  aux_sym__list_destructing_repeat1 = 395,
  aux_sym__array_destructing_repeat1 = 396,
  aux_sym_arguments_repeat1 = 397,
  aux_sym_array_creation_expression_repeat1 = 398,
  aux_sym_attribute_group_repeat1 = 399,
  aux_sym_attribute_list_repeat1 = 400,
  aux_sym_heredoc_body_repeat1 = 401,
  aux_sym_nowdoc_body_repeat1 = 402,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_static] = "static",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_AT] = "@",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_value",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT_QMARK] = "string_value",
  [anon_sym_QMARK_GT2] = "string_value",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [sym_string_value] = "string_value",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [aux_sym__new_line_token1] = "_new_line_token1",
  [aux_sym__new_line_token2] = "_new_line_token2",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_value",
  [sym_encapsed_string_chars_after_variable] = "string_value",
  [sym_execution_string_chars] = "string_value",
  [sym_execution_string_chars_after_variable] = "string_value",
  [sym_encapsed_string_chars_heredoc] = "string_value",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_value",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_exponentiation_expression] = "exponentiation_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym__new_line] = "_new_line",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = anon_sym_static,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_value,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT_QMARK] = sym_string_value,
  [anon_sym_QMARK_GT2] = sym_string_value,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [sym_string_value] = sym_string_value,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [aux_sym__new_line_token1] = aux_sym__new_line_token1,
  [aux_sym__new_line_token2] = aux_sym__new_line_token2,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_value,
  [sym_encapsed_string_chars_after_variable] = sym_string_value,
  [sym_execution_string_chars] = sym_string_value,
  [sym_execution_string_chars_after_variable] = sym_string_value,
  [sym_encapsed_string_chars_heredoc] = sym_string_value,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_value,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_exponentiation_expression] = sym_exponentiation_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym__new_line] = sym__new_line,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_line_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__new_line_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_exponentiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_attributes = 3,
  field_body = 4,
  field_condition = 5,
  field_conditional_expressions = 6,
  field_default_value = 7,
  field_end_tag = 8,
  field_function = 9,
  field_identifier = 10,
  field_left = 11,
  field_modifier = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_type = 23,
  field_value = 24,
  field_visibility = 25,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_modifier] = "modifier",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 2},
  [8] = {.index = 7, .length = 5},
  [9] = {.index = 12, .length = 1},
  [10] = {.index = 13, .length = 2},
  [11] = {.index = 15, .length = 2},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [16] = {.index = 23, .length = 2},
  [17] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 1},
  [19] = {.index = 28, .length = 5},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 3},
  [22] = {.index = 38, .length = 2},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 6},
  [26] = {.index = 50, .length = 2},
  [27] = {.index = 52, .length = 2},
  [28] = {.index = 54, .length = 2},
  [29] = {.index = 56, .length = 2},
  [30] = {.index = 58, .length = 2},
  [31] = {.index = 60, .length = 2},
  [32] = {.index = 62, .length = 3},
  [33] = {.index = 65, .length = 3},
  [34] = {.index = 68, .length = 3},
  [35] = {.index = 71, .length = 1},
  [36] = {.index = 72, .length = 3},
  [37] = {.index = 75, .length = 2},
  [38] = {.index = 77, .length = 2},
  [39] = {.index = 79, .length = 2},
  [40] = {.index = 81, .length = 3},
  [41] = {.index = 84, .length = 2},
  [42] = {.index = 86, .length = 1},
  [43] = {.index = 87, .length = 3},
  [44] = {.index = 90, .length = 3},
  [45] = {.index = 93, .length = 1},
  [48] = {.index = 94, .length = 3},
  [49] = {.index = 97, .length = 1},
  [50] = {.index = 98, .length = 3},
  [51] = {.index = 101, .length = 2},
  [52] = {.index = 103, .length = 2},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 109, .length = 3},
  [56] = {.index = 112, .length = 3},
  [57] = {.index = 115, .length = 3},
  [58] = {.index = 118, .length = 3},
  [59] = {.index = 121, .length = 3},
  [60] = {.index = 124, .length = 3},
  [61] = {.index = 127, .length = 2},
  [62] = {.index = 129, .length = 3},
  [63] = {.index = 132, .length = 3},
  [64] = {.index = 135, .length = 2},
  [65] = {.index = 137, .length = 2},
  [66] = {.index = 139, .length = 3},
  [67] = {.index = 142, .length = 3},
  [68] = {.index = 145, .length = 2},
  [69] = {.index = 147, .length = 3},
  [70] = {.index = 150, .length = 2},
  [71] = {.index = 152, .length = 3},
  [72] = {.index = 155, .length = 3},
  [73] = {.index = 158, .length = 3},
  [74] = {.index = 161, .length = 2},
  [75] = {.index = 163, .length = 4},
  [76] = {.index = 167, .length = 4},
  [77] = {.index = 171, .length = 3},
  [78] = {.index = 174, .length = 3},
  [79] = {.index = 177, .length = 1},
  [80] = {.index = 178, .length = 4},
  [81] = {.index = 182, .length = 1},
  [82] = {.index = 183, .length = 2},
  [83] = {.index = 183, .length = 2},
  [84] = {.index = 185, .length = 2},
  [85] = {.index = 187, .length = 4},
  [86] = {.index = 191, .length = 2},
  [87] = {.index = 193, .length = 3},
  [88] = {.index = 196, .length = 2},
  [89] = {.index = 198, .length = 4},
  [90] = {.index = 202, .length = 3},
  [91] = {.index = 205, .length = 4},
  [92] = {.index = 209, .length = 3},
  [93] = {.index = 212, .length = 3},
  [94] = {.index = 215, .length = 2},
  [95] = {.index = 217, .length = 3},
  [96] = {.index = 220, .length = 4},
  [97] = {.index = 224, .length = 4},
  [98] = {.index = 228, .length = 3},
  [99] = {.index = 231, .length = 3},
  [100] = {.index = 234, .length = 4},
  [101] = {.index = 238, .length = 4},
  [102] = {.index = 242, .length = 3},
  [103] = {.index = 245, .length = 3},
  [104] = {.index = 248, .length = 4},
  [105] = {.index = 252, .length = 3},
  [106] = {.index = 255, .length = 3},
  [107] = {.index = 258, .length = 3},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 3},
  [110] = {.index = 268, .length = 3},
  [111] = {.index = 271, .length = 3},
  [112] = {.index = 274, .length = 3},
  [113] = {.index = 277, .length = 4},
  [114] = {.index = 281, .length = 4},
  [115] = {.index = 285, .length = 3},
  [116] = {.index = 288, .length = 4},
  [117] = {.index = 292, .length = 3},
  [118] = {.index = 295, .length = 4},
  [119] = {.index = 299, .length = 2},
  [120] = {.index = 301, .length = 5},
  [121] = {.index = 306, .length = 4},
  [122] = {.index = 310, .length = 5},
  [123] = {.index = 315, .length = 2},
  [124] = {.index = 317, .length = 1},
  [125] = {.index = 318, .length = 2},
  [126] = {.index = 320, .length = 1},
  [129] = {.index = 321, .length = 3},
  [130] = {.index = 324, .length = 5},
  [131] = {.index = 329, .length = 2},
  [132] = {.index = 331, .length = 3},
  [133] = {.index = 334, .length = 4},
  [134] = {.index = 338, .length = 3},
  [135] = {.index = 341, .length = 3},
  [136] = {.index = 344, .length = 4},
  [137] = {.index = 348, .length = 4},
  [138] = {.index = 352, .length = 3},
  [139] = {.index = 355, .length = 5},
  [140] = {.index = 360, .length = 4},
  [141] = {.index = 364, .length = 4},
  [142] = {.index = 368, .length = 3},
  [143] = {.index = 368, .length = 3},
  [144] = {.index = 371, .length = 4},
  [145] = {.index = 375, .length = 5},
  [146] = {.index = 380, .length = 4},
  [147] = {.index = 384, .length = 4},
  [148] = {.index = 388, .length = 4},
  [149] = {.index = 392, .length = 4},
  [150] = {.index = 396, .length = 4},
  [151] = {.index = 400, .length = 4},
  [152] = {.index = 404, .length = 5},
  [153] = {.index = 409, .length = 4},
  [154] = {.index = 413, .length = 4},
  [155] = {.index = 417, .length = 4},
  [156] = {.index = 421, .length = 5},
  [157] = {.index = 426, .length = 6},
  [158] = {.index = 432, .length = 1},
  [159] = {.index = 433, .length = 2},
  [160] = {.index = 435, .length = 1},
  [161] = {.index = 436, .length = 3},
  [162] = {.index = 439, .length = 5},
  [163] = {.index = 444, .length = 4},
  [164] = {.index = 448, .length = 5},
  [165] = {.index = 453, .length = 4},
  [166] = {.index = 457, .length = 4},
  [167] = {.index = 461, .length = 5},
  [168] = {.index = 466, .length = 3},
  [169] = {.index = 469, .length = 4},
  [170] = {.index = 473, .length = 5},
  [171] = {.index = 478, .length = 5},
  [172] = {.index = 483, .length = 5},
  [173] = {.index = 488, .length = 5},
  [174] = {.index = 493, .length = 5},
  [175] = {.index = 498, .length = 2},
  [176] = {.index = 500, .length = 2},
  [177] = {.index = 502, .length = 3},
  [178] = {.index = 505, .length = 5},
  [179] = {.index = 510, .length = 5},
  [180] = {.index = 515, .length = 6},
  [181] = {.index = 521, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_body, 1},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [12] =
    {field_name, 1},
  [13] =
    {field_body, 2},
    {field_name, 1},
  [15] =
    {field_name, 1},
    {field_parameters, 2},
  [17] =
    {field_body, 2},
    {field_parameters, 1},
  [19] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [21] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [23] =
    {field_body, 2},
    {field_condition, 1},
  [25] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [27] =
    {field_parameters, 2},
  [28] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_name, 2},
    {field_scope, 0},
  [40] =
    {field_name, 2},
    {field_object, 0},
  [42] =
    {field_attributes, 0},
    {field_parameters, 2},
  [44] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [50] =
    {field_body, 3},
    {field_parameters, 2},
  [52] =
    {field_name, 0},
    {field_value, 2},
  [54] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [56] =
    {field_name, 1},
    {field_visibility, 0},
  [58] =
    {field_name, 1},
    {field_type, 0},
  [60] =
    {field_attributes, 0},
    {field_name, 1},
  [62] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [65] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_attributes, 0, .inherited = true},
    {field_modifier, 0, .inherited = true},
  [79] =
    {field_body, 3},
    {field_name, 1},
  [81] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [84] =
    {field_type, 1},
    {field_value, 3},
  [86] =
    {field_alternative, 0},
  [87] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [90] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [93] =
    {field_attributes, 1},
  [94] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [97] =
    {field_reference_modifier, 0},
  [98] =
    {field_body, 3},
    {field_modifier, 0},
    {field_name, 2},
  [101] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [103] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [105] =
    {field_alternative, 3},
    {field_condition, 0},
  [107] =
    {field_left, 0},
    {field_right, 3},
  [109] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [112] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [115] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [118] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [121] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [124] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
  [129] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [132] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [135] =
    {field_body, 4},
    {field_parameters, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [167] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [171] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [174] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [177] =
    {field_modifier, 0},
  [178] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [182] =
    {field_attributes, 0},
  [183] =
    {field_body, 4},
    {field_name, 1},
  [185] =
    {field_body, 1},
    {field_condition, 3},
  [187] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [191] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [193] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [196] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [202] =
    {field_body, 4},
    {field_modifier, 0},
    {field_name, 2},
  [205] =
    {field_body, 4},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [209] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [212] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [215] =
    {field_name, 3},
    {field_object, 0},
  [217] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
  [220] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [231] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [234] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [238] =
    {field_attributes, 0},
    {field_body, 4},
    {field_modifier, 1},
    {field_name, 3},
  [242] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [245] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [248] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [255] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_modifier, 1},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [310] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [315] =
    {field_body, 5},
    {field_name, 1},
  [317] =
    {field_return_expression, 2},
  [318] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [320] =
    {field_value, 1},
  [321] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [324] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [329] =
    {field_name, 0},
    {field_reference_modifier, 2},
  [331] =
    {field_body, 5},
    {field_modifier, 0},
    {field_name, 2},
  [334] =
    {field_body, 5},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [338] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [344] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [348] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [364] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [371] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_name, 3},
  [375] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [380] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [384] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [388] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [392] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [396] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [400] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [404] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [409] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [413] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [417] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [421] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [426] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [432] =
    {field_type, 1},
  [433] =
    {field_body, 4},
    {field_type, 2},
  [435] =
    {field_body, 6},
  [436] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [439] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [448] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [453] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [461] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [469] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_name, 3},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [478] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [483] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [488] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [493] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [498] =
    {field_attributes, 0},
    {field_type, 2},
  [500] =
    {field_name, 1},
    {field_value, 3},
  [502] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [505] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
  [510] =
    {field_attributes, 0},
    {field_body, 7},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [515] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [521] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = sym_list_literal,
  },
  [5] = {
    [0] = sym_string_value,
  },
  [15] = {
    [0] = anon_sym_array,
  },
  [46] = {
    [1] = sym_list_literal,
  },
  [47] = {
    [2] = sym_list_literal,
  },
  [82] = {
    [3] = sym_primitive_type,
  },
  [123] = {
    [3] = sym_primitive_type,
  },
  [127] = {
    [3] = sym_list_literal,
  },
  [128] = {
    [4] = sym_list_literal,
  },
  [142] = {
    [4] = sym_primitive_type,
  },
  [168] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 2,
  [10] = 8,
  [11] = 7,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 21,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 19,
  [28] = 26,
  [29] = 24,
  [30] = 30,
  [31] = 31,
  [32] = 31,
  [33] = 19,
  [34] = 20,
  [35] = 26,
  [36] = 19,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 31,
  [41] = 41,
  [42] = 41,
  [43] = 43,
  [44] = 39,
  [45] = 24,
  [46] = 24,
  [47] = 41,
  [48] = 38,
  [49] = 49,
  [50] = 18,
  [51] = 20,
  [52] = 49,
  [53] = 31,
  [54] = 41,
  [55] = 21,
  [56] = 26,
  [57] = 17,
  [58] = 16,
  [59] = 59,
  [60] = 49,
  [61] = 26,
  [62] = 62,
  [63] = 43,
  [64] = 64,
  [65] = 20,
  [66] = 21,
  [67] = 37,
  [68] = 59,
  [69] = 62,
  [70] = 18,
  [71] = 71,
  [72] = 72,
  [73] = 72,
  [74] = 71,
  [75] = 49,
  [76] = 21,
  [77] = 18,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 80,
  [82] = 82,
  [83] = 82,
  [84] = 80,
  [85] = 80,
  [86] = 86,
  [87] = 86,
  [88] = 86,
  [89] = 86,
  [90] = 90,
  [91] = 91,
  [92] = 90,
  [93] = 90,
  [94] = 91,
  [95] = 90,
  [96] = 91,
  [97] = 91,
  [98] = 90,
  [99] = 91,
  [100] = 91,
  [101] = 101,
  [102] = 101,
  [103] = 101,
  [104] = 101,
  [105] = 101,
  [106] = 106,
  [107] = 106,
  [108] = 106,
  [109] = 106,
  [110] = 106,
  [111] = 106,
  [112] = 106,
  [113] = 106,
  [114] = 114,
  [115] = 115,
  [116] = 114,
  [117] = 115,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 121,
  [122] = 119,
  [123] = 118,
  [124] = 119,
  [125] = 118,
  [126] = 126,
  [127] = 118,
  [128] = 119,
  [129] = 129,
  [130] = 119,
  [131] = 119,
  [132] = 132,
  [133] = 126,
  [134] = 134,
  [135] = 118,
  [136] = 119,
  [137] = 134,
  [138] = 118,
  [139] = 121,
  [140] = 118,
  [141] = 132,
  [142] = 119,
  [143] = 129,
  [144] = 144,
  [145] = 145,
  [146] = 145,
  [147] = 147,
  [148] = 144,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 149,
  [154] = 152,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 158,
  [163] = 163,
  [164] = 159,
  [165] = 165,
  [166] = 163,
  [167] = 167,
  [168] = 159,
  [169] = 167,
  [170] = 163,
  [171] = 165,
  [172] = 165,
  [173] = 161,
  [174] = 160,
  [175] = 163,
  [176] = 161,
  [177] = 159,
  [178] = 160,
  [179] = 167,
  [180] = 158,
  [181] = 165,
  [182] = 161,
  [183] = 158,
  [184] = 167,
  [185] = 160,
  [186] = 186,
  [187] = 187,
  [188] = 186,
  [189] = 189,
  [190] = 190,
  [191] = 186,
  [192] = 192,
  [193] = 186,
  [194] = 186,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 187,
  [200] = 190,
  [201] = 195,
  [202] = 186,
  [203] = 192,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 205,
  [209] = 207,
  [210] = 207,
  [211] = 204,
  [212] = 207,
  [213] = 205,
  [214] = 206,
  [215] = 207,
  [216] = 216,
  [217] = 204,
  [218] = 206,
  [219] = 207,
  [220] = 205,
  [221] = 206,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 224,
  [229] = 227,
  [230] = 227,
  [231] = 231,
  [232] = 232,
  [233] = 223,
  [234] = 231,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 232,
  [239] = 235,
  [240] = 240,
  [241] = 241,
  [242] = 223,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 244,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 245,
  [260] = 224,
  [261] = 261,
  [262] = 258,
  [263] = 257,
  [264] = 231,
  [265] = 256,
  [266] = 266,
  [267] = 245,
  [268] = 268,
  [269] = 235,
  [270] = 244,
  [271] = 271,
  [272] = 237,
  [273] = 232,
  [274] = 274,
  [275] = 235,
  [276] = 271,
  [277] = 277,
  [278] = 237,
  [279] = 271,
  [280] = 254,
  [281] = 258,
  [282] = 232,
  [283] = 253,
  [284] = 252,
  [285] = 266,
  [286] = 286,
  [287] = 287,
  [288] = 257,
  [289] = 235,
  [290] = 256,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 251,
  [295] = 237,
  [296] = 256,
  [297] = 232,
  [298] = 266,
  [299] = 235,
  [300] = 244,
  [301] = 226,
  [302] = 254,
  [303] = 257,
  [304] = 304,
  [305] = 253,
  [306] = 258,
  [307] = 307,
  [308] = 237,
  [309] = 240,
  [310] = 293,
  [311] = 232,
  [312] = 277,
  [313] = 313,
  [314] = 266,
  [315] = 291,
  [316] = 250,
  [317] = 227,
  [318] = 245,
  [319] = 224,
  [320] = 235,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 252,
  [326] = 237,
  [327] = 274,
  [328] = 271,
  [329] = 329,
  [330] = 251,
  [331] = 250,
  [332] = 249,
  [333] = 249,
  [334] = 248,
  [335] = 247,
  [336] = 248,
  [337] = 246,
  [338] = 304,
  [339] = 247,
  [340] = 232,
  [341] = 341,
  [342] = 342,
  [343] = 304,
  [344] = 344,
  [345] = 237,
  [346] = 346,
  [347] = 226,
  [348] = 268,
  [349] = 342,
  [350] = 232,
  [351] = 235,
  [352] = 352,
  [353] = 292,
  [354] = 261,
  [355] = 341,
  [356] = 246,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 357,
  [361] = 243,
  [362] = 362,
  [363] = 363,
  [364] = 292,
  [365] = 271,
  [366] = 232,
  [367] = 367,
  [368] = 225,
  [369] = 357,
  [370] = 237,
  [371] = 371,
  [372] = 243,
  [373] = 341,
  [374] = 344,
  [375] = 261,
  [376] = 268,
  [377] = 254,
  [378] = 253,
  [379] = 277,
  [380] = 231,
  [381] = 381,
  [382] = 382,
  [383] = 292,
  [384] = 266,
  [385] = 293,
  [386] = 232,
  [387] = 291,
  [388] = 274,
  [389] = 237,
  [390] = 252,
  [391] = 251,
  [392] = 237,
  [393] = 393,
  [394] = 250,
  [395] = 266,
  [396] = 225,
  [397] = 274,
  [398] = 291,
  [399] = 293,
  [400] = 223,
  [401] = 277,
  [402] = 342,
  [403] = 240,
  [404] = 304,
  [405] = 268,
  [406] = 261,
  [407] = 341,
  [408] = 357,
  [409] = 225,
  [410] = 342,
  [411] = 243,
  [412] = 249,
  [413] = 246,
  [414] = 235,
  [415] = 344,
  [416] = 247,
  [417] = 248,
  [418] = 271,
  [419] = 226,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 422,
  [424] = 424,
  [425] = 424,
  [426] = 426,
  [427] = 422,
  [428] = 422,
  [429] = 426,
  [430] = 430,
  [431] = 431,
  [432] = 430,
  [433] = 430,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 430,
  [439] = 439,
  [440] = 430,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 453,
  [528] = 528,
  [529] = 436,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 437,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 460,
  [566] = 566,
  [567] = 567,
  [568] = 567,
  [569] = 567,
  [570] = 567,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 594,
  [598] = 596,
  [599] = 578,
  [600] = 580,
  [601] = 594,
  [602] = 596,
  [603] = 603,
  [604] = 580,
  [605] = 576,
  [606] = 579,
  [607] = 575,
  [608] = 608,
  [609] = 609,
  [610] = 577,
  [611] = 582,
  [612] = 586,
  [613] = 596,
  [614] = 573,
  [615] = 574,
  [616] = 594,
  [617] = 588,
  [618] = 587,
  [619] = 592,
  [620] = 584,
  [621] = 621,
  [622] = 589,
  [623] = 572,
  [624] = 591,
  [625] = 581,
  [626] = 609,
  [627] = 593,
  [628] = 621,
  [629] = 583,
  [630] = 585,
  [631] = 631,
  [632] = 571,
  [633] = 603,
  [634] = 590,
  [635] = 595,
  [636] = 636,
  [637] = 637,
  [638] = 595,
  [639] = 609,
  [640] = 603,
  [641] = 641,
  [642] = 609,
  [643] = 643,
  [644] = 643,
  [645] = 603,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 652,
  [654] = 588,
  [655] = 575,
  [656] = 577,
  [657] = 579,
  [658] = 578,
  [659] = 659,
  [660] = 576,
  [661] = 573,
  [662] = 588,
  [663] = 584,
  [664] = 592,
  [665] = 590,
  [666] = 666,
  [667] = 581,
  [668] = 589,
  [669] = 572,
  [670] = 571,
  [671] = 574,
  [672] = 672,
  [673] = 585,
  [674] = 582,
  [675] = 586,
  [676] = 583,
  [677] = 587,
  [678] = 666,
  [679] = 679,
  [680] = 593,
  [681] = 591,
  [682] = 579,
  [683] = 577,
  [684] = 684,
  [685] = 685,
  [686] = 575,
  [687] = 648,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 672,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 579,
  [699] = 576,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 700,
  [705] = 705,
  [706] = 701,
  [707] = 577,
  [708] = 708,
  [709] = 576,
  [710] = 579,
  [711] = 578,
  [712] = 712,
  [713] = 576,
  [714] = 575,
  [715] = 577,
  [716] = 694,
  [717] = 578,
  [718] = 575,
  [719] = 578,
  [720] = 590,
  [721] = 721,
  [722] = 574,
  [723] = 723,
  [724] = 591,
  [725] = 725,
  [726] = 581,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 571,
  [731] = 572,
  [732] = 732,
  [733] = 733,
  [734] = 593,
  [735] = 735,
  [736] = 584,
  [737] = 573,
  [738] = 738,
  [739] = 582,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 586,
  [745] = 745,
  [746] = 589,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 592,
  [751] = 583,
  [752] = 752,
  [753] = 745,
  [754] = 754,
  [755] = 755,
  [756] = 585,
  [757] = 757,
  [758] = 758,
  [759] = 566,
  [760] = 760,
  [761] = 754,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 587,
  [766] = 437,
  [767] = 652,
  [768] = 651,
  [769] = 769,
  [770] = 770,
  [771] = 696,
  [772] = 575,
  [773] = 579,
  [774] = 577,
  [775] = 576,
  [776] = 776,
  [777] = 436,
  [778] = 652,
  [779] = 578,
  [780] = 780,
  [781] = 647,
  [782] = 782,
  [783] = 650,
  [784] = 648,
  [785] = 690,
  [786] = 581,
  [787] = 787,
  [788] = 590,
  [789] = 593,
  [790] = 790,
  [791] = 588,
  [792] = 787,
  [793] = 592,
  [794] = 582,
  [795] = 589,
  [796] = 574,
  [797] = 585,
  [798] = 584,
  [799] = 571,
  [800] = 573,
  [801] = 801,
  [802] = 583,
  [803] = 587,
  [804] = 586,
  [805] = 591,
  [806] = 572,
  [807] = 689,
  [808] = 808,
  [809] = 577,
  [810] = 693,
  [811] = 811,
  [812] = 578,
  [813] = 701,
  [814] = 579,
  [815] = 690,
  [816] = 808,
  [817] = 817,
  [818] = 708,
  [819] = 819,
  [820] = 648,
  [821] = 700,
  [822] = 578,
  [823] = 460,
  [824] = 679,
  [825] = 672,
  [826] = 695,
  [827] = 700,
  [828] = 576,
  [829] = 579,
  [830] = 692,
  [831] = 575,
  [832] = 575,
  [833] = 588,
  [834] = 672,
  [835] = 577,
  [836] = 453,
  [837] = 701,
  [838] = 817,
  [839] = 839,
  [840] = 575,
  [841] = 576,
  [842] = 702,
  [843] = 808,
  [844] = 844,
  [845] = 811,
  [846] = 703,
  [847] = 578,
  [848] = 839,
  [849] = 817,
  [850] = 696,
  [851] = 808,
  [852] = 808,
  [853] = 685,
  [854] = 844,
  [855] = 579,
  [856] = 576,
  [857] = 577,
  [858] = 748,
  [859] = 593,
  [860] = 573,
  [861] = 589,
  [862] = 758,
  [863] = 584,
  [864] = 581,
  [865] = 690,
  [866] = 728,
  [867] = 571,
  [868] = 723,
  [869] = 566,
  [870] = 690,
  [871] = 585,
  [872] = 574,
  [873] = 583,
  [874] = 742,
  [875] = 760,
  [876] = 743,
  [877] = 763,
  [878] = 729,
  [879] = 582,
  [880] = 741,
  [881] = 740,
  [882] = 592,
  [883] = 732,
  [884] = 757,
  [885] = 587,
  [886] = 733,
  [887] = 725,
  [888] = 749,
  [889] = 735,
  [890] = 591,
  [891] = 721,
  [892] = 727,
  [893] = 752,
  [894] = 572,
  [895] = 738,
  [896] = 755,
  [897] = 764,
  [898] = 590,
  [899] = 747,
  [900] = 586,
  [901] = 696,
  [902] = 782,
  [903] = 770,
  [904] = 776,
  [905] = 780,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 572,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 574,
  [929] = 573,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 571,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 460,
  [972] = 453,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1006,
  [1008] = 987,
  [1009] = 986,
  [1010] = 975,
  [1011] = 982,
  [1012] = 980,
  [1013] = 996,
  [1014] = 981,
  [1015] = 1005,
  [1016] = 1003,
  [1017] = 990,
  [1018] = 977,
  [1019] = 991,
  [1020] = 992,
  [1021] = 995,
  [1022] = 985,
  [1023] = 974,
  [1024] = 976,
  [1025] = 979,
  [1026] = 1002,
  [1027] = 1001,
  [1028] = 1000,
  [1029] = 999,
  [1030] = 988,
  [1031] = 973,
  [1032] = 984,
  [1033] = 978,
  [1034] = 994,
  [1035] = 998,
  [1036] = 989,
  [1037] = 1004,
  [1038] = 997,
  [1039] = 983,
  [1040] = 989,
  [1041] = 437,
  [1042] = 978,
  [1043] = 936,
  [1044] = 914,
  [1045] = 976,
  [1046] = 960,
  [1047] = 907,
  [1048] = 964,
  [1049] = 961,
  [1050] = 958,
  [1051] = 931,
  [1052] = 957,
  [1053] = 963,
  [1054] = 977,
  [1055] = 906,
  [1056] = 962,
  [1057] = 908,
  [1058] = 934,
  [1059] = 935,
  [1060] = 909,
  [1061] = 983,
  [1062] = 986,
  [1063] = 997,
  [1064] = 966,
  [1065] = 946,
  [1066] = 912,
  [1067] = 985,
  [1068] = 974,
  [1069] = 942,
  [1070] = 939,
  [1071] = 943,
  [1072] = 990,
  [1073] = 944,
  [1074] = 945,
  [1075] = 991,
  [1076] = 948,
  [1077] = 949,
  [1078] = 992,
  [1079] = 995,
  [1080] = 996,
  [1081] = 998,
  [1082] = 999,
  [1083] = 1000,
  [1084] = 1002,
  [1085] = 1003,
  [1086] = 1004,
  [1087] = 917,
  [1088] = 911,
  [1089] = 950,
  [1090] = 980,
  [1091] = 573,
  [1092] = 981,
  [1093] = 572,
  [1094] = 973,
  [1095] = 956,
  [1096] = 937,
  [1097] = 1006,
  [1098] = 1001,
  [1099] = 953,
  [1100] = 947,
  [1101] = 940,
  [1102] = 571,
  [1103] = 987,
  [1104] = 930,
  [1105] = 938,
  [1106] = 968,
  [1107] = 933,
  [1108] = 913,
  [1109] = 932,
  [1110] = 994,
  [1111] = 952,
  [1112] = 574,
  [1113] = 923,
  [1114] = 951,
  [1115] = 941,
  [1116] = 970,
  [1117] = 969,
  [1118] = 1118,
  [1119] = 967,
  [1120] = 988,
  [1121] = 925,
  [1122] = 965,
  [1123] = 982,
  [1124] = 1005,
  [1125] = 915,
  [1126] = 436,
  [1127] = 955,
  [1128] = 975,
  [1129] = 954,
  [1130] = 920,
  [1131] = 922,
  [1132] = 918,
  [1133] = 919,
  [1134] = 979,
  [1135] = 916,
  [1136] = 927,
  [1137] = 926,
  [1138] = 924,
  [1139] = 921,
  [1140] = 984,
  [1141] = 1004,
  [1142] = 988,
  [1143] = 990,
  [1144] = 995,
  [1145] = 977,
  [1146] = 989,
  [1147] = 996,
  [1148] = 991,
  [1149] = 997,
  [1150] = 998,
  [1151] = 985,
  [1152] = 980,
  [1153] = 983,
  [1154] = 979,
  [1155] = 975,
  [1156] = 984,
  [1157] = 999,
  [1158] = 987,
  [1159] = 1000,
  [1160] = 981,
  [1161] = 1005,
  [1162] = 982,
  [1163] = 978,
  [1164] = 994,
  [1165] = 1002,
  [1166] = 1003,
  [1167] = 992,
  [1168] = 976,
  [1169] = 974,
  [1170] = 986,
  [1171] = 973,
  [1172] = 1006,
  [1173] = 1001,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 986,
  [1178] = 986,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1174,
  [1182] = 1176,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1174,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1176,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1176,
  [1193] = 1174,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1189,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1194,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1195,
  [1218] = 1218,
  [1219] = 1179,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1222,
  [1224] = 1179,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1195,
  [1231] = 1189,
  [1232] = 1215,
  [1233] = 1195,
  [1234] = 1214,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1241,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1244,
  [1248] = 1240,
  [1249] = 1244,
  [1250] = 1238,
  [1251] = 1244,
  [1252] = 1237,
  [1253] = 1245,
  [1254] = 1245,
  [1255] = 1245,
  [1256] = 1238,
  [1257] = 1257,
  [1258] = 1257,
  [1259] = 1259,
  [1260] = 1238,
  [1261] = 1236,
  [1262] = 1241,
  [1263] = 1244,
  [1264] = 1236,
  [1265] = 1241,
  [1266] = 1237,
  [1267] = 1237,
  [1268] = 1268,
  [1269] = 1236,
  [1270] = 1244,
  [1271] = 1245,
  [1272] = 1272,
  [1273] = 1241,
  [1274] = 1274,
  [1275] = 1237,
  [1276] = 1236,
  [1277] = 1244,
  [1278] = 1239,
  [1279] = 1236,
  [1280] = 1240,
  [1281] = 1236,
  [1282] = 1282,
  [1283] = 1244,
  [1284] = 1245,
  [1285] = 1272,
  [1286] = 1257,
  [1287] = 1287,
  [1288] = 1257,
  [1289] = 1289,
  [1290] = 1241,
  [1291] = 1244,
  [1292] = 1245,
  [1293] = 1238,
  [1294] = 1239,
  [1295] = 1295,
  [1296] = 1236,
  [1297] = 1237,
  [1298] = 1239,
  [1299] = 1245,
  [1300] = 1245,
  [1301] = 1236,
  [1302] = 1295,
  [1303] = 1244,
  [1304] = 1238,
  [1305] = 1245,
  [1306] = 1306,
  [1307] = 1295,
  [1308] = 1246,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1312,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1320,
  [1322] = 1322,
  [1323] = 1322,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1322,
  [1328] = 1320,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1330,
  [1332] = 1330,
  [1333] = 1333,
  [1334] = 1309,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1317,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1319,
  [1346] = 1318,
  [1347] = 1118,
  [1348] = 1348,
  [1349] = 1325,
  [1350] = 1329,
  [1351] = 1351,
  [1352] = 1326,
  [1353] = 1324,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 436,
  [1358] = 581,
  [1359] = 437,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1365,
  [1374] = 1356,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 524,
  [1382] = 562,
  [1383] = 512,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1389,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1399,
  [1401] = 1390,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1406,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1414,
  [1416] = 1413,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 593,
  [1430] = 1430,
  [1431] = 591,
  [1432] = 1427,
  [1433] = 1433,
  [1434] = 1420,
  [1435] = 581,
  [1436] = 1421,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 581,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 685,
  [1445] = 1445,
  [1446] = 1437,
  [1447] = 1447,
  [1448] = 648,
  [1449] = 1449,
  [1450] = 1442,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1451,
  [1454] = 1314,
  [1455] = 1316,
  [1456] = 1456,
  [1457] = 1456,
  [1458] = 1458,
  [1459] = 1456,
  [1460] = 1268,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1451,
  [1464] = 1458,
  [1465] = 1317,
  [1466] = 1309,
  [1467] = 1458,
  [1468] = 1452,
  [1469] = 1469,
  [1470] = 1458,
  [1471] = 1451,
  [1472] = 1452,
  [1473] = 1451,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1458,
  [1477] = 1458,
  [1478] = 1478,
  [1479] = 581,
  [1480] = 1451,
  [1481] = 1452,
  [1482] = 1452,
  [1483] = 1310,
  [1484] = 1452,
  [1485] = 1458,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1315,
  [1489] = 1451,
  [1490] = 1451,
  [1491] = 1458,
  [1492] = 1452,
  [1493] = 1451,
  [1494] = 1458,
  [1495] = 1452,
  [1496] = 1456,
  [1497] = 1458,
  [1498] = 1452,
  [1499] = 1451,
  [1500] = 1456,
  [1501] = 1501,
  [1502] = 1458,
  [1503] = 1503,
  [1504] = 1452,
  [1505] = 1452,
  [1506] = 1452,
  [1507] = 1452,
  [1508] = 1508,
  [1509] = 1451,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1511,
  [1513] = 1513,
  [1514] = 1445,
  [1515] = 1515,
  [1516] = 1440,
  [1517] = 1517,
  [1518] = 1517,
  [1519] = 420,
  [1520] = 1520,
  [1521] = 421,
  [1522] = 1510,
  [1523] = 1520,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 576,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1422,
  [1532] = 1532,
  [1533] = 1527,
  [1534] = 1534,
  [1535] = 1534,
  [1536] = 1534,
  [1537] = 1524,
  [1538] = 1538,
  [1539] = 672,
  [1540] = 1540,
  [1541] = 672,
  [1542] = 1542,
  [1543] = 1426,
  [1544] = 1524,
  [1545] = 1461,
  [1546] = 576,
  [1547] = 1524,
  [1548] = 1548,
  [1549] = 1534,
  [1550] = 1530,
  [1551] = 1524,
  [1552] = 591,
  [1553] = 1534,
  [1554] = 1527,
  [1555] = 1555,
  [1556] = 1419,
  [1557] = 581,
  [1558] = 1558,
  [1559] = 1423,
  [1560] = 1424,
  [1561] = 593,
  [1562] = 1524,
  [1563] = 1563,
  [1564] = 672,
  [1565] = 790,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 426,
  [1571] = 1571,
  [1572] = 581,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1423,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1569,
  [1583] = 424,
  [1584] = 1584,
  [1585] = 1419,
  [1586] = 1426,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1571,
  [1593] = 1593,
  [1594] = 1577,
  [1595] = 1595,
  [1596] = 426,
  [1597] = 1597,
  [1598] = 424,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1580,
  [1603] = 1603,
  [1604] = 1424,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1574,
  [1608] = 1608,
  [1609] = 593,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1569,
  [1614] = 1595,
  [1615] = 591,
  [1616] = 1616,
  [1617] = 1573,
  [1618] = 1530,
  [1619] = 1619,
  [1620] = 1610,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1578,
  [1624] = 1624,
  [1625] = 1422,
  [1626] = 1626,
  [1627] = 1622,
  [1628] = 1628,
  [1629] = 1587,
  [1630] = 1611,
  [1631] = 1600,
  [1632] = 1590,
  [1633] = 1591,
  [1634] = 1624,
  [1635] = 1612,
  [1636] = 1616,
  [1637] = 1621,
  [1638] = 1581,
  [1639] = 1588,
  [1640] = 1616,
  [1641] = 1589,
  [1642] = 1642,
  [1643] = 1584,
  [1644] = 1628,
  [1645] = 451,
  [1646] = 447,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1605,
  [1651] = 1651,
  [1652] = 454,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1593,
  [1658] = 1658,
  [1659] = 434,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 459,
  [1664] = 1664,
  [1665] = 457,
  [1666] = 1660,
  [1667] = 1651,
  [1668] = 1654,
  [1669] = 1669,
  [1670] = 1658,
  [1671] = 443,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 442,
  [1676] = 1676,
  [1677] = 1654,
  [1678] = 1658,
  [1679] = 1679,
  [1680] = 441,
  [1681] = 1647,
  [1682] = 1654,
  [1683] = 1683,
  [1684] = 1606,
  [1685] = 439,
  [1686] = 1654,
  [1687] = 1687,
  [1688] = 1651,
  [1689] = 1654,
  [1690] = 1690,
  [1691] = 1651,
  [1692] = 1692,
  [1693] = 431,
  [1694] = 461,
  [1695] = 1654,
  [1696] = 1654,
  [1697] = 444,
  [1698] = 1698,
  [1699] = 1654,
  [1700] = 448,
  [1701] = 1648,
  [1702] = 449,
  [1703] = 450,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1651,
  [1707] = 1679,
  [1708] = 1651,
  [1709] = 1651,
  [1710] = 1661,
  [1711] = 456,
  [1712] = 446,
  [1713] = 452,
  [1714] = 1649,
  [1715] = 1715,
  [1716] = 1698,
  [1717] = 1705,
  [1718] = 1651,
  [1719] = 1664,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1619,
  [1723] = 1654,
  [1724] = 1651,
  [1725] = 1538,
  [1726] = 1726,
  [1727] = 455,
  [1728] = 1673,
  [1729] = 1698,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1692,
  [1733] = 1655,
  [1734] = 1734,
  [1735] = 1683,
  [1736] = 1653,
  [1737] = 435,
  [1738] = 1654,
  [1739] = 458,
  [1740] = 1740,
  [1741] = 445,
  [1742] = 1651,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1687,
  [1747] = 1730,
  [1748] = 1748,
  [1749] = 1651,
  [1750] = 1651,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1756,
  [1764] = 1754,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1777,
  [1782] = 1754,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1766,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1601,
  [1797] = 1745,
  [1798] = 1759,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1791,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1772,
  [1824] = 1799,
  [1825] = 1825,
  [1826] = 1801,
  [1827] = 1827,
  [1828] = 1780,
  [1829] = 1778,
  [1830] = 1802,
  [1831] = 1773,
  [1832] = 1803,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1770,
  [1836] = 1836,
  [1837] = 1754,
  [1838] = 1769,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1767,
  [1842] = 1842,
  [1843] = 1827,
  [1844] = 1844,
  [1845] = 1788,
  [1846] = 1819,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1731,
  [1850] = 1752,
  [1851] = 1851,
  [1852] = 1844,
  [1853] = 1770,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1789,
  [1858] = 1785,
  [1859] = 1660,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1807,
  [1863] = 1810,
  [1864] = 1808,
  [1865] = 1705,
  [1866] = 1833,
  [1867] = 1765,
  [1868] = 1868,
  [1869] = 1855,
  [1870] = 1870,
  [1871] = 1771,
  [1872] = 1872,
  [1873] = 1757,
  [1874] = 1762,
  [1875] = 1875,
  [1876] = 1861,
  [1877] = 1848,
  [1878] = 1836,
  [1879] = 1839,
  [1880] = 1840,
  [1881] = 1768,
  [1882] = 1854,
  [1883] = 1875,
  [1884] = 1884,
  [1885] = 1776,
  [1886] = 1800,
  [1887] = 1752,
  [1888] = 1872,
  [1889] = 1875,
  [1890] = 679,
  [1891] = 1768,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1774,
  [1895] = 1775,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1892,
  [1899] = 1847,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1904,
  [1921] = 1915,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1919,
  [1926] = 1914,
  [1927] = 1910,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1918,
  [1931] = 1931,
  [1932] = 1720,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1907,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1909,
  [1941] = 1941,
  [1942] = 1911,
  [1943] = 1943,
  [1944] = 1917,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1934,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 516,
  [1961] = 465,
  [1962] = 1962,
  [1963] = 1662,
  [1964] = 513,
  [1965] = 495,
  [1966] = 502,
  [1967] = 1967,
  [1968] = 506,
  [1969] = 1969,
  [1970] = 509,
  [1971] = 517,
  [1972] = 520,
  [1973] = 526,
  [1974] = 528,
  [1975] = 538,
  [1976] = 1976,
  [1977] = 481,
  [1978] = 1943,
  [1979] = 557,
  [1980] = 1980,
  [1981] = 563,
  [1982] = 1982,
  [1983] = 560,
  [1984] = 1951,
  [1985] = 1985,
  [1986] = 558,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 556,
  [1990] = 1990,
  [1991] = 546,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 545,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1908,
  [1998] = 1998,
  [1999] = 541,
  [2000] = 540,
  [2001] = 536,
  [2002] = 534,
  [2003] = 1967,
  [2004] = 533,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 531,
  [2008] = 2008,
  [2009] = 525,
  [2010] = 2010,
  [2011] = 523,
  [2012] = 2012,
  [2013] = 522,
  [2014] = 2014,
  [2015] = 521,
  [2016] = 2016,
  [2017] = 512,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 498,
  [2023] = 479,
  [2024] = 2024,
  [2025] = 464,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 468,
  [2032] = 2032,
  [2033] = 2032,
  [2034] = 2010,
  [2035] = 1995,
  [2036] = 472,
  [2037] = 2037,
  [2038] = 1980,
  [2039] = 2039,
  [2040] = 1950,
  [2041] = 474,
  [2042] = 1949,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 478,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 484,
  [2051] = 486,
  [2052] = 488,
  [2053] = 499,
  [2054] = 503,
  [2055] = 505,
  [2056] = 561,
  [2057] = 537,
  [2058] = 530,
  [2059] = 504,
  [2060] = 508,
  [2061] = 473,
  [2062] = 475,
  [2063] = 476,
  [2064] = 477,
  [2065] = 480,
  [2066] = 482,
  [2067] = 485,
  [2068] = 487,
  [2069] = 493,
  [2070] = 496,
  [2071] = 511,
  [2072] = 519,
  [2073] = 1928,
  [2074] = 2074,
  [2075] = 544,
  [2076] = 2076,
  [2077] = 1903,
  [2078] = 492,
  [2079] = 491,
  [2080] = 507,
  [2081] = 463,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 1902,
  [2085] = 539,
  [2086] = 543,
  [2087] = 553,
  [2088] = 555,
  [2089] = 562,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 518,
  [2094] = 2094,
  [2095] = 514,
  [2096] = 2096,
  [2097] = 1917,
  [2098] = 510,
  [2099] = 467,
  [2100] = 2100,
  [2101] = 564,
  [2102] = 552,
  [2103] = 551,
  [2104] = 2104,
  [2105] = 549,
  [2106] = 1967,
  [2107] = 548,
  [2108] = 547,
  [2109] = 554,
  [2110] = 535,
  [2111] = 462,
  [2112] = 2112,
  [2113] = 532,
  [2114] = 524,
  [2115] = 1669,
  [2116] = 501,
  [2117] = 497,
  [2118] = 494,
  [2119] = 490,
  [2120] = 489,
  [2121] = 471,
  [2122] = 469,
  [2123] = 2123,
  [2124] = 515,
  [2125] = 1825,
  [2126] = 500,
  [2127] = 470,
  [2128] = 2128,
  [2129] = 483,
  [2130] = 1967,
  [2131] = 542,
  [2132] = 1309,
  [2133] = 466,
  [2134] = 1917,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 1917,
  [2139] = 1967,
  [2140] = 1917,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 1967,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 1967,
  [2150] = 1917,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 1967,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 1917,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2174,
  [2195] = 2195,
  [2196] = 2174,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2178,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 1730,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2174,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2221,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 1952,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2180,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2173,
  [2248] = 2248,
  [2249] = 2185,
  [2250] = 2192,
  [2251] = 2193,
  [2252] = 2252,
  [2253] = 2180,
  [2254] = 1653,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2258,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2248,
  [2267] = 2174,
  [2268] = 2240,
  [2269] = 2269,
  [2270] = 2234,
  [2271] = 2271,
  [2272] = 2262,
  [2273] = 2188,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2185,
  [2277] = 2219,
  [2278] = 2278,
  [2279] = 2229,
  [2280] = 2217,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2245,
  [2284] = 2284,
  [2285] = 2242,
  [2286] = 2286,
  [2287] = 2278,
  [2288] = 2275,
  [2289] = 2239,
  [2290] = 2207,
  [2291] = 2200,
  [2292] = 2223,
  [2293] = 2165,
  [2294] = 2190,
  [2295] = 2186,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2160,
  [2301] = 2301,
  [2302] = 2162,
  [2303] = 2181,
  [2304] = 2304,
  [2305] = 2202,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2222,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2225,
  [2312] = 2182,
  [2313] = 2313,
  [2314] = 2231,
  [2315] = 2282,
  [2316] = 2183,
  [2317] = 2170,
  [2318] = 2318,
  [2319] = 2216,
  [2320] = 2320,
  [2321] = 2184,
  [2322] = 2231,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2187,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2189,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2328,
  [2339] = 2339,
  [2340] = 2206,
  [2341] = 2210,
  [2342] = 2342,
  [2343] = 2215,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2218,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2255,
  [2352] = 2352,
  [2353] = 2256,
  [2354] = 2259,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2261,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2263,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2264,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2159,
  [2367] = 2265,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2310,
  [2371] = 2371,
  [2372] = 2309,
  [2373] = 2198,
  [2374] = 2174,
  [2375] = 2375,
  [2376] = 2271,
  [2377] = 2377,
  [2378] = 2208,
  [2379] = 2345,
  [2380] = 2281,
  [2381] = 2381,
  [2382] = 2209,
  [2383] = 2383,
  [2384] = 2297,
  [2385] = 2298,
  [2386] = 2386,
  [2387] = 2301,
  [2388] = 2306,
  [2389] = 2307,
  [2390] = 2327,
  [2391] = 2330,
  [2392] = 2392,
  [2393] = 2339,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2359,
  [2399] = 2395,
  [2400] = 2400,
  [2401] = 2197,
  [2402] = 2185,
  [2403] = 2403,
  [2404] = 2361,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2296,
  [2408] = 2365,
  [2409] = 2394,
  [2410] = 2180,
  [2411] = 1445,
  [2412] = 2412,
  [2413] = 2231,
  [2414] = 2375,
  [2415] = 2336,
  [2416] = 2334,
  [2417] = 2304,
  [2418] = 2362,
  [2419] = 2329,
  [2420] = 2244,
  [2421] = 2368,
  [2422] = 2299,
  [2423] = 2090,
  [2424] = 2318,
  [2425] = 2324,
  [2426] = 2369,
  [2427] = 2371,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2091,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2432,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2441,
  [2456] = 2438,
  [2457] = 2448,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2074,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2442,
  [2467] = 2433,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2444,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2440,
  [2478] = 2478,
  [2479] = 2443,
  [2480] = 2480,
  [2481] = 2439,
  [2482] = 2482,
  [2483] = 2437,
  [2484] = 2484,
  [2485] = 2435,
  [2486] = 2435,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2437,
  [2492] = 2492,
  [2493] = 2461,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2446,
  [2500] = 2432,
  [2501] = 2501,
  [2502] = 2482,
  [2503] = 2464,
  [2504] = 2439,
  [2505] = 2474,
  [2506] = 2444,
  [2507] = 2443,
  [2508] = 2439,
  [2509] = 2434,
  [2510] = 2475,
  [2511] = 2433,
  [2512] = 2489,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2434,
  [2516] = 2492,
  [2517] = 2489,
  [2518] = 2495,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2488,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2489,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2428,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2439,
  [2538] = 2519,
  [2539] = 2520,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2434,
  [2543] = 2489,
  [2544] = 2470,
  [2545] = 2532,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2495,
  [2549] = 2524,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2531,
  [2554] = 2433,
  [2555] = 2521,
  [2556] = 2556,
  [2557] = 2547,
  [2558] = 2546,
  [2559] = 2541,
  [2560] = 2560,
  [2561] = 2473,
  [2562] = 2536,
  [2563] = 2527,
  [2564] = 2526,
  [2565] = 2495,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2463,
  [2570] = 2449,
  [2571] = 2476,
  [2572] = 2533,
  [2573] = 2445,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2556,
  [2577] = 2432,
  [2578] = 2435,
  [2579] = 2476,
  [2580] = 2487,
  [2581] = 2437,
  [2582] = 2473,
  [2583] = 2439,
  [2584] = 2440,
  [2585] = 1445,
  [2586] = 2442,
  [2587] = 2434,
  [2588] = 2588,
  [2589] = 2441,
  [2590] = 2439,
  [2591] = 2591,
  [2592] = 2439,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2473,
  [2596] = 2552,
  [2597] = 2478,
  [2598] = 2498,
  [2599] = 2440,
  [2600] = 2551,
  [2601] = 2484,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2439,
  [2605] = 2445,
  [2606] = 2439,
  [2607] = 2443,
  [2608] = 2444,
  [2609] = 2487,
  [2610] = 2473,
  [2611] = 2551,
  [2612] = 2612,
  [2613] = 2550,
  [2614] = 2473,
  [2615] = 2615,
  [2616] = 2454,
  [2617] = 2617,
  [2618] = 2439,
  [2619] = 2619,
  [2620] = 2468,
  [2621] = 2469,
  [2622] = 2473,
  [2623] = 2602,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2560,
  [2629] = 2439,
  [2630] = 2439,
  [2631] = 2627,
  [2632] = 2632,
  [2633] = 2494,
  [2634] = 2626,
  [2635] = 2490,
  [2636] = 2566,
  [2637] = 2445,
  [2638] = 2567,
  [2639] = 2568,
  [2640] = 2487,
  [2641] = 2627,
  [2642] = 2574,
  [2643] = 2490,
  [2644] = 2575,
  [2645] = 2627,
  [2646] = 2624,
  [2647] = 2465,
  [2648] = 2454,
  [2649] = 2490,
  [2650] = 2473,
  [2651] = 2624,
  [2652] = 2602,
  [2653] = 2624,
  [2654] = 2602,
  [2655] = 2442,
  [2656] = 2656,
  [2657] = 2657,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '$'
        ? c == '"'
        : c <= '$')
      : (c <= '\\' || c == '`'))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(190);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(196);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(229);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(217);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(218);
      if (lookahead == '?') ADVANCE(106);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(208);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(237);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(241);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(259);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(267);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(279);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(279);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(280);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(194);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(229);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(110);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(238);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(242);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(120);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(238);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(242);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(237);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(241);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(259);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(267);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(190);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(196);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(139);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(140);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(108);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == '&') ADVANCE(92);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(232);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(228);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == '>') ADVANCE(219);
      if (lookahead == '?') ADVANCE(110);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(207);
      if (lookahead == '|') ADVANCE(113);
      if (lookahead == '}') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(238);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(238);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(14);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(54);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(40);
      if (lookahead == '?') ADVANCE(36);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == '{') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(188);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '?') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(181);
      if (lookahead != 0) ADVANCE(187);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(280);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead == '/') ADVANCE(279);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(25);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '.') ADVANCE(105);
      END_STATE();
    case 30:
      if (lookahead == '<') ADVANCE(189);
      END_STATE();
    case 31:
      if (lookahead == '<') ADVANCE(30);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 33:
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 37:
      if (lookahead == '>') ADVANCE(163);
      END_STATE();
    case 38:
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 39:
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 40:
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == '}') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 44:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 45:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 46:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(50);
      END_STATE();
    case 47:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 48:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 49:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(75);
      END_STATE();
    case 51:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 52:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(45);
      END_STATE();
    case 53:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 54:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 55:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(127);
      END_STATE();
    case 56:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 58:
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(167);
      if (lookahead == 'u') ADVANCE(172);
      if (lookahead == 'x') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(169);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(170);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 67:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(184);
      if (lookahead == '*') ADVANCE(183);
      END_STATE();
    case 68:
      if (lookahead != 0) ADVANCE(187);
      END_STATE();
    case 69:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(143);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(229);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(217);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(218);
      if (lookahead == '?') ADVANCE(106);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(208);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(237);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(241);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(259);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(267);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 70:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(142);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(281);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '0') ADVANCE(124);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == '?') ADVANCE(38);
      if (lookahead == '@') ADVANCE(132);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '}') ADVANCE(99);
      if (lookahead == '~') ADVANCE(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(238);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(242);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(70)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 71:
      if (eof) ADVANCE(74);
      if (lookahead == '!') ADVANCE(32);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(93);
      if (lookahead == '\'') ADVANCE(173);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '.') ADVANCE(230);
      if (lookahead == '/') ADVANCE(234);
      if (lookahead == '0') ADVANCE(129);
      if (lookahead == ':') ADVANCE(101);
      if (lookahead == ';') ADVANCE(90);
      if (lookahead == '<') ADVANCE(215);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(218);
      if (lookahead == '?') ADVANCE(107);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '^') ADVANCE(208);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(112);
      if (lookahead == '}') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(71)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 72:
      if (eof) ADVANCE(74);
      if (lookahead == '#') ADVANCE(87);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '?') ADVANCE(88);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72)
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 73:
      if (eof) ADVANCE(74);
      if (lookahead == '#') ADVANCE(282);
      if (lookahead == '$') ADVANCE(202);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '(') ADVANCE(103);
      if (lookahead == ')') ADVANCE(104);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '<') ADVANCE(39);
      if (lookahead == '=') ADVANCE(35);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '{') ADVANCE(98);
      if (lookahead == '|') ADVANCE(111);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(73)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(89);
      if (lookahead == '\r') ADVANCE(81);
      if (lookahead == '<') ADVANCE(280);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(87);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '?') ADVANCE(88);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(84);
      if (lookahead == '/') ADVANCE(89);
      if (lookahead == '<') ADVANCE(26);
      if (lookahead != 0) ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(84);
      if (lookahead == '<') ADVANCE(26);
      if (lookahead != 0) ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '<') ADVANCE(280);
      if (lookahead == '?') ADVANCE(80);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '<') ADVANCE(280);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(89);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(146);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(204);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(204);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(203);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(77);
      if (lookahead == '?') ADVANCE(203);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(29);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(277);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(130);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(64);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(59);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(55);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(130);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(147);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(167);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(66);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_GT2);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(187);
      if (lookahead == '\r') ADVANCE(180);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '#') ADVANCE(188);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '?') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(68);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(184);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '/') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(283);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(283);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(186);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__new_line_token1);
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '?') ADVANCE(36);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__new_line_token1);
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(194);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__new_line_token2);
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(193);
      if (lookahead == '?') ADVANCE(36);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__new_line_token2);
      if (lookahead == '\n') ADVANCE(192);
      if (lookahead == '\r') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_boolean);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(212);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(225);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(220);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(221);
      if (lookahead == '>') ADVANCE(227);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(221);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(222);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(189);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(29);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(145);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(144);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(280);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(176);
      if (lookahead == '\'') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == '_') ADVANCE(276);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(271);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(265);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(280);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(280);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(186);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(187);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'E') ADVANCE(3);
      if (lookahead == 'F') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'M') ADVANCE(6);
      if (lookahead == 'N') ADVANCE(7);
      if (lookahead == 'P') ADVANCE(8);
      if (lookahead == 'S') ADVANCE(9);
      if (lookahead == 'T') ADVANCE(10);
      if (lookahead == 'U') ADVANCE(11);
      if (lookahead == 'V') ADVANCE(12);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead == 'b') ADVANCE(14);
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'm') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      if (lookahead == 'p') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(26);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(28);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(29);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(32);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'N') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(82);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(87);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(90);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 43:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(102);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(114);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 61:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 63:
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(110);
      if (lookahead == 't') ADVANCE(128);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(131);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(141);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(142);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(144);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(147);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 84:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 89:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(154);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 92:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 93:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 97:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 99:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 100:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(166);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(169);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(170);
      END_STATE();
    case 101:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(171);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(179);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 111:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 114:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(183);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 115:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(185);
      END_STATE();
    case 116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(187);
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 119:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 143:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(210);
      END_STATE();
    case 145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(212);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 154:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 157:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 166:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 168:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      END_STATE();
    case 169:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(235);
      END_STATE();
    case 170:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(236);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 172:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 173:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 178:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      END_STATE();
    case 181:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 182:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(256);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 209:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(271);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 221:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 223:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 231:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 233:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 235:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 237:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 241:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(302);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 248:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(304);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 253:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 260:
      if (lookahead == 'b') ADVANCE(309);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 266:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 269:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(314);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 274:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 275:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 276:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 277:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 287:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 289:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 315:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 326:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 327:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 328:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 339:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 340:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 343:
      if (lookahead == 'g') ADVANCE(365);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 350:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(370);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(371);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 353:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 355:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(377);
      END_STATE();
    case 361:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 367:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 373:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 375:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 376:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 377:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(388);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 382:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 383:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 387:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 392:
      if (lookahead == 's') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 72},
  [2] = {.lex_state = 70},
  [3] = {.lex_state = 70},
  [4] = {.lex_state = 70},
  [5] = {.lex_state = 70},
  [6] = {.lex_state = 70},
  [7] = {.lex_state = 70},
  [8] = {.lex_state = 70},
  [9] = {.lex_state = 70},
  [10] = {.lex_state = 70},
  [11] = {.lex_state = 70},
  [12] = {.lex_state = 70, .external_lex_state = 2},
  [13] = {.lex_state = 70, .external_lex_state = 2},
  [14] = {.lex_state = 70, .external_lex_state = 2},
  [15] = {.lex_state = 70, .external_lex_state = 2},
  [16] = {.lex_state = 70},
  [17] = {.lex_state = 70},
  [18] = {.lex_state = 70, .external_lex_state = 2},
  [19] = {.lex_state = 70},
  [20] = {.lex_state = 70},
  [21] = {.lex_state = 70},
  [22] = {.lex_state = 70},
  [23] = {.lex_state = 70},
  [24] = {.lex_state = 70, .external_lex_state = 2},
  [25] = {.lex_state = 70},
  [26] = {.lex_state = 70},
  [27] = {.lex_state = 70},
  [28] = {.lex_state = 70},
  [29] = {.lex_state = 70, .external_lex_state = 2},
  [30] = {.lex_state = 70},
  [31] = {.lex_state = 70, .external_lex_state = 2},
  [32] = {.lex_state = 70, .external_lex_state = 2},
  [33] = {.lex_state = 70},
  [34] = {.lex_state = 70},
  [35] = {.lex_state = 70},
  [36] = {.lex_state = 70},
  [37] = {.lex_state = 70},
  [38] = {.lex_state = 70},
  [39] = {.lex_state = 70},
  [40] = {.lex_state = 70, .external_lex_state = 2},
  [41] = {.lex_state = 70, .external_lex_state = 2},
  [42] = {.lex_state = 70, .external_lex_state = 2},
  [43] = {.lex_state = 70},
  [44] = {.lex_state = 70},
  [45] = {.lex_state = 70, .external_lex_state = 2},
  [46] = {.lex_state = 70, .external_lex_state = 2},
  [47] = {.lex_state = 70, .external_lex_state = 2},
  [48] = {.lex_state = 70},
  [49] = {.lex_state = 70, .external_lex_state = 2},
  [50] = {.lex_state = 70, .external_lex_state = 2},
  [51] = {.lex_state = 70},
  [52] = {.lex_state = 70, .external_lex_state = 2},
  [53] = {.lex_state = 70, .external_lex_state = 2},
  [54] = {.lex_state = 70, .external_lex_state = 2},
  [55] = {.lex_state = 70},
  [56] = {.lex_state = 70},
  [57] = {.lex_state = 70},
  [58] = {.lex_state = 70},
  [59] = {.lex_state = 70},
  [60] = {.lex_state = 70, .external_lex_state = 2},
  [61] = {.lex_state = 70},
  [62] = {.lex_state = 70},
  [63] = {.lex_state = 70},
  [64] = {.lex_state = 70},
  [65] = {.lex_state = 70},
  [66] = {.lex_state = 70},
  [67] = {.lex_state = 70},
  [68] = {.lex_state = 70},
  [69] = {.lex_state = 70},
  [70] = {.lex_state = 70, .external_lex_state = 2},
  [71] = {.lex_state = 70},
  [72] = {.lex_state = 70},
  [73] = {.lex_state = 70},
  [74] = {.lex_state = 70},
  [75] = {.lex_state = 70, .external_lex_state = 2},
  [76] = {.lex_state = 70},
  [77] = {.lex_state = 70, .external_lex_state = 2},
  [78] = {.lex_state = 70},
  [79] = {.lex_state = 70},
  [80] = {.lex_state = 70},
  [81] = {.lex_state = 70},
  [82] = {.lex_state = 70},
  [83] = {.lex_state = 70},
  [84] = {.lex_state = 70},
  [85] = {.lex_state = 70},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6},
  [88] = {.lex_state = 6, .external_lex_state = 2},
  [89] = {.lex_state = 6},
  [90] = {.lex_state = 8},
  [91] = {.lex_state = 8},
  [92] = {.lex_state = 8},
  [93] = {.lex_state = 8},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 8},
  [96] = {.lex_state = 8},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 8},
  [101] = {.lex_state = 7},
  [102] = {.lex_state = 7},
  [103] = {.lex_state = 7},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 7},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 7},
  [110] = {.lex_state = 7},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 7},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 7},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 7},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 7},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 70},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 70},
  [134] = {.lex_state = 7},
  [135] = {.lex_state = 7},
  [136] = {.lex_state = 7},
  [137] = {.lex_state = 7},
  [138] = {.lex_state = 7},
  [139] = {.lex_state = 7},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 7},
  [143] = {.lex_state = 7},
  [144] = {.lex_state = 7},
  [145] = {.lex_state = 70},
  [146] = {.lex_state = 70},
  [147] = {.lex_state = 70},
  [148] = {.lex_state = 7},
  [149] = {.lex_state = 70},
  [150] = {.lex_state = 7},
  [151] = {.lex_state = 70},
  [152] = {.lex_state = 70},
  [153] = {.lex_state = 70},
  [154] = {.lex_state = 70},
  [155] = {.lex_state = 7},
  [156] = {.lex_state = 70},
  [157] = {.lex_state = 70},
  [158] = {.lex_state = 70},
  [159] = {.lex_state = 70},
  [160] = {.lex_state = 70},
  [161] = {.lex_state = 70},
  [162] = {.lex_state = 70},
  [163] = {.lex_state = 70},
  [164] = {.lex_state = 70},
  [165] = {.lex_state = 70},
  [166] = {.lex_state = 70},
  [167] = {.lex_state = 70},
  [168] = {.lex_state = 70},
  [169] = {.lex_state = 70},
  [170] = {.lex_state = 70},
  [171] = {.lex_state = 70},
  [172] = {.lex_state = 70},
  [173] = {.lex_state = 70},
  [174] = {.lex_state = 70},
  [175] = {.lex_state = 70},
  [176] = {.lex_state = 70},
  [177] = {.lex_state = 70},
  [178] = {.lex_state = 70},
  [179] = {.lex_state = 70},
  [180] = {.lex_state = 70},
  [181] = {.lex_state = 70},
  [182] = {.lex_state = 70},
  [183] = {.lex_state = 70},
  [184] = {.lex_state = 70},
  [185] = {.lex_state = 70},
  [186] = {.lex_state = 70},
  [187] = {.lex_state = 70, .external_lex_state = 2},
  [188] = {.lex_state = 70},
  [189] = {.lex_state = 70},
  [190] = {.lex_state = 70, .external_lex_state = 2},
  [191] = {.lex_state = 70},
  [192] = {.lex_state = 70},
  [193] = {.lex_state = 70},
  [194] = {.lex_state = 70},
  [195] = {.lex_state = 70, .external_lex_state = 2},
  [196] = {.lex_state = 7},
  [197] = {.lex_state = 7},
  [198] = {.lex_state = 70},
  [199] = {.lex_state = 70, .external_lex_state = 2},
  [200] = {.lex_state = 70, .external_lex_state = 2},
  [201] = {.lex_state = 70, .external_lex_state = 2},
  [202] = {.lex_state = 70},
  [203] = {.lex_state = 70},
  [204] = {.lex_state = 70},
  [205] = {.lex_state = 70},
  [206] = {.lex_state = 70},
  [207] = {.lex_state = 70},
  [208] = {.lex_state = 70},
  [209] = {.lex_state = 70},
  [210] = {.lex_state = 70},
  [211] = {.lex_state = 70},
  [212] = {.lex_state = 70},
  [213] = {.lex_state = 70},
  [214] = {.lex_state = 70},
  [215] = {.lex_state = 70},
  [216] = {.lex_state = 70},
  [217] = {.lex_state = 70},
  [218] = {.lex_state = 70},
  [219] = {.lex_state = 70},
  [220] = {.lex_state = 70},
  [221] = {.lex_state = 70},
  [222] = {.lex_state = 70},
  [223] = {.lex_state = 70},
  [224] = {.lex_state = 70},
  [225] = {.lex_state = 70},
  [226] = {.lex_state = 70},
  [227] = {.lex_state = 70},
  [228] = {.lex_state = 70},
  [229] = {.lex_state = 70},
  [230] = {.lex_state = 70},
  [231] = {.lex_state = 70},
  [232] = {.lex_state = 70},
  [233] = {.lex_state = 70},
  [234] = {.lex_state = 70},
  [235] = {.lex_state = 70},
  [236] = {.lex_state = 70},
  [237] = {.lex_state = 70},
  [238] = {.lex_state = 70},
  [239] = {.lex_state = 70},
  [240] = {.lex_state = 70},
  [241] = {.lex_state = 70},
  [242] = {.lex_state = 70},
  [243] = {.lex_state = 70},
  [244] = {.lex_state = 70},
  [245] = {.lex_state = 70},
  [246] = {.lex_state = 70},
  [247] = {.lex_state = 70},
  [248] = {.lex_state = 70},
  [249] = {.lex_state = 70},
  [250] = {.lex_state = 70},
  [251] = {.lex_state = 70},
  [252] = {.lex_state = 70},
  [253] = {.lex_state = 70},
  [254] = {.lex_state = 70},
  [255] = {.lex_state = 70},
  [256] = {.lex_state = 70},
  [257] = {.lex_state = 70},
  [258] = {.lex_state = 70},
  [259] = {.lex_state = 70},
  [260] = {.lex_state = 70},
  [261] = {.lex_state = 70},
  [262] = {.lex_state = 70},
  [263] = {.lex_state = 70},
  [264] = {.lex_state = 70},
  [265] = {.lex_state = 70},
  [266] = {.lex_state = 70},
  [267] = {.lex_state = 70},
  [268] = {.lex_state = 70},
  [269] = {.lex_state = 70},
  [270] = {.lex_state = 70},
  [271] = {.lex_state = 70},
  [272] = {.lex_state = 70},
  [273] = {.lex_state = 70},
  [274] = {.lex_state = 70},
  [275] = {.lex_state = 70},
  [276] = {.lex_state = 70},
  [277] = {.lex_state = 70},
  [278] = {.lex_state = 70},
  [279] = {.lex_state = 70},
  [280] = {.lex_state = 70},
  [281] = {.lex_state = 70},
  [282] = {.lex_state = 70},
  [283] = {.lex_state = 70},
  [284] = {.lex_state = 70},
  [285] = {.lex_state = 70},
  [286] = {.lex_state = 70},
  [287] = {.lex_state = 70},
  [288] = {.lex_state = 70},
  [289] = {.lex_state = 70},
  [290] = {.lex_state = 70},
  [291] = {.lex_state = 70},
  [292] = {.lex_state = 70},
  [293] = {.lex_state = 70},
  [294] = {.lex_state = 70},
  [295] = {.lex_state = 70},
  [296] = {.lex_state = 70},
  [297] = {.lex_state = 70},
  [298] = {.lex_state = 70},
  [299] = {.lex_state = 70},
  [300] = {.lex_state = 70},
  [301] = {.lex_state = 70},
  [302] = {.lex_state = 70},
  [303] = {.lex_state = 70},
  [304] = {.lex_state = 70},
  [305] = {.lex_state = 70},
  [306] = {.lex_state = 70},
  [307] = {.lex_state = 70},
  [308] = {.lex_state = 70},
  [309] = {.lex_state = 70},
  [310] = {.lex_state = 70},
  [311] = {.lex_state = 70},
  [312] = {.lex_state = 70},
  [313] = {.lex_state = 70},
  [314] = {.lex_state = 70},
  [315] = {.lex_state = 70},
  [316] = {.lex_state = 70},
  [317] = {.lex_state = 70},
  [318] = {.lex_state = 70},
  [319] = {.lex_state = 70},
  [320] = {.lex_state = 70},
  [321] = {.lex_state = 70},
  [322] = {.lex_state = 70},
  [323] = {.lex_state = 70},
  [324] = {.lex_state = 70},
  [325] = {.lex_state = 70},
  [326] = {.lex_state = 70},
  [327] = {.lex_state = 70},
  [328] = {.lex_state = 70},
  [329] = {.lex_state = 70},
  [330] = {.lex_state = 70},
  [331] = {.lex_state = 70},
  [332] = {.lex_state = 70},
  [333] = {.lex_state = 70},
  [334] = {.lex_state = 70},
  [335] = {.lex_state = 70},
  [336] = {.lex_state = 70},
  [337] = {.lex_state = 70},
  [338] = {.lex_state = 70},
  [339] = {.lex_state = 70},
  [340] = {.lex_state = 70},
  [341] = {.lex_state = 70},
  [342] = {.lex_state = 70},
  [343] = {.lex_state = 70},
  [344] = {.lex_state = 70},
  [345] = {.lex_state = 70},
  [346] = {.lex_state = 70},
  [347] = {.lex_state = 70},
  [348] = {.lex_state = 70},
  [349] = {.lex_state = 70},
  [350] = {.lex_state = 70},
  [351] = {.lex_state = 70},
  [352] = {.lex_state = 70},
  [353] = {.lex_state = 70},
  [354] = {.lex_state = 70},
  [355] = {.lex_state = 70},
  [356] = {.lex_state = 70},
  [357] = {.lex_state = 70},
  [358] = {.lex_state = 70},
  [359] = {.lex_state = 70},
  [360] = {.lex_state = 70},
  [361] = {.lex_state = 70},
  [362] = {.lex_state = 70},
  [363] = {.lex_state = 70},
  [364] = {.lex_state = 70},
  [365] = {.lex_state = 70},
  [366] = {.lex_state = 70},
  [367] = {.lex_state = 70},
  [368] = {.lex_state = 70},
  [369] = {.lex_state = 70},
  [370] = {.lex_state = 70},
  [371] = {.lex_state = 70},
  [372] = {.lex_state = 70},
  [373] = {.lex_state = 70},
  [374] = {.lex_state = 70},
  [375] = {.lex_state = 70},
  [376] = {.lex_state = 70},
  [377] = {.lex_state = 70},
  [378] = {.lex_state = 70},
  [379] = {.lex_state = 70},
  [380] = {.lex_state = 70},
  [381] = {.lex_state = 70},
  [382] = {.lex_state = 70},
  [383] = {.lex_state = 70},
  [384] = {.lex_state = 70},
  [385] = {.lex_state = 70},
  [386] = {.lex_state = 70},
  [387] = {.lex_state = 70},
  [388] = {.lex_state = 70},
  [389] = {.lex_state = 70},
  [390] = {.lex_state = 70},
  [391] = {.lex_state = 70},
  [392] = {.lex_state = 70},
  [393] = {.lex_state = 70},
  [394] = {.lex_state = 70},
  [395] = {.lex_state = 70},
  [396] = {.lex_state = 70},
  [397] = {.lex_state = 70},
  [398] = {.lex_state = 70},
  [399] = {.lex_state = 70},
  [400] = {.lex_state = 70},
  [401] = {.lex_state = 70},
  [402] = {.lex_state = 70},
  [403] = {.lex_state = 70},
  [404] = {.lex_state = 70},
  [405] = {.lex_state = 70},
  [406] = {.lex_state = 70},
  [407] = {.lex_state = 70},
  [408] = {.lex_state = 70},
  [409] = {.lex_state = 70},
  [410] = {.lex_state = 70},
  [411] = {.lex_state = 70},
  [412] = {.lex_state = 70},
  [413] = {.lex_state = 70},
  [414] = {.lex_state = 70},
  [415] = {.lex_state = 70},
  [416] = {.lex_state = 70},
  [417] = {.lex_state = 70},
  [418] = {.lex_state = 70},
  [419] = {.lex_state = 70},
  [420] = {.lex_state = 70},
  [421] = {.lex_state = 70},
  [422] = {.lex_state = 70},
  [423] = {.lex_state = 70},
  [424] = {.lex_state = 70},
  [425] = {.lex_state = 70},
  [426] = {.lex_state = 70},
  [427] = {.lex_state = 70},
  [428] = {.lex_state = 70},
  [429] = {.lex_state = 70},
  [430] = {.lex_state = 70},
  [431] = {.lex_state = 70},
  [432] = {.lex_state = 70},
  [433] = {.lex_state = 70},
  [434] = {.lex_state = 70},
  [435] = {.lex_state = 70},
  [436] = {.lex_state = 70},
  [437] = {.lex_state = 70},
  [438] = {.lex_state = 70},
  [439] = {.lex_state = 70},
  [440] = {.lex_state = 70},
  [441] = {.lex_state = 70},
  [442] = {.lex_state = 70, .external_lex_state = 2},
  [443] = {.lex_state = 70, .external_lex_state = 2},
  [444] = {.lex_state = 70, .external_lex_state = 2},
  [445] = {.lex_state = 70, .external_lex_state = 2},
  [446] = {.lex_state = 70, .external_lex_state = 2},
  [447] = {.lex_state = 70, .external_lex_state = 2},
  [448] = {.lex_state = 70, .external_lex_state = 2},
  [449] = {.lex_state = 70, .external_lex_state = 2},
  [450] = {.lex_state = 70, .external_lex_state = 2},
  [451] = {.lex_state = 70, .external_lex_state = 2},
  [452] = {.lex_state = 70, .external_lex_state = 2},
  [453] = {.lex_state = 70, .external_lex_state = 2},
  [454] = {.lex_state = 70, .external_lex_state = 2},
  [455] = {.lex_state = 70, .external_lex_state = 2},
  [456] = {.lex_state = 70, .external_lex_state = 2},
  [457] = {.lex_state = 70, .external_lex_state = 2},
  [458] = {.lex_state = 70, .external_lex_state = 2},
  [459] = {.lex_state = 70, .external_lex_state = 2},
  [460] = {.lex_state = 70, .external_lex_state = 2},
  [461] = {.lex_state = 70, .external_lex_state = 2},
  [462] = {.lex_state = 70},
  [463] = {.lex_state = 70},
  [464] = {.lex_state = 70},
  [465] = {.lex_state = 70},
  [466] = {.lex_state = 70},
  [467] = {.lex_state = 70},
  [468] = {.lex_state = 70},
  [469] = {.lex_state = 70},
  [470] = {.lex_state = 70},
  [471] = {.lex_state = 70},
  [472] = {.lex_state = 70},
  [473] = {.lex_state = 70},
  [474] = {.lex_state = 70},
  [475] = {.lex_state = 70},
  [476] = {.lex_state = 70},
  [477] = {.lex_state = 70},
  [478] = {.lex_state = 70},
  [479] = {.lex_state = 70},
  [480] = {.lex_state = 70},
  [481] = {.lex_state = 70},
  [482] = {.lex_state = 70},
  [483] = {.lex_state = 70},
  [484] = {.lex_state = 70},
  [485] = {.lex_state = 70},
  [486] = {.lex_state = 70},
  [487] = {.lex_state = 70},
  [488] = {.lex_state = 70},
  [489] = {.lex_state = 70},
  [490] = {.lex_state = 70},
  [491] = {.lex_state = 70},
  [492] = {.lex_state = 70},
  [493] = {.lex_state = 70},
  [494] = {.lex_state = 70},
  [495] = {.lex_state = 70},
  [496] = {.lex_state = 70},
  [497] = {.lex_state = 70},
  [498] = {.lex_state = 70},
  [499] = {.lex_state = 70},
  [500] = {.lex_state = 70},
  [501] = {.lex_state = 70},
  [502] = {.lex_state = 70},
  [503] = {.lex_state = 70},
  [504] = {.lex_state = 70},
  [505] = {.lex_state = 70},
  [506] = {.lex_state = 70},
  [507] = {.lex_state = 70},
  [508] = {.lex_state = 70},
  [509] = {.lex_state = 70},
  [510] = {.lex_state = 70},
  [511] = {.lex_state = 70},
  [512] = {.lex_state = 70},
  [513] = {.lex_state = 70},
  [514] = {.lex_state = 70},
  [515] = {.lex_state = 70},
  [516] = {.lex_state = 70},
  [517] = {.lex_state = 70},
  [518] = {.lex_state = 70},
  [519] = {.lex_state = 70},
  [520] = {.lex_state = 70},
  [521] = {.lex_state = 70},
  [522] = {.lex_state = 70},
  [523] = {.lex_state = 70},
  [524] = {.lex_state = 70},
  [525] = {.lex_state = 70},
  [526] = {.lex_state = 70},
  [527] = {.lex_state = 70},
  [528] = {.lex_state = 70},
  [529] = {.lex_state = 70},
  [530] = {.lex_state = 70},
  [531] = {.lex_state = 70},
  [532] = {.lex_state = 70},
  [533] = {.lex_state = 70},
  [534] = {.lex_state = 70},
  [535] = {.lex_state = 70},
  [536] = {.lex_state = 70},
  [537] = {.lex_state = 70},
  [538] = {.lex_state = 70},
  [539] = {.lex_state = 70},
  [540] = {.lex_state = 70},
  [541] = {.lex_state = 70},
  [542] = {.lex_state = 70},
  [543] = {.lex_state = 70},
  [544] = {.lex_state = 70},
  [545] = {.lex_state = 70},
  [546] = {.lex_state = 70},
  [547] = {.lex_state = 70},
  [548] = {.lex_state = 70},
  [549] = {.lex_state = 70},
  [550] = {.lex_state = 70},
  [551] = {.lex_state = 70},
  [552] = {.lex_state = 70},
  [553] = {.lex_state = 70},
  [554] = {.lex_state = 70},
  [555] = {.lex_state = 70},
  [556] = {.lex_state = 70},
  [557] = {.lex_state = 70},
  [558] = {.lex_state = 70},
  [559] = {.lex_state = 70},
  [560] = {.lex_state = 70},
  [561] = {.lex_state = 70},
  [562] = {.lex_state = 70},
  [563] = {.lex_state = 70},
  [564] = {.lex_state = 70},
  [565] = {.lex_state = 70},
  [566] = {.lex_state = 70},
  [567] = {.lex_state = 70},
  [568] = {.lex_state = 70},
  [569] = {.lex_state = 70},
  [570] = {.lex_state = 70},
  [571] = {.lex_state = 71},
  [572] = {.lex_state = 71},
  [573] = {.lex_state = 71},
  [574] = {.lex_state = 71},
  [575] = {.lex_state = 71},
  [576] = {.lex_state = 71},
  [577] = {.lex_state = 71},
  [578] = {.lex_state = 71},
  [579] = {.lex_state = 71},
  [580] = {.lex_state = 71},
  [581] = {.lex_state = 71},
  [582] = {.lex_state = 71},
  [583] = {.lex_state = 71},
  [584] = {.lex_state = 71},
  [585] = {.lex_state = 71},
  [586] = {.lex_state = 71},
  [587] = {.lex_state = 71},
  [588] = {.lex_state = 71},
  [589] = {.lex_state = 71},
  [590] = {.lex_state = 71},
  [591] = {.lex_state = 71},
  [592] = {.lex_state = 71},
  [593] = {.lex_state = 71},
  [594] = {.lex_state = 71},
  [595] = {.lex_state = 71},
  [596] = {.lex_state = 71},
  [597] = {.lex_state = 71},
  [598] = {.lex_state = 71},
  [599] = {.lex_state = 71, .external_lex_state = 2},
  [600] = {.lex_state = 71},
  [601] = {.lex_state = 71, .external_lex_state = 2},
  [602] = {.lex_state = 71, .external_lex_state = 2},
  [603] = {.lex_state = 71},
  [604] = {.lex_state = 71, .external_lex_state = 2},
  [605] = {.lex_state = 71, .external_lex_state = 2},
  [606] = {.lex_state = 71, .external_lex_state = 2},
  [607] = {.lex_state = 71, .external_lex_state = 2},
  [608] = {.lex_state = 71},
  [609] = {.lex_state = 71},
  [610] = {.lex_state = 71, .external_lex_state = 2},
  [611] = {.lex_state = 71, .external_lex_state = 2},
  [612] = {.lex_state = 71, .external_lex_state = 2},
  [613] = {.lex_state = 71},
  [614] = {.lex_state = 71, .external_lex_state = 2},
  [615] = {.lex_state = 71, .external_lex_state = 2},
  [616] = {.lex_state = 71},
  [617] = {.lex_state = 71, .external_lex_state = 2},
  [618] = {.lex_state = 71, .external_lex_state = 2},
  [619] = {.lex_state = 71, .external_lex_state = 2},
  [620] = {.lex_state = 71, .external_lex_state = 2},
  [621] = {.lex_state = 71},
  [622] = {.lex_state = 71, .external_lex_state = 2},
  [623] = {.lex_state = 71, .external_lex_state = 2},
  [624] = {.lex_state = 71, .external_lex_state = 2},
  [625] = {.lex_state = 71, .external_lex_state = 2},
  [626] = {.lex_state = 71},
  [627] = {.lex_state = 71, .external_lex_state = 2},
  [628] = {.lex_state = 71},
  [629] = {.lex_state = 71, .external_lex_state = 2},
  [630] = {.lex_state = 71, .external_lex_state = 2},
  [631] = {.lex_state = 71},
  [632] = {.lex_state = 71, .external_lex_state = 2},
  [633] = {.lex_state = 71},
  [634] = {.lex_state = 71, .external_lex_state = 2},
  [635] = {.lex_state = 71},
  [636] = {.lex_state = 71},
  [637] = {.lex_state = 71},
  [638] = {.lex_state = 71, .external_lex_state = 2},
  [639] = {.lex_state = 71, .external_lex_state = 2},
  [640] = {.lex_state = 71, .external_lex_state = 2},
  [641] = {.lex_state = 71},
  [642] = {.lex_state = 71},
  [643] = {.lex_state = 71},
  [644] = {.lex_state = 71},
  [645] = {.lex_state = 71},
  [646] = {.lex_state = 71},
  [647] = {.lex_state = 9},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 73},
  [650] = {.lex_state = 9},
  [651] = {.lex_state = 10},
  [652] = {.lex_state = 9},
  [653] = {.lex_state = 9},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 10},
  [656] = {.lex_state = 10},
  [657] = {.lex_state = 10},
  [658] = {.lex_state = 10},
  [659] = {.lex_state = 73},
  [660] = {.lex_state = 10},
  [661] = {.lex_state = 10},
  [662] = {.lex_state = 10},
  [663] = {.lex_state = 10},
  [664] = {.lex_state = 10},
  [665] = {.lex_state = 10},
  [666] = {.lex_state = 15},
  [667] = {.lex_state = 10},
  [668] = {.lex_state = 10},
  [669] = {.lex_state = 10},
  [670] = {.lex_state = 10},
  [671] = {.lex_state = 10},
  [672] = {.lex_state = 9},
  [673] = {.lex_state = 10},
  [674] = {.lex_state = 10},
  [675] = {.lex_state = 10},
  [676] = {.lex_state = 10},
  [677] = {.lex_state = 10},
  [678] = {.lex_state = 15},
  [679] = {.lex_state = 9},
  [680] = {.lex_state = 10},
  [681] = {.lex_state = 10},
  [682] = {.lex_state = 9},
  [683] = {.lex_state = 9},
  [684] = {.lex_state = 16},
  [685] = {.lex_state = 9},
  [686] = {.lex_state = 9},
  [687] = {.lex_state = 9},
  [688] = {.lex_state = 16},
  [689] = {.lex_state = 9},
  [690] = {.lex_state = 9},
  [691] = {.lex_state = 9},
  [692] = {.lex_state = 9},
  [693] = {.lex_state = 9},
  [694] = {.lex_state = 18},
  [695] = {.lex_state = 9},
  [696] = {.lex_state = 10},
  [697] = {.lex_state = 16},
  [698] = {.lex_state = 9},
  [699] = {.lex_state = 9},
  [700] = {.lex_state = 9},
  [701] = {.lex_state = 9},
  [702] = {.lex_state = 9},
  [703] = {.lex_state = 9},
  [704] = {.lex_state = 9},
  [705] = {.lex_state = 16},
  [706] = {.lex_state = 9},
  [707] = {.lex_state = 9},
  [708] = {.lex_state = 10},
  [709] = {.lex_state = 9},
  [710] = {.lex_state = 9},
  [711] = {.lex_state = 9},
  [712] = {.lex_state = 16},
  [713] = {.lex_state = 9},
  [714] = {.lex_state = 9},
  [715] = {.lex_state = 9},
  [716] = {.lex_state = 18},
  [717] = {.lex_state = 9},
  [718] = {.lex_state = 9},
  [719] = {.lex_state = 9},
  [720] = {.lex_state = 9},
  [721] = {.lex_state = 9},
  [722] = {.lex_state = 9},
  [723] = {.lex_state = 9},
  [724] = {.lex_state = 9},
  [725] = {.lex_state = 9},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 9},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 9},
  [730] = {.lex_state = 9},
  [731] = {.lex_state = 9},
  [732] = {.lex_state = 9},
  [733] = {.lex_state = 9},
  [734] = {.lex_state = 9},
  [735] = {.lex_state = 9},
  [736] = {.lex_state = 9},
  [737] = {.lex_state = 9},
  [738] = {.lex_state = 9},
  [739] = {.lex_state = 9},
  [740] = {.lex_state = 9},
  [741] = {.lex_state = 9},
  [742] = {.lex_state = 9},
  [743] = {.lex_state = 9},
  [744] = {.lex_state = 9},
  [745] = {.lex_state = 18},
  [746] = {.lex_state = 9},
  [747] = {.lex_state = 9},
  [748] = {.lex_state = 9},
  [749] = {.lex_state = 9},
  [750] = {.lex_state = 9},
  [751] = {.lex_state = 9},
  [752] = {.lex_state = 9},
  [753] = {.lex_state = 18},
  [754] = {.lex_state = 18},
  [755] = {.lex_state = 9},
  [756] = {.lex_state = 9},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 9},
  [759] = {.lex_state = 9},
  [760] = {.lex_state = 9},
  [761] = {.lex_state = 18},
  [762] = {.lex_state = 16},
  [763] = {.lex_state = 9},
  [764] = {.lex_state = 9},
  [765] = {.lex_state = 9},
  [766] = {.lex_state = 13},
  [767] = {.lex_state = 9, .external_lex_state = 2},
  [768] = {.lex_state = 10, .external_lex_state = 2},
  [769] = {.lex_state = 18},
  [770] = {.lex_state = 9},
  [771] = {.lex_state = 9},
  [772] = {.lex_state = 10, .external_lex_state = 2},
  [773] = {.lex_state = 10, .external_lex_state = 2},
  [774] = {.lex_state = 10, .external_lex_state = 2},
  [775] = {.lex_state = 10, .external_lex_state = 2},
  [776] = {.lex_state = 9},
  [777] = {.lex_state = 13},
  [778] = {.lex_state = 9, .external_lex_state = 2},
  [779] = {.lex_state = 10, .external_lex_state = 2},
  [780] = {.lex_state = 9},
  [781] = {.lex_state = 9, .external_lex_state = 2},
  [782] = {.lex_state = 9},
  [783] = {.lex_state = 9, .external_lex_state = 2},
  [784] = {.lex_state = 10, .external_lex_state = 2},
  [785] = {.lex_state = 9},
  [786] = {.lex_state = 10, .external_lex_state = 2},
  [787] = {.lex_state = 9, .external_lex_state = 2},
  [788] = {.lex_state = 10, .external_lex_state = 2},
  [789] = {.lex_state = 10, .external_lex_state = 2},
  [790] = {.lex_state = 7},
  [791] = {.lex_state = 10, .external_lex_state = 2},
  [792] = {.lex_state = 9, .external_lex_state = 2},
  [793] = {.lex_state = 10, .external_lex_state = 2},
  [794] = {.lex_state = 10, .external_lex_state = 2},
  [795] = {.lex_state = 10, .external_lex_state = 2},
  [796] = {.lex_state = 10, .external_lex_state = 2},
  [797] = {.lex_state = 10, .external_lex_state = 2},
  [798] = {.lex_state = 10, .external_lex_state = 2},
  [799] = {.lex_state = 10, .external_lex_state = 2},
  [800] = {.lex_state = 10, .external_lex_state = 2},
  [801] = {.lex_state = 9},
  [802] = {.lex_state = 10, .external_lex_state = 2},
  [803] = {.lex_state = 10, .external_lex_state = 2},
  [804] = {.lex_state = 10, .external_lex_state = 2},
  [805] = {.lex_state = 10, .external_lex_state = 2},
  [806] = {.lex_state = 10, .external_lex_state = 2},
  [807] = {.lex_state = 9, .external_lex_state = 2},
  [808] = {.lex_state = 16},
  [809] = {.lex_state = 9, .external_lex_state = 2},
  [810] = {.lex_state = 9, .external_lex_state = 2},
  [811] = {.lex_state = 16},
  [812] = {.lex_state = 9, .external_lex_state = 2},
  [813] = {.lex_state = 9, .external_lex_state = 2},
  [814] = {.lex_state = 9, .external_lex_state = 2},
  [815] = {.lex_state = 9, .external_lex_state = 2},
  [816] = {.lex_state = 16},
  [817] = {.lex_state = 16},
  [818] = {.lex_state = 10, .external_lex_state = 2},
  [819] = {.lex_state = 16},
  [820] = {.lex_state = 9, .external_lex_state = 2},
  [821] = {.lex_state = 9, .external_lex_state = 2},
  [822] = {.lex_state = 9, .external_lex_state = 2},
  [823] = {.lex_state = 13},
  [824] = {.lex_state = 9, .external_lex_state = 2},
  [825] = {.lex_state = 9, .external_lex_state = 2},
  [826] = {.lex_state = 9, .external_lex_state = 2},
  [827] = {.lex_state = 9, .external_lex_state = 2},
  [828] = {.lex_state = 9, .external_lex_state = 2},
  [829] = {.lex_state = 9, .external_lex_state = 2},
  [830] = {.lex_state = 9, .external_lex_state = 2},
  [831] = {.lex_state = 9, .external_lex_state = 2},
  [832] = {.lex_state = 9, .external_lex_state = 2},
  [833] = {.lex_state = 9, .external_lex_state = 2},
  [834] = {.lex_state = 9, .external_lex_state = 2},
  [835] = {.lex_state = 9, .external_lex_state = 2},
  [836] = {.lex_state = 13},
  [837] = {.lex_state = 9, .external_lex_state = 2},
  [838] = {.lex_state = 16},
  [839] = {.lex_state = 16},
  [840] = {.lex_state = 9, .external_lex_state = 2},
  [841] = {.lex_state = 9, .external_lex_state = 2},
  [842] = {.lex_state = 9, .external_lex_state = 2},
  [843] = {.lex_state = 16},
  [844] = {.lex_state = 16},
  [845] = {.lex_state = 16},
  [846] = {.lex_state = 9, .external_lex_state = 2},
  [847] = {.lex_state = 9, .external_lex_state = 2},
  [848] = {.lex_state = 16},
  [849] = {.lex_state = 16},
  [850] = {.lex_state = 10, .external_lex_state = 2},
  [851] = {.lex_state = 16},
  [852] = {.lex_state = 16},
  [853] = {.lex_state = 9, .external_lex_state = 2},
  [854] = {.lex_state = 16},
  [855] = {.lex_state = 9, .external_lex_state = 2},
  [856] = {.lex_state = 9, .external_lex_state = 2},
  [857] = {.lex_state = 9, .external_lex_state = 2},
  [858] = {.lex_state = 9, .external_lex_state = 2},
  [859] = {.lex_state = 9, .external_lex_state = 2},
  [860] = {.lex_state = 9, .external_lex_state = 2},
  [861] = {.lex_state = 9, .external_lex_state = 2},
  [862] = {.lex_state = 9, .external_lex_state = 2},
  [863] = {.lex_state = 9, .external_lex_state = 2},
  [864] = {.lex_state = 9, .external_lex_state = 2},
  [865] = {.lex_state = 9},
  [866] = {.lex_state = 9, .external_lex_state = 2},
  [867] = {.lex_state = 9, .external_lex_state = 2},
  [868] = {.lex_state = 9, .external_lex_state = 2},
  [869] = {.lex_state = 9, .external_lex_state = 2},
  [870] = {.lex_state = 9},
  [871] = {.lex_state = 9, .external_lex_state = 2},
  [872] = {.lex_state = 9, .external_lex_state = 2},
  [873] = {.lex_state = 9, .external_lex_state = 2},
  [874] = {.lex_state = 9, .external_lex_state = 2},
  [875] = {.lex_state = 9, .external_lex_state = 2},
  [876] = {.lex_state = 9, .external_lex_state = 2},
  [877] = {.lex_state = 9, .external_lex_state = 2},
  [878] = {.lex_state = 9, .external_lex_state = 2},
  [879] = {.lex_state = 9, .external_lex_state = 2},
  [880] = {.lex_state = 9, .external_lex_state = 2},
  [881] = {.lex_state = 9, .external_lex_state = 2},
  [882] = {.lex_state = 9, .external_lex_state = 2},
  [883] = {.lex_state = 9, .external_lex_state = 2},
  [884] = {.lex_state = 9, .external_lex_state = 2},
  [885] = {.lex_state = 9, .external_lex_state = 2},
  [886] = {.lex_state = 9, .external_lex_state = 2},
  [887] = {.lex_state = 9, .external_lex_state = 2},
  [888] = {.lex_state = 9, .external_lex_state = 2},
  [889] = {.lex_state = 9, .external_lex_state = 2},
  [890] = {.lex_state = 9, .external_lex_state = 2},
  [891] = {.lex_state = 9, .external_lex_state = 2},
  [892] = {.lex_state = 9, .external_lex_state = 2},
  [893] = {.lex_state = 9, .external_lex_state = 2},
  [894] = {.lex_state = 9, .external_lex_state = 2},
  [895] = {.lex_state = 9, .external_lex_state = 2},
  [896] = {.lex_state = 9, .external_lex_state = 2},
  [897] = {.lex_state = 9, .external_lex_state = 2},
  [898] = {.lex_state = 9, .external_lex_state = 2},
  [899] = {.lex_state = 9, .external_lex_state = 2},
  [900] = {.lex_state = 9, .external_lex_state = 2},
  [901] = {.lex_state = 9, .external_lex_state = 2},
  [902] = {.lex_state = 9, .external_lex_state = 2},
  [903] = {.lex_state = 9, .external_lex_state = 2},
  [904] = {.lex_state = 9, .external_lex_state = 2},
  [905] = {.lex_state = 9, .external_lex_state = 2},
  [906] = {.lex_state = 13},
  [907] = {.lex_state = 13},
  [908] = {.lex_state = 13},
  [909] = {.lex_state = 13},
  [910] = {.lex_state = 13},
  [911] = {.lex_state = 13},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 13},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 13},
  [916] = {.lex_state = 13},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 13},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 13},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 13},
  [957] = {.lex_state = 13},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13, .external_lex_state = 2},
  [972] = {.lex_state = 13, .external_lex_state = 2},
  [973] = {.lex_state = 13},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 13},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 13},
  [984] = {.lex_state = 13},
  [985] = {.lex_state = 13},
  [986] = {.lex_state = 13},
  [987] = {.lex_state = 13},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 13},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 13},
  [992] = {.lex_state = 13},
  [993] = {.lex_state = 20},
  [994] = {.lex_state = 13},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 13},
  [998] = {.lex_state = 13},
  [999] = {.lex_state = 13},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 13},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 13},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 13},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 13},
  [1009] = {.lex_state = 13},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 13},
  [1012] = {.lex_state = 13},
  [1013] = {.lex_state = 13},
  [1014] = {.lex_state = 13},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 13},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 13},
  [1021] = {.lex_state = 13},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 13},
  [1024] = {.lex_state = 13},
  [1025] = {.lex_state = 13},
  [1026] = {.lex_state = 13},
  [1027] = {.lex_state = 13},
  [1028] = {.lex_state = 13},
  [1029] = {.lex_state = 13},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 13},
  [1032] = {.lex_state = 13},
  [1033] = {.lex_state = 13},
  [1034] = {.lex_state = 13},
  [1035] = {.lex_state = 13},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 13},
  [1039] = {.lex_state = 13},
  [1040] = {.lex_state = 13, .external_lex_state = 2},
  [1041] = {.lex_state = 13, .external_lex_state = 2},
  [1042] = {.lex_state = 13, .external_lex_state = 2},
  [1043] = {.lex_state = 13, .external_lex_state = 2},
  [1044] = {.lex_state = 13, .external_lex_state = 2},
  [1045] = {.lex_state = 13, .external_lex_state = 2},
  [1046] = {.lex_state = 13, .external_lex_state = 2},
  [1047] = {.lex_state = 13, .external_lex_state = 2},
  [1048] = {.lex_state = 13, .external_lex_state = 2},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 13, .external_lex_state = 2},
  [1052] = {.lex_state = 13, .external_lex_state = 2},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 13, .external_lex_state = 2},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 13, .external_lex_state = 2},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 13, .external_lex_state = 2},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 13, .external_lex_state = 2},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 13, .external_lex_state = 2},
  [1095] = {.lex_state = 13, .external_lex_state = 2},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 13, .external_lex_state = 2},
  [1101] = {.lex_state = 13, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 13, .external_lex_state = 2},
  [1105] = {.lex_state = 13, .external_lex_state = 2},
  [1106] = {.lex_state = 13, .external_lex_state = 2},
  [1107] = {.lex_state = 13, .external_lex_state = 2},
  [1108] = {.lex_state = 13, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 13, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 13, .external_lex_state = 2},
  [1113] = {.lex_state = 13, .external_lex_state = 2},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 13, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 73},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 13, .external_lex_state = 2},
  [1121] = {.lex_state = 13, .external_lex_state = 2},
  [1122] = {.lex_state = 13, .external_lex_state = 2},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 13, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 13, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 13, .external_lex_state = 2},
  [1137] = {.lex_state = 13, .external_lex_state = 2},
  [1138] = {.lex_state = 13, .external_lex_state = 2},
  [1139] = {.lex_state = 13, .external_lex_state = 2},
  [1140] = {.lex_state = 13, .external_lex_state = 2},
  [1141] = {.lex_state = 13},
  [1142] = {.lex_state = 13},
  [1143] = {.lex_state = 13},
  [1144] = {.lex_state = 13},
  [1145] = {.lex_state = 13},
  [1146] = {.lex_state = 13},
  [1147] = {.lex_state = 13},
  [1148] = {.lex_state = 13},
  [1149] = {.lex_state = 13},
  [1150] = {.lex_state = 13},
  [1151] = {.lex_state = 13},
  [1152] = {.lex_state = 13},
  [1153] = {.lex_state = 13},
  [1154] = {.lex_state = 13},
  [1155] = {.lex_state = 13},
  [1156] = {.lex_state = 13},
  [1157] = {.lex_state = 13},
  [1158] = {.lex_state = 13},
  [1159] = {.lex_state = 13},
  [1160] = {.lex_state = 13},
  [1161] = {.lex_state = 13},
  [1162] = {.lex_state = 13},
  [1163] = {.lex_state = 13},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 13},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 13},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 13},
  [1174] = {.lex_state = 19},
  [1175] = {.lex_state = 19},
  [1176] = {.lex_state = 19},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 13, .external_lex_state = 2},
  [1180] = {.lex_state = 13},
  [1181] = {.lex_state = 19},
  [1182] = {.lex_state = 19},
  [1183] = {.lex_state = 13, .external_lex_state = 2},
  [1184] = {.lex_state = 13},
  [1185] = {.lex_state = 19},
  [1186] = {.lex_state = 13},
  [1187] = {.lex_state = 13},
  [1188] = {.lex_state = 19},
  [1189] = {.lex_state = 13, .external_lex_state = 2},
  [1190] = {.lex_state = 13, .external_lex_state = 2},
  [1191] = {.lex_state = 13, .external_lex_state = 2},
  [1192] = {.lex_state = 19},
  [1193] = {.lex_state = 19},
  [1194] = {.lex_state = 13, .external_lex_state = 2},
  [1195] = {.lex_state = 13},
  [1196] = {.lex_state = 13},
  [1197] = {.lex_state = 13},
  [1198] = {.lex_state = 73},
  [1199] = {.lex_state = 13},
  [1200] = {.lex_state = 13},
  [1201] = {.lex_state = 13},
  [1202] = {.lex_state = 13},
  [1203] = {.lex_state = 13},
  [1204] = {.lex_state = 13},
  [1205] = {.lex_state = 13},
  [1206] = {.lex_state = 13},
  [1207] = {.lex_state = 13},
  [1208] = {.lex_state = 13},
  [1209] = {.lex_state = 13},
  [1210] = {.lex_state = 13},
  [1211] = {.lex_state = 13},
  [1212] = {.lex_state = 73},
  [1213] = {.lex_state = 13, .external_lex_state = 2},
  [1214] = {.lex_state = 13, .external_lex_state = 2},
  [1215] = {.lex_state = 13, .external_lex_state = 2},
  [1216] = {.lex_state = 13},
  [1217] = {.lex_state = 13},
  [1218] = {.lex_state = 13},
  [1219] = {.lex_state = 13},
  [1220] = {.lex_state = 13},
  [1221] = {.lex_state = 13},
  [1222] = {.lex_state = 13, .external_lex_state = 2},
  [1223] = {.lex_state = 13, .external_lex_state = 2},
  [1224] = {.lex_state = 13},
  [1225] = {.lex_state = 13},
  [1226] = {.lex_state = 13},
  [1227] = {.lex_state = 13},
  [1228] = {.lex_state = 13},
  [1229] = {.lex_state = 13},
  [1230] = {.lex_state = 13},
  [1231] = {.lex_state = 13},
  [1232] = {.lex_state = 13, .external_lex_state = 2},
  [1233] = {.lex_state = 13},
  [1234] = {.lex_state = 13, .external_lex_state = 2},
  [1235] = {.lex_state = 13},
  [1236] = {.lex_state = 13},
  [1237] = {.lex_state = 13},
  [1238] = {.lex_state = 13},
  [1239] = {.lex_state = 13},
  [1240] = {.lex_state = 13},
  [1241] = {.lex_state = 13},
  [1242] = {.lex_state = 13},
  [1243] = {.lex_state = 13},
  [1244] = {.lex_state = 13},
  [1245] = {.lex_state = 13},
  [1246] = {.lex_state = 19},
  [1247] = {.lex_state = 13},
  [1248] = {.lex_state = 13},
  [1249] = {.lex_state = 13},
  [1250] = {.lex_state = 13},
  [1251] = {.lex_state = 13},
  [1252] = {.lex_state = 13},
  [1253] = {.lex_state = 13},
  [1254] = {.lex_state = 13},
  [1255] = {.lex_state = 13},
  [1256] = {.lex_state = 13},
  [1257] = {.lex_state = 13},
  [1258] = {.lex_state = 13},
  [1259] = {.lex_state = 13},
  [1260] = {.lex_state = 13},
  [1261] = {.lex_state = 13},
  [1262] = {.lex_state = 13},
  [1263] = {.lex_state = 13},
  [1264] = {.lex_state = 13},
  [1265] = {.lex_state = 13},
  [1266] = {.lex_state = 13},
  [1267] = {.lex_state = 13},
  [1268] = {.lex_state = 73},
  [1269] = {.lex_state = 13},
  [1270] = {.lex_state = 13},
  [1271] = {.lex_state = 13},
  [1272] = {.lex_state = 19},
  [1273] = {.lex_state = 13},
  [1274] = {.lex_state = 13},
  [1275] = {.lex_state = 13},
  [1276] = {.lex_state = 13},
  [1277] = {.lex_state = 13},
  [1278] = {.lex_state = 13},
  [1279] = {.lex_state = 13},
  [1280] = {.lex_state = 13},
  [1281] = {.lex_state = 13},
  [1282] = {.lex_state = 19},
  [1283] = {.lex_state = 13},
  [1284] = {.lex_state = 13},
  [1285] = {.lex_state = 19},
  [1286] = {.lex_state = 13},
  [1287] = {.lex_state = 13},
  [1288] = {.lex_state = 13},
  [1289] = {.lex_state = 13},
  [1290] = {.lex_state = 13},
  [1291] = {.lex_state = 13},
  [1292] = {.lex_state = 13},
  [1293] = {.lex_state = 13},
  [1294] = {.lex_state = 13},
  [1295] = {.lex_state = 13},
  [1296] = {.lex_state = 13},
  [1297] = {.lex_state = 13},
  [1298] = {.lex_state = 13},
  [1299] = {.lex_state = 13},
  [1300] = {.lex_state = 13},
  [1301] = {.lex_state = 13},
  [1302] = {.lex_state = 13},
  [1303] = {.lex_state = 13},
  [1304] = {.lex_state = 13},
  [1305] = {.lex_state = 13},
  [1306] = {.lex_state = 13},
  [1307] = {.lex_state = 13},
  [1308] = {.lex_state = 19},
  [1309] = {.lex_state = 73},
  [1310] = {.lex_state = 73},
  [1311] = {.lex_state = 73},
  [1312] = {.lex_state = 13},
  [1313] = {.lex_state = 13},
  [1314] = {.lex_state = 73},
  [1315] = {.lex_state = 73},
  [1316] = {.lex_state = 73},
  [1317] = {.lex_state = 73},
  [1318] = {.lex_state = 18},
  [1319] = {.lex_state = 18},
  [1320] = {.lex_state = 13},
  [1321] = {.lex_state = 13},
  [1322] = {.lex_state = 13},
  [1323] = {.lex_state = 13},
  [1324] = {.lex_state = 18},
  [1325] = {.lex_state = 18},
  [1326] = {.lex_state = 18},
  [1327] = {.lex_state = 13},
  [1328] = {.lex_state = 13},
  [1329] = {.lex_state = 18},
  [1330] = {.lex_state = 71},
  [1331] = {.lex_state = 71},
  [1332] = {.lex_state = 71},
  [1333] = {.lex_state = 3, .external_lex_state = 3},
  [1334] = {.lex_state = 13},
  [1335] = {.lex_state = 3, .external_lex_state = 3},
  [1336] = {.lex_state = 3, .external_lex_state = 4},
  [1337] = {.lex_state = 13},
  [1338] = {.lex_state = 73},
  [1339] = {.lex_state = 3, .external_lex_state = 3},
  [1340] = {.lex_state = 3, .external_lex_state = 3},
  [1341] = {.lex_state = 3, .external_lex_state = 3},
  [1342] = {.lex_state = 73},
  [1343] = {.lex_state = 73},
  [1344] = {.lex_state = 73},
  [1345] = {.lex_state = 19},
  [1346] = {.lex_state = 19},
  [1347] = {.lex_state = 73},
  [1348] = {.lex_state = 16},
  [1349] = {.lex_state = 19},
  [1350] = {.lex_state = 19},
  [1351] = {.lex_state = 21, .external_lex_state = 4},
  [1352] = {.lex_state = 19},
  [1353] = {.lex_state = 19},
  [1354] = {.lex_state = 17},
  [1355] = {.lex_state = 19},
  [1356] = {.lex_state = 10, .external_lex_state = 5},
  [1357] = {.lex_state = 19},
  [1358] = {.lex_state = 3, .external_lex_state = 6},
  [1359] = {.lex_state = 19},
  [1360] = {.lex_state = 19},
  [1361] = {.lex_state = 19},
  [1362] = {.lex_state = 19},
  [1363] = {.lex_state = 19},
  [1364] = {.lex_state = 3, .external_lex_state = 6},
  [1365] = {.lex_state = 10, .external_lex_state = 5},
  [1366] = {.lex_state = 19},
  [1367] = {.lex_state = 19},
  [1368] = {.lex_state = 19},
  [1369] = {.lex_state = 19},
  [1370] = {.lex_state = 10, .external_lex_state = 5},
  [1371] = {.lex_state = 19},
  [1372] = {.lex_state = 19},
  [1373] = {.lex_state = 10, .external_lex_state = 5},
  [1374] = {.lex_state = 10, .external_lex_state = 5},
  [1375] = {.lex_state = 19},
  [1376] = {.lex_state = 19},
  [1377] = {.lex_state = 19},
  [1378] = {.lex_state = 19},
  [1379] = {.lex_state = 19},
  [1380] = {.lex_state = 19},
  [1381] = {.lex_state = 19},
  [1382] = {.lex_state = 19},
  [1383] = {.lex_state = 19},
  [1384] = {.lex_state = 19},
  [1385] = {.lex_state = 19},
  [1386] = {.lex_state = 10, .external_lex_state = 7},
  [1387] = {.lex_state = 19},
  [1388] = {.lex_state = 19},
  [1389] = {.lex_state = 10, .external_lex_state = 7},
  [1390] = {.lex_state = 73},
  [1391] = {.lex_state = 19},
  [1392] = {.lex_state = 10, .external_lex_state = 7},
  [1393] = {.lex_state = 19},
  [1394] = {.lex_state = 19},
  [1395] = {.lex_state = 19},
  [1396] = {.lex_state = 19},
  [1397] = {.lex_state = 19},
  [1398] = {.lex_state = 19},
  [1399] = {.lex_state = 10, .external_lex_state = 7},
  [1400] = {.lex_state = 10, .external_lex_state = 7},
  [1401] = {.lex_state = 73},
  [1402] = {.lex_state = 19},
  [1403] = {.lex_state = 19},
  [1404] = {.lex_state = 19},
  [1405] = {.lex_state = 19},
  [1406] = {.lex_state = 73},
  [1407] = {.lex_state = 73},
  [1408] = {.lex_state = 19},
  [1409] = {.lex_state = 19},
  [1410] = {.lex_state = 19},
  [1411] = {.lex_state = 19},
  [1412] = {.lex_state = 19},
  [1413] = {.lex_state = 73},
  [1414] = {.lex_state = 73},
  [1415] = {.lex_state = 73},
  [1416] = {.lex_state = 73},
  [1417] = {.lex_state = 73},
  [1418] = {.lex_state = 71},
  [1419] = {.lex_state = 3, .external_lex_state = 3},
  [1420] = {.lex_state = 71},
  [1421] = {.lex_state = 73},
  [1422] = {.lex_state = 3, .external_lex_state = 3},
  [1423] = {.lex_state = 3, .external_lex_state = 3},
  [1424] = {.lex_state = 3, .external_lex_state = 3},
  [1425] = {.lex_state = 3, .external_lex_state = 3},
  [1426] = {.lex_state = 3, .external_lex_state = 3},
  [1427] = {.lex_state = 73},
  [1428] = {.lex_state = 3, .external_lex_state = 3},
  [1429] = {.lex_state = 3, .external_lex_state = 3},
  [1430] = {.lex_state = 3, .external_lex_state = 3},
  [1431] = {.lex_state = 3, .external_lex_state = 3},
  [1432] = {.lex_state = 73},
  [1433] = {.lex_state = 73},
  [1434] = {.lex_state = 71},
  [1435] = {.lex_state = 3, .external_lex_state = 3},
  [1436] = {.lex_state = 73},
  [1437] = {.lex_state = 73},
  [1438] = {.lex_state = 71},
  [1439] = {.lex_state = 10, .external_lex_state = 8},
  [1440] = {.lex_state = 71},
  [1441] = {.lex_state = 10, .external_lex_state = 8},
  [1442] = {.lex_state = 71},
  [1443] = {.lex_state = 73},
  [1444] = {.lex_state = 71},
  [1445] = {.lex_state = 3, .external_lex_state = 4},
  [1446] = {.lex_state = 73},
  [1447] = {.lex_state = 73},
  [1448] = {.lex_state = 71},
  [1449] = {.lex_state = 73},
  [1450] = {.lex_state = 71},
  [1451] = {.lex_state = 73},
  [1452] = {.lex_state = 73},
  [1453] = {.lex_state = 73},
  [1454] = {.lex_state = 73},
  [1455] = {.lex_state = 73},
  [1456] = {.lex_state = 71},
  [1457] = {.lex_state = 71},
  [1458] = {.lex_state = 73},
  [1459] = {.lex_state = 71},
  [1460] = {.lex_state = 73},
  [1461] = {.lex_state = 73},
  [1462] = {.lex_state = 71},
  [1463] = {.lex_state = 73},
  [1464] = {.lex_state = 73},
  [1465] = {.lex_state = 73},
  [1466] = {.lex_state = 73},
  [1467] = {.lex_state = 73},
  [1468] = {.lex_state = 73},
  [1469] = {.lex_state = 73},
  [1470] = {.lex_state = 73},
  [1471] = {.lex_state = 73},
  [1472] = {.lex_state = 73},
  [1473] = {.lex_state = 73},
  [1474] = {.lex_state = 71},
  [1475] = {.lex_state = 71},
  [1476] = {.lex_state = 73},
  [1477] = {.lex_state = 73},
  [1478] = {.lex_state = 10, .external_lex_state = 9},
  [1479] = {.lex_state = 10, .external_lex_state = 9},
  [1480] = {.lex_state = 73},
  [1481] = {.lex_state = 73},
  [1482] = {.lex_state = 73},
  [1483] = {.lex_state = 73},
  [1484] = {.lex_state = 73},
  [1485] = {.lex_state = 73},
  [1486] = {.lex_state = 73},
  [1487] = {.lex_state = 71},
  [1488] = {.lex_state = 73},
  [1489] = {.lex_state = 73},
  [1490] = {.lex_state = 73},
  [1491] = {.lex_state = 73},
  [1492] = {.lex_state = 73},
  [1493] = {.lex_state = 73},
  [1494] = {.lex_state = 73},
  [1495] = {.lex_state = 73},
  [1496] = {.lex_state = 71},
  [1497] = {.lex_state = 73},
  [1498] = {.lex_state = 73},
  [1499] = {.lex_state = 73},
  [1500] = {.lex_state = 71},
  [1501] = {.lex_state = 71},
  [1502] = {.lex_state = 73},
  [1503] = {.lex_state = 71},
  [1504] = {.lex_state = 73},
  [1505] = {.lex_state = 73},
  [1506] = {.lex_state = 73},
  [1507] = {.lex_state = 73},
  [1508] = {.lex_state = 71},
  [1509] = {.lex_state = 73},
  [1510] = {.lex_state = 71},
  [1511] = {.lex_state = 71},
  [1512] = {.lex_state = 71},
  [1513] = {.lex_state = 71},
  [1514] = {.lex_state = 21, .external_lex_state = 4},
  [1515] = {.lex_state = 71, .external_lex_state = 2},
  [1516] = {.lex_state = 71},
  [1517] = {.lex_state = 71},
  [1518] = {.lex_state = 71},
  [1519] = {.lex_state = 71},
  [1520] = {.lex_state = 71},
  [1521] = {.lex_state = 71},
  [1522] = {.lex_state = 71},
  [1523] = {.lex_state = 71},
  [1524] = {.lex_state = 71},
  [1525] = {.lex_state = 10, .external_lex_state = 5},
  [1526] = {.lex_state = 73},
  [1527] = {.lex_state = 9},
  [1528] = {.lex_state = 71},
  [1529] = {.lex_state = 73},
  [1530] = {.lex_state = 71, .external_lex_state = 2},
  [1531] = {.lex_state = 10, .external_lex_state = 5},
  [1532] = {.lex_state = 71},
  [1533] = {.lex_state = 9},
  [1534] = {.lex_state = 71},
  [1535] = {.lex_state = 71},
  [1536] = {.lex_state = 71},
  [1537] = {.lex_state = 71},
  [1538] = {.lex_state = 73},
  [1539] = {.lex_state = 71},
  [1540] = {.lex_state = 71},
  [1541] = {.lex_state = 71},
  [1542] = {.lex_state = 71, .external_lex_state = 2},
  [1543] = {.lex_state = 10, .external_lex_state = 5},
  [1544] = {.lex_state = 71},
  [1545] = {.lex_state = 71, .external_lex_state = 2},
  [1546] = {.lex_state = 71},
  [1547] = {.lex_state = 71},
  [1548] = {.lex_state = 71},
  [1549] = {.lex_state = 71},
  [1550] = {.lex_state = 71},
  [1551] = {.lex_state = 71},
  [1552] = {.lex_state = 10, .external_lex_state = 5},
  [1553] = {.lex_state = 71},
  [1554] = {.lex_state = 9},
  [1555] = {.lex_state = 10, .external_lex_state = 5},
  [1556] = {.lex_state = 10, .external_lex_state = 5},
  [1557] = {.lex_state = 10, .external_lex_state = 5},
  [1558] = {.lex_state = 71},
  [1559] = {.lex_state = 10, .external_lex_state = 5},
  [1560] = {.lex_state = 10, .external_lex_state = 5},
  [1561] = {.lex_state = 10, .external_lex_state = 5},
  [1562] = {.lex_state = 71},
  [1563] = {.lex_state = 73},
  [1564] = {.lex_state = 71},
  [1565] = {.lex_state = 73},
  [1566] = {.lex_state = 71},
  [1567] = {.lex_state = 10, .external_lex_state = 5},
  [1568] = {.lex_state = 71},
  [1569] = {.lex_state = 73},
  [1570] = {.lex_state = 71},
  [1571] = {.lex_state = 71},
  [1572] = {.lex_state = 10, .external_lex_state = 7},
  [1573] = {.lex_state = 71},
  [1574] = {.lex_state = 71},
  [1575] = {.lex_state = 71, .external_lex_state = 2},
  [1576] = {.lex_state = 10, .external_lex_state = 7},
  [1577] = {.lex_state = 71},
  [1578] = {.lex_state = 71},
  [1579] = {.lex_state = 10, .external_lex_state = 7},
  [1580] = {.lex_state = 71},
  [1581] = {.lex_state = 71},
  [1582] = {.lex_state = 73},
  [1583] = {.lex_state = 71},
  [1584] = {.lex_state = 71},
  [1585] = {.lex_state = 10, .external_lex_state = 7},
  [1586] = {.lex_state = 10, .external_lex_state = 7},
  [1587] = {.lex_state = 71},
  [1588] = {.lex_state = 71},
  [1589] = {.lex_state = 71},
  [1590] = {.lex_state = 71},
  [1591] = {.lex_state = 71},
  [1592] = {.lex_state = 71},
  [1593] = {.lex_state = 73},
  [1594] = {.lex_state = 71},
  [1595] = {.lex_state = 71},
  [1596] = {.lex_state = 71},
  [1597] = {.lex_state = 71},
  [1598] = {.lex_state = 71},
  [1599] = {.lex_state = 71, .external_lex_state = 2},
  [1600] = {.lex_state = 71},
  [1601] = {.lex_state = 73},
  [1602] = {.lex_state = 71},
  [1603] = {.lex_state = 10, .external_lex_state = 7},
  [1604] = {.lex_state = 10, .external_lex_state = 7},
  [1605] = {.lex_state = 73},
  [1606] = {.lex_state = 71, .external_lex_state = 2},
  [1607] = {.lex_state = 71},
  [1608] = {.lex_state = 72, .external_lex_state = 10},
  [1609] = {.lex_state = 10, .external_lex_state = 7},
  [1610] = {.lex_state = 71},
  [1611] = {.lex_state = 71},
  [1612] = {.lex_state = 71},
  [1613] = {.lex_state = 73},
  [1614] = {.lex_state = 71},
  [1615] = {.lex_state = 10, .external_lex_state = 7},
  [1616] = {.lex_state = 73},
  [1617] = {.lex_state = 71},
  [1618] = {.lex_state = 73},
  [1619] = {.lex_state = 73},
  [1620] = {.lex_state = 71},
  [1621] = {.lex_state = 71},
  [1622] = {.lex_state = 71},
  [1623] = {.lex_state = 71},
  [1624] = {.lex_state = 71},
  [1625] = {.lex_state = 10, .external_lex_state = 7},
  [1626] = {.lex_state = 73},
  [1627] = {.lex_state = 71},
  [1628] = {.lex_state = 71},
  [1629] = {.lex_state = 71},
  [1630] = {.lex_state = 71},
  [1631] = {.lex_state = 71},
  [1632] = {.lex_state = 71},
  [1633] = {.lex_state = 71},
  [1634] = {.lex_state = 71},
  [1635] = {.lex_state = 71},
  [1636] = {.lex_state = 73},
  [1637] = {.lex_state = 71},
  [1638] = {.lex_state = 71},
  [1639] = {.lex_state = 71},
  [1640] = {.lex_state = 73},
  [1641] = {.lex_state = 71},
  [1642] = {.lex_state = 71},
  [1643] = {.lex_state = 71},
  [1644] = {.lex_state = 71},
  [1645] = {.lex_state = 71, .external_lex_state = 2},
  [1646] = {.lex_state = 71, .external_lex_state = 2},
  [1647] = {.lex_state = 72},
  [1648] = {.lex_state = 5, .external_lex_state = 11},
  [1649] = {.lex_state = 5, .external_lex_state = 11},
  [1650] = {.lex_state = 71, .external_lex_state = 2},
  [1651] = {.lex_state = 71},
  [1652] = {.lex_state = 71, .external_lex_state = 2},
  [1653] = {.lex_state = 71},
  [1654] = {.lex_state = 71},
  [1655] = {.lex_state = 71, .external_lex_state = 2},
  [1656] = {.lex_state = 5, .external_lex_state = 12},
  [1657] = {.lex_state = 71, .external_lex_state = 2},
  [1658] = {.lex_state = 71, .external_lex_state = 2},
  [1659] = {.lex_state = 71},
  [1660] = {.lex_state = 71},
  [1661] = {.lex_state = 71},
  [1662] = {.lex_state = 71, .external_lex_state = 2},
  [1663] = {.lex_state = 71, .external_lex_state = 2},
  [1664] = {.lex_state = 5, .external_lex_state = 11},
  [1665] = {.lex_state = 71, .external_lex_state = 2},
  [1666] = {.lex_state = 71, .external_lex_state = 2},
  [1667] = {.lex_state = 71},
  [1668] = {.lex_state = 71},
  [1669] = {.lex_state = 73},
  [1670] = {.lex_state = 71},
  [1671] = {.lex_state = 71, .external_lex_state = 2},
  [1672] = {.lex_state = 73},
  [1673] = {.lex_state = 72, .external_lex_state = 10},
  [1674] = {.lex_state = 73},
  [1675] = {.lex_state = 71, .external_lex_state = 2},
  [1676] = {.lex_state = 71},
  [1677] = {.lex_state = 71},
  [1678] = {.lex_state = 73},
  [1679] = {.lex_state = 71},
  [1680] = {.lex_state = 71},
  [1681] = {.lex_state = 72, .external_lex_state = 10},
  [1682] = {.lex_state = 71},
  [1683] = {.lex_state = 71},
  [1684] = {.lex_state = 71},
  [1685] = {.lex_state = 71},
  [1686] = {.lex_state = 71},
  [1687] = {.lex_state = 71},
  [1688] = {.lex_state = 71},
  [1689] = {.lex_state = 71},
  [1690] = {.lex_state = 71},
  [1691] = {.lex_state = 71},
  [1692] = {.lex_state = 71, .external_lex_state = 2},
  [1693] = {.lex_state = 71},
  [1694] = {.lex_state = 71, .external_lex_state = 2},
  [1695] = {.lex_state = 71},
  [1696] = {.lex_state = 71},
  [1697] = {.lex_state = 71, .external_lex_state = 2},
  [1698] = {.lex_state = 71},
  [1699] = {.lex_state = 71},
  [1700] = {.lex_state = 71, .external_lex_state = 2},
  [1701] = {.lex_state = 5, .external_lex_state = 11},
  [1702] = {.lex_state = 71, .external_lex_state = 2},
  [1703] = {.lex_state = 71, .external_lex_state = 2},
  [1704] = {.lex_state = 71},
  [1705] = {.lex_state = 71},
  [1706] = {.lex_state = 71},
  [1707] = {.lex_state = 71},
  [1708] = {.lex_state = 71},
  [1709] = {.lex_state = 71},
  [1710] = {.lex_state = 71},
  [1711] = {.lex_state = 71, .external_lex_state = 2},
  [1712] = {.lex_state = 71, .external_lex_state = 2},
  [1713] = {.lex_state = 71, .external_lex_state = 2},
  [1714] = {.lex_state = 5, .external_lex_state = 11},
  [1715] = {.lex_state = 71, .external_lex_state = 2},
  [1716] = {.lex_state = 71, .external_lex_state = 2},
  [1717] = {.lex_state = 71, .external_lex_state = 2},
  [1718] = {.lex_state = 71},
  [1719] = {.lex_state = 5, .external_lex_state = 11},
  [1720] = {.lex_state = 71, .external_lex_state = 2},
  [1721] = {.lex_state = 71},
  [1722] = {.lex_state = 71, .external_lex_state = 2},
  [1723] = {.lex_state = 71},
  [1724] = {.lex_state = 71},
  [1725] = {.lex_state = 71, .external_lex_state = 2},
  [1726] = {.lex_state = 73},
  [1727] = {.lex_state = 71, .external_lex_state = 2},
  [1728] = {.lex_state = 72},
  [1729] = {.lex_state = 73},
  [1730] = {.lex_state = 71, .external_lex_state = 2},
  [1731] = {.lex_state = 71, .external_lex_state = 2},
  [1732] = {.lex_state = 71, .external_lex_state = 2},
  [1733] = {.lex_state = 71},
  [1734] = {.lex_state = 71},
  [1735] = {.lex_state = 71},
  [1736] = {.lex_state = 71, .external_lex_state = 2},
  [1737] = {.lex_state = 71},
  [1738] = {.lex_state = 71},
  [1739] = {.lex_state = 71, .external_lex_state = 2},
  [1740] = {.lex_state = 71},
  [1741] = {.lex_state = 71, .external_lex_state = 2},
  [1742] = {.lex_state = 71},
  [1743] = {.lex_state = 71},
  [1744] = {.lex_state = 5, .external_lex_state = 12},
  [1745] = {.lex_state = 73},
  [1746] = {.lex_state = 71},
  [1747] = {.lex_state = 71},
  [1748] = {.lex_state = 71},
  [1749] = {.lex_state = 71},
  [1750] = {.lex_state = 71},
  [1751] = {.lex_state = 71, .external_lex_state = 2},
  [1752] = {.lex_state = 71, .external_lex_state = 2},
  [1753] = {.lex_state = 71},
  [1754] = {.lex_state = 71},
  [1755] = {.lex_state = 71, .external_lex_state = 2},
  [1756] = {.lex_state = 71, .external_lex_state = 2},
  [1757] = {.lex_state = 71},
  [1758] = {.lex_state = 71},
  [1759] = {.lex_state = 71},
  [1760] = {.lex_state = 71},
  [1761] = {.lex_state = 71},
  [1762] = {.lex_state = 71},
  [1763] = {.lex_state = 71},
  [1764] = {.lex_state = 71},
  [1765] = {.lex_state = 71},
  [1766] = {.lex_state = 73},
  [1767] = {.lex_state = 71},
  [1768] = {.lex_state = 71, .external_lex_state = 2},
  [1769] = {.lex_state = 71},
  [1770] = {.lex_state = 71, .external_lex_state = 2},
  [1771] = {.lex_state = 71},
  [1772] = {.lex_state = 71},
  [1773] = {.lex_state = 71, .external_lex_state = 2},
  [1774] = {.lex_state = 71},
  [1775] = {.lex_state = 71},
  [1776] = {.lex_state = 5, .external_lex_state = 11},
  [1777] = {.lex_state = 71},
  [1778] = {.lex_state = 71, .external_lex_state = 2},
  [1779] = {.lex_state = 71, .external_lex_state = 2},
  [1780] = {.lex_state = 71, .external_lex_state = 2},
  [1781] = {.lex_state = 71},
  [1782] = {.lex_state = 71},
  [1783] = {.lex_state = 71},
  [1784] = {.lex_state = 71},
  [1785] = {.lex_state = 71, .external_lex_state = 2},
  [1786] = {.lex_state = 73},
  [1787] = {.lex_state = 71},
  [1788] = {.lex_state = 71},
  [1789] = {.lex_state = 71},
  [1790] = {.lex_state = 71, .external_lex_state = 2},
  [1791] = {.lex_state = 71},
  [1792] = {.lex_state = 71, .external_lex_state = 2},
  [1793] = {.lex_state = 71},
  [1794] = {.lex_state = 71, .external_lex_state = 2},
  [1795] = {.lex_state = 71},
  [1796] = {.lex_state = 71, .external_lex_state = 2},
  [1797] = {.lex_state = 71, .external_lex_state = 2},
  [1798] = {.lex_state = 71, .external_lex_state = 2},
  [1799] = {.lex_state = 71},
  [1800] = {.lex_state = 71},
  [1801] = {.lex_state = 71},
  [1802] = {.lex_state = 71},
  [1803] = {.lex_state = 71},
  [1804] = {.lex_state = 16},
  [1805] = {.lex_state = 71, .external_lex_state = 2},
  [1806] = {.lex_state = 71, .external_lex_state = 2},
  [1807] = {.lex_state = 71},
  [1808] = {.lex_state = 71},
  [1809] = {.lex_state = 71, .external_lex_state = 2},
  [1810] = {.lex_state = 71},
  [1811] = {.lex_state = 71, .external_lex_state = 2},
  [1812] = {.lex_state = 71, .external_lex_state = 2},
  [1813] = {.lex_state = 71, .external_lex_state = 2},
  [1814] = {.lex_state = 71},
  [1815] = {.lex_state = 71},
  [1816] = {.lex_state = 71},
  [1817] = {.lex_state = 71},
  [1818] = {.lex_state = 71},
  [1819] = {.lex_state = 71},
  [1820] = {.lex_state = 71, .external_lex_state = 2},
  [1821] = {.lex_state = 71, .external_lex_state = 2},
  [1822] = {.lex_state = 71, .external_lex_state = 2},
  [1823] = {.lex_state = 71},
  [1824] = {.lex_state = 71},
  [1825] = {.lex_state = 71, .external_lex_state = 2},
  [1826] = {.lex_state = 71},
  [1827] = {.lex_state = 71, .external_lex_state = 2},
  [1828] = {.lex_state = 71, .external_lex_state = 2},
  [1829] = {.lex_state = 71, .external_lex_state = 2},
  [1830] = {.lex_state = 71},
  [1831] = {.lex_state = 71, .external_lex_state = 2},
  [1832] = {.lex_state = 71},
  [1833] = {.lex_state = 71},
  [1834] = {.lex_state = 71, .external_lex_state = 2},
  [1835] = {.lex_state = 71, .external_lex_state = 2},
  [1836] = {.lex_state = 71, .external_lex_state = 2},
  [1837] = {.lex_state = 71},
  [1838] = {.lex_state = 71},
  [1839] = {.lex_state = 71, .external_lex_state = 2},
  [1840] = {.lex_state = 71, .external_lex_state = 2},
  [1841] = {.lex_state = 71},
  [1842] = {.lex_state = 71},
  [1843] = {.lex_state = 71, .external_lex_state = 2},
  [1844] = {.lex_state = 5, .external_lex_state = 11},
  [1845] = {.lex_state = 71},
  [1846] = {.lex_state = 71},
  [1847] = {.lex_state = 72, .external_lex_state = 10},
  [1848] = {.lex_state = 71},
  [1849] = {.lex_state = 71},
  [1850] = {.lex_state = 71, .external_lex_state = 2},
  [1851] = {.lex_state = 16},
  [1852] = {.lex_state = 5, .external_lex_state = 11},
  [1853] = {.lex_state = 71, .external_lex_state = 2},
  [1854] = {.lex_state = 71, .external_lex_state = 2},
  [1855] = {.lex_state = 5, .external_lex_state = 11},
  [1856] = {.lex_state = 71},
  [1857] = {.lex_state = 71},
  [1858] = {.lex_state = 71},
  [1859] = {.lex_state = 73},
  [1860] = {.lex_state = 71},
  [1861] = {.lex_state = 71},
  [1862] = {.lex_state = 71},
  [1863] = {.lex_state = 71},
  [1864] = {.lex_state = 71},
  [1865] = {.lex_state = 73},
  [1866] = {.lex_state = 71},
  [1867] = {.lex_state = 71},
  [1868] = {.lex_state = 71},
  [1869] = {.lex_state = 5, .external_lex_state = 11},
  [1870] = {.lex_state = 71, .external_lex_state = 2},
  [1871] = {.lex_state = 71},
  [1872] = {.lex_state = 71},
  [1873] = {.lex_state = 71},
  [1874] = {.lex_state = 71, .external_lex_state = 2},
  [1875] = {.lex_state = 71, .external_lex_state = 2},
  [1876] = {.lex_state = 71},
  [1877] = {.lex_state = 71, .external_lex_state = 2},
  [1878] = {.lex_state = 71, .external_lex_state = 2},
  [1879] = {.lex_state = 71, .external_lex_state = 2},
  [1880] = {.lex_state = 71, .external_lex_state = 2},
  [1881] = {.lex_state = 71, .external_lex_state = 2},
  [1882] = {.lex_state = 71, .external_lex_state = 2},
  [1883] = {.lex_state = 71, .external_lex_state = 2},
  [1884] = {.lex_state = 5, .external_lex_state = 12},
  [1885] = {.lex_state = 5, .external_lex_state = 11},
  [1886] = {.lex_state = 71},
  [1887] = {.lex_state = 71, .external_lex_state = 2},
  [1888] = {.lex_state = 71},
  [1889] = {.lex_state = 71, .external_lex_state = 2},
  [1890] = {.lex_state = 73},
  [1891] = {.lex_state = 71, .external_lex_state = 2},
  [1892] = {.lex_state = 71},
  [1893] = {.lex_state = 71, .external_lex_state = 2},
  [1894] = {.lex_state = 71},
  [1895] = {.lex_state = 71},
  [1896] = {.lex_state = 71, .external_lex_state = 2},
  [1897] = {.lex_state = 71},
  [1898] = {.lex_state = 71},
  [1899] = {.lex_state = 72},
  [1900] = {.lex_state = 71},
  [1901] = {.lex_state = 71},
  [1902] = {.lex_state = 71},
  [1903] = {.lex_state = 71, .external_lex_state = 13},
  [1904] = {.lex_state = 71},
  [1905] = {.lex_state = 71},
  [1906] = {.lex_state = 71},
  [1907] = {.lex_state = 71},
  [1908] = {.lex_state = 71},
  [1909] = {.lex_state = 71},
  [1910] = {.lex_state = 71},
  [1911] = {.lex_state = 71},
  [1912] = {.lex_state = 71},
  [1913] = {.lex_state = 71},
  [1914] = {.lex_state = 71},
  [1915] = {.lex_state = 71},
  [1916] = {.lex_state = 71},
  [1917] = {.lex_state = 71},
  [1918] = {.lex_state = 71},
  [1919] = {.lex_state = 71},
  [1920] = {.lex_state = 71},
  [1921] = {.lex_state = 71},
  [1922] = {.lex_state = 71},
  [1923] = {.lex_state = 71},
  [1924] = {.lex_state = 71, .external_lex_state = 2},
  [1925] = {.lex_state = 71},
  [1926] = {.lex_state = 71},
  [1927] = {.lex_state = 71},
  [1928] = {.lex_state = 71},
  [1929] = {.lex_state = 73},
  [1930] = {.lex_state = 71},
  [1931] = {.lex_state = 71},
  [1932] = {.lex_state = 71},
  [1933] = {.lex_state = 71},
  [1934] = {.lex_state = 71},
  [1935] = {.lex_state = 71},
  [1936] = {.lex_state = 71},
  [1937] = {.lex_state = 71},
  [1938] = {.lex_state = 71},
  [1939] = {.lex_state = 71},
  [1940] = {.lex_state = 71},
  [1941] = {.lex_state = 71},
  [1942] = {.lex_state = 71},
  [1943] = {.lex_state = 71},
  [1944] = {.lex_state = 71},
  [1945] = {.lex_state = 71},
  [1946] = {.lex_state = 71},
  [1947] = {.lex_state = 71, .external_lex_state = 2},
  [1948] = {.lex_state = 71, .external_lex_state = 2},
  [1949] = {.lex_state = 71},
  [1950] = {.lex_state = 71},
  [1951] = {.lex_state = 71},
  [1952] = {.lex_state = 71, .external_lex_state = 2},
  [1953] = {.lex_state = 71, .external_lex_state = 2},
  [1954] = {.lex_state = 71},
  [1955] = {.lex_state = 71},
  [1956] = {.lex_state = 71},
  [1957] = {.lex_state = 73},
  [1958] = {.lex_state = 71},
  [1959] = {.lex_state = 73},
  [1960] = {.lex_state = 71},
  [1961] = {.lex_state = 71},
  [1962] = {.lex_state = 71},
  [1963] = {.lex_state = 71},
  [1964] = {.lex_state = 71},
  [1965] = {.lex_state = 71},
  [1966] = {.lex_state = 71},
  [1967] = {.lex_state = 71},
  [1968] = {.lex_state = 71},
  [1969] = {.lex_state = 71, .external_lex_state = 2},
  [1970] = {.lex_state = 71},
  [1971] = {.lex_state = 71},
  [1972] = {.lex_state = 71},
  [1973] = {.lex_state = 71},
  [1974] = {.lex_state = 71},
  [1975] = {.lex_state = 71},
  [1976] = {.lex_state = 71},
  [1977] = {.lex_state = 71},
  [1978] = {.lex_state = 71},
  [1979] = {.lex_state = 71},
  [1980] = {.lex_state = 71},
  [1981] = {.lex_state = 71},
  [1982] = {.lex_state = 71},
  [1983] = {.lex_state = 71},
  [1984] = {.lex_state = 71},
  [1985] = {.lex_state = 71},
  [1986] = {.lex_state = 71},
  [1987] = {.lex_state = 71},
  [1988] = {.lex_state = 71},
  [1989] = {.lex_state = 71},
  [1990] = {.lex_state = 71},
  [1991] = {.lex_state = 71},
  [1992] = {.lex_state = 71},
  [1993] = {.lex_state = 71},
  [1994] = {.lex_state = 71},
  [1995] = {.lex_state = 71},
  [1996] = {.lex_state = 71},
  [1997] = {.lex_state = 71},
  [1998] = {.lex_state = 71},
  [1999] = {.lex_state = 71},
  [2000] = {.lex_state = 71},
  [2001] = {.lex_state = 71},
  [2002] = {.lex_state = 71},
  [2003] = {.lex_state = 71},
  [2004] = {.lex_state = 71},
  [2005] = {.lex_state = 71},
  [2006] = {.lex_state = 71},
  [2007] = {.lex_state = 71},
  [2008] = {.lex_state = 71},
  [2009] = {.lex_state = 71},
  [2010] = {.lex_state = 71},
  [2011] = {.lex_state = 71},
  [2012] = {.lex_state = 71},
  [2013] = {.lex_state = 71},
  [2014] = {.lex_state = 71},
  [2015] = {.lex_state = 71},
  [2016] = {.lex_state = 71},
  [2017] = {.lex_state = 71},
  [2018] = {.lex_state = 71},
  [2019] = {.lex_state = 71},
  [2020] = {.lex_state = 71},
  [2021] = {.lex_state = 73},
  [2022] = {.lex_state = 71},
  [2023] = {.lex_state = 71},
  [2024] = {.lex_state = 71},
  [2025] = {.lex_state = 71},
  [2026] = {.lex_state = 71},
  [2027] = {.lex_state = 71},
  [2028] = {.lex_state = 71, .external_lex_state = 2},
  [2029] = {.lex_state = 71},
  [2030] = {.lex_state = 71},
  [2031] = {.lex_state = 71},
  [2032] = {.lex_state = 71},
  [2033] = {.lex_state = 71},
  [2034] = {.lex_state = 71},
  [2035] = {.lex_state = 71},
  [2036] = {.lex_state = 71},
  [2037] = {.lex_state = 71},
  [2038] = {.lex_state = 71},
  [2039] = {.lex_state = 71},
  [2040] = {.lex_state = 71},
  [2041] = {.lex_state = 71},
  [2042] = {.lex_state = 71},
  [2043] = {.lex_state = 71},
  [2044] = {.lex_state = 71},
  [2045] = {.lex_state = 71},
  [2046] = {.lex_state = 71},
  [2047] = {.lex_state = 195, .external_lex_state = 14},
  [2048] = {.lex_state = 71},
  [2049] = {.lex_state = 71},
  [2050] = {.lex_state = 71},
  [2051] = {.lex_state = 71},
  [2052] = {.lex_state = 71},
  [2053] = {.lex_state = 71},
  [2054] = {.lex_state = 71},
  [2055] = {.lex_state = 71},
  [2056] = {.lex_state = 71},
  [2057] = {.lex_state = 71},
  [2058] = {.lex_state = 71},
  [2059] = {.lex_state = 71},
  [2060] = {.lex_state = 71},
  [2061] = {.lex_state = 71},
  [2062] = {.lex_state = 71},
  [2063] = {.lex_state = 71},
  [2064] = {.lex_state = 71},
  [2065] = {.lex_state = 71},
  [2066] = {.lex_state = 71},
  [2067] = {.lex_state = 71},
  [2068] = {.lex_state = 71},
  [2069] = {.lex_state = 71},
  [2070] = {.lex_state = 71},
  [2071] = {.lex_state = 71},
  [2072] = {.lex_state = 71},
  [2073] = {.lex_state = 71},
  [2074] = {.lex_state = 71, .external_lex_state = 2},
  [2075] = {.lex_state = 71},
  [2076] = {.lex_state = 71},
  [2077] = {.lex_state = 71, .external_lex_state = 13},
  [2078] = {.lex_state = 71},
  [2079] = {.lex_state = 71},
  [2080] = {.lex_state = 71},
  [2081] = {.lex_state = 71},
  [2082] = {.lex_state = 71},
  [2083] = {.lex_state = 71},
  [2084] = {.lex_state = 71},
  [2085] = {.lex_state = 71},
  [2086] = {.lex_state = 71},
  [2087] = {.lex_state = 71},
  [2088] = {.lex_state = 71},
  [2089] = {.lex_state = 71},
  [2090] = {.lex_state = 71, .external_lex_state = 2},
  [2091] = {.lex_state = 71, .external_lex_state = 2},
  [2092] = {.lex_state = 71},
  [2093] = {.lex_state = 71},
  [2094] = {.lex_state = 71},
  [2095] = {.lex_state = 71},
  [2096] = {.lex_state = 71},
  [2097] = {.lex_state = 71},
  [2098] = {.lex_state = 71},
  [2099] = {.lex_state = 71},
  [2100] = {.lex_state = 71},
  [2101] = {.lex_state = 71},
  [2102] = {.lex_state = 71},
  [2103] = {.lex_state = 71},
  [2104] = {.lex_state = 71},
  [2105] = {.lex_state = 71},
  [2106] = {.lex_state = 71},
  [2107] = {.lex_state = 71},
  [2108] = {.lex_state = 71},
  [2109] = {.lex_state = 71},
  [2110] = {.lex_state = 71},
  [2111] = {.lex_state = 71},
  [2112] = {.lex_state = 71},
  [2113] = {.lex_state = 71},
  [2114] = {.lex_state = 71},
  [2115] = {.lex_state = 71, .external_lex_state = 2},
  [2116] = {.lex_state = 71},
  [2117] = {.lex_state = 71},
  [2118] = {.lex_state = 71},
  [2119] = {.lex_state = 71},
  [2120] = {.lex_state = 71},
  [2121] = {.lex_state = 71},
  [2122] = {.lex_state = 71},
  [2123] = {.lex_state = 71, .external_lex_state = 2},
  [2124] = {.lex_state = 71},
  [2125] = {.lex_state = 71},
  [2126] = {.lex_state = 71},
  [2127] = {.lex_state = 71},
  [2128] = {.lex_state = 71, .external_lex_state = 2},
  [2129] = {.lex_state = 71},
  [2130] = {.lex_state = 71},
  [2131] = {.lex_state = 71},
  [2132] = {.lex_state = 71, .external_lex_state = 2},
  [2133] = {.lex_state = 71},
  [2134] = {.lex_state = 71},
  [2135] = {.lex_state = 71},
  [2136] = {.lex_state = 71},
  [2137] = {.lex_state = 71},
  [2138] = {.lex_state = 71},
  [2139] = {.lex_state = 71},
  [2140] = {.lex_state = 71},
  [2141] = {.lex_state = 71, .external_lex_state = 2},
  [2142] = {.lex_state = 71},
  [2143] = {.lex_state = 71},
  [2144] = {.lex_state = 71},
  [2145] = {.lex_state = 71},
  [2146] = {.lex_state = 71},
  [2147] = {.lex_state = 71},
  [2148] = {.lex_state = 5, .external_lex_state = 11},
  [2149] = {.lex_state = 71},
  [2150] = {.lex_state = 71},
  [2151] = {.lex_state = 71},
  [2152] = {.lex_state = 71},
  [2153] = {.lex_state = 71},
  [2154] = {.lex_state = 71},
  [2155] = {.lex_state = 71},
  [2156] = {.lex_state = 71, .external_lex_state = 2},
  [2157] = {.lex_state = 71},
  [2158] = {.lex_state = 71},
  [2159] = {.lex_state = 71, .external_lex_state = 2},
  [2160] = {.lex_state = 71},
  [2161] = {.lex_state = 73},
  [2162] = {.lex_state = 71, .external_lex_state = 2},
  [2163] = {.lex_state = 71, .external_lex_state = 2},
  [2164] = {.lex_state = 73, .external_lex_state = 10},
  [2165] = {.lex_state = 71},
  [2166] = {.lex_state = 71},
  [2167] = {.lex_state = 71, .external_lex_state = 2},
  [2168] = {.lex_state = 71},
  [2169] = {.lex_state = 71},
  [2170] = {.lex_state = 71},
  [2171] = {.lex_state = 71},
  [2172] = {.lex_state = 71},
  [2173] = {.lex_state = 71},
  [2174] = {.lex_state = 71},
  [2175] = {.lex_state = 71},
  [2176] = {.lex_state = 71, .external_lex_state = 2},
  [2177] = {.lex_state = 71},
  [2178] = {.lex_state = 71},
  [2179] = {.lex_state = 71},
  [2180] = {.lex_state = 71},
  [2181] = {.lex_state = 71},
  [2182] = {.lex_state = 71},
  [2183] = {.lex_state = 71},
  [2184] = {.lex_state = 71},
  [2185] = {.lex_state = 71},
  [2186] = {.lex_state = 71},
  [2187] = {.lex_state = 71},
  [2188] = {.lex_state = 71},
  [2189] = {.lex_state = 71},
  [2190] = {.lex_state = 71},
  [2191] = {.lex_state = 71},
  [2192] = {.lex_state = 71},
  [2193] = {.lex_state = 71},
  [2194] = {.lex_state = 71},
  [2195] = {.lex_state = 71},
  [2196] = {.lex_state = 71},
  [2197] = {.lex_state = 23},
  [2198] = {.lex_state = 71},
  [2199] = {.lex_state = 71, .external_lex_state = 2},
  [2200] = {.lex_state = 71, .external_lex_state = 2},
  [2201] = {.lex_state = 71},
  [2202] = {.lex_state = 71},
  [2203] = {.lex_state = 71, .external_lex_state = 2},
  [2204] = {.lex_state = 71},
  [2205] = {.lex_state = 71, .external_lex_state = 2},
  [2206] = {.lex_state = 71},
  [2207] = {.lex_state = 71, .external_lex_state = 2},
  [2208] = {.lex_state = 71},
  [2209] = {.lex_state = 71},
  [2210] = {.lex_state = 71, .external_lex_state = 2},
  [2211] = {.lex_state = 71},
  [2212] = {.lex_state = 71, .external_lex_state = 2},
  [2213] = {.lex_state = 71},
  [2214] = {.lex_state = 71},
  [2215] = {.lex_state = 71},
  [2216] = {.lex_state = 71},
  [2217] = {.lex_state = 71, .external_lex_state = 2},
  [2218] = {.lex_state = 71, .external_lex_state = 2},
  [2219] = {.lex_state = 71, .external_lex_state = 2},
  [2220] = {.lex_state = 71},
  [2221] = {.lex_state = 71},
  [2222] = {.lex_state = 71},
  [2223] = {.lex_state = 71, .external_lex_state = 2},
  [2224] = {.lex_state = 71},
  [2225] = {.lex_state = 71},
  [2226] = {.lex_state = 71},
  [2227] = {.lex_state = 71},
  [2228] = {.lex_state = 71},
  [2229] = {.lex_state = 71, .external_lex_state = 2},
  [2230] = {.lex_state = 71},
  [2231] = {.lex_state = 71},
  [2232] = {.lex_state = 71},
  [2233] = {.lex_state = 71, .external_lex_state = 2},
  [2234] = {.lex_state = 71, .external_lex_state = 2},
  [2235] = {.lex_state = 71},
  [2236] = {.lex_state = 71},
  [2237] = {.lex_state = 71},
  [2238] = {.lex_state = 71},
  [2239] = {.lex_state = 71},
  [2240] = {.lex_state = 71},
  [2241] = {.lex_state = 71},
  [2242] = {.lex_state = 71},
  [2243] = {.lex_state = 71},
  [2244] = {.lex_state = 71},
  [2245] = {.lex_state = 71},
  [2246] = {.lex_state = 71, .external_lex_state = 2},
  [2247] = {.lex_state = 71},
  [2248] = {.lex_state = 71},
  [2249] = {.lex_state = 71},
  [2250] = {.lex_state = 71},
  [2251] = {.lex_state = 71},
  [2252] = {.lex_state = 71},
  [2253] = {.lex_state = 71},
  [2254] = {.lex_state = 71},
  [2255] = {.lex_state = 71, .external_lex_state = 2},
  [2256] = {.lex_state = 71},
  [2257] = {.lex_state = 71},
  [2258] = {.lex_state = 71},
  [2259] = {.lex_state = 71},
  [2260] = {.lex_state = 71},
  [2261] = {.lex_state = 71},
  [2262] = {.lex_state = 71},
  [2263] = {.lex_state = 71},
  [2264] = {.lex_state = 71},
  [2265] = {.lex_state = 71},
  [2266] = {.lex_state = 71},
  [2267] = {.lex_state = 71},
  [2268] = {.lex_state = 71},
  [2269] = {.lex_state = 71},
  [2270] = {.lex_state = 71, .external_lex_state = 2},
  [2271] = {.lex_state = 71},
  [2272] = {.lex_state = 71},
  [2273] = {.lex_state = 71},
  [2274] = {.lex_state = 71},
  [2275] = {.lex_state = 71},
  [2276] = {.lex_state = 71},
  [2277] = {.lex_state = 71, .external_lex_state = 2},
  [2278] = {.lex_state = 71},
  [2279] = {.lex_state = 71, .external_lex_state = 2},
  [2280] = {.lex_state = 71, .external_lex_state = 2},
  [2281] = {.lex_state = 71, .external_lex_state = 2},
  [2282] = {.lex_state = 71},
  [2283] = {.lex_state = 71},
  [2284] = {.lex_state = 71},
  [2285] = {.lex_state = 71},
  [2286] = {.lex_state = 71},
  [2287] = {.lex_state = 71},
  [2288] = {.lex_state = 71},
  [2289] = {.lex_state = 71},
  [2290] = {.lex_state = 71, .external_lex_state = 2},
  [2291] = {.lex_state = 71, .external_lex_state = 2},
  [2292] = {.lex_state = 71, .external_lex_state = 2},
  [2293] = {.lex_state = 71},
  [2294] = {.lex_state = 71},
  [2295] = {.lex_state = 71},
  [2296] = {.lex_state = 71, .external_lex_state = 2},
  [2297] = {.lex_state = 71},
  [2298] = {.lex_state = 71},
  [2299] = {.lex_state = 71},
  [2300] = {.lex_state = 71},
  [2301] = {.lex_state = 71, .external_lex_state = 2},
  [2302] = {.lex_state = 71, .external_lex_state = 2},
  [2303] = {.lex_state = 71},
  [2304] = {.lex_state = 71},
  [2305] = {.lex_state = 71},
  [2306] = {.lex_state = 71, .external_lex_state = 2},
  [2307] = {.lex_state = 71, .external_lex_state = 2},
  [2308] = {.lex_state = 71},
  [2309] = {.lex_state = 71},
  [2310] = {.lex_state = 71},
  [2311] = {.lex_state = 71},
  [2312] = {.lex_state = 71},
  [2313] = {.lex_state = 71},
  [2314] = {.lex_state = 71},
  [2315] = {.lex_state = 71},
  [2316] = {.lex_state = 71},
  [2317] = {.lex_state = 71},
  [2318] = {.lex_state = 71},
  [2319] = {.lex_state = 71},
  [2320] = {.lex_state = 71},
  [2321] = {.lex_state = 71},
  [2322] = {.lex_state = 71},
  [2323] = {.lex_state = 71},
  [2324] = {.lex_state = 71},
  [2325] = {.lex_state = 71},
  [2326] = {.lex_state = 71},
  [2327] = {.lex_state = 71, .external_lex_state = 2},
  [2328] = {.lex_state = 71},
  [2329] = {.lex_state = 71, .external_lex_state = 2},
  [2330] = {.lex_state = 71},
  [2331] = {.lex_state = 71},
  [2332] = {.lex_state = 71},
  [2333] = {.lex_state = 71},
  [2334] = {.lex_state = 71, .external_lex_state = 2},
  [2335] = {.lex_state = 71},
  [2336] = {.lex_state = 71, .external_lex_state = 2},
  [2337] = {.lex_state = 71},
  [2338] = {.lex_state = 71},
  [2339] = {.lex_state = 71},
  [2340] = {.lex_state = 71},
  [2341] = {.lex_state = 71, .external_lex_state = 2},
  [2342] = {.lex_state = 71},
  [2343] = {.lex_state = 71},
  [2344] = {.lex_state = 71},
  [2345] = {.lex_state = 71, .external_lex_state = 2},
  [2346] = {.lex_state = 71},
  [2347] = {.lex_state = 71},
  [2348] = {.lex_state = 71, .external_lex_state = 2},
  [2349] = {.lex_state = 71},
  [2350] = {.lex_state = 71},
  [2351] = {.lex_state = 71, .external_lex_state = 2},
  [2352] = {.lex_state = 71},
  [2353] = {.lex_state = 71},
  [2354] = {.lex_state = 71},
  [2355] = {.lex_state = 71},
  [2356] = {.lex_state = 71},
  [2357] = {.lex_state = 71},
  [2358] = {.lex_state = 71},
  [2359] = {.lex_state = 71, .external_lex_state = 2},
  [2360] = {.lex_state = 71},
  [2361] = {.lex_state = 71},
  [2362] = {.lex_state = 71},
  [2363] = {.lex_state = 71},
  [2364] = {.lex_state = 71},
  [2365] = {.lex_state = 71},
  [2366] = {.lex_state = 71, .external_lex_state = 2},
  [2367] = {.lex_state = 71},
  [2368] = {.lex_state = 71},
  [2369] = {.lex_state = 71},
  [2370] = {.lex_state = 71},
  [2371] = {.lex_state = 71},
  [2372] = {.lex_state = 71},
  [2373] = {.lex_state = 71},
  [2374] = {.lex_state = 71},
  [2375] = {.lex_state = 71},
  [2376] = {.lex_state = 71},
  [2377] = {.lex_state = 71},
  [2378] = {.lex_state = 71},
  [2379] = {.lex_state = 71, .external_lex_state = 2},
  [2380] = {.lex_state = 71, .external_lex_state = 2},
  [2381] = {.lex_state = 71},
  [2382] = {.lex_state = 71},
  [2383] = {.lex_state = 71},
  [2384] = {.lex_state = 71},
  [2385] = {.lex_state = 71},
  [2386] = {.lex_state = 71},
  [2387] = {.lex_state = 71, .external_lex_state = 2},
  [2388] = {.lex_state = 71, .external_lex_state = 2},
  [2389] = {.lex_state = 71, .external_lex_state = 2},
  [2390] = {.lex_state = 71, .external_lex_state = 2},
  [2391] = {.lex_state = 71},
  [2392] = {.lex_state = 71},
  [2393] = {.lex_state = 71},
  [2394] = {.lex_state = 71},
  [2395] = {.lex_state = 71},
  [2396] = {.lex_state = 71},
  [2397] = {.lex_state = 71},
  [2398] = {.lex_state = 71, .external_lex_state = 2},
  [2399] = {.lex_state = 71},
  [2400] = {.lex_state = 71},
  [2401] = {.lex_state = 23},
  [2402] = {.lex_state = 71},
  [2403] = {.lex_state = 71},
  [2404] = {.lex_state = 71},
  [2405] = {.lex_state = 71},
  [2406] = {.lex_state = 71},
  [2407] = {.lex_state = 71, .external_lex_state = 2},
  [2408] = {.lex_state = 71},
  [2409] = {.lex_state = 71},
  [2410] = {.lex_state = 71},
  [2411] = {.lex_state = 195, .external_lex_state = 14},
  [2412] = {.lex_state = 71},
  [2413] = {.lex_state = 71},
  [2414] = {.lex_state = 71},
  [2415] = {.lex_state = 71, .external_lex_state = 2},
  [2416] = {.lex_state = 71, .external_lex_state = 2},
  [2417] = {.lex_state = 71},
  [2418] = {.lex_state = 71},
  [2419] = {.lex_state = 71, .external_lex_state = 2},
  [2420] = {.lex_state = 71, .external_lex_state = 2},
  [2421] = {.lex_state = 71},
  [2422] = {.lex_state = 71},
  [2423] = {.lex_state = 71},
  [2424] = {.lex_state = 71},
  [2425] = {.lex_state = 71},
  [2426] = {.lex_state = 71},
  [2427] = {.lex_state = 71},
  [2428] = {.lex_state = 71},
  [2429] = {.lex_state = 71},
  [2430] = {.lex_state = 71},
  [2431] = {.lex_state = 71},
  [2432] = {.lex_state = 71},
  [2433] = {.lex_state = 71},
  [2434] = {.lex_state = 71},
  [2435] = {.lex_state = 71},
  [2436] = {.lex_state = 71},
  [2437] = {.lex_state = 71},
  [2438] = {.lex_state = 71, .external_lex_state = 11},
  [2439] = {.lex_state = 71},
  [2440] = {.lex_state = 71},
  [2441] = {.lex_state = 71},
  [2442] = {.lex_state = 71},
  [2443] = {.lex_state = 71},
  [2444] = {.lex_state = 71},
  [2445] = {.lex_state = 71},
  [2446] = {.lex_state = 71},
  [2447] = {.lex_state = 71},
  [2448] = {.lex_state = 71},
  [2449] = {.lex_state = 71},
  [2450] = {.lex_state = 71},
  [2451] = {.lex_state = 71},
  [2452] = {.lex_state = 71},
  [2453] = {.lex_state = 71},
  [2454] = {.lex_state = 71},
  [2455] = {.lex_state = 71},
  [2456] = {.lex_state = 71, .external_lex_state = 11},
  [2457] = {.lex_state = 71},
  [2458] = {.lex_state = 71},
  [2459] = {.lex_state = 71},
  [2460] = {.lex_state = 71},
  [2461] = {.lex_state = 71},
  [2462] = {.lex_state = 71},
  [2463] = {.lex_state = 71},
  [2464] = {.lex_state = 71},
  [2465] = {.lex_state = 71},
  [2466] = {.lex_state = 71},
  [2467] = {.lex_state = 71},
  [2468] = {.lex_state = 71, .external_lex_state = 11},
  [2469] = {.lex_state = 71, .external_lex_state = 11},
  [2470] = {.lex_state = 71},
  [2471] = {.lex_state = 71},
  [2472] = {.lex_state = 71},
  [2473] = {.lex_state = 71},
  [2474] = {.lex_state = 9},
  [2475] = {.lex_state = 9},
  [2476] = {.lex_state = 71},
  [2477] = {.lex_state = 71},
  [2478] = {.lex_state = 71},
  [2479] = {.lex_state = 71},
  [2480] = {.lex_state = 71},
  [2481] = {.lex_state = 71},
  [2482] = {.lex_state = 71},
  [2483] = {.lex_state = 71},
  [2484] = {.lex_state = 71},
  [2485] = {.lex_state = 71},
  [2486] = {.lex_state = 71},
  [2487] = {.lex_state = 71},
  [2488] = {.lex_state = 71},
  [2489] = {.lex_state = 71},
  [2490] = {.lex_state = 71},
  [2491] = {.lex_state = 71},
  [2492] = {.lex_state = 71},
  [2493] = {.lex_state = 71},
  [2494] = {.lex_state = 71},
  [2495] = {.lex_state = 71},
  [2496] = {.lex_state = 71},
  [2497] = {.lex_state = 71},
  [2498] = {.lex_state = 71},
  [2499] = {.lex_state = 71},
  [2500] = {.lex_state = 71},
  [2501] = {.lex_state = 71},
  [2502] = {.lex_state = 71},
  [2503] = {.lex_state = 71},
  [2504] = {.lex_state = 71},
  [2505] = {.lex_state = 9},
  [2506] = {.lex_state = 71},
  [2507] = {.lex_state = 71},
  [2508] = {.lex_state = 71},
  [2509] = {.lex_state = 71},
  [2510] = {.lex_state = 9},
  [2511] = {.lex_state = 71},
  [2512] = {.lex_state = 71},
  [2513] = {.lex_state = 71},
  [2514] = {.lex_state = 71},
  [2515] = {.lex_state = 71},
  [2516] = {.lex_state = 71},
  [2517] = {.lex_state = 71},
  [2518] = {.lex_state = 71},
  [2519] = {.lex_state = 71},
  [2520] = {.lex_state = 71},
  [2521] = {.lex_state = 71},
  [2522] = {.lex_state = 71},
  [2523] = {.lex_state = 71},
  [2524] = {.lex_state = 71},
  [2525] = {.lex_state = 71},
  [2526] = {.lex_state = 71},
  [2527] = {.lex_state = 71},
  [2528] = {.lex_state = 71},
  [2529] = {.lex_state = 71},
  [2530] = {.lex_state = 71},
  [2531] = {.lex_state = 71},
  [2532] = {.lex_state = 71},
  [2533] = {.lex_state = 71},
  [2534] = {.lex_state = 71},
  [2535] = {.lex_state = 71},
  [2536] = {.lex_state = 71},
  [2537] = {.lex_state = 71},
  [2538] = {.lex_state = 71},
  [2539] = {.lex_state = 71},
  [2540] = {.lex_state = 71},
  [2541] = {.lex_state = 71},
  [2542] = {.lex_state = 71},
  [2543] = {.lex_state = 71},
  [2544] = {.lex_state = 71},
  [2545] = {.lex_state = 71},
  [2546] = {.lex_state = 71, .external_lex_state = 13},
  [2547] = {.lex_state = 71, .external_lex_state = 13},
  [2548] = {.lex_state = 71},
  [2549] = {.lex_state = 71},
  [2550] = {.lex_state = 71},
  [2551] = {.lex_state = 71},
  [2552] = {.lex_state = 71},
  [2553] = {.lex_state = 71},
  [2554] = {.lex_state = 71},
  [2555] = {.lex_state = 71},
  [2556] = {.lex_state = 71},
  [2557] = {.lex_state = 71, .external_lex_state = 13},
  [2558] = {.lex_state = 71, .external_lex_state = 13},
  [2559] = {.lex_state = 71},
  [2560] = {.lex_state = 71},
  [2561] = {.lex_state = 71},
  [2562] = {.lex_state = 71},
  [2563] = {.lex_state = 71},
  [2564] = {.lex_state = 71},
  [2565] = {.lex_state = 71},
  [2566] = {.lex_state = 71},
  [2567] = {.lex_state = 71},
  [2568] = {.lex_state = 71},
  [2569] = {.lex_state = 71},
  [2570] = {.lex_state = 71},
  [2571] = {.lex_state = 71},
  [2572] = {.lex_state = 71},
  [2573] = {.lex_state = 71},
  [2574] = {.lex_state = 71},
  [2575] = {.lex_state = 71},
  [2576] = {.lex_state = 71},
  [2577] = {.lex_state = 71},
  [2578] = {.lex_state = 71},
  [2579] = {.lex_state = 71},
  [2580] = {.lex_state = 71},
  [2581] = {.lex_state = 71},
  [2582] = {.lex_state = 71},
  [2583] = {.lex_state = 71},
  [2584] = {.lex_state = 71},
  [2585] = {.lex_state = 71, .external_lex_state = 11},
  [2586] = {.lex_state = 71},
  [2587] = {.lex_state = 71},
  [2588] = {.lex_state = 71},
  [2589] = {.lex_state = 71},
  [2590] = {.lex_state = 71},
  [2591] = {.lex_state = 71},
  [2592] = {.lex_state = 71},
  [2593] = {.lex_state = 71},
  [2594] = {.lex_state = 71},
  [2595] = {.lex_state = 71},
  [2596] = {.lex_state = 71},
  [2597] = {.lex_state = 71},
  [2598] = {.lex_state = 71},
  [2599] = {.lex_state = 71},
  [2600] = {.lex_state = 71},
  [2601] = {.lex_state = 71},
  [2602] = {.lex_state = 71},
  [2603] = {.lex_state = 71},
  [2604] = {.lex_state = 71},
  [2605] = {.lex_state = 71},
  [2606] = {.lex_state = 71},
  [2607] = {.lex_state = 71},
  [2608] = {.lex_state = 71},
  [2609] = {.lex_state = 71},
  [2610] = {.lex_state = 71},
  [2611] = {.lex_state = 71},
  [2612] = {.lex_state = 71},
  [2613] = {.lex_state = 71},
  [2614] = {.lex_state = 71},
  [2615] = {.lex_state = 71},
  [2616] = {.lex_state = 71},
  [2617] = {.lex_state = 71},
  [2618] = {.lex_state = 71},
  [2619] = {.lex_state = 71},
  [2620] = {.lex_state = 71, .external_lex_state = 11},
  [2621] = {.lex_state = 71, .external_lex_state = 11},
  [2622] = {.lex_state = 71},
  [2623] = {.lex_state = 71},
  [2624] = {.lex_state = 71},
  [2625] = {.lex_state = 71},
  [2626] = {.lex_state = 71},
  [2627] = {.lex_state = 71},
  [2628] = {.lex_state = 71},
  [2629] = {.lex_state = 71},
  [2630] = {.lex_state = 71},
  [2631] = {.lex_state = 71},
  [2632] = {.lex_state = 71},
  [2633] = {.lex_state = 71},
  [2634] = {.lex_state = 71},
  [2635] = {.lex_state = 71},
  [2636] = {.lex_state = 71},
  [2637] = {.lex_state = 71},
  [2638] = {.lex_state = 71},
  [2639] = {.lex_state = 71},
  [2640] = {.lex_state = 71},
  [2641] = {.lex_state = 71},
  [2642] = {.lex_state = 71},
  [2643] = {.lex_state = 71},
  [2644] = {.lex_state = 71},
  [2645] = {.lex_state = 71},
  [2646] = {.lex_state = 71},
  [2647] = {.lex_state = 71},
  [2648] = {.lex_state = 71},
  [2649] = {.lex_state = 71},
  [2650] = {.lex_state = 71},
  [2651] = {.lex_state = 71},
  [2652] = {.lex_state = 71},
  [2653] = {.lex_state = 71},
  [2654] = {.lex_state = 71},
  [2655] = {.lex_state = 71},
  [2656] = {(TSStateId)(-1)},
  [2657] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_QMARK_GT2] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_boolean] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2591),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2161),
    [aux_sym_text_repeat1] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(11),
    [aux_sym_text_token2] = ACTIONS(11),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [anon_sym_RBRACE] = ACTIONS(13),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_enum_case_token1] = ACTIONS(56),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(88),
    [aux_sym_declare_statement_token2] = ACTIONS(56),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(112),
    [aux_sym_while_statement_token2] = ACTIONS(56),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(118),
    [aux_sym_for_statement_token2] = ACTIONS(56),
    [aux_sym_foreach_statement_token1] = ACTIONS(121),
    [aux_sym_foreach_statement_token2] = ACTIONS(56),
    [aux_sym_if_statement_token1] = ACTIONS(124),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_match_default_expression_token1] = ACTIONS(56),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [aux_sym_switch_block_token1] = ACTIONS(56),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(216),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(224),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(224),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(224),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(318),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(320),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(320),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(322),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(324),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(324),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(324),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(326),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(328),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(328),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token2] = ACTIONS(340),
    [aux_sym_else_if_clause_token1] = ACTIONS(340),
    [aux_sym_else_clause_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_else_if_clause_token1] = ACTIONS(342),
    [aux_sym_else_clause_token1] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(344),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(347),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(353),
    [aux_sym_if_statement_token1] = ACTIONS(356),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_else_if_clause_token1] = ACTIONS(56),
    [aux_sym_else_clause_token1] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(340),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(340),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_empty_statement] = STATE(536),
    [sym_function_static_declaration] = STATE(536),
    [sym_global_declaration] = STATE(536),
    [sym_namespace_definition] = STATE(536),
    [sym_namespace_use_declaration] = STATE(536),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(536),
    [sym_interface_declaration] = STATE(536),
    [sym_enum_declaration] = STATE(536),
    [sym_class_declaration] = STATE(536),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(536),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(536),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(536),
    [sym_unset_statement] = STATE(536),
    [sym_declare_statement] = STATE(536),
    [sym_try_statement] = STATE(536),
    [sym_goto_statement] = STATE(536),
    [sym_continue_statement] = STATE(536),
    [sym_break_statement] = STATE(536),
    [sym_return_statement] = STATE(536),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(536),
    [sym_do_statement] = STATE(536),
    [sym_for_statement] = STATE(536),
    [sym_foreach_statement] = STATE(536),
    [sym_if_statement] = STATE(536),
    [sym_colon_block] = STATE(2647),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(536),
    [sym_compound_statement] = STATE(536),
    [sym_named_label_statement] = STATE(536),
    [sym_expression_statement] = STATE(536),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_empty_statement] = STATE(2001),
    [sym_function_static_declaration] = STATE(2001),
    [sym_global_declaration] = STATE(2001),
    [sym_namespace_definition] = STATE(2001),
    [sym_namespace_use_declaration] = STATE(2001),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2001),
    [sym_interface_declaration] = STATE(2001),
    [sym_enum_declaration] = STATE(2001),
    [sym_class_declaration] = STATE(2001),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2001),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2001),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2001),
    [sym_unset_statement] = STATE(2001),
    [sym_declare_statement] = STATE(2001),
    [sym_try_statement] = STATE(2001),
    [sym_goto_statement] = STATE(2001),
    [sym_continue_statement] = STATE(2001),
    [sym_break_statement] = STATE(2001),
    [sym_return_statement] = STATE(2001),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2001),
    [sym_do_statement] = STATE(2001),
    [sym_for_statement] = STATE(2001),
    [sym_foreach_statement] = STATE(2001),
    [sym_if_statement] = STATE(2001),
    [sym_colon_block] = STATE(2465),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2001),
    [sym_compound_statement] = STATE(2001),
    [sym_named_label_statement] = STATE(2001),
    [sym_expression_statement] = STATE(2001),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_empty_statement] = STATE(536),
    [sym_function_static_declaration] = STATE(536),
    [sym_global_declaration] = STATE(536),
    [sym_namespace_definition] = STATE(536),
    [sym_namespace_use_declaration] = STATE(536),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(536),
    [sym_interface_declaration] = STATE(536),
    [sym_enum_declaration] = STATE(536),
    [sym_class_declaration] = STATE(536),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(536),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(536),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(536),
    [sym_unset_statement] = STATE(536),
    [sym_declare_statement] = STATE(536),
    [sym_try_statement] = STATE(536),
    [sym_goto_statement] = STATE(536),
    [sym_continue_statement] = STATE(536),
    [sym_break_statement] = STATE(536),
    [sym_return_statement] = STATE(536),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(536),
    [sym_do_statement] = STATE(536),
    [sym_for_statement] = STATE(536),
    [sym_foreach_statement] = STATE(536),
    [sym_if_statement] = STATE(536),
    [sym_colon_block] = STATE(2647),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(536),
    [sym_compound_statement] = STATE(536),
    [sym_named_label_statement] = STATE(536),
    [sym_expression_statement] = STATE(536),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_empty_statement] = STATE(2001),
    [sym_function_static_declaration] = STATE(2001),
    [sym_global_declaration] = STATE(2001),
    [sym_namespace_definition] = STATE(2001),
    [sym_namespace_use_declaration] = STATE(2001),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2001),
    [sym_interface_declaration] = STATE(2001),
    [sym_enum_declaration] = STATE(2001),
    [sym_class_declaration] = STATE(2001),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2001),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2001),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2001),
    [sym_unset_statement] = STATE(2001),
    [sym_declare_statement] = STATE(2001),
    [sym_try_statement] = STATE(2001),
    [sym_goto_statement] = STATE(2001),
    [sym_continue_statement] = STATE(2001),
    [sym_break_statement] = STATE(2001),
    [sym_return_statement] = STATE(2001),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2001),
    [sym_do_statement] = STATE(2001),
    [sym_for_statement] = STATE(2001),
    [sym_foreach_statement] = STATE(2001),
    [sym_if_statement] = STATE(2001),
    [sym_colon_block] = STATE(2465),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2001),
    [sym_compound_statement] = STATE(2001),
    [sym_named_label_statement] = STATE(2001),
    [sym_expression_statement] = STATE(2001),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_empty_statement] = STATE(1971),
    [sym_function_static_declaration] = STATE(1971),
    [sym_global_declaration] = STATE(1971),
    [sym_namespace_definition] = STATE(1971),
    [sym_namespace_use_declaration] = STATE(1971),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1971),
    [sym_interface_declaration] = STATE(1971),
    [sym_enum_declaration] = STATE(1971),
    [sym_class_declaration] = STATE(1971),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1971),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1971),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1971),
    [sym_unset_statement] = STATE(1971),
    [sym_declare_statement] = STATE(1971),
    [sym_try_statement] = STATE(1971),
    [sym_goto_statement] = STATE(1971),
    [sym_continue_statement] = STATE(1971),
    [sym_break_statement] = STATE(1971),
    [sym_return_statement] = STATE(1971),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1971),
    [sym_do_statement] = STATE(1971),
    [sym_for_statement] = STATE(1971),
    [sym_foreach_statement] = STATE(1971),
    [sym_if_statement] = STATE(1971),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1971),
    [sym_compound_statement] = STATE(1971),
    [sym_named_label_statement] = STATE(1971),
    [sym_expression_statement] = STATE(1971),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(431),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(433),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_empty_statement] = STATE(1596),
    [sym_function_static_declaration] = STATE(1596),
    [sym_global_declaration] = STATE(1596),
    [sym_namespace_definition] = STATE(1596),
    [sym_namespace_use_declaration] = STATE(1596),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1596),
    [sym_interface_declaration] = STATE(1596),
    [sym_enum_declaration] = STATE(1596),
    [sym_class_declaration] = STATE(1596),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1596),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1596),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1596),
    [sym_unset_statement] = STATE(1596),
    [sym_declare_statement] = STATE(1596),
    [sym_try_statement] = STATE(1596),
    [sym_goto_statement] = STATE(1596),
    [sym_continue_statement] = STATE(1596),
    [sym_break_statement] = STATE(1596),
    [sym_return_statement] = STATE(1596),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1596),
    [sym_do_statement] = STATE(1596),
    [sym_for_statement] = STATE(1596),
    [sym_foreach_statement] = STATE(1596),
    [sym_if_statement] = STATE(1596),
    [sym_colon_block] = STATE(1633),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1596),
    [sym_compound_statement] = STATE(1596),
    [sym_named_label_statement] = STATE(1596),
    [sym_expression_statement] = STATE(1596),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(439),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_empty_statement] = STATE(2102),
    [sym_function_static_declaration] = STATE(2102),
    [sym_global_declaration] = STATE(2102),
    [sym_namespace_definition] = STATE(2102),
    [sym_namespace_use_declaration] = STATE(2102),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2102),
    [sym_interface_declaration] = STATE(2102),
    [sym_enum_declaration] = STATE(2102),
    [sym_class_declaration] = STATE(2102),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2102),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2102),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2102),
    [sym_unset_statement] = STATE(2102),
    [sym_declare_statement] = STATE(2102),
    [sym_try_statement] = STATE(2102),
    [sym_goto_statement] = STATE(2102),
    [sym_continue_statement] = STATE(2102),
    [sym_break_statement] = STATE(2102),
    [sym_return_statement] = STATE(2102),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2102),
    [sym_do_statement] = STATE(2102),
    [sym_for_statement] = STATE(2102),
    [sym_foreach_statement] = STATE(2102),
    [sym_if_statement] = STATE(2102),
    [sym_colon_block] = STATE(2516),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2102),
    [sym_compound_statement] = STATE(2102),
    [sym_named_label_statement] = STATE(2102),
    [sym_expression_statement] = STATE(2102),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(441),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(443),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(445),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_empty_statement] = STATE(488),
    [sym_function_static_declaration] = STATE(488),
    [sym_global_declaration] = STATE(488),
    [sym_namespace_definition] = STATE(488),
    [sym_namespace_use_declaration] = STATE(488),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(488),
    [sym_interface_declaration] = STATE(488),
    [sym_enum_declaration] = STATE(488),
    [sym_class_declaration] = STATE(488),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(488),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(488),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(488),
    [sym_unset_statement] = STATE(488),
    [sym_declare_statement] = STATE(488),
    [sym_try_statement] = STATE(488),
    [sym_goto_statement] = STATE(488),
    [sym_continue_statement] = STATE(488),
    [sym_break_statement] = STATE(488),
    [sym_return_statement] = STATE(488),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(488),
    [sym_do_statement] = STATE(488),
    [sym_for_statement] = STATE(488),
    [sym_foreach_statement] = STATE(488),
    [sym_if_statement] = STATE(488),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(488),
    [sym_compound_statement] = STATE(488),
    [sym_named_label_statement] = STATE(488),
    [sym_expression_statement] = STATE(488),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(447),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(449),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(451),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(445),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(453),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_empty_statement] = STATE(426),
    [sym_function_static_declaration] = STATE(426),
    [sym_global_declaration] = STATE(426),
    [sym_namespace_definition] = STATE(426),
    [sym_namespace_use_declaration] = STATE(426),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(426),
    [sym_interface_declaration] = STATE(426),
    [sym_enum_declaration] = STATE(426),
    [sym_class_declaration] = STATE(426),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(426),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(426),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(426),
    [sym_unset_statement] = STATE(426),
    [sym_declare_statement] = STATE(426),
    [sym_try_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_foreach_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_colon_block] = STATE(1591),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(426),
    [sym_compound_statement] = STATE(426),
    [sym_named_label_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(439),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(455),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_empty_statement] = STATE(488),
    [sym_function_static_declaration] = STATE(488),
    [sym_global_declaration] = STATE(488),
    [sym_namespace_definition] = STATE(488),
    [sym_namespace_use_declaration] = STATE(488),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(488),
    [sym_interface_declaration] = STATE(488),
    [sym_enum_declaration] = STATE(488),
    [sym_class_declaration] = STATE(488),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(488),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(488),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(488),
    [sym_unset_statement] = STATE(488),
    [sym_declare_statement] = STATE(488),
    [sym_try_statement] = STATE(488),
    [sym_goto_statement] = STATE(488),
    [sym_continue_statement] = STATE(488),
    [sym_break_statement] = STATE(488),
    [sym_return_statement] = STATE(488),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(488),
    [sym_do_statement] = STATE(488),
    [sym_for_statement] = STATE(488),
    [sym_foreach_statement] = STATE(488),
    [sym_if_statement] = STATE(488),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(488),
    [sym_compound_statement] = STATE(488),
    [sym_named_label_statement] = STATE(488),
    [sym_expression_statement] = STATE(488),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(447),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(449),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(451),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_empty_statement] = STATE(487),
    [sym_function_static_declaration] = STATE(487),
    [sym_global_declaration] = STATE(487),
    [sym_namespace_definition] = STATE(487),
    [sym_namespace_use_declaration] = STATE(487),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(487),
    [sym_interface_declaration] = STATE(487),
    [sym_enum_declaration] = STATE(487),
    [sym_class_declaration] = STATE(487),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(487),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(487),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(487),
    [sym_unset_statement] = STATE(487),
    [sym_declare_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_goto_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_foreach_statement] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(487),
    [sym_compound_statement] = STATE(487),
    [sym_named_label_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_empty_statement] = STATE(487),
    [sym_function_static_declaration] = STATE(487),
    [sym_global_declaration] = STATE(487),
    [sym_namespace_definition] = STATE(487),
    [sym_namespace_use_declaration] = STATE(487),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(487),
    [sym_interface_declaration] = STATE(487),
    [sym_enum_declaration] = STATE(487),
    [sym_class_declaration] = STATE(487),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(487),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(487),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(487),
    [sym_unset_statement] = STATE(487),
    [sym_declare_statement] = STATE(487),
    [sym_try_statement] = STATE(487),
    [sym_goto_statement] = STATE(487),
    [sym_continue_statement] = STATE(487),
    [sym_break_statement] = STATE(487),
    [sym_return_statement] = STATE(487),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(487),
    [sym_do_statement] = STATE(487),
    [sym_for_statement] = STATE(487),
    [sym_foreach_statement] = STATE(487),
    [sym_if_statement] = STATE(487),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(487),
    [sym_compound_statement] = STATE(487),
    [sym_named_label_statement] = STATE(487),
    [sym_expression_statement] = STATE(487),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_empty_statement] = STATE(429),
    [sym_function_static_declaration] = STATE(429),
    [sym_global_declaration] = STATE(429),
    [sym_namespace_definition] = STATE(429),
    [sym_namespace_use_declaration] = STATE(429),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(429),
    [sym_interface_declaration] = STATE(429),
    [sym_enum_declaration] = STATE(429),
    [sym_class_declaration] = STATE(429),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(429),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(429),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(429),
    [sym_unset_statement] = STATE(429),
    [sym_declare_statement] = STATE(429),
    [sym_try_statement] = STATE(429),
    [sym_goto_statement] = STATE(429),
    [sym_continue_statement] = STATE(429),
    [sym_break_statement] = STATE(429),
    [sym_return_statement] = STATE(429),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(429),
    [sym_do_statement] = STATE(429),
    [sym_for_statement] = STATE(429),
    [sym_foreach_statement] = STATE(429),
    [sym_if_statement] = STATE(429),
    [sym_colon_block] = STATE(1591),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(429),
    [sym_compound_statement] = STATE(429),
    [sym_named_label_statement] = STATE(429),
    [sym_expression_statement] = STATE(429),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(439),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2492),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(465),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_empty_statement] = STATE(1570),
    [sym_function_static_declaration] = STATE(1570),
    [sym_global_declaration] = STATE(1570),
    [sym_namespace_definition] = STATE(1570),
    [sym_namespace_use_declaration] = STATE(1570),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1570),
    [sym_interface_declaration] = STATE(1570),
    [sym_enum_declaration] = STATE(1570),
    [sym_class_declaration] = STATE(1570),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1570),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1570),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1570),
    [sym_unset_statement] = STATE(1570),
    [sym_declare_statement] = STATE(1570),
    [sym_try_statement] = STATE(1570),
    [sym_goto_statement] = STATE(1570),
    [sym_continue_statement] = STATE(1570),
    [sym_break_statement] = STATE(1570),
    [sym_return_statement] = STATE(1570),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1570),
    [sym_do_statement] = STATE(1570),
    [sym_for_statement] = STATE(1570),
    [sym_foreach_statement] = STATE(1570),
    [sym_if_statement] = STATE(1570),
    [sym_colon_block] = STATE(1633),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1570),
    [sym_compound_statement] = STATE(1570),
    [sym_named_label_statement] = STATE(1570),
    [sym_expression_statement] = STATE(1570),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(439),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(467),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(469),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(471),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_empty_statement] = STATE(2068),
    [sym_function_static_declaration] = STATE(2068),
    [sym_global_declaration] = STATE(2068),
    [sym_namespace_definition] = STATE(2068),
    [sym_namespace_use_declaration] = STATE(2068),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2068),
    [sym_interface_declaration] = STATE(2068),
    [sym_enum_declaration] = STATE(2068),
    [sym_class_declaration] = STATE(2068),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2068),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2068),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2068),
    [sym_unset_statement] = STATE(2068),
    [sym_declare_statement] = STATE(2068),
    [sym_try_statement] = STATE(2068),
    [sym_goto_statement] = STATE(2068),
    [sym_continue_statement] = STATE(2068),
    [sym_break_statement] = STATE(2068),
    [sym_return_statement] = STATE(2068),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2068),
    [sym_do_statement] = STATE(2068),
    [sym_for_statement] = STATE(2068),
    [sym_foreach_statement] = STATE(2068),
    [sym_if_statement] = STATE(2068),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2068),
    [sym_compound_statement] = STATE(2068),
    [sym_named_label_statement] = STATE(2068),
    [sym_expression_statement] = STATE(2068),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_empty_statement] = STATE(525),
    [sym_function_static_declaration] = STATE(525),
    [sym_global_declaration] = STATE(525),
    [sym_namespace_definition] = STATE(525),
    [sym_namespace_use_declaration] = STATE(525),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(525),
    [sym_interface_declaration] = STATE(525),
    [sym_enum_declaration] = STATE(525),
    [sym_class_declaration] = STATE(525),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(525),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(525),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(525),
    [sym_unset_statement] = STATE(525),
    [sym_declare_statement] = STATE(525),
    [sym_try_statement] = STATE(525),
    [sym_goto_statement] = STATE(525),
    [sym_continue_statement] = STATE(525),
    [sym_break_statement] = STATE(525),
    [sym_return_statement] = STATE(525),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(525),
    [sym_do_statement] = STATE(525),
    [sym_for_statement] = STATE(525),
    [sym_foreach_statement] = STATE(525),
    [sym_if_statement] = STATE(525),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(525),
    [sym_compound_statement] = STATE(525),
    [sym_named_label_statement] = STATE(525),
    [sym_expression_statement] = STATE(525),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(479),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(483),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_empty_statement] = STATE(525),
    [sym_function_static_declaration] = STATE(525),
    [sym_global_declaration] = STATE(525),
    [sym_namespace_definition] = STATE(525),
    [sym_namespace_use_declaration] = STATE(525),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(525),
    [sym_interface_declaration] = STATE(525),
    [sym_enum_declaration] = STATE(525),
    [sym_class_declaration] = STATE(525),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(525),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(525),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(525),
    [sym_unset_statement] = STATE(525),
    [sym_declare_statement] = STATE(525),
    [sym_try_statement] = STATE(525),
    [sym_goto_statement] = STATE(525),
    [sym_continue_statement] = STATE(525),
    [sym_break_statement] = STATE(525),
    [sym_return_statement] = STATE(525),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(525),
    [sym_do_statement] = STATE(525),
    [sym_for_statement] = STATE(525),
    [sym_foreach_statement] = STATE(525),
    [sym_if_statement] = STATE(525),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(525),
    [sym_compound_statement] = STATE(525),
    [sym_named_label_statement] = STATE(525),
    [sym_expression_statement] = STATE(525),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(479),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(483),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(485),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_empty_statement] = STATE(2052),
    [sym_function_static_declaration] = STATE(2052),
    [sym_global_declaration] = STATE(2052),
    [sym_namespace_definition] = STATE(2052),
    [sym_namespace_use_declaration] = STATE(2052),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2052),
    [sym_interface_declaration] = STATE(2052),
    [sym_enum_declaration] = STATE(2052),
    [sym_class_declaration] = STATE(2052),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2052),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2052),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2052),
    [sym_unset_statement] = STATE(2052),
    [sym_declare_statement] = STATE(2052),
    [sym_try_statement] = STATE(2052),
    [sym_goto_statement] = STATE(2052),
    [sym_continue_statement] = STATE(2052),
    [sym_break_statement] = STATE(2052),
    [sym_return_statement] = STATE(2052),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2052),
    [sym_do_statement] = STATE(2052),
    [sym_for_statement] = STATE(2052),
    [sym_foreach_statement] = STATE(2052),
    [sym_if_statement] = STATE(2052),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2052),
    [sym_compound_statement] = STATE(2052),
    [sym_named_label_statement] = STATE(2052),
    [sym_expression_statement] = STATE(2052),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_empty_statement] = STATE(2052),
    [sym_function_static_declaration] = STATE(2052),
    [sym_global_declaration] = STATE(2052),
    [sym_namespace_definition] = STATE(2052),
    [sym_namespace_use_declaration] = STATE(2052),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2052),
    [sym_interface_declaration] = STATE(2052),
    [sym_enum_declaration] = STATE(2052),
    [sym_class_declaration] = STATE(2052),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2052),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2052),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2052),
    [sym_unset_statement] = STATE(2052),
    [sym_declare_statement] = STATE(2052),
    [sym_try_statement] = STATE(2052),
    [sym_goto_statement] = STATE(2052),
    [sym_continue_statement] = STATE(2052),
    [sym_break_statement] = STATE(2052),
    [sym_return_statement] = STATE(2052),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2052),
    [sym_do_statement] = STATE(2052),
    [sym_for_statement] = STATE(2052),
    [sym_foreach_statement] = STATE(2052),
    [sym_if_statement] = STATE(2052),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2052),
    [sym_compound_statement] = STATE(2052),
    [sym_named_label_statement] = STATE(2052),
    [sym_expression_statement] = STATE(2052),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_empty_statement] = STATE(2009),
    [sym_function_static_declaration] = STATE(2009),
    [sym_global_declaration] = STATE(2009),
    [sym_namespace_definition] = STATE(2009),
    [sym_namespace_use_declaration] = STATE(2009),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2009),
    [sym_interface_declaration] = STATE(2009),
    [sym_enum_declaration] = STATE(2009),
    [sym_class_declaration] = STATE(2009),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2009),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2009),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2009),
    [sym_unset_statement] = STATE(2009),
    [sym_declare_statement] = STATE(2009),
    [sym_try_statement] = STATE(2009),
    [sym_goto_statement] = STATE(2009),
    [sym_continue_statement] = STATE(2009),
    [sym_break_statement] = STATE(2009),
    [sym_return_statement] = STATE(2009),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2009),
    [sym_do_statement] = STATE(2009),
    [sym_for_statement] = STATE(2009),
    [sym_foreach_statement] = STATE(2009),
    [sym_if_statement] = STATE(2009),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2009),
    [sym_compound_statement] = STATE(2009),
    [sym_named_label_statement] = STATE(2009),
    [sym_expression_statement] = STATE(2009),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(501),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_empty_statement] = STATE(1977),
    [sym_function_static_declaration] = STATE(1977),
    [sym_global_declaration] = STATE(1977),
    [sym_namespace_definition] = STATE(1977),
    [sym_namespace_use_declaration] = STATE(1977),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1977),
    [sym_interface_declaration] = STATE(1977),
    [sym_enum_declaration] = STATE(1977),
    [sym_class_declaration] = STATE(1977),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1977),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1977),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1977),
    [sym_unset_statement] = STATE(1977),
    [sym_declare_statement] = STATE(1977),
    [sym_try_statement] = STATE(1977),
    [sym_goto_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_return_statement] = STATE(1977),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1977),
    [sym_do_statement] = STATE(1977),
    [sym_for_statement] = STATE(1977),
    [sym_foreach_statement] = STATE(1977),
    [sym_if_statement] = STATE(1977),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1977),
    [sym_compound_statement] = STATE(1977),
    [sym_named_label_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_empty_statement] = STATE(1971),
    [sym_function_static_declaration] = STATE(1971),
    [sym_global_declaration] = STATE(1971),
    [sym_namespace_definition] = STATE(1971),
    [sym_namespace_use_declaration] = STATE(1971),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1971),
    [sym_interface_declaration] = STATE(1971),
    [sym_enum_declaration] = STATE(1971),
    [sym_class_declaration] = STATE(1971),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1971),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1971),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1971),
    [sym_unset_statement] = STATE(1971),
    [sym_declare_statement] = STATE(1971),
    [sym_try_statement] = STATE(1971),
    [sym_goto_statement] = STATE(1971),
    [sym_continue_statement] = STATE(1971),
    [sym_break_statement] = STATE(1971),
    [sym_return_statement] = STATE(1971),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1971),
    [sym_do_statement] = STATE(1971),
    [sym_for_statement] = STATE(1971),
    [sym_foreach_statement] = STATE(1971),
    [sym_if_statement] = STATE(1971),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1971),
    [sym_compound_statement] = STATE(1971),
    [sym_named_label_statement] = STATE(1971),
    [sym_expression_statement] = STATE(1971),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(431),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(433),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_empty_statement] = STATE(2102),
    [sym_function_static_declaration] = STATE(2102),
    [sym_global_declaration] = STATE(2102),
    [sym_namespace_definition] = STATE(2102),
    [sym_namespace_use_declaration] = STATE(2102),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2102),
    [sym_interface_declaration] = STATE(2102),
    [sym_enum_declaration] = STATE(2102),
    [sym_class_declaration] = STATE(2102),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2102),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2102),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2102),
    [sym_unset_statement] = STATE(2102),
    [sym_declare_statement] = STATE(2102),
    [sym_try_statement] = STATE(2102),
    [sym_goto_statement] = STATE(2102),
    [sym_continue_statement] = STATE(2102),
    [sym_break_statement] = STATE(2102),
    [sym_return_statement] = STATE(2102),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2102),
    [sym_do_statement] = STATE(2102),
    [sym_for_statement] = STATE(2102),
    [sym_foreach_statement] = STATE(2102),
    [sym_if_statement] = STATE(2102),
    [sym_colon_block] = STATE(2516),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2102),
    [sym_compound_statement] = STATE(2102),
    [sym_named_label_statement] = STATE(2102),
    [sym_expression_statement] = STATE(2102),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_empty_statement] = STATE(1977),
    [sym_function_static_declaration] = STATE(1977),
    [sym_global_declaration] = STATE(1977),
    [sym_namespace_definition] = STATE(1977),
    [sym_namespace_use_declaration] = STATE(1977),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(1977),
    [sym_interface_declaration] = STATE(1977),
    [sym_enum_declaration] = STATE(1977),
    [sym_class_declaration] = STATE(1977),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(1977),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(1977),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(1977),
    [sym_unset_statement] = STATE(1977),
    [sym_declare_statement] = STATE(1977),
    [sym_try_statement] = STATE(1977),
    [sym_goto_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_return_statement] = STATE(1977),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(1977),
    [sym_do_statement] = STATE(1977),
    [sym_for_statement] = STATE(1977),
    [sym_foreach_statement] = STATE(1977),
    [sym_if_statement] = STATE(1977),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(1977),
    [sym_compound_statement] = STATE(1977),
    [sym_named_label_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_empty_statement] = STATE(2068),
    [sym_function_static_declaration] = STATE(2068),
    [sym_global_declaration] = STATE(2068),
    [sym_namespace_definition] = STATE(2068),
    [sym_namespace_use_declaration] = STATE(2068),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2068),
    [sym_interface_declaration] = STATE(2068),
    [sym_enum_declaration] = STATE(2068),
    [sym_class_declaration] = STATE(2068),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2068),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2068),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2068),
    [sym_unset_statement] = STATE(2068),
    [sym_declare_statement] = STATE(2068),
    [sym_try_statement] = STATE(2068),
    [sym_goto_statement] = STATE(2068),
    [sym_continue_statement] = STATE(2068),
    [sym_break_statement] = STATE(2068),
    [sym_return_statement] = STATE(2068),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2068),
    [sym_do_statement] = STATE(2068),
    [sym_for_statement] = STATE(2068),
    [sym_foreach_statement] = STATE(2068),
    [sym_if_statement] = STATE(2068),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2068),
    [sym_compound_statement] = STATE(2068),
    [sym_named_label_statement] = STATE(2068),
    [sym_expression_statement] = STATE(2068),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_empty_statement] = STATE(2009),
    [sym_function_static_declaration] = STATE(2009),
    [sym_global_declaration] = STATE(2009),
    [sym_namespace_definition] = STATE(2009),
    [sym_namespace_use_declaration] = STATE(2009),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2009),
    [sym_interface_declaration] = STATE(2009),
    [sym_enum_declaration] = STATE(2009),
    [sym_class_declaration] = STATE(2009),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2009),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2009),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2009),
    [sym_unset_statement] = STATE(2009),
    [sym_declare_statement] = STATE(2009),
    [sym_try_statement] = STATE(2009),
    [sym_goto_statement] = STATE(2009),
    [sym_continue_statement] = STATE(2009),
    [sym_break_statement] = STATE(2009),
    [sym_return_statement] = STATE(2009),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2009),
    [sym_do_statement] = STATE(2009),
    [sym_for_statement] = STATE(2009),
    [sym_foreach_statement] = STATE(2009),
    [sym_if_statement] = STATE(2009),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2009),
    [sym_compound_statement] = STATE(2009),
    [sym_named_label_statement] = STATE(2009),
    [sym_expression_statement] = STATE(2009),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(509),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(511),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_empty_statement] = STATE(481),
    [sym_function_static_declaration] = STATE(481),
    [sym_global_declaration] = STATE(481),
    [sym_namespace_definition] = STATE(481),
    [sym_namespace_use_declaration] = STATE(481),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(481),
    [sym_interface_declaration] = STATE(481),
    [sym_enum_declaration] = STATE(481),
    [sym_class_declaration] = STATE(481),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(481),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(481),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(481),
    [sym_unset_statement] = STATE(481),
    [sym_declare_statement] = STATE(481),
    [sym_try_statement] = STATE(481),
    [sym_goto_statement] = STATE(481),
    [sym_continue_statement] = STATE(481),
    [sym_break_statement] = STATE(481),
    [sym_return_statement] = STATE(481),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(481),
    [sym_do_statement] = STATE(481),
    [sym_for_statement] = STATE(481),
    [sym_foreach_statement] = STATE(481),
    [sym_if_statement] = STATE(481),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(481),
    [sym_compound_statement] = STATE(481),
    [sym_named_label_statement] = STATE(481),
    [sym_expression_statement] = STATE(481),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(523),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(527),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_empty_statement] = STATE(552),
    [sym_function_static_declaration] = STATE(552),
    [sym_global_declaration] = STATE(552),
    [sym_namespace_definition] = STATE(552),
    [sym_namespace_use_declaration] = STATE(552),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(552),
    [sym_interface_declaration] = STATE(552),
    [sym_enum_declaration] = STATE(552),
    [sym_class_declaration] = STATE(552),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(552),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(552),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(552),
    [sym_unset_statement] = STATE(552),
    [sym_declare_statement] = STATE(552),
    [sym_try_statement] = STATE(552),
    [sym_goto_statement] = STATE(552),
    [sym_continue_statement] = STATE(552),
    [sym_break_statement] = STATE(552),
    [sym_return_statement] = STATE(552),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(552),
    [sym_do_statement] = STATE(552),
    [sym_for_statement] = STATE(552),
    [sym_foreach_statement] = STATE(552),
    [sym_if_statement] = STATE(552),
    [sym_colon_block] = STATE(2492),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(552),
    [sym_compound_statement] = STATE(552),
    [sym_named_label_statement] = STATE(552),
    [sym_expression_statement] = STATE(552),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(529),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(531),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_empty_statement] = STATE(517),
    [sym_function_static_declaration] = STATE(517),
    [sym_global_declaration] = STATE(517),
    [sym_namespace_definition] = STATE(517),
    [sym_namespace_use_declaration] = STATE(517),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(517),
    [sym_interface_declaration] = STATE(517),
    [sym_enum_declaration] = STATE(517),
    [sym_class_declaration] = STATE(517),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(517),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(517),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(517),
    [sym_unset_statement] = STATE(517),
    [sym_declare_statement] = STATE(517),
    [sym_try_statement] = STATE(517),
    [sym_goto_statement] = STATE(517),
    [sym_continue_statement] = STATE(517),
    [sym_break_statement] = STATE(517),
    [sym_return_statement] = STATE(517),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(517),
    [sym_do_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_foreach_statement] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(517),
    [sym_compound_statement] = STATE(517),
    [sym_named_label_statement] = STATE(517),
    [sym_expression_statement] = STATE(517),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(535),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(539),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_empty_statement] = STATE(481),
    [sym_function_static_declaration] = STATE(481),
    [sym_global_declaration] = STATE(481),
    [sym_namespace_definition] = STATE(481),
    [sym_namespace_use_declaration] = STATE(481),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(481),
    [sym_interface_declaration] = STATE(481),
    [sym_enum_declaration] = STATE(481),
    [sym_class_declaration] = STATE(481),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(481),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(481),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(481),
    [sym_unset_statement] = STATE(481),
    [sym_declare_statement] = STATE(481),
    [sym_try_statement] = STATE(481),
    [sym_goto_statement] = STATE(481),
    [sym_continue_statement] = STATE(481),
    [sym_break_statement] = STATE(481),
    [sym_return_statement] = STATE(481),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(481),
    [sym_do_statement] = STATE(481),
    [sym_for_statement] = STATE(481),
    [sym_foreach_statement] = STATE(481),
    [sym_if_statement] = STATE(481),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(481),
    [sym_compound_statement] = STATE(481),
    [sym_named_label_statement] = STATE(481),
    [sym_expression_statement] = STATE(481),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_empty_statement] = STATE(559),
    [sym_function_static_declaration] = STATE(559),
    [sym_global_declaration] = STATE(559),
    [sym_namespace_definition] = STATE(559),
    [sym_namespace_use_declaration] = STATE(559),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(559),
    [sym_interface_declaration] = STATE(559),
    [sym_enum_declaration] = STATE(559),
    [sym_class_declaration] = STATE(559),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(559),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(559),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(559),
    [sym_unset_statement] = STATE(559),
    [sym_declare_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_foreach_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(559),
    [sym_compound_statement] = STATE(559),
    [sym_named_label_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_empty_statement] = STATE(517),
    [sym_function_static_declaration] = STATE(517),
    [sym_global_declaration] = STATE(517),
    [sym_namespace_definition] = STATE(517),
    [sym_namespace_use_declaration] = STATE(517),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(517),
    [sym_interface_declaration] = STATE(517),
    [sym_enum_declaration] = STATE(517),
    [sym_class_declaration] = STATE(517),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(517),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(517),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(517),
    [sym_unset_statement] = STATE(517),
    [sym_declare_statement] = STATE(517),
    [sym_try_statement] = STATE(517),
    [sym_goto_statement] = STATE(517),
    [sym_continue_statement] = STATE(517),
    [sym_break_statement] = STATE(517),
    [sym_return_statement] = STATE(517),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(517),
    [sym_do_statement] = STATE(517),
    [sym_for_statement] = STATE(517),
    [sym_foreach_statement] = STATE(517),
    [sym_if_statement] = STATE(517),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(517),
    [sym_compound_statement] = STATE(517),
    [sym_named_label_statement] = STATE(517),
    [sym_expression_statement] = STATE(517),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(535),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(539),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_empty_statement] = STATE(2050),
    [sym_function_static_declaration] = STATE(2050),
    [sym_global_declaration] = STATE(2050),
    [sym_namespace_definition] = STATE(2050),
    [sym_namespace_use_declaration] = STATE(2050),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2050),
    [sym_interface_declaration] = STATE(2050),
    [sym_enum_declaration] = STATE(2050),
    [sym_class_declaration] = STATE(2050),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2050),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2050),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2050),
    [sym_unset_statement] = STATE(2050),
    [sym_declare_statement] = STATE(2050),
    [sym_try_statement] = STATE(2050),
    [sym_goto_statement] = STATE(2050),
    [sym_continue_statement] = STATE(2050),
    [sym_break_statement] = STATE(2050),
    [sym_return_statement] = STATE(2050),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2050),
    [sym_do_statement] = STATE(2050),
    [sym_for_statement] = STATE(2050),
    [sym_foreach_statement] = STATE(2050),
    [sym_if_statement] = STATE(2050),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2050),
    [sym_compound_statement] = STATE(2050),
    [sym_named_label_statement] = STATE(2050),
    [sym_expression_statement] = STATE(2050),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_empty_statement] = STATE(484),
    [sym_function_static_declaration] = STATE(484),
    [sym_global_declaration] = STATE(484),
    [sym_namespace_definition] = STATE(484),
    [sym_namespace_use_declaration] = STATE(484),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(484),
    [sym_interface_declaration] = STATE(484),
    [sym_enum_declaration] = STATE(484),
    [sym_class_declaration] = STATE(484),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(484),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(484),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(484),
    [sym_unset_statement] = STATE(484),
    [sym_declare_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_foreach_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(484),
    [sym_compound_statement] = STATE(484),
    [sym_named_label_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_empty_statement] = STATE(477),
    [sym_function_static_declaration] = STATE(477),
    [sym_global_declaration] = STATE(477),
    [sym_namespace_definition] = STATE(477),
    [sym_namespace_use_declaration] = STATE(477),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(477),
    [sym_interface_declaration] = STATE(477),
    [sym_enum_declaration] = STATE(477),
    [sym_class_declaration] = STATE(477),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(477),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(477),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(477),
    [sym_unset_statement] = STATE(477),
    [sym_declare_statement] = STATE(477),
    [sym_try_statement] = STATE(477),
    [sym_goto_statement] = STATE(477),
    [sym_continue_statement] = STATE(477),
    [sym_break_statement] = STATE(477),
    [sym_return_statement] = STATE(477),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(477),
    [sym_do_statement] = STATE(477),
    [sym_for_statement] = STATE(477),
    [sym_foreach_statement] = STATE(477),
    [sym_if_statement] = STATE(477),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(477),
    [sym_compound_statement] = STATE(477),
    [sym_named_label_statement] = STATE(477),
    [sym_expression_statement] = STATE(477),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(330),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(332),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(334),
    [aux_sym_foreach_statement_token1] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(338),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_empty_statement] = STATE(2064),
    [sym_function_static_declaration] = STATE(2064),
    [sym_global_declaration] = STATE(2064),
    [sym_namespace_definition] = STATE(2064),
    [sym_namespace_use_declaration] = STATE(2064),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2064),
    [sym_interface_declaration] = STATE(2064),
    [sym_enum_declaration] = STATE(2064),
    [sym_class_declaration] = STATE(2064),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2064),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2064),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2064),
    [sym_unset_statement] = STATE(2064),
    [sym_declare_statement] = STATE(2064),
    [sym_try_statement] = STATE(2064),
    [sym_goto_statement] = STATE(2064),
    [sym_continue_statement] = STATE(2064),
    [sym_break_statement] = STATE(2064),
    [sym_return_statement] = STATE(2064),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2064),
    [sym_do_statement] = STATE(2064),
    [sym_for_statement] = STATE(2064),
    [sym_foreach_statement] = STATE(2064),
    [sym_if_statement] = STATE(2064),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2064),
    [sym_compound_statement] = STATE(2064),
    [sym_named_label_statement] = STATE(2064),
    [sym_expression_statement] = STATE(2064),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_empty_statement] = STATE(2556),
    [sym_function_static_declaration] = STATE(2556),
    [sym_global_declaration] = STATE(2556),
    [sym_namespace_definition] = STATE(2556),
    [sym_namespace_use_declaration] = STATE(2556),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2556),
    [sym_interface_declaration] = STATE(2556),
    [sym_enum_declaration] = STATE(2556),
    [sym_class_declaration] = STATE(2556),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2556),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2556),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2556),
    [sym_unset_statement] = STATE(2556),
    [sym_declare_statement] = STATE(2556),
    [sym_try_statement] = STATE(2556),
    [sym_goto_statement] = STATE(2556),
    [sym_continue_statement] = STATE(2556),
    [sym_break_statement] = STATE(2556),
    [sym_return_statement] = STATE(2556),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2556),
    [sym_do_statement] = STATE(2556),
    [sym_for_statement] = STATE(2556),
    [sym_foreach_statement] = STATE(2556),
    [sym_if_statement] = STATE(2556),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2556),
    [sym_compound_statement] = STATE(2556),
    [sym_named_label_statement] = STATE(2556),
    [sym_expression_statement] = STATE(2556),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_empty_statement] = STATE(2576),
    [sym_function_static_declaration] = STATE(2576),
    [sym_global_declaration] = STATE(2576),
    [sym_namespace_definition] = STATE(2576),
    [sym_namespace_use_declaration] = STATE(2576),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2576),
    [sym_interface_declaration] = STATE(2576),
    [sym_enum_declaration] = STATE(2576),
    [sym_class_declaration] = STATE(2576),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2576),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2576),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2576),
    [sym_unset_statement] = STATE(2576),
    [sym_declare_statement] = STATE(2576),
    [sym_try_statement] = STATE(2576),
    [sym_goto_statement] = STATE(2576),
    [sym_continue_statement] = STATE(2576),
    [sym_break_statement] = STATE(2576),
    [sym_return_statement] = STATE(2576),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2576),
    [sym_do_statement] = STATE(2576),
    [sym_for_statement] = STATE(2576),
    [sym_foreach_statement] = STATE(2576),
    [sym_if_statement] = STATE(2576),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2576),
    [sym_compound_statement] = STATE(2576),
    [sym_named_label_statement] = STATE(2576),
    [sym_expression_statement] = STATE(2576),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_empty_statement] = STATE(2064),
    [sym_function_static_declaration] = STATE(2064),
    [sym_global_declaration] = STATE(2064),
    [sym_namespace_definition] = STATE(2064),
    [sym_namespace_use_declaration] = STATE(2064),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(2064),
    [sym_interface_declaration] = STATE(2064),
    [sym_enum_declaration] = STATE(2064),
    [sym_class_declaration] = STATE(2064),
    [sym_final_modifier] = STATE(1920),
    [sym_abstract_modifier] = STATE(1920),
    [sym_readonly_modifier] = STATE(2550),
    [sym_const_declaration] = STATE(2064),
    [sym__const_declaration] = STATE(2131),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2551),
    [sym_function_definition] = STATE(2064),
    [sym__function_definition_header] = STATE(2378),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(2064),
    [sym_unset_statement] = STATE(2064),
    [sym_declare_statement] = STATE(2064),
    [sym_try_statement] = STATE(2064),
    [sym_goto_statement] = STATE(2064),
    [sym_continue_statement] = STATE(2064),
    [sym_break_statement] = STATE(2064),
    [sym_return_statement] = STATE(2064),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(2064),
    [sym_do_statement] = STATE(2064),
    [sym_for_statement] = STATE(2064),
    [sym_foreach_statement] = STATE(2064),
    [sym_if_statement] = STATE(2064),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(2064),
    [sym_compound_statement] = STATE(2064),
    [sym_named_label_statement] = STATE(2064),
    [sym_expression_statement] = STATE(2064),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1406),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_empty_statement] = STATE(477),
    [sym_function_static_declaration] = STATE(477),
    [sym_global_declaration] = STATE(477),
    [sym_namespace_definition] = STATE(477),
    [sym_namespace_use_declaration] = STATE(477),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_trait_declaration] = STATE(477),
    [sym_interface_declaration] = STATE(477),
    [sym_enum_declaration] = STATE(477),
    [sym_class_declaration] = STATE(477),
    [sym_final_modifier] = STATE(1904),
    [sym_abstract_modifier] = STATE(1904),
    [sym_readonly_modifier] = STATE(2613),
    [sym_const_declaration] = STATE(477),
    [sym__const_declaration] = STATE(542),
    [sym_static_modifier] = STATE(2612),
    [sym_visibility_modifier] = STATE(2611),
    [sym_function_definition] = STATE(477),
    [sym__function_definition_header] = STATE(2208),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_echo_statement] = STATE(477),
    [sym_unset_statement] = STATE(477),
    [sym_declare_statement] = STATE(477),
    [sym_try_statement] = STATE(477),
    [sym_goto_statement] = STATE(477),
    [sym_continue_statement] = STATE(477),
    [sym_break_statement] = STATE(477),
    [sym_return_statement] = STATE(477),
    [sym_throw_expression] = STATE(1087),
    [sym_while_statement] = STATE(477),
    [sym_do_statement] = STATE(477),
    [sym_for_statement] = STATE(477),
    [sym_foreach_statement] = STATE(477),
    [sym_if_statement] = STATE(477),
    [sym_match_expression] = STATE(1134),
    [sym_switch_statement] = STATE(477),
    [sym_compound_statement] = STATE(477),
    [sym_named_label_statement] = STATE(477),
    [sym_expression_statement] = STATE(477),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1407),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(986),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(907),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(559),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_yield_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1009),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(907),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_yield_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1062),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_variadic_unpacking] = STATE(1113),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(1113),
    [sym_yield_expression] = STATE(1136),
    [sym_array_element_initializer] = STATE(1047),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(643),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_yield_expression_token2] = ACTIONS(651),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1170),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(907),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_yield_expression_token2] = ACTIONS(673),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2509),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2489),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2542),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2587),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2489),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2434),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2512),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2525),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2515),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2517),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_cast_type] = STATE(2543),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(1913),
    [sym_function_call_expression] = STATE(621),
    [sym_scoped_call_expression] = STATE(621),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(621),
    [sym_nullsafe_member_call_expression] = STATE(621),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(621),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(621),
    [sym_variable_name] = STATE(621),
    [sym_by_ref] = STATE(2243),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1926),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__array_destructing_repeat1] = STATE(1916),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(1913),
    [sym_function_call_expression] = STATE(621),
    [sym_scoped_call_expression] = STATE(621),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(621),
    [sym_nullsafe_member_call_expression] = STATE(621),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(621),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(621),
    [sym_variable_name] = STATE(621),
    [sym_by_ref] = STATE(2243),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1926),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__array_destructing_repeat1] = STATE(1916),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(1913),
    [sym_function_call_expression] = STATE(621),
    [sym_scoped_call_expression] = STATE(621),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(621),
    [sym_nullsafe_member_call_expression] = STATE(621),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(621),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(621),
    [sym_variable_name] = STATE(621),
    [sym_by_ref] = STATE(2243),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1914),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__array_destructing_repeat1] = STATE(1916),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(695),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(1913),
    [sym_function_call_expression] = STATE(621),
    [sym_scoped_call_expression] = STATE(621),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(621),
    [sym_nullsafe_member_call_expression] = STATE(621),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(621),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(621),
    [sym_variable_name] = STATE(621),
    [sym_by_ref] = STATE(2243),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1926),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__array_destructing_repeat1] = STATE(1916),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(1913),
    [sym_function_call_expression] = STATE(621),
    [sym_scoped_call_expression] = STATE(621),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(621),
    [sym_nullsafe_member_call_expression] = STATE(621),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(621),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(621),
    [sym_variable_name] = STATE(621),
    [sym_by_ref] = STATE(2243),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1926),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__array_destructing_repeat1] = STATE(1916),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2650),
    [sym_argument] = STATE(2157),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(707),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2614),
    [sym_argument] = STATE(2140),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2582),
    [sym_argument] = STATE(2097),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(717),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2595),
    [sym_argument] = STATE(2134),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(721),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2622),
    [sym_argument] = STATE(2150),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(725),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2561),
    [sym_argument] = STATE(1917),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(729),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2473),
    [sym_argument] = STATE(1944),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_variadic_placeholder] = STATE(2610),
    [sym_argument] = STATE(2138),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1914),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1907),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(745),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1926),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1935),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(1984),
    [sym_match_default_expression] = STATE(1984),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(773),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(775),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(789),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(1951),
    [sym_match_default_expression] = STATE(1951),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(793),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(628),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(628),
    [sym_variable_name] = STATE(628),
    [sym_by_ref] = STATE(2323),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(821),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(628),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(628),
    [sym_variable_name] = STATE(628),
    [sym_by_ref] = STATE(2323),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(1793),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(1937),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym__list_destructing_repeat1] = STATE(1938),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(827),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(829),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(923),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(923),
    [sym_yield_expression] = STATE(927),
    [sym_array_element_initializer] = STATE(1996),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(2175),
    [sym_match_default_expression] = STATE(2175),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_argument] = STATE(2274),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2331),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1462),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(644),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1912),
    [sym__array_destructing_element] = STATE(2320),
    [sym_function_call_expression] = STATE(628),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(628),
    [sym_variable_name] = STATE(628),
    [sym_by_ref] = STATE(2323),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(815),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(2175),
    [sym_match_default_expression] = STATE(2175),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(2175),
    [sym_match_default_expression] = STATE(2175),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(2175),
    [sym_match_default_expression] = STATE(2175),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(196),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1218),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2158),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1474),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym_match_condition_list] = STATE(2450),
    [sym_match_conditional_expression] = STATE(2175),
    [sym_match_default_expression] = STATE(2175),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(641),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(641),
    [sym_nullsafe_member_access_expression] = STATE(641),
    [sym_scoped_property_access_expression] = STATE(641),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(1985),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(631),
    [sym_scoped_call_expression] = STATE(631),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(631),
    [sym_nullsafe_member_call_expression] = STATE(631),
    [sym_subscript_expression] = STATE(631),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(631),
    [sym_variable_name] = STATE(631),
    [sym_by_ref] = STATE(2392),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(839),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2635),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(841),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2584),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(843),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2655),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(845),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_foreach_pair] = STATE(2483),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2322),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2483),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2490),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(847),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2486),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(849),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2599),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2580),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(853),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2578),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(857),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2477),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2605),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(861),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2485),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(863),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2609),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(865),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2487),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(867),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_foreach_pair] = STATE(2491),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2314),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2491),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2466),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(869),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2435),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(871),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_foreach_pair] = STATE(2437),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2413),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2437),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2440),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(873),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2442),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(875),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2445),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(877),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2649),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2640),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_foreach_pair] = STATE(2581),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2231),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2581),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2643),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2573),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__expressions] = STATE(2586),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1061),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(1066),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(891),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2168),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(2632),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1234),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(895),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1153),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym__expressions] = STATE(2229),
    [sym_sequence_expression] = STATE(2233),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1153),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(897),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1226),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2191),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1487),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1227),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_variadic_unpacking] = STATE(2377),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(646),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(646),
    [sym_nullsafe_member_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(646),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(1993),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym_by_ref] = STATE(2386),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1223),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(899),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(901),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1215),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(903),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(983),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym__expressions] = STATE(2279),
    [sym_sequence_expression] = STATE(2233),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_sequence_expression] = STATE(2244),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1231),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1256),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(913),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(915),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_sequence_expression] = STATE(2420),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1189),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(917),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(974),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1238),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1145),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(925),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_sequence_expression] = STATE(2244),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1209),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1068),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(933),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1229),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(980),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(939),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1103),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1068),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1286),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(939),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1022),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1090),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(985),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1283),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1236),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1200),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1012),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1098),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1144),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(989),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1094),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1086),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1085),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1084),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1083),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1082),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1081),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1063),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1080),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1079),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1078),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1075),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1072),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1040),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1070),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(978),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(990),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(991),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1067),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(992),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1036),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1279),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(995),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1120),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1261),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(994),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(996),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1017),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(997),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(998),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1267),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1225),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1183),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1019),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1269),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1020),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1115),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1014),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1114),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1021),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1013),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1148),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1010),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1143),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1220),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1240),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(951),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1249),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1110),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1191),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(941),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1000),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1146),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(939),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1208),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1216),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1035),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1254),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(988),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1028),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1026),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1002),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1003),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1004),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1016),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(973),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1128),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1247),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(982),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1145),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1155),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1045),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1018),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1296),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1201),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1160),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1042),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1123),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1031),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1124),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1206),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1005),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1027),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1207),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1092),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1204),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1015),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1001),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1011),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1033),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1024),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1147),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1149),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1151),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1235),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1210),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(981),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(951),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1244),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(941),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1025),
    [sym__expression] = STATE(1030),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2443),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1150),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1157),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1159),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(987),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1142),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(941),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(951),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1152),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1134),
    [sym__expression] = STATE(1054),
    [sym__unary_expression] = STATE(1138),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(1136),
    [sym_reference_assignment_expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_augmented_assignment_expression] = STATE(1136),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2607),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(1136),
    [sym_binary_expression] = STATE(1136),
    [sym_include_expression] = STATE(1136),
    [sym_include_once_expression] = STATE(1136),
    [sym_require_expression] = STATE(1136),
    [sym_require_once_expression] = STATE(1136),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(975),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1168),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1163),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1162),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1158),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(977),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1165),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1171),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1301),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1302),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1141),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1154),
    [sym__expression] = STATE(1166),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(616),
    [sym_scoped_call_expression] = STATE(616),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(616),
    [sym_nullsafe_member_call_expression] = STATE(616),
    [sym_subscript_expression] = STATE(616),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(616),
    [sym_variable_name] = STATE(616),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(979),
    [sym__expression] = STATE(974),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(927),
    [sym_reference_assignment_expression] = STATE(927),
    [sym_conditional_expression] = STATE(927),
    [sym_augmented_assignment_expression] = STATE(927),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2479),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_yield_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_include_expression] = STATE(927),
    [sym_include_once_expression] = STATE(927),
    [sym_require_expression] = STATE(927),
    [sym_require_once_expression] = STATE(927),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_catch_clause] = STATE(439),
    [sym_finally_clause] = STATE(439),
    [aux_sym_try_statement_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_name] = ACTIONS(937),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(937),
    [aux_sym_global_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_definition_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(937),
    [anon_sym_BSLASH] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [aux_sym_trait_declaration_token1] = ACTIONS(937),
    [aux_sym_interface_declaration_token1] = ACTIONS(937),
    [aux_sym_enum_declaration_token1] = ACTIONS(937),
    [aux_sym_enum_case_token1] = ACTIONS(937),
    [aux_sym_class_declaration_token1] = ACTIONS(937),
    [aux_sym_final_modifier_token1] = ACTIONS(937),
    [aux_sym_abstract_modifier_token1] = ACTIONS(937),
    [aux_sym_readonly_modifier_token1] = ACTIONS(937),
    [aux_sym_visibility_modifier_token1] = ACTIONS(937),
    [aux_sym_visibility_modifier_token2] = ACTIONS(937),
    [aux_sym_visibility_modifier_token3] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [aux_sym_cast_type_token1] = ACTIONS(937),
    [aux_sym_echo_statement_token1] = ACTIONS(937),
    [anon_sym_unset] = ACTIONS(937),
    [aux_sym_declare_statement_token1] = ACTIONS(937),
    [aux_sym_declare_statement_token2] = ACTIONS(937),
    [sym_float] = ACTIONS(937),
    [aux_sym_try_statement_token1] = ACTIONS(937),
    [aux_sym_catch_clause_token1] = ACTIONS(939),
    [aux_sym_finally_clause_token1] = ACTIONS(941),
    [aux_sym_goto_statement_token1] = ACTIONS(937),
    [aux_sym_continue_statement_token1] = ACTIONS(937),
    [aux_sym_break_statement_token1] = ACTIONS(937),
    [sym_integer] = ACTIONS(937),
    [aux_sym_return_statement_token1] = ACTIONS(937),
    [aux_sym_throw_expression_token1] = ACTIONS(937),
    [aux_sym_while_statement_token1] = ACTIONS(937),
    [aux_sym_while_statement_token2] = ACTIONS(937),
    [aux_sym_do_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token2] = ACTIONS(937),
    [aux_sym_foreach_statement_token1] = ACTIONS(937),
    [aux_sym_foreach_statement_token2] = ACTIONS(937),
    [aux_sym_if_statement_token1] = ACTIONS(937),
    [aux_sym_if_statement_token2] = ACTIONS(937),
    [aux_sym_else_if_clause_token1] = ACTIONS(937),
    [aux_sym_else_clause_token1] = ACTIONS(937),
    [aux_sym_match_expression_token1] = ACTIONS(937),
    [aux_sym_match_default_expression_token1] = ACTIONS(937),
    [aux_sym_switch_statement_token1] = ACTIONS(937),
    [aux_sym_switch_block_token1] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(935),
    [aux_sym_clone_expression_token1] = ACTIONS(937),
    [aux_sym_print_intrinsic_token1] = ACTIONS(937),
    [aux_sym_object_creation_expression_token1] = ACTIONS(937),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [aux_sym__list_destructing_token1] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(935),
    [anon_sym_self] = ACTIONS(937),
    [anon_sym_parent] = ACTIONS(937),
    [anon_sym_POUND_LBRACK] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(935),
    [aux_sym_encapsed_string_token1] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [aux_sym_string_token1] = ACTIONS(935),
    [anon_sym_LT_LT_LT] = ACTIONS(935),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [sym_boolean] = ACTIONS(937),
    [sym_null] = ACTIONS(937),
    [anon_sym_DOLLAR] = ACTIONS(935),
    [aux_sym_yield_expression_token1] = ACTIONS(937),
    [aux_sym_include_expression_token1] = ACTIONS(937),
    [aux_sym_include_once_expression_token1] = ACTIONS(937),
    [aux_sym_require_expression_token1] = ACTIONS(937),
    [aux_sym_require_once_expression_token1] = ACTIONS(937),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_catch_clause] = STATE(439),
    [sym_finally_clause] = STATE(439),
    [aux_sym_try_statement_repeat1] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_name] = ACTIONS(945),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(945),
    [aux_sym_global_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(945),
    [anon_sym_BSLASH] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [aux_sym_trait_declaration_token1] = ACTIONS(945),
    [aux_sym_interface_declaration_token1] = ACTIONS(945),
    [aux_sym_enum_declaration_token1] = ACTIONS(945),
    [aux_sym_enum_case_token1] = ACTIONS(945),
    [aux_sym_class_declaration_token1] = ACTIONS(945),
    [aux_sym_final_modifier_token1] = ACTIONS(945),
    [aux_sym_abstract_modifier_token1] = ACTIONS(945),
    [aux_sym_readonly_modifier_token1] = ACTIONS(945),
    [aux_sym_visibility_modifier_token1] = ACTIONS(945),
    [aux_sym_visibility_modifier_token2] = ACTIONS(945),
    [aux_sym_visibility_modifier_token3] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [aux_sym_cast_type_token1] = ACTIONS(945),
    [aux_sym_echo_statement_token1] = ACTIONS(945),
    [anon_sym_unset] = ACTIONS(945),
    [aux_sym_declare_statement_token1] = ACTIONS(945),
    [aux_sym_declare_statement_token2] = ACTIONS(945),
    [sym_float] = ACTIONS(945),
    [aux_sym_try_statement_token1] = ACTIONS(945),
    [aux_sym_catch_clause_token1] = ACTIONS(947),
    [aux_sym_finally_clause_token1] = ACTIONS(950),
    [aux_sym_goto_statement_token1] = ACTIONS(945),
    [aux_sym_continue_statement_token1] = ACTIONS(945),
    [aux_sym_break_statement_token1] = ACTIONS(945),
    [sym_integer] = ACTIONS(945),
    [aux_sym_return_statement_token1] = ACTIONS(945),
    [aux_sym_throw_expression_token1] = ACTIONS(945),
    [aux_sym_while_statement_token1] = ACTIONS(945),
    [aux_sym_while_statement_token2] = ACTIONS(945),
    [aux_sym_do_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token2] = ACTIONS(945),
    [aux_sym_foreach_statement_token1] = ACTIONS(945),
    [aux_sym_foreach_statement_token2] = ACTIONS(945),
    [aux_sym_if_statement_token1] = ACTIONS(945),
    [aux_sym_if_statement_token2] = ACTIONS(945),
    [aux_sym_else_if_clause_token1] = ACTIONS(945),
    [aux_sym_else_clause_token1] = ACTIONS(945),
    [aux_sym_match_expression_token1] = ACTIONS(945),
    [aux_sym_match_default_expression_token1] = ACTIONS(945),
    [aux_sym_switch_statement_token1] = ACTIONS(945),
    [aux_sym_switch_block_token1] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [aux_sym_clone_expression_token1] = ACTIONS(945),
    [aux_sym_print_intrinsic_token1] = ACTIONS(945),
    [aux_sym_object_creation_expression_token1] = ACTIONS(945),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [aux_sym__list_destructing_token1] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(945),
    [anon_sym_parent] = ACTIONS(945),
    [anon_sym_POUND_LBRACK] = ACTIONS(943),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [aux_sym_encapsed_string_token1] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [aux_sym_string_token1] = ACTIONS(943),
    [anon_sym_LT_LT_LT] = ACTIONS(943),
    [anon_sym_BQUOTE] = ACTIONS(943),
    [sym_boolean] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [aux_sym_yield_expression_token1] = ACTIONS(945),
    [aux_sym_include_expression_token1] = ACTIONS(945),
    [aux_sym_include_once_expression_token1] = ACTIONS(945),
    [aux_sym_require_expression_token1] = ACTIONS(945),
    [aux_sym_require_once_expression_token1] = ACTIONS(945),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1172),
    [sym_unary_op_expression] = STATE(1172),
    [sym_exponentiation_expression] = STATE(937),
    [sym_clone_expression] = STATE(1172),
    [sym__primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(937),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(937),
    [sym_augmented_assignment_expression] = STATE(937),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2511),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(1097),
    [sym_unary_op_expression] = STATE(1097),
    [sym_exponentiation_expression] = STATE(1096),
    [sym_clone_expression] = STATE(1097),
    [sym__primary_expression] = STATE(1097),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1096),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(1096),
    [sym_augmented_assignment_expression] = STATE(1096),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2467),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_else_if_clause] = STATE(463),
    [sym_else_clause] = STATE(476),
    [aux_sym_if_statement_repeat1] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_name] = ACTIONS(955),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(955),
    [aux_sym_global_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_definition_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(955),
    [anon_sym_BSLASH] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [aux_sym_trait_declaration_token1] = ACTIONS(955),
    [aux_sym_interface_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_case_token1] = ACTIONS(955),
    [aux_sym_class_declaration_token1] = ACTIONS(955),
    [aux_sym_final_modifier_token1] = ACTIONS(955),
    [aux_sym_abstract_modifier_token1] = ACTIONS(955),
    [aux_sym_readonly_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token2] = ACTIONS(955),
    [aux_sym_visibility_modifier_token3] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_cast_type_token1] = ACTIONS(955),
    [aux_sym_echo_statement_token1] = ACTIONS(955),
    [anon_sym_unset] = ACTIONS(955),
    [aux_sym_declare_statement_token1] = ACTIONS(955),
    [aux_sym_declare_statement_token2] = ACTIONS(955),
    [sym_float] = ACTIONS(955),
    [aux_sym_try_statement_token1] = ACTIONS(955),
    [aux_sym_goto_statement_token1] = ACTIONS(955),
    [aux_sym_continue_statement_token1] = ACTIONS(955),
    [aux_sym_break_statement_token1] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [aux_sym_return_statement_token1] = ACTIONS(955),
    [aux_sym_throw_expression_token1] = ACTIONS(955),
    [aux_sym_while_statement_token1] = ACTIONS(955),
    [aux_sym_while_statement_token2] = ACTIONS(955),
    [aux_sym_do_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token2] = ACTIONS(955),
    [aux_sym_foreach_statement_token1] = ACTIONS(955),
    [aux_sym_foreach_statement_token2] = ACTIONS(955),
    [aux_sym_if_statement_token1] = ACTIONS(955),
    [aux_sym_if_statement_token2] = ACTIONS(955),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(959),
    [aux_sym_match_expression_token1] = ACTIONS(955),
    [aux_sym_match_default_expression_token1] = ACTIONS(955),
    [aux_sym_switch_statement_token1] = ACTIONS(955),
    [aux_sym_switch_block_token1] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(953),
    [aux_sym_clone_expression_token1] = ACTIONS(955),
    [aux_sym_print_intrinsic_token1] = ACTIONS(955),
    [aux_sym_object_creation_expression_token1] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym__list_destructing_token1] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(955),
    [anon_sym_parent] = ACTIONS(955),
    [anon_sym_POUND_LBRACK] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [aux_sym_encapsed_string_token1] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [aux_sym_string_token1] = ACTIONS(953),
    [anon_sym_LT_LT_LT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_boolean] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [aux_sym_yield_expression_token1] = ACTIONS(955),
    [aux_sym_include_expression_token1] = ACTIONS(955),
    [aux_sym_include_once_expression_token1] = ACTIONS(955),
    [aux_sym_require_expression_token1] = ACTIONS(955),
    [aux_sym_require_once_expression_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_else_if_clause] = STATE(463),
    [sym_else_clause] = STATE(476),
    [aux_sym_if_statement_repeat1] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_name] = ACTIONS(955),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(955),
    [aux_sym_global_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_definition_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(955),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(955),
    [anon_sym_BSLASH] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [aux_sym_trait_declaration_token1] = ACTIONS(955),
    [aux_sym_interface_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_declaration_token1] = ACTIONS(955),
    [aux_sym_enum_case_token1] = ACTIONS(955),
    [aux_sym_class_declaration_token1] = ACTIONS(955),
    [aux_sym_final_modifier_token1] = ACTIONS(955),
    [aux_sym_abstract_modifier_token1] = ACTIONS(955),
    [aux_sym_readonly_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token1] = ACTIONS(955),
    [aux_sym_visibility_modifier_token2] = ACTIONS(955),
    [aux_sym_visibility_modifier_token3] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [aux_sym_cast_type_token1] = ACTIONS(955),
    [aux_sym_echo_statement_token1] = ACTIONS(955),
    [anon_sym_unset] = ACTIONS(955),
    [aux_sym_declare_statement_token1] = ACTIONS(955),
    [aux_sym_declare_statement_token2] = ACTIONS(955),
    [sym_float] = ACTIONS(955),
    [aux_sym_try_statement_token1] = ACTIONS(955),
    [aux_sym_goto_statement_token1] = ACTIONS(955),
    [aux_sym_continue_statement_token1] = ACTIONS(955),
    [aux_sym_break_statement_token1] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [aux_sym_return_statement_token1] = ACTIONS(955),
    [aux_sym_throw_expression_token1] = ACTIONS(955),
    [aux_sym_while_statement_token1] = ACTIONS(955),
    [aux_sym_while_statement_token2] = ACTIONS(955),
    [aux_sym_do_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token1] = ACTIONS(955),
    [aux_sym_for_statement_token2] = ACTIONS(955),
    [aux_sym_foreach_statement_token1] = ACTIONS(955),
    [aux_sym_foreach_statement_token2] = ACTIONS(955),
    [aux_sym_if_statement_token1] = ACTIONS(955),
    [aux_sym_if_statement_token2] = ACTIONS(955),
    [aux_sym_else_if_clause_token1] = ACTIONS(961),
    [aux_sym_else_clause_token1] = ACTIONS(964),
    [aux_sym_match_expression_token1] = ACTIONS(955),
    [aux_sym_match_default_expression_token1] = ACTIONS(955),
    [aux_sym_switch_statement_token1] = ACTIONS(955),
    [aux_sym_switch_block_token1] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(953),
    [aux_sym_clone_expression_token1] = ACTIONS(955),
    [aux_sym_print_intrinsic_token1] = ACTIONS(955),
    [aux_sym_object_creation_expression_token1] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [aux_sym__list_destructing_token1] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(955),
    [anon_sym_parent] = ACTIONS(955),
    [anon_sym_POUND_LBRACK] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(953),
    [aux_sym_encapsed_string_token1] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [aux_sym_string_token1] = ACTIONS(953),
    [anon_sym_LT_LT_LT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [sym_boolean] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [aux_sym_yield_expression_token1] = ACTIONS(955),
    [aux_sym_include_expression_token1] = ACTIONS(955),
    [aux_sym_include_once_expression_token1] = ACTIONS(955),
    [aux_sym_require_expression_token1] = ACTIONS(955),
    [aux_sym_require_once_expression_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(463),
    [sym_else_clause] = STATE(507),
    [aux_sym_if_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_name] = ACTIONS(969),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(969),
    [aux_sym_global_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(969),
    [anon_sym_BSLASH] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym_trait_declaration_token1] = ACTIONS(969),
    [aux_sym_interface_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_case_token1] = ACTIONS(969),
    [aux_sym_class_declaration_token1] = ACTIONS(969),
    [aux_sym_final_modifier_token1] = ACTIONS(969),
    [aux_sym_abstract_modifier_token1] = ACTIONS(969),
    [aux_sym_readonly_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token3] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [aux_sym_cast_type_token1] = ACTIONS(969),
    [aux_sym_echo_statement_token1] = ACTIONS(969),
    [anon_sym_unset] = ACTIONS(969),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_declare_statement_token2] = ACTIONS(969),
    [sym_float] = ACTIONS(969),
    [aux_sym_try_statement_token1] = ACTIONS(969),
    [aux_sym_goto_statement_token1] = ACTIONS(969),
    [aux_sym_continue_statement_token1] = ACTIONS(969),
    [aux_sym_break_statement_token1] = ACTIONS(969),
    [sym_integer] = ACTIONS(969),
    [aux_sym_return_statement_token1] = ACTIONS(969),
    [aux_sym_throw_expression_token1] = ACTIONS(969),
    [aux_sym_while_statement_token1] = ACTIONS(969),
    [aux_sym_while_statement_token2] = ACTIONS(969),
    [aux_sym_do_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token2] = ACTIONS(969),
    [aux_sym_foreach_statement_token1] = ACTIONS(969),
    [aux_sym_foreach_statement_token2] = ACTIONS(969),
    [aux_sym_if_statement_token1] = ACTIONS(969),
    [aux_sym_if_statement_token2] = ACTIONS(969),
    [aux_sym_else_if_clause_token1] = ACTIONS(971),
    [aux_sym_else_clause_token1] = ACTIONS(974),
    [aux_sym_match_expression_token1] = ACTIONS(969),
    [aux_sym_match_default_expression_token1] = ACTIONS(969),
    [aux_sym_switch_statement_token1] = ACTIONS(969),
    [aux_sym_switch_block_token1] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [aux_sym_clone_expression_token1] = ACTIONS(969),
    [aux_sym_print_intrinsic_token1] = ACTIONS(969),
    [aux_sym_object_creation_expression_token1] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [aux_sym__list_destructing_token1] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(969),
    [anon_sym_parent] = ACTIONS(969),
    [anon_sym_POUND_LBRACK] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_encapsed_string_token1] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [aux_sym_string_token1] = ACTIONS(967),
    [anon_sym_LT_LT_LT] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_boolean] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [aux_sym_yield_expression_token1] = ACTIONS(969),
    [aux_sym_include_expression_token1] = ACTIONS(969),
    [aux_sym_include_once_expression_token1] = ACTIONS(969),
    [aux_sym_require_expression_token1] = ACTIONS(969),
    [aux_sym_require_once_expression_token1] = ACTIONS(969),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1007),
    [sym_unary_op_expression] = STATE(1007),
    [sym_exponentiation_expression] = STATE(937),
    [sym_clone_expression] = STATE(1007),
    [sym__primary_expression] = STATE(1007),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(937),
    [sym_cast_variable] = STATE(626),
    [sym_assignment_expression] = STATE(937),
    [sym_augmented_assignment_expression] = STATE(937),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_list_literal] = STATE(2433),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(1006),
    [sym_unary_op_expression] = STATE(1006),
    [sym_exponentiation_expression] = STATE(937),
    [sym_clone_expression] = STATE(1006),
    [sym__primary_expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(937),
    [sym_cast_variable] = STATE(609),
    [sym_assignment_expression] = STATE(937),
    [sym_augmented_assignment_expression] = STATE(937),
    [sym_member_access_expression] = STATE(609),
    [sym_nullsafe_member_access_expression] = STATE(609),
    [sym_scoped_property_access_expression] = STATE(609),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2211),
    [sym__array_destructing] = STATE(2211),
    [sym_function_call_expression] = STATE(596),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(596),
    [sym_variable_name] = STATE(596),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_else_if_clause] = STATE(463),
    [sym_else_clause] = STATE(507),
    [aux_sym_if_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_name] = ACTIONS(969),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(969),
    [aux_sym_global_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(969),
    [anon_sym_BSLASH] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym_trait_declaration_token1] = ACTIONS(969),
    [aux_sym_interface_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_declaration_token1] = ACTIONS(969),
    [aux_sym_enum_case_token1] = ACTIONS(969),
    [aux_sym_class_declaration_token1] = ACTIONS(969),
    [aux_sym_final_modifier_token1] = ACTIONS(969),
    [aux_sym_abstract_modifier_token1] = ACTIONS(969),
    [aux_sym_readonly_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token3] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [aux_sym_cast_type_token1] = ACTIONS(969),
    [aux_sym_echo_statement_token1] = ACTIONS(969),
    [anon_sym_unset] = ACTIONS(969),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [aux_sym_declare_statement_token2] = ACTIONS(969),
    [sym_float] = ACTIONS(969),
    [aux_sym_try_statement_token1] = ACTIONS(969),
    [aux_sym_goto_statement_token1] = ACTIONS(969),
    [aux_sym_continue_statement_token1] = ACTIONS(969),
    [aux_sym_break_statement_token1] = ACTIONS(969),
    [sym_integer] = ACTIONS(969),
    [aux_sym_return_statement_token1] = ACTIONS(969),
    [aux_sym_throw_expression_token1] = ACTIONS(969),
    [aux_sym_while_statement_token1] = ACTIONS(969),
    [aux_sym_while_statement_token2] = ACTIONS(969),
    [aux_sym_do_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token2] = ACTIONS(969),
    [aux_sym_foreach_statement_token1] = ACTIONS(969),
    [aux_sym_foreach_statement_token2] = ACTIONS(969),
    [aux_sym_if_statement_token1] = ACTIONS(969),
    [aux_sym_if_statement_token2] = ACTIONS(969),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(959),
    [aux_sym_match_expression_token1] = ACTIONS(969),
    [aux_sym_match_default_expression_token1] = ACTIONS(969),
    [aux_sym_switch_statement_token1] = ACTIONS(969),
    [aux_sym_switch_block_token1] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [aux_sym_clone_expression_token1] = ACTIONS(969),
    [aux_sym_print_intrinsic_token1] = ACTIONS(969),
    [aux_sym_object_creation_expression_token1] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [aux_sym__list_destructing_token1] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(969),
    [anon_sym_parent] = ACTIONS(969),
    [anon_sym_POUND_LBRACK] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [aux_sym_encapsed_string_token1] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(967),
    [aux_sym_string_token1] = ACTIONS(967),
    [anon_sym_LT_LT_LT] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(967),
    [sym_boolean] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [aux_sym_yield_expression_token1] = ACTIONS(969),
    [aux_sym_include_expression_token1] = ACTIONS(969),
    [aux_sym_include_once_expression_token1] = ACTIONS(969),
    [aux_sym_require_expression_token1] = ACTIONS(969),
    [aux_sym_require_once_expression_token1] = ACTIONS(969),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(827),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym_match_expression] = STATE(2432),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1140),
    [sym_exponentiation_expression] = STATE(1137),
    [sym_clone_expression] = STATE(1140),
    [sym__primary_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(813),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_expression] = STATE(1137),
    [sym_cast_variable] = STATE(638),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2604),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1723),
    [sym_array_creation_expression] = STATE(813),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(813),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_include_expression] = STATE(1043),
    [sym_include_once_expression] = STATE(1043),
    [sym__reserved_identifier] = STATE(1547),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_name] = ACTIONS(981),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(981),
    [aux_sym_global_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_definition_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(981),
    [anon_sym_BSLASH] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [aux_sym_trait_declaration_token1] = ACTIONS(981),
    [aux_sym_interface_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_case_token1] = ACTIONS(981),
    [aux_sym_class_declaration_token1] = ACTIONS(981),
    [aux_sym_final_modifier_token1] = ACTIONS(981),
    [aux_sym_abstract_modifier_token1] = ACTIONS(981),
    [aux_sym_readonly_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token3] = ACTIONS(981),
    [aux_sym__arrow_function_header_token1] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(981),
    [aux_sym_echo_statement_token1] = ACTIONS(981),
    [anon_sym_unset] = ACTIONS(981),
    [aux_sym_declare_statement_token1] = ACTIONS(981),
    [aux_sym_declare_statement_token2] = ACTIONS(981),
    [sym_float] = ACTIONS(981),
    [aux_sym_try_statement_token1] = ACTIONS(981),
    [aux_sym_catch_clause_token1] = ACTIONS(981),
    [aux_sym_finally_clause_token1] = ACTIONS(981),
    [aux_sym_goto_statement_token1] = ACTIONS(981),
    [aux_sym_continue_statement_token1] = ACTIONS(981),
    [aux_sym_break_statement_token1] = ACTIONS(981),
    [sym_integer] = ACTIONS(981),
    [aux_sym_return_statement_token1] = ACTIONS(981),
    [aux_sym_throw_expression_token1] = ACTIONS(981),
    [aux_sym_while_statement_token1] = ACTIONS(981),
    [aux_sym_while_statement_token2] = ACTIONS(981),
    [aux_sym_do_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token2] = ACTIONS(981),
    [aux_sym_foreach_statement_token1] = ACTIONS(981),
    [aux_sym_foreach_statement_token2] = ACTIONS(981),
    [aux_sym_if_statement_token1] = ACTIONS(981),
    [aux_sym_if_statement_token2] = ACTIONS(981),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(981),
    [aux_sym_match_expression_token1] = ACTIONS(981),
    [aux_sym_match_default_expression_token1] = ACTIONS(981),
    [aux_sym_switch_statement_token1] = ACTIONS(981),
    [aux_sym_switch_block_token1] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_BANG] = ACTIONS(979),
    [aux_sym_clone_expression_token1] = ACTIONS(981),
    [aux_sym_print_intrinsic_token1] = ACTIONS(981),
    [aux_sym_object_creation_expression_token1] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym__list_destructing_token1] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(981),
    [anon_sym_parent] = ACTIONS(981),
    [anon_sym_POUND_LBRACK] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [aux_sym_encapsed_string_token1] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_string_token1] = ACTIONS(979),
    [anon_sym_LT_LT_LT] = ACTIONS(979),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_boolean] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(979),
    [aux_sym_yield_expression_token1] = ACTIONS(981),
    [aux_sym_include_expression_token1] = ACTIONS(981),
    [aux_sym_include_once_expression_token1] = ACTIONS(981),
    [aux_sym_require_expression_token1] = ACTIONS(981),
    [aux_sym_require_once_expression_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(2447),
    [sym__unary_expression] = STATE(936),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(580),
    [sym_scoped_call_expression] = STATE(580),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(580),
    [sym_nullsafe_member_call_expression] = STATE(580),
    [sym_subscript_expression] = STATE(580),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(580),
    [sym_variable_name] = STATE(580),
    [sym_include_expression] = STATE(936),
    [sym_include_once_expression] = STATE(936),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(2577),
    [sym__unary_expression] = STATE(936),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(580),
    [sym_scoped_call_expression] = STATE(580),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(580),
    [sym_nullsafe_member_call_expression] = STATE(580),
    [sym_subscript_expression] = STATE(580),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(580),
    [sym_variable_name] = STATE(580),
    [sym_include_expression] = STATE(936),
    [sym_include_once_expression] = STATE(936),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(985),
    [sym_name] = ACTIONS(987),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_function_static_declaration_token1] = ACTIONS(987),
    [aux_sym_global_declaration_token1] = ACTIONS(987),
    [aux_sym_namespace_definition_token1] = ACTIONS(987),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(987),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(987),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(987),
    [anon_sym_BSLASH] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_RBRACE] = ACTIONS(985),
    [aux_sym_trait_declaration_token1] = ACTIONS(987),
    [aux_sym_interface_declaration_token1] = ACTIONS(987),
    [aux_sym_enum_declaration_token1] = ACTIONS(987),
    [aux_sym_enum_case_token1] = ACTIONS(987),
    [aux_sym_class_declaration_token1] = ACTIONS(987),
    [aux_sym_final_modifier_token1] = ACTIONS(987),
    [aux_sym_abstract_modifier_token1] = ACTIONS(987),
    [aux_sym_readonly_modifier_token1] = ACTIONS(987),
    [aux_sym_visibility_modifier_token1] = ACTIONS(987),
    [aux_sym_visibility_modifier_token2] = ACTIONS(987),
    [aux_sym_visibility_modifier_token3] = ACTIONS(987),
    [aux_sym__arrow_function_header_token1] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(985),
    [aux_sym_cast_type_token1] = ACTIONS(987),
    [aux_sym_echo_statement_token1] = ACTIONS(987),
    [anon_sym_unset] = ACTIONS(987),
    [aux_sym_declare_statement_token1] = ACTIONS(987),
    [aux_sym_declare_statement_token2] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [aux_sym_try_statement_token1] = ACTIONS(987),
    [aux_sym_catch_clause_token1] = ACTIONS(987),
    [aux_sym_finally_clause_token1] = ACTIONS(987),
    [aux_sym_goto_statement_token1] = ACTIONS(987),
    [aux_sym_continue_statement_token1] = ACTIONS(987),
    [aux_sym_break_statement_token1] = ACTIONS(987),
    [sym_integer] = ACTIONS(987),
    [aux_sym_return_statement_token1] = ACTIONS(987),
    [aux_sym_throw_expression_token1] = ACTIONS(987),
    [aux_sym_while_statement_token1] = ACTIONS(987),
    [aux_sym_while_statement_token2] = ACTIONS(987),
    [aux_sym_do_statement_token1] = ACTIONS(987),
    [aux_sym_for_statement_token1] = ACTIONS(987),
    [aux_sym_for_statement_token2] = ACTIONS(987),
    [aux_sym_foreach_statement_token1] = ACTIONS(987),
    [aux_sym_foreach_statement_token2] = ACTIONS(987),
    [aux_sym_if_statement_token1] = ACTIONS(987),
    [aux_sym_if_statement_token2] = ACTIONS(987),
    [aux_sym_else_if_clause_token1] = ACTIONS(987),
    [aux_sym_else_clause_token1] = ACTIONS(987),
    [aux_sym_match_expression_token1] = ACTIONS(987),
    [aux_sym_match_default_expression_token1] = ACTIONS(987),
    [aux_sym_switch_statement_token1] = ACTIONS(987),
    [aux_sym_switch_block_token1] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(985),
    [aux_sym_clone_expression_token1] = ACTIONS(987),
    [aux_sym_print_intrinsic_token1] = ACTIONS(987),
    [aux_sym_object_creation_expression_token1] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(985),
    [anon_sym_DASH_DASH] = ACTIONS(985),
    [aux_sym__list_destructing_token1] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(987),
    [anon_sym_parent] = ACTIONS(987),
    [anon_sym_POUND_LBRACK] = ACTIONS(985),
    [anon_sym_SQUOTE] = ACTIONS(985),
    [aux_sym_encapsed_string_token1] = ACTIONS(985),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [aux_sym_string_token1] = ACTIONS(985),
    [anon_sym_LT_LT_LT] = ACTIONS(985),
    [anon_sym_BQUOTE] = ACTIONS(985),
    [sym_boolean] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(985),
    [aux_sym_yield_expression_token1] = ACTIONS(987),
    [aux_sym_include_expression_token1] = ACTIONS(987),
    [aux_sym_include_once_expression_token1] = ACTIONS(987),
    [aux_sym_require_expression_token1] = ACTIONS(987),
    [aux_sym_require_once_expression_token1] = ACTIONS(987),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_else_if_clause] = STATE(463),
    [aux_sym_if_statement_repeat1] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_name] = ACTIONS(991),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(991),
    [aux_sym_global_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_definition_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(991),
    [anon_sym_BSLASH] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [aux_sym_trait_declaration_token1] = ACTIONS(991),
    [aux_sym_interface_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_case_token1] = ACTIONS(991),
    [aux_sym_class_declaration_token1] = ACTIONS(991),
    [aux_sym_final_modifier_token1] = ACTIONS(991),
    [aux_sym_abstract_modifier_token1] = ACTIONS(991),
    [aux_sym_readonly_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token2] = ACTIONS(991),
    [aux_sym_visibility_modifier_token3] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(991),
    [aux_sym_echo_statement_token1] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(991),
    [aux_sym_declare_statement_token1] = ACTIONS(991),
    [aux_sym_declare_statement_token2] = ACTIONS(991),
    [sym_float] = ACTIONS(991),
    [aux_sym_try_statement_token1] = ACTIONS(991),
    [aux_sym_goto_statement_token1] = ACTIONS(991),
    [aux_sym_continue_statement_token1] = ACTIONS(991),
    [aux_sym_break_statement_token1] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [aux_sym_return_statement_token1] = ACTIONS(991),
    [aux_sym_throw_expression_token1] = ACTIONS(991),
    [aux_sym_while_statement_token1] = ACTIONS(991),
    [aux_sym_while_statement_token2] = ACTIONS(991),
    [aux_sym_do_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token2] = ACTIONS(991),
    [aux_sym_foreach_statement_token1] = ACTIONS(991),
    [aux_sym_foreach_statement_token2] = ACTIONS(991),
    [aux_sym_if_statement_token1] = ACTIONS(991),
    [aux_sym_if_statement_token2] = ACTIONS(991),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(991),
    [aux_sym_match_expression_token1] = ACTIONS(991),
    [aux_sym_match_default_expression_token1] = ACTIONS(991),
    [aux_sym_switch_statement_token1] = ACTIONS(991),
    [aux_sym_switch_block_token1] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [aux_sym_clone_expression_token1] = ACTIONS(991),
    [aux_sym_print_intrinsic_token1] = ACTIONS(991),
    [aux_sym_object_creation_expression_token1] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym__list_destructing_token1] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(991),
    [anon_sym_parent] = ACTIONS(991),
    [anon_sym_POUND_LBRACK] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [aux_sym_encapsed_string_token1] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [aux_sym_string_token1] = ACTIONS(989),
    [anon_sym_LT_LT_LT] = ACTIONS(989),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_boolean] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [aux_sym_yield_expression_token1] = ACTIONS(991),
    [aux_sym_include_expression_token1] = ACTIONS(991),
    [aux_sym_include_once_expression_token1] = ACTIONS(991),
    [aux_sym_require_expression_token1] = ACTIONS(991),
    [aux_sym_require_once_expression_token1] = ACTIONS(991),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym_name] = ACTIONS(998),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_function_static_declaration_token1] = ACTIONS(998),
    [aux_sym_global_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_definition_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(998),
    [anon_sym_BSLASH] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym_trait_declaration_token1] = ACTIONS(998),
    [aux_sym_interface_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_case_token1] = ACTIONS(998),
    [aux_sym_class_declaration_token1] = ACTIONS(998),
    [aux_sym_final_modifier_token1] = ACTIONS(998),
    [aux_sym_abstract_modifier_token1] = ACTIONS(998),
    [aux_sym_readonly_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token2] = ACTIONS(998),
    [aux_sym_visibility_modifier_token3] = ACTIONS(998),
    [aux_sym__arrow_function_header_token1] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [aux_sym_cast_type_token1] = ACTIONS(998),
    [aux_sym_echo_statement_token1] = ACTIONS(998),
    [anon_sym_unset] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token2] = ACTIONS(998),
    [sym_float] = ACTIONS(998),
    [aux_sym_try_statement_token1] = ACTIONS(998),
    [aux_sym_catch_clause_token1] = ACTIONS(998),
    [aux_sym_finally_clause_token1] = ACTIONS(998),
    [aux_sym_goto_statement_token1] = ACTIONS(998),
    [aux_sym_continue_statement_token1] = ACTIONS(998),
    [aux_sym_break_statement_token1] = ACTIONS(998),
    [sym_integer] = ACTIONS(998),
    [aux_sym_return_statement_token1] = ACTIONS(998),
    [aux_sym_throw_expression_token1] = ACTIONS(998),
    [aux_sym_while_statement_token1] = ACTIONS(998),
    [aux_sym_while_statement_token2] = ACTIONS(998),
    [aux_sym_do_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token2] = ACTIONS(998),
    [aux_sym_foreach_statement_token1] = ACTIONS(998),
    [aux_sym_foreach_statement_token2] = ACTIONS(998),
    [aux_sym_if_statement_token1] = ACTIONS(998),
    [aux_sym_if_statement_token2] = ACTIONS(998),
    [aux_sym_else_if_clause_token1] = ACTIONS(998),
    [aux_sym_else_clause_token1] = ACTIONS(998),
    [aux_sym_match_expression_token1] = ACTIONS(998),
    [aux_sym_match_default_expression_token1] = ACTIONS(998),
    [aux_sym_switch_statement_token1] = ACTIONS(998),
    [aux_sym_switch_block_token1] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(998),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [aux_sym_clone_expression_token1] = ACTIONS(998),
    [aux_sym_print_intrinsic_token1] = ACTIONS(998),
    [aux_sym_object_creation_expression_token1] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [aux_sym__list_destructing_token1] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_self] = ACTIONS(998),
    [anon_sym_parent] = ACTIONS(998),
    [anon_sym_POUND_LBRACK] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [aux_sym_encapsed_string_token1] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_string_token1] = ACTIONS(996),
    [anon_sym_LT_LT_LT] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [sym_boolean] = ACTIONS(998),
    [sym_null] = ACTIONS(998),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [aux_sym_yield_expression_token1] = ACTIONS(998),
    [aux_sym_include_expression_token1] = ACTIONS(998),
    [aux_sym_include_once_expression_token1] = ACTIONS(998),
    [aux_sym_require_expression_token1] = ACTIONS(998),
    [aux_sym_require_once_expression_token1] = ACTIONS(998),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1000),
    [sym_name] = ACTIONS(1002),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1000),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1002),
    [aux_sym_global_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_definition_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1002),
    [anon_sym_BSLASH] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [aux_sym_trait_declaration_token1] = ACTIONS(1002),
    [aux_sym_interface_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_case_token1] = ACTIONS(1002),
    [aux_sym_class_declaration_token1] = ACTIONS(1002),
    [aux_sym_final_modifier_token1] = ACTIONS(1002),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1002),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1002),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [aux_sym_cast_type_token1] = ACTIONS(1002),
    [aux_sym_echo_statement_token1] = ACTIONS(1002),
    [anon_sym_unset] = ACTIONS(1002),
    [aux_sym_declare_statement_token1] = ACTIONS(1002),
    [aux_sym_declare_statement_token2] = ACTIONS(1002),
    [sym_float] = ACTIONS(1002),
    [aux_sym_try_statement_token1] = ACTIONS(1002),
    [aux_sym_catch_clause_token1] = ACTIONS(1002),
    [aux_sym_finally_clause_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(1002),
    [aux_sym_continue_statement_token1] = ACTIONS(1002),
    [aux_sym_break_statement_token1] = ACTIONS(1002),
    [sym_integer] = ACTIONS(1002),
    [aux_sym_return_statement_token1] = ACTIONS(1002),
    [aux_sym_throw_expression_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token2] = ACTIONS(1002),
    [aux_sym_do_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token2] = ACTIONS(1002),
    [aux_sym_foreach_statement_token1] = ACTIONS(1002),
    [aux_sym_foreach_statement_token2] = ACTIONS(1002),
    [aux_sym_if_statement_token1] = ACTIONS(1002),
    [aux_sym_if_statement_token2] = ACTIONS(1002),
    [aux_sym_else_if_clause_token1] = ACTIONS(1002),
    [aux_sym_else_clause_token1] = ACTIONS(1002),
    [aux_sym_match_expression_token1] = ACTIONS(1002),
    [aux_sym_match_default_expression_token1] = ACTIONS(1002),
    [aux_sym_switch_statement_token1] = ACTIONS(1002),
    [aux_sym_switch_block_token1] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1002),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1000),
    [aux_sym_clone_expression_token1] = ACTIONS(1002),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1002),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1000),
    [anon_sym_DASH_DASH] = ACTIONS(1000),
    [aux_sym__list_destructing_token1] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_self] = ACTIONS(1002),
    [anon_sym_parent] = ACTIONS(1002),
    [anon_sym_POUND_LBRACK] = ACTIONS(1000),
    [anon_sym_SQUOTE] = ACTIONS(1000),
    [aux_sym_encapsed_string_token1] = ACTIONS(1000),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [aux_sym_string_token1] = ACTIONS(1000),
    [anon_sym_LT_LT_LT] = ACTIONS(1000),
    [anon_sym_BQUOTE] = ACTIONS(1000),
    [sym_boolean] = ACTIONS(1002),
    [sym_null] = ACTIONS(1002),
    [anon_sym_DOLLAR] = ACTIONS(1000),
    [aux_sym_yield_expression_token1] = ACTIONS(1002),
    [aux_sym_include_expression_token1] = ACTIONS(1002),
    [aux_sym_include_once_expression_token1] = ACTIONS(1002),
    [aux_sym_require_expression_token1] = ACTIONS(1002),
    [aux_sym_require_once_expression_token1] = ACTIONS(1002),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(2577),
    [sym__unary_expression] = STATE(936),
    [sym_unary_op_expression] = STATE(984),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(984),
    [sym__primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(635),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(936),
    [sym_include_once_expression] = STATE(936),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym_name] = ACTIONS(1006),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1004),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1006),
    [aux_sym_global_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_definition_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1006),
    [anon_sym_BSLASH] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym_trait_declaration_token1] = ACTIONS(1006),
    [aux_sym_interface_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_case_token1] = ACTIONS(1006),
    [aux_sym_class_declaration_token1] = ACTIONS(1006),
    [aux_sym_final_modifier_token1] = ACTIONS(1006),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1006),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1006),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [aux_sym_cast_type_token1] = ACTIONS(1006),
    [aux_sym_echo_statement_token1] = ACTIONS(1006),
    [anon_sym_unset] = ACTIONS(1006),
    [aux_sym_declare_statement_token1] = ACTIONS(1006),
    [aux_sym_declare_statement_token2] = ACTIONS(1006),
    [sym_float] = ACTIONS(1006),
    [aux_sym_try_statement_token1] = ACTIONS(1006),
    [aux_sym_catch_clause_token1] = ACTIONS(1006),
    [aux_sym_finally_clause_token1] = ACTIONS(1006),
    [aux_sym_goto_statement_token1] = ACTIONS(1006),
    [aux_sym_continue_statement_token1] = ACTIONS(1006),
    [aux_sym_break_statement_token1] = ACTIONS(1006),
    [sym_integer] = ACTIONS(1006),
    [aux_sym_return_statement_token1] = ACTIONS(1006),
    [aux_sym_throw_expression_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token2] = ACTIONS(1006),
    [aux_sym_do_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token2] = ACTIONS(1006),
    [aux_sym_foreach_statement_token1] = ACTIONS(1006),
    [aux_sym_foreach_statement_token2] = ACTIONS(1006),
    [aux_sym_if_statement_token1] = ACTIONS(1006),
    [aux_sym_if_statement_token2] = ACTIONS(1006),
    [aux_sym_else_if_clause_token1] = ACTIONS(1006),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1006),
    [aux_sym_match_default_expression_token1] = ACTIONS(1006),
    [aux_sym_switch_statement_token1] = ACTIONS(1006),
    [aux_sym_switch_block_token1] = ACTIONS(1006),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1004),
    [aux_sym_clone_expression_token1] = ACTIONS(1006),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1006),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1004),
    [anon_sym_DASH_DASH] = ACTIONS(1004),
    [aux_sym__list_destructing_token1] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(1004),
    [anon_sym_self] = ACTIONS(1006),
    [anon_sym_parent] = ACTIONS(1006),
    [anon_sym_POUND_LBRACK] = ACTIONS(1004),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [aux_sym_encapsed_string_token1] = ACTIONS(1004),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [aux_sym_string_token1] = ACTIONS(1004),
    [anon_sym_LT_LT_LT] = ACTIONS(1004),
    [anon_sym_BQUOTE] = ACTIONS(1004),
    [sym_boolean] = ACTIONS(1006),
    [sym_null] = ACTIONS(1006),
    [anon_sym_DOLLAR] = ACTIONS(1004),
    [aux_sym_yield_expression_token1] = ACTIONS(1006),
    [aux_sym_include_expression_token1] = ACTIONS(1006),
    [aux_sym_include_once_expression_token1] = ACTIONS(1006),
    [aux_sym_require_expression_token1] = ACTIONS(1006),
    [aux_sym_require_once_expression_token1] = ACTIONS(1006),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(700),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym_match_expression] = STATE(2500),
    [sym__unary_expression] = STATE(936),
    [sym_unary_op_expression] = STATE(1156),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1156),
    [sym__primary_expression] = STATE(1156),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(595),
    [sym_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(595),
    [sym_function_call_expression] = STATE(580),
    [sym_scoped_call_expression] = STATE(580),
    [sym__scope_resolution_qualifier] = STATE(2481),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(580),
    [sym_nullsafe_member_call_expression] = STATE(580),
    [sym_subscript_expression] = STATE(580),
    [sym__dereferencable_expression] = STATE(1738),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(706),
    [sym_dynamic_variable_name] = STATE(580),
    [sym_variable_name] = STATE(580),
    [sym_include_expression] = STATE(936),
    [sym_include_once_expression] = STATE(936),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [sym_name] = ACTIONS(1010),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1008),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1010),
    [aux_sym_global_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_definition_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1010),
    [anon_sym_BSLASH] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym_trait_declaration_token1] = ACTIONS(1010),
    [aux_sym_interface_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_case_token1] = ACTIONS(1010),
    [aux_sym_class_declaration_token1] = ACTIONS(1010),
    [aux_sym_final_modifier_token1] = ACTIONS(1010),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1010),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1010),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [aux_sym_cast_type_token1] = ACTIONS(1010),
    [aux_sym_echo_statement_token1] = ACTIONS(1010),
    [anon_sym_unset] = ACTIONS(1010),
    [aux_sym_declare_statement_token1] = ACTIONS(1010),
    [aux_sym_declare_statement_token2] = ACTIONS(1010),
    [sym_float] = ACTIONS(1010),
    [aux_sym_try_statement_token1] = ACTIONS(1010),
    [aux_sym_catch_clause_token1] = ACTIONS(1010),
    [aux_sym_finally_clause_token1] = ACTIONS(1010),
    [aux_sym_goto_statement_token1] = ACTIONS(1010),
    [aux_sym_continue_statement_token1] = ACTIONS(1010),
    [aux_sym_break_statement_token1] = ACTIONS(1010),
    [sym_integer] = ACTIONS(1010),
    [aux_sym_return_statement_token1] = ACTIONS(1010),
    [aux_sym_throw_expression_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token2] = ACTIONS(1010),
    [aux_sym_do_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token2] = ACTIONS(1010),
    [aux_sym_foreach_statement_token1] = ACTIONS(1010),
    [aux_sym_foreach_statement_token2] = ACTIONS(1010),
    [aux_sym_if_statement_token1] = ACTIONS(1010),
    [aux_sym_if_statement_token2] = ACTIONS(1010),
    [aux_sym_else_if_clause_token1] = ACTIONS(1010),
    [aux_sym_else_clause_token1] = ACTIONS(1010),
    [aux_sym_match_expression_token1] = ACTIONS(1010),
    [aux_sym_match_default_expression_token1] = ACTIONS(1010),
    [aux_sym_switch_statement_token1] = ACTIONS(1010),
    [aux_sym_switch_block_token1] = ACTIONS(1010),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1008),
    [aux_sym_clone_expression_token1] = ACTIONS(1010),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1010),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1010),
    [anon_sym_PLUS_PLUS] = ACTIONS(1008),
    [anon_sym_DASH_DASH] = ACTIONS(1008),
    [aux_sym__list_destructing_token1] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1008),
    [anon_sym_self] = ACTIONS(1010),
    [anon_sym_parent] = ACTIONS(1010),
    [anon_sym_POUND_LBRACK] = ACTIONS(1008),
    [anon_sym_SQUOTE] = ACTIONS(1008),
    [aux_sym_encapsed_string_token1] = ACTIONS(1008),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [aux_sym_string_token1] = ACTIONS(1008),
    [anon_sym_LT_LT_LT] = ACTIONS(1008),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_boolean] = ACTIONS(1010),
    [sym_null] = ACTIONS(1010),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [aux_sym_yield_expression_token1] = ACTIONS(1010),
    [aux_sym_include_expression_token1] = ACTIONS(1010),
    [aux_sym_include_once_expression_token1] = ACTIONS(1010),
    [aux_sym_require_expression_token1] = ACTIONS(1010),
    [aux_sym_require_once_expression_token1] = ACTIONS(1010),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_name] = ACTIONS(1014),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1016),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1014),
    [aux_sym_global_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_definition_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1014),
    [anon_sym_BSLASH] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym_trait_declaration_token1] = ACTIONS(1014),
    [aux_sym_interface_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_case_token1] = ACTIONS(1014),
    [aux_sym_class_declaration_token1] = ACTIONS(1014),
    [aux_sym_final_modifier_token1] = ACTIONS(1014),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1014),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1014),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [aux_sym_cast_type_token1] = ACTIONS(1014),
    [aux_sym_echo_statement_token1] = ACTIONS(1014),
    [anon_sym_unset] = ACTIONS(1014),
    [aux_sym_declare_statement_token1] = ACTIONS(1014),
    [aux_sym_declare_statement_token2] = ACTIONS(1014),
    [sym_float] = ACTIONS(1014),
    [aux_sym_try_statement_token1] = ACTIONS(1014),
    [aux_sym_goto_statement_token1] = ACTIONS(1014),
    [aux_sym_continue_statement_token1] = ACTIONS(1014),
    [aux_sym_break_statement_token1] = ACTIONS(1014),
    [sym_integer] = ACTIONS(1014),
    [aux_sym_return_statement_token1] = ACTIONS(1014),
    [aux_sym_throw_expression_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token2] = ACTIONS(1014),
    [aux_sym_do_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token2] = ACTIONS(1014),
    [aux_sym_foreach_statement_token1] = ACTIONS(1014),
    [aux_sym_foreach_statement_token2] = ACTIONS(1014),
    [aux_sym_if_statement_token1] = ACTIONS(1014),
    [aux_sym_if_statement_token2] = ACTIONS(1014),
    [aux_sym_else_if_clause_token1] = ACTIONS(1014),
    [aux_sym_else_clause_token1] = ACTIONS(1014),
    [aux_sym_match_expression_token1] = ACTIONS(1014),
    [aux_sym_match_default_expression_token1] = ACTIONS(1014),
    [aux_sym_switch_statement_token1] = ACTIONS(1014),
    [aux_sym_switch_block_token1] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [aux_sym_clone_expression_token1] = ACTIONS(1014),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1014),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1014),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [aux_sym__list_destructing_token1] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(1014),
    [anon_sym_parent] = ACTIONS(1014),
    [anon_sym_POUND_LBRACK] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [aux_sym_encapsed_string_token1] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_string_token1] = ACTIONS(1012),
    [anon_sym_LT_LT_LT] = ACTIONS(1012),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [sym_boolean] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [anon_sym_DOLLAR] = ACTIONS(1012),
    [aux_sym_yield_expression_token1] = ACTIONS(1014),
    [aux_sym_include_expression_token1] = ACTIONS(1014),
    [aux_sym_include_once_expression_token1] = ACTIONS(1014),
    [aux_sym_require_expression_token1] = ACTIONS(1014),
    [aux_sym_require_once_expression_token1] = ACTIONS(1014),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1016),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1018),
    [sym_name] = ACTIONS(1020),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1022),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1020),
    [aux_sym_global_declaration_token1] = ACTIONS(1020),
    [aux_sym_namespace_definition_token1] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1020),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1020),
    [anon_sym_BSLASH] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1018),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [aux_sym_trait_declaration_token1] = ACTIONS(1020),
    [aux_sym_interface_declaration_token1] = ACTIONS(1020),
    [aux_sym_enum_declaration_token1] = ACTIONS(1020),
    [aux_sym_enum_case_token1] = ACTIONS(1020),
    [aux_sym_class_declaration_token1] = ACTIONS(1020),
    [aux_sym_final_modifier_token1] = ACTIONS(1020),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1020),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1020),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1020),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1020),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [aux_sym_cast_type_token1] = ACTIONS(1020),
    [aux_sym_echo_statement_token1] = ACTIONS(1020),
    [anon_sym_unset] = ACTIONS(1020),
    [aux_sym_declare_statement_token1] = ACTIONS(1020),
    [aux_sym_declare_statement_token2] = ACTIONS(1020),
    [sym_float] = ACTIONS(1020),
    [aux_sym_try_statement_token1] = ACTIONS(1020),
    [aux_sym_goto_statement_token1] = ACTIONS(1020),
    [aux_sym_continue_statement_token1] = ACTIONS(1020),
    [aux_sym_break_statement_token1] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1020),
    [aux_sym_return_statement_token1] = ACTIONS(1020),
    [aux_sym_throw_expression_token1] = ACTIONS(1020),
    [aux_sym_while_statement_token1] = ACTIONS(1020),
    [aux_sym_while_statement_token2] = ACTIONS(1020),
    [aux_sym_do_statement_token1] = ACTIONS(1020),
    [aux_sym_for_statement_token1] = ACTIONS(1020),
    [aux_sym_for_statement_token2] = ACTIONS(1020),
    [aux_sym_foreach_statement_token1] = ACTIONS(1020),
    [aux_sym_foreach_statement_token2] = ACTIONS(1020),
    [aux_sym_if_statement_token1] = ACTIONS(1020),
    [aux_sym_if_statement_token2] = ACTIONS(1020),
    [aux_sym_else_if_clause_token1] = ACTIONS(1020),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1020),
    [aux_sym_match_default_expression_token1] = ACTIONS(1020),
    [aux_sym_switch_statement_token1] = ACTIONS(1020),
    [aux_sym_switch_block_token1] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_BANG] = ACTIONS(1018),
    [aux_sym_clone_expression_token1] = ACTIONS(1020),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1020),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1018),
    [anon_sym_DASH_DASH] = ACTIONS(1018),
    [aux_sym__list_destructing_token1] = ACTIONS(1020),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [anon_sym_self] = ACTIONS(1020),
    [anon_sym_parent] = ACTIONS(1020),
    [anon_sym_POUND_LBRACK] = ACTIONS(1018),
    [anon_sym_SQUOTE] = ACTIONS(1018),
    [aux_sym_encapsed_string_token1] = ACTIONS(1018),
    [anon_sym_DQUOTE] = ACTIONS(1018),
    [aux_sym_string_token1] = ACTIONS(1018),
    [anon_sym_LT_LT_LT] = ACTIONS(1018),
    [anon_sym_BQUOTE] = ACTIONS(1018),
    [sym_boolean] = ACTIONS(1020),
    [sym_null] = ACTIONS(1020),
    [anon_sym_DOLLAR] = ACTIONS(1018),
    [aux_sym_yield_expression_token1] = ACTIONS(1020),
    [aux_sym_include_expression_token1] = ACTIONS(1020),
    [aux_sym_include_once_expression_token1] = ACTIONS(1020),
    [aux_sym_require_expression_token1] = ACTIONS(1020),
    [aux_sym_require_once_expression_token1] = ACTIONS(1020),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1022),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_name] = ACTIONS(1026),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1028),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1026),
    [aux_sym_global_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_definition_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1026),
    [anon_sym_BSLASH] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [aux_sym_trait_declaration_token1] = ACTIONS(1026),
    [aux_sym_interface_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_case_token1] = ACTIONS(1026),
    [aux_sym_class_declaration_token1] = ACTIONS(1026),
    [aux_sym_final_modifier_token1] = ACTIONS(1026),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1026),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1026),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [aux_sym_cast_type_token1] = ACTIONS(1026),
    [aux_sym_echo_statement_token1] = ACTIONS(1026),
    [anon_sym_unset] = ACTIONS(1026),
    [aux_sym_declare_statement_token1] = ACTIONS(1026),
    [aux_sym_declare_statement_token2] = ACTIONS(1026),
    [sym_float] = ACTIONS(1026),
    [aux_sym_try_statement_token1] = ACTIONS(1026),
    [aux_sym_goto_statement_token1] = ACTIONS(1026),
    [aux_sym_continue_statement_token1] = ACTIONS(1026),
    [aux_sym_break_statement_token1] = ACTIONS(1026),
    [sym_integer] = ACTIONS(1026),
    [aux_sym_return_statement_token1] = ACTIONS(1026),
    [aux_sym_throw_expression_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token2] = ACTIONS(1026),
    [aux_sym_do_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token2] = ACTIONS(1026),
    [aux_sym_foreach_statement_token1] = ACTIONS(1026),
    [aux_sym_foreach_statement_token2] = ACTIONS(1026),
    [aux_sym_if_statement_token1] = ACTIONS(1026),
    [aux_sym_if_statement_token2] = ACTIONS(1026),
    [aux_sym_else_if_clause_token1] = ACTIONS(1026),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1026),
    [aux_sym_match_default_expression_token1] = ACTIONS(1026),
    [aux_sym_switch_statement_token1] = ACTIONS(1026),
    [aux_sym_switch_block_token1] = ACTIONS(1026),
    [anon_sym_AT] = ACTIONS(1024),
    [anon_sym_PLUS] = ACTIONS(1026),
    [anon_sym_DASH] = ACTIONS(1026),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [aux_sym_clone_expression_token1] = ACTIONS(1026),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1026),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1026),
    [anon_sym_PLUS_PLUS] = ACTIONS(1024),
    [anon_sym_DASH_DASH] = ACTIONS(1024),
    [aux_sym__list_destructing_token1] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [anon_sym_self] = ACTIONS(1026),
    [anon_sym_parent] = ACTIONS(1026),
    [anon_sym_POUND_LBRACK] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [aux_sym_encapsed_string_token1] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [aux_sym_string_token1] = ACTIONS(1024),
    [anon_sym_LT_LT_LT] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(1024),
    [sym_boolean] = ACTIONS(1026),
    [sym_null] = ACTIONS(1026),
    [anon_sym_DOLLAR] = ACTIONS(1024),
    [aux_sym_yield_expression_token1] = ACTIONS(1026),
    [aux_sym_include_expression_token1] = ACTIONS(1026),
    [aux_sym_include_once_expression_token1] = ACTIONS(1026),
    [aux_sym_require_expression_token1] = ACTIONS(1026),
    [aux_sym_require_once_expression_token1] = ACTIONS(1026),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1028),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_name] = ACTIONS(1032),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1034),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1032),
    [aux_sym_global_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_definition_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1032),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1032),
    [anon_sym_BSLASH] = ACTIONS(1030),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [aux_sym_trait_declaration_token1] = ACTIONS(1032),
    [aux_sym_interface_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_declaration_token1] = ACTIONS(1032),
    [aux_sym_enum_case_token1] = ACTIONS(1032),
    [aux_sym_class_declaration_token1] = ACTIONS(1032),
    [aux_sym_final_modifier_token1] = ACTIONS(1032),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1032),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1032),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1032),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [aux_sym_cast_type_token1] = ACTIONS(1032),
    [aux_sym_echo_statement_token1] = ACTIONS(1032),
    [anon_sym_unset] = ACTIONS(1032),
    [aux_sym_declare_statement_token1] = ACTIONS(1032),
    [aux_sym_declare_statement_token2] = ACTIONS(1032),
    [sym_float] = ACTIONS(1032),
    [aux_sym_try_statement_token1] = ACTIONS(1032),
    [aux_sym_goto_statement_token1] = ACTIONS(1032),
    [aux_sym_continue_statement_token1] = ACTIONS(1032),
    [aux_sym_break_statement_token1] = ACTIONS(1032),
    [sym_integer] = ACTIONS(1032),
    [aux_sym_return_statement_token1] = ACTIONS(1032),
    [aux_sym_throw_expression_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token1] = ACTIONS(1032),
    [aux_sym_while_statement_token2] = ACTIONS(1032),
    [aux_sym_do_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token1] = ACTIONS(1032),
    [aux_sym_for_statement_token2] = ACTIONS(1032),
    [aux_sym_foreach_statement_token1] = ACTIONS(1032),
    [aux_sym_foreach_statement_token2] = ACTIONS(1032),
    [aux_sym_if_statement_token1] = ACTIONS(1032),
    [aux_sym_if_statement_token2] = ACTIONS(1032),
    [aux_sym_else_if_clause_token1] = ACTIONS(1032),
    [aux_sym_else_clause_token1] = ACTIONS(1032),
    [aux_sym_match_expression_token1] = ACTIONS(1032),
    [aux_sym_match_default_expression_token1] = ACTIONS(1032),
    [aux_sym_switch_statement_token1] = ACTIONS(1032),
    [aux_sym_switch_block_token1] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [aux_sym_clone_expression_token1] = ACTIONS(1032),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1032),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [aux_sym__list_destructing_token1] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1030),
    [anon_sym_self] = ACTIONS(1032),
    [anon_sym_parent] = ACTIONS(1032),
    [anon_sym_POUND_LBRACK] = ACTIONS(1030),
    [anon_sym_SQUOTE] = ACTIONS(1030),
    [aux_sym_encapsed_string_token1] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [aux_sym_string_token1] = ACTIONS(1030),
    [anon_sym_LT_LT_LT] = ACTIONS(1030),
    [anon_sym_BQUOTE] = ACTIONS(1030),
    [sym_boolean] = ACTIONS(1032),
    [sym_null] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1030),
    [aux_sym_yield_expression_token1] = ACTIONS(1032),
    [aux_sym_include_expression_token1] = ACTIONS(1032),
    [aux_sym_include_once_expression_token1] = ACTIONS(1032),
    [aux_sym_require_expression_token1] = ACTIONS(1032),
    [aux_sym_require_once_expression_token1] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1034),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_name] = ACTIONS(1038),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1038),
    [aux_sym_global_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_definition_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1038),
    [anon_sym_BSLASH] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym_trait_declaration_token1] = ACTIONS(1038),
    [aux_sym_interface_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_case_token1] = ACTIONS(1038),
    [aux_sym_class_declaration_token1] = ACTIONS(1038),
    [aux_sym_final_modifier_token1] = ACTIONS(1038),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1038),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1038),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [aux_sym_cast_type_token1] = ACTIONS(1038),
    [aux_sym_echo_statement_token1] = ACTIONS(1038),
    [anon_sym_unset] = ACTIONS(1038),
    [aux_sym_declare_statement_token1] = ACTIONS(1038),
    [aux_sym_declare_statement_token2] = ACTIONS(1038),
    [sym_float] = ACTIONS(1038),
    [aux_sym_try_statement_token1] = ACTIONS(1038),
    [aux_sym_goto_statement_token1] = ACTIONS(1038),
    [aux_sym_continue_statement_token1] = ACTIONS(1038),
    [aux_sym_break_statement_token1] = ACTIONS(1038),
    [sym_integer] = ACTIONS(1038),
    [aux_sym_return_statement_token1] = ACTIONS(1038),
    [aux_sym_throw_expression_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token2] = ACTIONS(1038),
    [aux_sym_do_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token2] = ACTIONS(1038),
    [aux_sym_foreach_statement_token1] = ACTIONS(1038),
    [aux_sym_foreach_statement_token2] = ACTIONS(1038),
    [aux_sym_if_statement_token1] = ACTIONS(1038),
    [aux_sym_if_statement_token2] = ACTIONS(1038),
    [aux_sym_else_if_clause_token1] = ACTIONS(1038),
    [aux_sym_else_clause_token1] = ACTIONS(1038),
    [aux_sym_match_expression_token1] = ACTIONS(1038),
    [aux_sym_match_default_expression_token1] = ACTIONS(1038),
    [aux_sym_switch_statement_token1] = ACTIONS(1038),
    [aux_sym_switch_block_token1] = ACTIONS(1038),
    [anon_sym_AT] = ACTIONS(1036),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [aux_sym_clone_expression_token1] = ACTIONS(1038),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1038),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [aux_sym__list_destructing_token1] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_self] = ACTIONS(1038),
    [anon_sym_parent] = ACTIONS(1038),
    [anon_sym_POUND_LBRACK] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [aux_sym_encapsed_string_token1] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_string_token1] = ACTIONS(1036),
    [anon_sym_LT_LT_LT] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(1036),
    [sym_boolean] = ACTIONS(1038),
    [sym_null] = ACTIONS(1038),
    [anon_sym_DOLLAR] = ACTIONS(1036),
    [aux_sym_yield_expression_token1] = ACTIONS(1038),
    [aux_sym_include_expression_token1] = ACTIONS(1038),
    [aux_sym_include_once_expression_token1] = ACTIONS(1038),
    [aux_sym_require_expression_token1] = ACTIONS(1038),
    [aux_sym_require_once_expression_token1] = ACTIONS(1038),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1040),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_name] = ACTIONS(1044),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1046),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1044),
    [aux_sym_global_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_definition_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1044),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1044),
    [anon_sym_BSLASH] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [aux_sym_trait_declaration_token1] = ACTIONS(1044),
    [aux_sym_interface_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_declaration_token1] = ACTIONS(1044),
    [aux_sym_enum_case_token1] = ACTIONS(1044),
    [aux_sym_class_declaration_token1] = ACTIONS(1044),
    [aux_sym_final_modifier_token1] = ACTIONS(1044),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1044),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1044),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1044),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [aux_sym_cast_type_token1] = ACTIONS(1044),
    [aux_sym_echo_statement_token1] = ACTIONS(1044),
    [anon_sym_unset] = ACTIONS(1044),
    [aux_sym_declare_statement_token1] = ACTIONS(1044),
    [aux_sym_declare_statement_token2] = ACTIONS(1044),
    [sym_float] = ACTIONS(1044),
    [aux_sym_try_statement_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1044),
    [aux_sym_continue_statement_token1] = ACTIONS(1044),
    [aux_sym_break_statement_token1] = ACTIONS(1044),
    [sym_integer] = ACTIONS(1044),
    [aux_sym_return_statement_token1] = ACTIONS(1044),
    [aux_sym_throw_expression_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token1] = ACTIONS(1044),
    [aux_sym_while_statement_token2] = ACTIONS(1044),
    [aux_sym_do_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token1] = ACTIONS(1044),
    [aux_sym_for_statement_token2] = ACTIONS(1044),
    [aux_sym_foreach_statement_token1] = ACTIONS(1044),
    [aux_sym_foreach_statement_token2] = ACTIONS(1044),
    [aux_sym_if_statement_token1] = ACTIONS(1044),
    [aux_sym_if_statement_token2] = ACTIONS(1044),
    [aux_sym_else_if_clause_token1] = ACTIONS(1044),
    [aux_sym_else_clause_token1] = ACTIONS(1044),
    [aux_sym_match_expression_token1] = ACTIONS(1044),
    [aux_sym_match_default_expression_token1] = ACTIONS(1044),
    [aux_sym_switch_statement_token1] = ACTIONS(1044),
    [aux_sym_switch_block_token1] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1042),
    [aux_sym_clone_expression_token1] = ACTIONS(1044),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1044),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [aux_sym__list_destructing_token1] = ACTIONS(1044),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_self] = ACTIONS(1044),
    [anon_sym_parent] = ACTIONS(1044),
    [anon_sym_POUND_LBRACK] = ACTIONS(1042),
    [anon_sym_SQUOTE] = ACTIONS(1042),
    [aux_sym_encapsed_string_token1] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [aux_sym_string_token1] = ACTIONS(1042),
    [anon_sym_LT_LT_LT] = ACTIONS(1042),
    [anon_sym_BQUOTE] = ACTIONS(1042),
    [sym_boolean] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1042),
    [aux_sym_yield_expression_token1] = ACTIONS(1044),
    [aux_sym_include_expression_token1] = ACTIONS(1044),
    [aux_sym_include_once_expression_token1] = ACTIONS(1044),
    [aux_sym_require_expression_token1] = ACTIONS(1044),
    [aux_sym_require_once_expression_token1] = ACTIONS(1044),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1046),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1052),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [sym_boolean] = ACTIONS(1050),
    [sym_null] = ACTIONS(1050),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1052),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1054),
    [sym_name] = ACTIONS(1056),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1058),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1056),
    [aux_sym_global_declaration_token1] = ACTIONS(1056),
    [aux_sym_namespace_definition_token1] = ACTIONS(1056),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1056),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1056),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1056),
    [anon_sym_BSLASH] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [aux_sym_trait_declaration_token1] = ACTIONS(1056),
    [aux_sym_interface_declaration_token1] = ACTIONS(1056),
    [aux_sym_enum_declaration_token1] = ACTIONS(1056),
    [aux_sym_enum_case_token1] = ACTIONS(1056),
    [aux_sym_class_declaration_token1] = ACTIONS(1056),
    [aux_sym_final_modifier_token1] = ACTIONS(1056),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1056),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1056),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1056),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1056),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1056),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(1054),
    [aux_sym_cast_type_token1] = ACTIONS(1056),
    [aux_sym_echo_statement_token1] = ACTIONS(1056),
    [anon_sym_unset] = ACTIONS(1056),
    [aux_sym_declare_statement_token1] = ACTIONS(1056),
    [aux_sym_declare_statement_token2] = ACTIONS(1056),
    [sym_float] = ACTIONS(1056),
    [aux_sym_try_statement_token1] = ACTIONS(1056),
    [aux_sym_goto_statement_token1] = ACTIONS(1056),
    [aux_sym_continue_statement_token1] = ACTIONS(1056),
    [aux_sym_break_statement_token1] = ACTIONS(1056),
    [sym_integer] = ACTIONS(1056),
    [aux_sym_return_statement_token1] = ACTIONS(1056),
    [aux_sym_throw_expression_token1] = ACTIONS(1056),
    [aux_sym_while_statement_token1] = ACTIONS(1056),
    [aux_sym_while_statement_token2] = ACTIONS(1056),
    [aux_sym_do_statement_token1] = ACTIONS(1056),
    [aux_sym_for_statement_token1] = ACTIONS(1056),
    [aux_sym_for_statement_token2] = ACTIONS(1056),
    [aux_sym_foreach_statement_token1] = ACTIONS(1056),
    [aux_sym_foreach_statement_token2] = ACTIONS(1056),
    [aux_sym_if_statement_token1] = ACTIONS(1056),
    [aux_sym_if_statement_token2] = ACTIONS(1056),
    [aux_sym_else_if_clause_token1] = ACTIONS(1056),
    [aux_sym_else_clause_token1] = ACTIONS(1056),
    [aux_sym_match_expression_token1] = ACTIONS(1056),
    [aux_sym_match_default_expression_token1] = ACTIONS(1056),
    [aux_sym_switch_statement_token1] = ACTIONS(1056),
    [aux_sym_switch_block_token1] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1056),
    [anon_sym_TILDE] = ACTIONS(1054),
    [anon_sym_BANG] = ACTIONS(1054),
    [aux_sym_clone_expression_token1] = ACTIONS(1056),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1056),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1054),
    [aux_sym__list_destructing_token1] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_self] = ACTIONS(1056),
    [anon_sym_parent] = ACTIONS(1056),
    [anon_sym_POUND_LBRACK] = ACTIONS(1054),
    [anon_sym_SQUOTE] = ACTIONS(1054),
    [aux_sym_encapsed_string_token1] = ACTIONS(1054),
    [anon_sym_DQUOTE] = ACTIONS(1054),
    [aux_sym_string_token1] = ACTIONS(1054),
    [anon_sym_LT_LT_LT] = ACTIONS(1054),
    [anon_sym_BQUOTE] = ACTIONS(1054),
    [sym_boolean] = ACTIONS(1056),
    [sym_null] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1054),
    [aux_sym_yield_expression_token1] = ACTIONS(1056),
    [aux_sym_include_expression_token1] = ACTIONS(1056),
    [aux_sym_include_once_expression_token1] = ACTIONS(1056),
    [aux_sym_require_expression_token1] = ACTIONS(1056),
    [aux_sym_require_once_expression_token1] = ACTIONS(1056),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1058),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [sym_boolean] = ACTIONS(1062),
    [sym_null] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1064),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_name] = ACTIONS(1068),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1070),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1068),
    [aux_sym_global_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_definition_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1068),
    [anon_sym_BSLASH] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [aux_sym_trait_declaration_token1] = ACTIONS(1068),
    [aux_sym_interface_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_case_token1] = ACTIONS(1068),
    [aux_sym_class_declaration_token1] = ACTIONS(1068),
    [aux_sym_final_modifier_token1] = ACTIONS(1068),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1068),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1068),
    [aux_sym_echo_statement_token1] = ACTIONS(1068),
    [anon_sym_unset] = ACTIONS(1068),
    [aux_sym_declare_statement_token1] = ACTIONS(1068),
    [aux_sym_declare_statement_token2] = ACTIONS(1068),
    [sym_float] = ACTIONS(1068),
    [aux_sym_try_statement_token1] = ACTIONS(1068),
    [aux_sym_goto_statement_token1] = ACTIONS(1068),
    [aux_sym_continue_statement_token1] = ACTIONS(1068),
    [aux_sym_break_statement_token1] = ACTIONS(1068),
    [sym_integer] = ACTIONS(1068),
    [aux_sym_return_statement_token1] = ACTIONS(1068),
    [aux_sym_throw_expression_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token2] = ACTIONS(1068),
    [aux_sym_do_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token2] = ACTIONS(1068),
    [aux_sym_foreach_statement_token1] = ACTIONS(1068),
    [aux_sym_foreach_statement_token2] = ACTIONS(1068),
    [aux_sym_if_statement_token1] = ACTIONS(1068),
    [aux_sym_if_statement_token2] = ACTIONS(1068),
    [aux_sym_else_if_clause_token1] = ACTIONS(1068),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1068),
    [aux_sym_match_default_expression_token1] = ACTIONS(1068),
    [aux_sym_switch_statement_token1] = ACTIONS(1068),
    [aux_sym_switch_block_token1] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1068),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [aux_sym_clone_expression_token1] = ACTIONS(1068),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1068),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [aux_sym__list_destructing_token1] = ACTIONS(1068),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_self] = ACTIONS(1068),
    [anon_sym_parent] = ACTIONS(1068),
    [anon_sym_POUND_LBRACK] = ACTIONS(1066),
    [anon_sym_SQUOTE] = ACTIONS(1066),
    [aux_sym_encapsed_string_token1] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [aux_sym_string_token1] = ACTIONS(1066),
    [anon_sym_LT_LT_LT] = ACTIONS(1066),
    [anon_sym_BQUOTE] = ACTIONS(1066),
    [sym_boolean] = ACTIONS(1068),
    [sym_null] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [aux_sym_yield_expression_token1] = ACTIONS(1068),
    [aux_sym_include_expression_token1] = ACTIONS(1068),
    [aux_sym_include_once_expression_token1] = ACTIONS(1068),
    [aux_sym_require_expression_token1] = ACTIONS(1068),
    [aux_sym_require_once_expression_token1] = ACTIONS(1068),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1070),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [sym_boolean] = ACTIONS(1074),
    [sym_null] = ACTIONS(1074),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1076),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_name] = ACTIONS(1080),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1080),
    [aux_sym_global_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_definition_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1080),
    [anon_sym_BSLASH] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym_trait_declaration_token1] = ACTIONS(1080),
    [aux_sym_interface_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_case_token1] = ACTIONS(1080),
    [aux_sym_class_declaration_token1] = ACTIONS(1080),
    [aux_sym_final_modifier_token1] = ACTIONS(1080),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1080),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1080),
    [aux_sym_echo_statement_token1] = ACTIONS(1080),
    [anon_sym_unset] = ACTIONS(1080),
    [aux_sym_declare_statement_token1] = ACTIONS(1080),
    [aux_sym_declare_statement_token2] = ACTIONS(1080),
    [sym_float] = ACTIONS(1080),
    [aux_sym_try_statement_token1] = ACTIONS(1080),
    [aux_sym_goto_statement_token1] = ACTIONS(1080),
    [aux_sym_continue_statement_token1] = ACTIONS(1080),
    [aux_sym_break_statement_token1] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1080),
    [aux_sym_return_statement_token1] = ACTIONS(1080),
    [aux_sym_throw_expression_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token2] = ACTIONS(1080),
    [aux_sym_do_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token2] = ACTIONS(1080),
    [aux_sym_foreach_statement_token1] = ACTIONS(1080),
    [aux_sym_foreach_statement_token2] = ACTIONS(1080),
    [aux_sym_if_statement_token1] = ACTIONS(1080),
    [aux_sym_if_statement_token2] = ACTIONS(1080),
    [aux_sym_else_if_clause_token1] = ACTIONS(1080),
    [aux_sym_else_clause_token1] = ACTIONS(1080),
    [aux_sym_match_expression_token1] = ACTIONS(1080),
    [aux_sym_match_default_expression_token1] = ACTIONS(1080),
    [aux_sym_switch_statement_token1] = ACTIONS(1080),
    [aux_sym_switch_block_token1] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_BANG] = ACTIONS(1078),
    [aux_sym_clone_expression_token1] = ACTIONS(1080),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1080),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [aux_sym__list_destructing_token1] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_self] = ACTIONS(1080),
    [anon_sym_parent] = ACTIONS(1080),
    [anon_sym_POUND_LBRACK] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [aux_sym_encapsed_string_token1] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_string_token1] = ACTIONS(1078),
    [anon_sym_LT_LT_LT] = ACTIONS(1078),
    [anon_sym_BQUOTE] = ACTIONS(1078),
    [sym_boolean] = ACTIONS(1080),
    [sym_null] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1078),
    [aux_sym_yield_expression_token1] = ACTIONS(1080),
    [aux_sym_include_expression_token1] = ACTIONS(1080),
    [aux_sym_include_once_expression_token1] = ACTIONS(1080),
    [aux_sym_require_expression_token1] = ACTIONS(1080),
    [aux_sym_require_once_expression_token1] = ACTIONS(1080),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1078),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [sym_boolean] = ACTIONS(1084),
    [sym_null] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1086),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [sym_boolean] = ACTIONS(1090),
    [sym_null] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1092),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [sym_boolean] = ACTIONS(1096),
    [sym_null] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1098),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [sym_boolean] = ACTIONS(1102),
    [sym_null] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1104),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [sym_boolean] = ACTIONS(1108),
    [sym_null] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1110),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [sym_boolean] = ACTIONS(1114),
    [sym_null] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1116),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [sym_boolean] = ACTIONS(1120),
    [sym_null] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1118),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [sym_boolean] = ACTIONS(1124),
    [sym_null] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1126),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [sym_boolean] = ACTIONS(1130),
    [sym_null] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [sym_boolean] = ACTIONS(1134),
    [sym_null] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [sym_boolean] = ACTIONS(1138),
    [sym_null] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [sym_boolean] = ACTIONS(1142),
    [sym_null] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [sym_boolean] = ACTIONS(1146),
    [sym_null] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [sym_boolean] = ACTIONS(1150),
    [sym_null] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [sym_boolean] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_boolean] = ACTIONS(1158),
    [sym_null] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [sym_boolean] = ACTIONS(1162),
    [sym_null] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [sym_boolean] = ACTIONS(1166),
    [sym_null] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [sym_boolean] = ACTIONS(1170),
    [sym_null] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [sym_boolean] = ACTIONS(1174),
    [sym_null] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [sym_boolean] = ACTIONS(1170),
    [sym_null] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [sym_boolean] = ACTIONS(1178),
    [sym_null] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [sym_boolean] = ACTIONS(1182),
    [sym_null] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [sym_boolean] = ACTIONS(1186),
    [sym_null] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [sym_boolean] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [sym_boolean] = ACTIONS(1194),
    [sym_null] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [sym_boolean] = ACTIONS(1198),
    [sym_null] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [sym_boolean] = ACTIONS(1202),
    [sym_null] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [sym_boolean] = ACTIONS(1206),
    [sym_null] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [sym_boolean] = ACTIONS(1210),
    [sym_null] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [sym_boolean] = ACTIONS(1214),
    [sym_null] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_boolean] = ACTIONS(1218),
    [sym_null] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [sym_boolean] = ACTIONS(1222),
    [sym_null] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_boolean] = ACTIONS(1218),
    [sym_null] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [sym_boolean] = ACTIONS(1222),
    [sym_null] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [sym_boolean] = ACTIONS(1226),
    [sym_null] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [sym_boolean] = ACTIONS(1230),
    [sym_null] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [sym_boolean] = ACTIONS(1234),
    [sym_null] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [sym_boolean] = ACTIONS(1238),
    [sym_null] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [sym_boolean] = ACTIONS(1242),
    [sym_null] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [sym_boolean] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [sym_boolean] = ACTIONS(1250),
    [sym_null] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [sym_boolean] = ACTIONS(1254),
    [sym_null] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [sym_boolean] = ACTIONS(1258),
    [sym_null] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [sym_boolean] = ACTIONS(1262),
    [sym_null] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [sym_boolean] = ACTIONS(1266),
    [sym_null] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [sym_boolean] = ACTIONS(1270),
    [sym_null] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [sym_boolean] = ACTIONS(1274),
    [sym_null] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [sym_boolean] = ACTIONS(1278),
    [sym_null] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_boolean] = ACTIONS(1282),
    [sym_null] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [sym_boolean] = ACTIONS(1286),
    [sym_null] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [sym_boolean] = ACTIONS(1290),
    [sym_null] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [sym_boolean] = ACTIONS(1294),
    [sym_null] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [sym_boolean] = ACTIONS(1298),
    [sym_null] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [sym_boolean] = ACTIONS(1302),
    [sym_null] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [sym_boolean] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [sym_boolean] = ACTIONS(1310),
    [sym_null] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [sym_boolean] = ACTIONS(1314),
    [sym_null] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [sym_boolean] = ACTIONS(1318),
    [sym_null] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [sym_boolean] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [sym_boolean] = ACTIONS(1326),
    [sym_null] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [sym_boolean] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [sym_boolean] = ACTIONS(1334),
    [sym_null] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [sym_boolean] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [sym_boolean] = ACTIONS(1338),
    [sym_null] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [sym_boolean] = ACTIONS(1342),
    [sym_null] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [sym_boolean] = ACTIONS(1346),
    [sym_null] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [sym_boolean] = ACTIONS(1350),
    [sym_null] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [sym_boolean] = ACTIONS(1354),
    [sym_null] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [sym_boolean] = ACTIONS(1358),
    [sym_null] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [sym_boolean] = ACTIONS(1362),
    [sym_null] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [sym_boolean] = ACTIONS(1366),
    [sym_null] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [sym_boolean] = ACTIONS(1370),
    [sym_null] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_name] = ACTIONS(1080),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1080),
    [aux_sym_global_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_definition_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1080),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1080),
    [anon_sym_BSLASH] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [aux_sym_trait_declaration_token1] = ACTIONS(1080),
    [aux_sym_interface_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_declaration_token1] = ACTIONS(1080),
    [aux_sym_enum_case_token1] = ACTIONS(1080),
    [aux_sym_class_declaration_token1] = ACTIONS(1080),
    [aux_sym_final_modifier_token1] = ACTIONS(1080),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1080),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1080),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1080),
    [aux_sym_echo_statement_token1] = ACTIONS(1080),
    [anon_sym_unset] = ACTIONS(1080),
    [aux_sym_declare_statement_token1] = ACTIONS(1080),
    [aux_sym_declare_statement_token2] = ACTIONS(1080),
    [sym_float] = ACTIONS(1080),
    [aux_sym_try_statement_token1] = ACTIONS(1080),
    [aux_sym_goto_statement_token1] = ACTIONS(1080),
    [aux_sym_continue_statement_token1] = ACTIONS(1080),
    [aux_sym_break_statement_token1] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1080),
    [aux_sym_return_statement_token1] = ACTIONS(1080),
    [aux_sym_throw_expression_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token1] = ACTIONS(1080),
    [aux_sym_while_statement_token2] = ACTIONS(1080),
    [aux_sym_do_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token1] = ACTIONS(1080),
    [aux_sym_for_statement_token2] = ACTIONS(1080),
    [aux_sym_foreach_statement_token1] = ACTIONS(1080),
    [aux_sym_foreach_statement_token2] = ACTIONS(1080),
    [aux_sym_if_statement_token1] = ACTIONS(1080),
    [aux_sym_if_statement_token2] = ACTIONS(1080),
    [aux_sym_else_if_clause_token1] = ACTIONS(1080),
    [aux_sym_else_clause_token1] = ACTIONS(1080),
    [aux_sym_match_expression_token1] = ACTIONS(1080),
    [aux_sym_match_default_expression_token1] = ACTIONS(1080),
    [aux_sym_switch_statement_token1] = ACTIONS(1080),
    [aux_sym_switch_block_token1] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_BANG] = ACTIONS(1078),
    [aux_sym_clone_expression_token1] = ACTIONS(1080),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1080),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [aux_sym__list_destructing_token1] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_self] = ACTIONS(1080),
    [anon_sym_parent] = ACTIONS(1080),
    [anon_sym_POUND_LBRACK] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [aux_sym_encapsed_string_token1] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [aux_sym_string_token1] = ACTIONS(1078),
    [anon_sym_LT_LT_LT] = ACTIONS(1078),
    [anon_sym_BQUOTE] = ACTIONS(1078),
    [sym_boolean] = ACTIONS(1080),
    [sym_null] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1078),
    [aux_sym_yield_expression_token1] = ACTIONS(1080),
    [aux_sym_include_expression_token1] = ACTIONS(1080),
    [aux_sym_include_once_expression_token1] = ACTIONS(1080),
    [aux_sym_require_expression_token1] = ACTIONS(1080),
    [aux_sym_require_once_expression_token1] = ACTIONS(1080),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_boolean] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym_name] = ACTIONS(998),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_function_static_declaration_token1] = ACTIONS(998),
    [aux_sym_global_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_definition_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(998),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(998),
    [anon_sym_BSLASH] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [aux_sym_trait_declaration_token1] = ACTIONS(998),
    [aux_sym_interface_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_declaration_token1] = ACTIONS(998),
    [aux_sym_enum_case_token1] = ACTIONS(998),
    [aux_sym_class_declaration_token1] = ACTIONS(998),
    [aux_sym_final_modifier_token1] = ACTIONS(998),
    [aux_sym_abstract_modifier_token1] = ACTIONS(998),
    [aux_sym_readonly_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token1] = ACTIONS(998),
    [aux_sym_visibility_modifier_token2] = ACTIONS(998),
    [aux_sym_visibility_modifier_token3] = ACTIONS(998),
    [aux_sym__arrow_function_header_token1] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [aux_sym_cast_type_token1] = ACTIONS(998),
    [aux_sym_echo_statement_token1] = ACTIONS(998),
    [anon_sym_unset] = ACTIONS(998),
    [aux_sym_declare_statement_token1] = ACTIONS(998),
    [aux_sym_declare_statement_token2] = ACTIONS(998),
    [sym_float] = ACTIONS(998),
    [aux_sym_try_statement_token1] = ACTIONS(998),
    [aux_sym_goto_statement_token1] = ACTIONS(998),
    [aux_sym_continue_statement_token1] = ACTIONS(998),
    [aux_sym_break_statement_token1] = ACTIONS(998),
    [sym_integer] = ACTIONS(998),
    [aux_sym_return_statement_token1] = ACTIONS(998),
    [aux_sym_throw_expression_token1] = ACTIONS(998),
    [aux_sym_while_statement_token1] = ACTIONS(998),
    [aux_sym_while_statement_token2] = ACTIONS(998),
    [aux_sym_do_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token1] = ACTIONS(998),
    [aux_sym_for_statement_token2] = ACTIONS(998),
    [aux_sym_foreach_statement_token1] = ACTIONS(998),
    [aux_sym_foreach_statement_token2] = ACTIONS(998),
    [aux_sym_if_statement_token1] = ACTIONS(998),
    [aux_sym_if_statement_token2] = ACTIONS(998),
    [aux_sym_else_if_clause_token1] = ACTIONS(998),
    [aux_sym_else_clause_token1] = ACTIONS(998),
    [aux_sym_match_expression_token1] = ACTIONS(998),
    [aux_sym_match_default_expression_token1] = ACTIONS(998),
    [aux_sym_switch_statement_token1] = ACTIONS(998),
    [aux_sym_switch_block_token1] = ACTIONS(998),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(998),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [aux_sym_clone_expression_token1] = ACTIONS(998),
    [aux_sym_print_intrinsic_token1] = ACTIONS(998),
    [aux_sym_object_creation_expression_token1] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [aux_sym__list_destructing_token1] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_self] = ACTIONS(998),
    [anon_sym_parent] = ACTIONS(998),
    [anon_sym_POUND_LBRACK] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [aux_sym_encapsed_string_token1] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_string_token1] = ACTIONS(996),
    [anon_sym_LT_LT_LT] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [sym_boolean] = ACTIONS(998),
    [sym_null] = ACTIONS(998),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [aux_sym_yield_expression_token1] = ACTIONS(998),
    [aux_sym_include_expression_token1] = ACTIONS(998),
    [aux_sym_include_once_expression_token1] = ACTIONS(998),
    [aux_sym_require_expression_token1] = ACTIONS(998),
    [aux_sym_require_once_expression_token1] = ACTIONS(998),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [sym_boolean] = ACTIONS(1378),
    [sym_null] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [sym_boolean] = ACTIONS(1366),
    [sym_null] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [sym_boolean] = ACTIONS(1382),
    [sym_null] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_boolean] = ACTIONS(1386),
    [sym_null] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_boolean] = ACTIONS(1386),
    [sym_null] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [sym_boolean] = ACTIONS(1390),
    [sym_null] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_boolean] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [sym_boolean] = ACTIONS(1398),
    [sym_null] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [sym_boolean] = ACTIONS(1202),
    [sym_null] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [sym_boolean] = ACTIONS(1402),
    [sym_null] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_boolean] = ACTIONS(1406),
    [sym_null] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_boolean] = ACTIONS(1406),
    [sym_null] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [sym_boolean] = ACTIONS(1410),
    [sym_null] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [sym_boolean] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_boolean] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [sym_boolean] = ACTIONS(1422),
    [sym_null] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_boolean] = ACTIONS(1426),
    [sym_null] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [sym_boolean] = ACTIONS(1430),
    [sym_null] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [sym_boolean] = ACTIONS(1434),
    [sym_null] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_boolean] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1000),
    [sym_name] = ACTIONS(1002),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1000),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1002),
    [aux_sym_global_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_definition_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1002),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1002),
    [anon_sym_BSLASH] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [aux_sym_trait_declaration_token1] = ACTIONS(1002),
    [aux_sym_interface_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_declaration_token1] = ACTIONS(1002),
    [aux_sym_enum_case_token1] = ACTIONS(1002),
    [aux_sym_class_declaration_token1] = ACTIONS(1002),
    [aux_sym_final_modifier_token1] = ACTIONS(1002),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1002),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1002),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1002),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [aux_sym_cast_type_token1] = ACTIONS(1002),
    [aux_sym_echo_statement_token1] = ACTIONS(1002),
    [anon_sym_unset] = ACTIONS(1002),
    [aux_sym_declare_statement_token1] = ACTIONS(1002),
    [aux_sym_declare_statement_token2] = ACTIONS(1002),
    [sym_float] = ACTIONS(1002),
    [aux_sym_try_statement_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(1002),
    [aux_sym_continue_statement_token1] = ACTIONS(1002),
    [aux_sym_break_statement_token1] = ACTIONS(1002),
    [sym_integer] = ACTIONS(1002),
    [aux_sym_return_statement_token1] = ACTIONS(1002),
    [aux_sym_throw_expression_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token1] = ACTIONS(1002),
    [aux_sym_while_statement_token2] = ACTIONS(1002),
    [aux_sym_do_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token1] = ACTIONS(1002),
    [aux_sym_for_statement_token2] = ACTIONS(1002),
    [aux_sym_foreach_statement_token1] = ACTIONS(1002),
    [aux_sym_foreach_statement_token2] = ACTIONS(1002),
    [aux_sym_if_statement_token1] = ACTIONS(1002),
    [aux_sym_if_statement_token2] = ACTIONS(1002),
    [aux_sym_else_if_clause_token1] = ACTIONS(1002),
    [aux_sym_else_clause_token1] = ACTIONS(1002),
    [aux_sym_match_expression_token1] = ACTIONS(1002),
    [aux_sym_match_default_expression_token1] = ACTIONS(1002),
    [aux_sym_switch_statement_token1] = ACTIONS(1002),
    [aux_sym_switch_block_token1] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1002),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1000),
    [aux_sym_clone_expression_token1] = ACTIONS(1002),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1002),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1000),
    [anon_sym_DASH_DASH] = ACTIONS(1000),
    [aux_sym__list_destructing_token1] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_self] = ACTIONS(1002),
    [anon_sym_parent] = ACTIONS(1002),
    [anon_sym_POUND_LBRACK] = ACTIONS(1000),
    [anon_sym_SQUOTE] = ACTIONS(1000),
    [aux_sym_encapsed_string_token1] = ACTIONS(1000),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [aux_sym_string_token1] = ACTIONS(1000),
    [anon_sym_LT_LT_LT] = ACTIONS(1000),
    [anon_sym_BQUOTE] = ACTIONS(1000),
    [sym_boolean] = ACTIONS(1002),
    [sym_null] = ACTIONS(1002),
    [anon_sym_DOLLAR] = ACTIONS(1000),
    [aux_sym_yield_expression_token1] = ACTIONS(1002),
    [aux_sym_include_expression_token1] = ACTIONS(1002),
    [aux_sym_include_once_expression_token1] = ACTIONS(1002),
    [aux_sym_require_expression_token1] = ACTIONS(1002),
    [aux_sym_require_once_expression_token1] = ACTIONS(1002),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [sym_boolean] = ACTIONS(1442),
    [sym_null] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [sym_boolean] = ACTIONS(1446),
    [sym_null] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym_boolean] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym_boolean] = ACTIONS(1454),
    [sym_null] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [sym_boolean] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [sym_boolean] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [sym_boolean] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_boolean] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [sym_boolean] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_boolean] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [sym_boolean] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_boolean] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [sym_boolean] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [sym_boolean] = ACTIONS(1494),
    [sym_null] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [sym_boolean] = ACTIONS(1120),
    [sym_null] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [anon_sym_COLON] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [sym_boolean] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [sym_qualified_name] = STATE(704),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2472),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__primary_expression] = STATE(952),
    [sym_parenthesized_expression] = STATE(701),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_variable] = STATE(708),
    [sym_member_access_expression] = STATE(708),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2630),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1668),
    [sym_array_creation_expression] = STATE(701),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(701),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [sym_qualified_name] = STATE(821),
    [sym_namespace_name_as_prefix] = STATE(2616),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2608),
    [sym_arrow_function] = STATE(1087),
    [sym_throw_expression] = STATE(1087),
    [sym__primary_expression] = STATE(1111),
    [sym_parenthesized_expression] = STATE(837),
    [sym_class_constant_access_expression] = STATE(902),
    [sym_print_intrinsic] = STATE(1087),
    [sym_anonymous_function_creation_expression] = STATE(1087),
    [sym_object_creation_expression] = STATE(1087),
    [sym_update_expression] = STATE(1087),
    [sym_cast_variable] = STATE(818),
    [sym_member_access_expression] = STATE(818),
    [sym_nullsafe_member_access_expression] = STATE(818),
    [sym_scoped_property_access_expression] = STATE(818),
    [sym_function_call_expression] = STATE(768),
    [sym_scoped_call_expression] = STATE(768),
    [sym__scope_resolution_qualifier] = STATE(2504),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(768),
    [sym_nullsafe_member_call_expression] = STATE(768),
    [sym_subscript_expression] = STATE(768),
    [sym__dereferencable_expression] = STATE(1654),
    [sym_array_creation_expression] = STATE(837),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1786),
    [sym_encapsed_string] = STATE(881),
    [sym_string] = STATE(881),
    [sym_heredoc] = STATE(881),
    [sym_nowdoc] = STATE(881),
    [sym_shell_command_expression] = STATE(1087),
    [sym__string] = STATE(837),
    [sym_dynamic_variable_name] = STATE(768),
    [sym_variable_name] = STATE(768),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [sym_qualified_name] = STATE(704),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__primary_expression] = STATE(952),
    [sym_parenthesized_expression] = STATE(701),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_variable] = STATE(708),
    [sym_member_access_expression] = STATE(708),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2630),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1668),
    [sym_array_creation_expression] = STATE(701),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(701),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [sym_qualified_name] = STATE(704),
    [sym_namespace_name_as_prefix] = STATE(2454),
    [sym_namespace_name] = STATE(2615),
    [sym_static_modifier] = STATE(2612),
    [sym__arrow_function_header] = STATE(2444),
    [sym_arrow_function] = STATE(917),
    [sym_throw_expression] = STATE(917),
    [sym__primary_expression] = STATE(952),
    [sym_parenthesized_expression] = STATE(701),
    [sym_class_constant_access_expression] = STATE(782),
    [sym_print_intrinsic] = STATE(917),
    [sym_anonymous_function_creation_expression] = STATE(917),
    [sym_object_creation_expression] = STATE(917),
    [sym_update_expression] = STATE(917),
    [sym_cast_variable] = STATE(708),
    [sym_member_access_expression] = STATE(708),
    [sym_nullsafe_member_access_expression] = STATE(708),
    [sym_scoped_property_access_expression] = STATE(708),
    [sym_function_call_expression] = STATE(651),
    [sym_scoped_call_expression] = STATE(651),
    [sym__scope_resolution_qualifier] = STATE(2630),
    [sym_relative_scope] = STATE(2603),
    [sym_member_call_expression] = STATE(651),
    [sym_nullsafe_member_call_expression] = STATE(651),
    [sym_subscript_expression] = STATE(651),
    [sym__dereferencable_expression] = STATE(1668),
    [sym_array_creation_expression] = STATE(701),
    [sym_attribute_group] = STATE(1352),
    [sym_attribute_list] = STATE(1766),
    [sym_encapsed_string] = STATE(740),
    [sym_string] = STATE(740),
    [sym_heredoc] = STATE(740),
    [sym_nowdoc] = STATE(740),
    [sym_shell_command_expression] = STATE(917),
    [sym__string] = STATE(701),
    [sym_dynamic_variable_name] = STATE(651),
    [sym_variable_name] = STATE(651),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1346),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1512),
    [anon_sym_EQ] = ACTIONS(1514),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_base_clause_token1] = ACTIONS(1512),
    [anon_sym_COLON] = ACTIONS(1514),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_RPAREN] = ACTIONS(1512),
    [anon_sym_QMARK] = ACTIONS(1514),
    [anon_sym_PIPE] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_STAR_STAR] = ACTIONS(1514),
    [anon_sym_COLON_COLON] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1512),
    [anon_sym_STAR_EQ] = ACTIONS(1512),
    [anon_sym_SLASH_EQ] = ACTIONS(1512),
    [anon_sym_PERCENT_EQ] = ACTIONS(1512),
    [anon_sym_PLUS_EQ] = ACTIONS(1512),
    [anon_sym_DASH_EQ] = ACTIONS(1512),
    [anon_sym_DOT_EQ] = ACTIONS(1512),
    [anon_sym_LT_LT_EQ] = ACTIONS(1512),
    [anon_sym_GT_GT_EQ] = ACTIONS(1512),
    [anon_sym_AMP_EQ] = ACTIONS(1512),
    [anon_sym_CARET_EQ] = ACTIONS(1512),
    [anon_sym_PIPE_EQ] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1512),
    [anon_sym_DASH_GT] = ACTIONS(1512),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_RBRACK] = ACTIONS(1512),
    [aux_sym_binary_expression_token1] = ACTIONS(1512),
    [anon_sym_QMARK_QMARK] = ACTIONS(1514),
    [aux_sym_binary_expression_token2] = ACTIONS(1512),
    [aux_sym_binary_expression_token3] = ACTIONS(1512),
    [aux_sym_binary_expression_token4] = ACTIONS(1512),
    [anon_sym_PIPE_PIPE] = ACTIONS(1512),
    [anon_sym_AMP_AMP] = ACTIONS(1512),
    [anon_sym_CARET] = ACTIONS(1514),
    [anon_sym_EQ_EQ] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(1514),
    [anon_sym_LT_GT] = ACTIONS(1512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1514),
    [anon_sym_GT] = ACTIONS(1514),
    [anon_sym_LT_EQ] = ACTIONS(1514),
    [anon_sym_GT_EQ] = ACTIONS(1512),
    [anon_sym_LT_EQ_GT] = ACTIONS(1512),
    [anon_sym_LT_LT] = ACTIONS(1514),
    [anon_sym_GT_GT] = ACTIONS(1514),
    [anon_sym_DOT] = ACTIONS(1514),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_SLASH] = ACTIONS(1514),
    [anon_sym_PERCENT] = ACTIONS(1514),
    [sym_comment] = ACTIONS(1516),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_base_clause_token1] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1520),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1518),
    [anon_sym_EQ_GT] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_QMARK] = ACTIONS(1520),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_STAR_STAR] = ACTIONS(1520),
    [anon_sym_COLON_COLON] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1518),
    [anon_sym_STAR_EQ] = ACTIONS(1518),
    [anon_sym_SLASH_EQ] = ACTIONS(1518),
    [anon_sym_PERCENT_EQ] = ACTIONS(1518),
    [anon_sym_PLUS_EQ] = ACTIONS(1518),
    [anon_sym_DASH_EQ] = ACTIONS(1518),
    [anon_sym_DOT_EQ] = ACTIONS(1518),
    [anon_sym_LT_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT_GT_EQ] = ACTIONS(1518),
    [anon_sym_AMP_EQ] = ACTIONS(1518),
    [anon_sym_CARET_EQ] = ACTIONS(1518),
    [anon_sym_PIPE_EQ] = ACTIONS(1518),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1518),
    [anon_sym_DASH_GT] = ACTIONS(1518),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_RBRACK] = ACTIONS(1518),
    [aux_sym_binary_expression_token1] = ACTIONS(1518),
    [anon_sym_QMARK_QMARK] = ACTIONS(1520),
    [aux_sym_binary_expression_token2] = ACTIONS(1518),
    [aux_sym_binary_expression_token3] = ACTIONS(1518),
    [aux_sym_binary_expression_token4] = ACTIONS(1518),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1520),
    [anon_sym_BANG_EQ] = ACTIONS(1520),
    [anon_sym_LT_GT] = ACTIONS(1518),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1518),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_LT_EQ] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_LT_EQ_GT] = ACTIONS(1518),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [sym_comment] = ACTIONS(1516),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1524),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1524),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_base_clause_token1] = ACTIONS(1522),
    [anon_sym_COLON] = ACTIONS(1524),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1522),
    [anon_sym_EQ_GT] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1524),
    [anon_sym_PIPE] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_STAR_STAR] = ACTIONS(1524),
    [anon_sym_COLON_COLON] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_DOT_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [aux_sym_binary_expression_token1] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK] = ACTIONS(1524),
    [aux_sym_binary_expression_token2] = ACTIONS(1522),
    [aux_sym_binary_expression_token3] = ACTIONS(1522),
    [aux_sym_binary_expression_token4] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1524),
    [anon_sym_EQ_EQ] = ACTIONS(1524),
    [anon_sym_BANG_EQ] = ACTIONS(1524),
    [anon_sym_LT_GT] = ACTIONS(1522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1524),
    [anon_sym_GT] = ACTIONS(1524),
    [anon_sym_LT_EQ] = ACTIONS(1524),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ_GT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1524),
    [anon_sym_GT_GT] = ACTIONS(1524),
    [anon_sym_DOT] = ACTIONS(1524),
    [anon_sym_STAR] = ACTIONS(1524),
    [anon_sym_SLASH] = ACTIONS(1524),
    [anon_sym_PERCENT] = ACTIONS(1524),
    [sym_comment] = ACTIONS(1516),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_EQ] = ACTIONS(1528),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_base_clause_token1] = ACTIONS(1526),
    [anon_sym_COLON] = ACTIONS(1528),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1526),
    [anon_sym_EQ_GT] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_QMARK] = ACTIONS(1528),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_STAR_STAR] = ACTIONS(1528),
    [anon_sym_COLON_COLON] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1526),
    [anon_sym_STAR_EQ] = ACTIONS(1526),
    [anon_sym_SLASH_EQ] = ACTIONS(1526),
    [anon_sym_PERCENT_EQ] = ACTIONS(1526),
    [anon_sym_PLUS_EQ] = ACTIONS(1526),
    [anon_sym_DASH_EQ] = ACTIONS(1526),
    [anon_sym_DOT_EQ] = ACTIONS(1526),
    [anon_sym_LT_LT_EQ] = ACTIONS(1526),
    [anon_sym_GT_GT_EQ] = ACTIONS(1526),
    [anon_sym_AMP_EQ] = ACTIONS(1526),
    [anon_sym_CARET_EQ] = ACTIONS(1526),
    [anon_sym_PIPE_EQ] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1526),
    [anon_sym_DASH_GT] = ACTIONS(1526),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [aux_sym_binary_expression_token1] = ACTIONS(1526),
    [anon_sym_QMARK_QMARK] = ACTIONS(1528),
    [aux_sym_binary_expression_token2] = ACTIONS(1526),
    [aux_sym_binary_expression_token3] = ACTIONS(1526),
    [aux_sym_binary_expression_token4] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_CARET] = ACTIONS(1528),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_LT_GT] = ACTIONS(1526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_LT_EQ] = ACTIONS(1528),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_LT_EQ_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1528),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1528),
    [sym_comment] = ACTIONS(1516),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(575), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1532), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1530), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_text_interpolation,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1538), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(577), 1,
      sym_text_interpolation,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1542), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [237] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_text_interpolation,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1546), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [316] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_text_interpolation,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1550), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [395] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    STATE(580), 1,
      sym_text_interpolation,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(581), 1,
      sym_text_interpolation,
    ACTIONS(1566), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_text_interpolation,
    ACTIONS(1570), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(583), 1,
      sym_text_interpolation,
    ACTIONS(1574), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1578), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1586), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1590), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1620), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1695] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1779] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1863] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_text_interpolation,
    STATE(611), 1,
      sym_arguments,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1938] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1562), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2021] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(601), 1,
      sym_text_interpolation,
    STATE(619), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2104] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    ACTIONS(1636), 1,
      anon_sym_EQ,
    STATE(602), 1,
      sym_text_interpolation,
    STATE(619), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2187] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2266] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(604), 1,
      sym_text_interpolation,
    STATE(619), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2349] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(605), 1,
      sym_text_interpolation,
    STATE(634), 1,
      sym_arguments,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2424] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_text_interpolation,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1550), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2499] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_text_interpolation,
    STATE(620), 1,
      sym_arguments,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1530), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2574] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(608), 1,
      sym_text_interpolation,
    STATE(1988), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2663] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_EQ,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2742] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(610), 1,
      sym_text_interpolation,
    STATE(612), 1,
      sym_arguments,
    ACTIONS(1542), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2817] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2887] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1586), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2957] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3039] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1524), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1522), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3109] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1528), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3179] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3261] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3331] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1590), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3401] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3471] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1578), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3541] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3625] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1520), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1518), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3765] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3835] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1566), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3905] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_EQ,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3983] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4053] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1649), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4137] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1574), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4207] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4277] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4361] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1514), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1512), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4431] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4509] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4579] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1562), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4656] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
    STATE(636), 1,
      sym_text_interpolation,
    STATE(1988), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4739] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_arguments,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4822] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4899] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_EQ,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4976] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5053] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5131] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5207] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5285] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_EQ,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1649), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1618), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5363] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1552), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5439] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1552), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1624), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5516] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(592), 1,
      sym_arguments,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5587] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_text_interpolation,
    STATE(664), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5654] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1667), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1669), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1673), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1675), 1,
      sym_var_modifier,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(649), 1,
      sym_text_interpolation,
    STATE(1118), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1316), 1,
      sym__modifier,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(1715), 1,
      sym_variable_name,
    STATE(1792), 1,
      sym_property_element,
    STATE(1794), 1,
      sym__function_definition_header,
    STATE(2027), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(1677), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1314), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5763] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(743), 1,
      sym_arguments,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5834] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_text_interpolation,
    STATE(664), 1,
      sym_arguments,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5903] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_text_interpolation,
    STATE(664), 1,
      sym_arguments,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5974] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(592), 1,
      sym_arguments,
    STATE(653), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6045] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6106] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_text_interpolation,
    STATE(663), 1,
      sym_arguments,
    ACTIONS(1532), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6171] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_text_interpolation,
    STATE(675), 1,
      sym_arguments,
    ACTIONS(1542), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6236] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(657), 1,
      sym_text_interpolation,
    STATE(673), 1,
      sym_arguments,
    ACTIONS(1550), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6301] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_text_interpolation,
    STATE(674), 1,
      sym_arguments,
    ACTIONS(1546), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6366] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1667), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1669), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1673), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1675), 1,
      sym_var_modifier,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(659), 1,
      sym_text_interpolation,
    STATE(1118), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1316), 1,
      sym__modifier,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(1715), 1,
      sym_variable_name,
    STATE(1805), 1,
      sym_property_element,
    STATE(1813), 1,
      sym__function_definition_header,
    STATE(2104), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(1677), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1314), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6475] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(665), 1,
      sym_arguments,
    ACTIONS(1538), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6540] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1524), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6600] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6660] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1578), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6720] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6840] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1689), 1,
      sym_name,
    ACTIONS(1691), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(666), 1,
      sym_text_interpolation,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1686), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2533), 1,
      sym_attribute_list,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2629), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(703), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1740), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(693), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(695), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1549), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1566), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7070] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1520), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1514), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7190] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1528), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7250] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1699), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1697), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7314] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1582), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7374] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7434] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1586), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7494] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1574), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7554] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1590), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7614] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      sym_name,
    ACTIONS(1705), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    STATE(678), 1,
      sym_text_interpolation,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1695), 1,
      sym__dereferencable_expression,
    STATE(2537), 1,
      sym__scope_resolution_qualifier,
    STATE(2572), 1,
      sym_attribute_list,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(846), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1740), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1703), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(810), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(826), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1549), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7724] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1711), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1709), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7784] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7904] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(585), 1,
      sym_arguments,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7965] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8028] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1713), 1,
      sym_name,
    ACTIONS(1715), 1,
      anon_sym_RBRACE,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(688), 1,
      aux_sym_use_list_repeat1,
    STATE(1568), 1,
      sym_class_constant_access_expression,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2167), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1740), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1549), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8131] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(685), 1,
      sym_text_interpolation,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1719), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8196] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8259] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(687), 1,
      sym_text_interpolation,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8324] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1713), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_RBRACE,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(712), 1,
      aux_sym_use_list_repeat1,
    STATE(1568), 1,
      sym_class_constant_access_expression,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2167), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1740), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1549), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8427] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8492] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1727), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1725), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8555] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(665), 1,
      sym_arguments,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1699), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1697), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8618] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_text_interpolation,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1734), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8683] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(693), 1,
      sym_text_interpolation,
    STATE(743), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8748] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1738), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1930), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8855] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_LPAREN,
    STATE(695), 1,
      sym_text_interpolation,
    STATE(925), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8920] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(696), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8981] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2039), 1,
      sym__list_destructing,
    STATE(2043), 1,
      sym_by_ref,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1513), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1438), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9088] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(756), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9151] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(720), 1,
      sym_arguments,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9214] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9279] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9344] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9409] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(743), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9474] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    STATE(704), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9539] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2201), 1,
      sym_by_ref,
    STATE(2204), 1,
      sym__list_destructing,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1532), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1508), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9646] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9711] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(744), 1,
      sym_arguments,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9774] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9837] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9900] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9963] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10026] = 26,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1754), 1,
      sym_name,
    ACTIONS(1760), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1763), 1,
      anon_sym_BSLASH,
    ACTIONS(1766), 1,
      anon_sym_RBRACE,
    ACTIONS(1768), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1774), 1,
      anon_sym_LBRACK,
    ACTIONS(1783), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1786), 1,
      anon_sym_DOLLAR,
    STATE(1568), 1,
      sym_class_constant_access_expression,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(1777), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(1780), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(712), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2167), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1757), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1740), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1549), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10127] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10188] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10249] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10310] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(1789), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(716), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1918), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10417] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10478] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10541] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10604] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10662] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1795), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1793), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10720] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10778] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1799), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1797), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10894] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1803), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1807), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11068] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1811), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1809), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11126] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1725), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1514), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11242] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11300] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1815), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11358] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1819), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11416] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11474] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1823), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11532] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11590] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1524), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11648] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11706] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11880] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11938] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1608), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11998] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12056] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
    STATE(745), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2352), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12160] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12218] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1849), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12276] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1853), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12334] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1857), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12392] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12450] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1861), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12566] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2352), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12670] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(1865), 1,
      anon_sym_RPAREN,
    STATE(754), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2352), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [12774] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12832] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12890] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1875), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13008] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1496), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1498), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13066] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1879), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13124] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(1881), 1,
      anon_sym_RPAREN,
    STATE(761), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2352), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13228] = 28,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(762), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2284), 1,
      sym_by_ref,
    STATE(2286), 1,
      sym__array_destructing,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1558), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1501), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [13332] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13390] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13448] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13506] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1002), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1000), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13563] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(619), 1,
      sym_arguments,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13630] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(768), 1,
      sym_text_interpolation,
    STATE(793), 1,
      sym_arguments,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13695] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1742), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(769), 1,
      sym_text_interpolation,
    STATE(993), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1318), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1674), 1,
      sym__type,
    STATE(1929), 1,
      sym_reference_modifier,
    STATE(1931), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2352), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13796] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1734), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13855] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13914] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(798), 1,
      sym_arguments,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13975] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14036] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(774), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14097] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      sym_text_interpolation,
    STATE(788), 1,
      sym_arguments,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14158] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14217] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(998), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(996), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14274] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(778), 1,
      sym_text_interpolation,
    STATE(793), 1,
      sym_arguments,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14341] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_text_interpolation,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14402] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1719), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14461] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(592), 1,
      sym_arguments,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14528] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14587] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(876), 1,
      sym_arguments,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14654] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(784), 1,
      sym_text_interpolation,
    STATE(793), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14717] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_RPAREN,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1725), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14778] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14834] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1895), 1,
      anon_sym_COLON,
    STATE(619), 1,
      sym_arguments,
    STATE(787), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14902] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14958] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15014] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1899), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1897), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_boolean,
      sym_null,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15070] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15126] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1901), 1,
      anon_sym_COLON,
    STATE(619), 1,
      sym_arguments,
    STATE(792), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15194] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15250] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15306] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15362] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15474] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15530] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1514), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1524), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15642] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_COLON,
    STATE(592), 1,
      sym_arguments,
    STATE(801), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15710] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15766] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15878] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15934] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15990] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16051] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(808), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(696), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1448), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16146] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16203] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(810), 1,
      sym_text_interpolation,
    STATE(876), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16264] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(811), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1523), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1450), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16359] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16416] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(619), 1,
      sym_arguments,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16477] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_text_interpolation,
    STATE(871), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16536] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1725), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16593] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(816), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2618), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1524), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1534), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(771), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(687), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16688] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(817), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(780), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1740), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1444), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16783] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16842] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(819), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1566), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1475), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16937] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(820), 1,
      sym_text_interpolation,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16998] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      sym_arguments,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17059] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(822), 1,
      sym_text_interpolation,
    STATE(879), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17118] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1120), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1118), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17173] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1711), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1709), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17228] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1699), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1697), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17287] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(826), 1,
      sym_text_interpolation,
    STATE(1121), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17348] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(619), 1,
      sym_arguments,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17409] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17468] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17527] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(830), 1,
      sym_text_interpolation,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1734), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17588] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(831), 1,
      sym_text_interpolation,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17647] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17706] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17761] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(634), 1,
      sym_arguments,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1699), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1697), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17820] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17879] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1078), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17934] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      sym_arguments,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17995] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym__dereferencable_expression,
    STATE(2439), 1,
      sym__scope_resolution_qualifier,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(905), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1537), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1536), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1740), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(853), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18090] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2592), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1537), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1536), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(903), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(830), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18185] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1530), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18242] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(841), 1,
      sym_text_interpolation,
    STATE(898), 1,
      sym_arguments,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18301] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18362] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_name,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(1668), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2630), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1551), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1553), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(696), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(648), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18457] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(1917), 1,
      sym_name,
    STATE(844), 1,
      sym_text_interpolation,
    STATE(1677), 1,
      sym__dereferencable_expression,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2606), 1,
      sym__scope_resolution_qualifier,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(842), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1740), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1703), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(807), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(904), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1549), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [18552] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1752), 1,
      sym_name,
    STATE(845), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2481), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1562), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1520), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1442), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18647] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(846), 1,
      sym_text_interpolation,
    STATE(876), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1685), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1683), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18708] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18767] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2618), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1524), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1534), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(770), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(692), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18862] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      sym_name,
    STATE(849), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2508), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(780), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1524), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1534), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1740), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(685), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18957] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19014] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1919), 1,
      sym_name,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(1654), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2583), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1535), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(850), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(784), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19109] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(1911), 1,
      sym_name,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym__dereferencable_expression,
    STATE(1740), 1,
      sym_class_constant_access_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2592), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1537), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1536), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(901), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(820), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19204] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1719), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19265] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1923), 1,
      sym_name,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(1699), 1,
      sym__dereferencable_expression,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2590), 1,
      sym__scope_resolution_qualifier,
    STATE(2603), 1,
      sym_relative_scope,
    STATE(2615), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1740), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(689), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(776), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1549), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [19360] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(585), 1,
      sym_arguments,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19417] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19474] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(857), 1,
      sym_text_interpolation,
    STATE(900), 1,
      sym_arguments,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19533] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19587] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19641] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1524), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19803] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1576), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19857] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19911] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1725), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19967] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1811), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1809), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20021] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1514), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20075] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1799), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1797), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20129] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1496), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1498), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20183] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_EQ,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1725), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20241] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20295] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20349] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1572), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20403] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20511] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1608), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20567] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20621] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1725), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1723), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20675] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20729] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20783] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20837] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20891] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1815), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20945] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21001] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21055] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1819), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21109] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1801), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21163] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21217] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21271] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21325] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1795), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1793), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21379] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1807), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21433] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1861), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21487] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1520), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21541] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21595] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21649] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21703] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21757] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21811] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21865] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1562), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21920] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21975] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1734), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22030] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22085] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1719), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1717), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22140] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22192] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22244] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1937), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22296] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22348] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1520), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22400] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22452] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1949), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22504] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22556] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22608] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1961), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22660] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22712] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1554), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22816] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22868] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22920] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22972] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1734), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23024] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23076] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1991), 1,
      aux_sym_binary_expression_token1,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1843), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23182] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23234] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23286] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23338] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1524), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23390] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23442] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23494] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23546] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23598] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23650] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23702] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1658), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23962] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24014] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24066] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24118] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24170] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24274] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24326] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24378] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24430] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24534] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24638] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24690] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24742] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24794] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24846] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24898] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1514), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25002] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25106] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25210] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25314] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25366] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25470] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25522] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1120), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1118), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25573] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1078), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25624] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25692] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25772] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2185), 1,
      anon_sym_QMARK,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2183), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25852] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2187), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25938] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26024] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26110] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_STAR_STAR,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26162] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2203), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2201), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26242] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26322] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26408] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1947), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26494] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_STAR_STAR,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26546] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26626] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2211), 1,
      anon_sym_EQ_GT,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1983), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26714] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26800] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [26886] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 21,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26944] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 23,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27000] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27060] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1658), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27124] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(2217), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(993), 1,
      sym_text_interpolation,
    STATE(1186), 1,
      sym_visibility_modifier,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym__types,
    STATE(1672), 1,
      sym__type,
    STATE(1959), 1,
      sym_reference_modifier,
    STATE(1962), 1,
      sym_variable_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [27208] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27294] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27364] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27438] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [27514] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27596] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27680] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27760] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27846] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27926] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27980] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28052] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2165), 1,
      anon_sym_PERCENT,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2163), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28138] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_STAR_STAR,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28241] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28326] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    ACTIONS(2265), 1,
      anon_sym_EQ_GT,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1983), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28413] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_QMARK,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2183), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28492] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28577] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_QMARK,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2201), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28656] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28729] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28808] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28893] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28946] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29001] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29086] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29145] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1658), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29208] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29277] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29356] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29435] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2187), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29520] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29571] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29650] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29735] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29814] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29897] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29982] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30049] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30100] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30185] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30270] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30351] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30408] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30479] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30554] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_PERCENT,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2261), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1947), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30639] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1002), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1000), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30743] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [30827] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2023), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30875] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30923] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2187), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31055] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31103] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31151] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31199] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31247] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2003), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31295] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31343] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31391] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31475] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31523] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31571] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(1937), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1935), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31619] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2015), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31667] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2019), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31715] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31763] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1947), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31847] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    ACTIONS(2305), 1,
      anon_sym_EQ_GT,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1983), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31933] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [32007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32055] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32103] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(1949), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1947), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32151] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32229] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32307] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32355] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(1658), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32403] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32451] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32505] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32553] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32601] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [32659] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32707] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32755] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1658), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32817] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32885] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32957] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33037] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33119] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33197] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33275] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33327] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33397] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(1554), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1552), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33445] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(1945), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1943), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33493] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33541] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2201), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33619] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(1524), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33667] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33745] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(1520), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1518), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33793] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1658), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33859] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33907] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33955] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_STAR_STAR,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34005] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34089] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34137] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34185] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34233] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(1514), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34281] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34365] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(1999), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34413] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34461] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34509] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2011), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34557] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2007), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2005), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34653] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34737] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34785] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34833] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34881] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34929] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34977] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35025] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35073] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2311), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2316), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2319), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2322), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2325), 1,
      sym_var_modifier,
    STATE(1316), 1,
      sym__modifier,
    ACTIONS(2314), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    STATE(1118), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2328), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2309), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [35137] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35185] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35269] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(1843), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35317] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35365] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35449] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35533] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(1961), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35581] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(998), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(996), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35629] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35677] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_PERCENT,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2271), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2183), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35755] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35803] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35851] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(1734), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1732), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35947] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35995] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_STAR_STAR,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36045] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36093] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36141] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36189] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token1,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36239] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36287] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_STAR_STAR,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36337] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36406] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36489] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 20,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36542] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36609] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2195), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36692] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 18,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [36747] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36818] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36875] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36948] = 21,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37027] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2209), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37104] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2201), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37181] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1947), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37264] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37313] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2183), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37390] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(1995), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37439] = 22,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [37520] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2213), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37603] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37680] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2205), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37757] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37840] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37923] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2197), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38006] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38089] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38166] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1656), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38217] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1658), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1656), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38278] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2187), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38361] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38438] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2373), 1,
      anon_sym_EQ_GT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1983), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38523] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1656), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38588] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2027), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38637] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2353), 1,
      anon_sym_PERCENT,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38720] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1174), 1,
      sym_text_interpolation,
    STATE(1175), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [38811] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2395), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2398), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2401), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2404), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2407), 1,
      anon_sym_RBRACE,
    ACTIONS(2409), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2412), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2415), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2418), 1,
      sym_var_modifier,
    ACTIONS(2424), 1,
      anon_sym_POUND_LBRACK,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    STATE(1175), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2421), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [38900] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1174), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1176), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [38991] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2429), 1,
      anon_sym_EQ_GT,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(1983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39074] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2431), 1,
      anon_sym_EQ_GT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(1983), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39157] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39240] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2437), 1,
      anon_sym_EQ_GT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(1983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39323] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2439), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1175), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1181), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39414] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1182), 1,
      sym_text_interpolation,
    STATE(1193), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39505] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2443), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39586] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(1184), 1,
      sym_text_interpolation,
    STATE(1242), 1,
      sym_readonly_modifier,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(1955), 1,
      sym_variable_name,
    STATE(2400), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39659] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1175), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1185), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39750] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(1186), 1,
      sym_text_interpolation,
    STATE(1306), 1,
      sym_readonly_modifier,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(2020), 1,
      sym_variable_name,
    STATE(2344), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39823] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    ACTIONS(2449), 1,
      anon_sym_EQ_GT,
    STATE(1187), 1,
      sym_text_interpolation,
    STATE(2037), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39908] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1185), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1188), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39999] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    ACTIONS(2435), 1,
      anon_sym_COMMA,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40082] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2455), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40163] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2457), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40244] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1181), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1192), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40335] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    ACTIONS(2461), 1,
      anon_sym_RBRACE,
    STATE(649), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1175), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1193), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_attribute_list,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1404), 1,
      sym__const_declaration,
    STATE(1410), 1,
      sym__class_const_declaration,
    STATE(1411), 1,
      sym__member_declaration,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1403), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40426] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40506] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2465), 1,
      anon_sym_EQ_GT,
    ACTIONS(2467), 1,
      anon_sym_RPAREN,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40588] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2469), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40668] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40748] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2475), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1198), 1,
      sym_text_interpolation,
    STATE(1384), 1,
      sym__const_declaration,
    STATE(2600), 1,
      sym_visibility_modifier,
    ACTIONS(2477), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2473), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [40798] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40878] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2481), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40958] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2483), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41038] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2485), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41118] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41198] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41278] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41358] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41438] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41518] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41598] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2453), 1,
      anon_sym_RPAREN,
    ACTIONS(2499), 1,
      anon_sym_COMMA,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41680] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2501), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41760] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2503), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41840] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2475), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(1412), 1,
      sym__const_declaration,
    STATE(2600), 1,
      sym_visibility_modifier,
    ACTIONS(2477), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2473), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41890] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41970] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42050] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42130] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2511), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42210] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2465), 1,
      anon_sym_EQ_GT,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42292] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42372] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2433), 1,
      anon_sym_SEMI,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42454] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42534] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2521), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42614] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42694] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42774] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2433), 1,
      anon_sym_RPAREN,
    ACTIONS(2499), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42856] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2527), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42936] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43016] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2531), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43096] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43176] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2535), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43256] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2465), 1,
      anon_sym_EQ_GT,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43338] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2453), 1,
      anon_sym_SEMI,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43420] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43500] = 24,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2465), 1,
      anon_sym_EQ_GT,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43582] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SLASH,
    ACTIONS(2275), 1,
      anon_sym_AMP,
    ACTIONS(2277), 1,
      anon_sym_QMARK,
    ACTIONS(2279), 1,
      anon_sym_PIPE,
    ACTIONS(2281), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2283), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2285), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2287), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2289), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2291), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2293), 1,
      anon_sym_CARET,
    ACTIONS(2301), 1,
      anon_sym_GT_EQ,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2269), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2273), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2295), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2299), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2297), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43662] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_AMP,
    ACTIONS(2337), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_GT_EQ,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_SLASH,
    ACTIONS(2355), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_PIPE,
    ACTIONS(2359), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2361), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2365), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2335), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2339), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2545), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2343), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43742] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2547), 1,
      anon_sym_RBRACE,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43821] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2549), 1,
      anon_sym_RBRACE,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43900] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2551), 1,
      anon_sym_RBRACK,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43979] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44058] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44137] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44216] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(1242), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(2014), 1,
      sym_variable_name,
    STATE(2355), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44283] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44362] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44441] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44520] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2567), 1,
      anon_sym_RBRACE,
    ACTIONS(2569), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    STATE(1246), 1,
      sym_text_interpolation,
    STATE(1272), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1342), 1,
      sym_attribute_list,
    STATE(1344), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1409), 1,
      sym__enum_member_declaration,
    STATE(1455), 1,
      sym__modifier,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44601] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_RBRACE,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44680] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2583), 1,
      anon_sym_RPAREN,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44759] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44838] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2587), 1,
      anon_sym_RBRACK,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44917] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2589), 1,
      anon_sym_RBRACE,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44996] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45075] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45154] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45233] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45312] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2591), 1,
      anon_sym_RBRACK,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45391] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2599), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45470] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2601), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45549] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2603), 1,
      anon_sym_RPAREN,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45628] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45707] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45786] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45865] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45944] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46023] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46102] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46181] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46260] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2619), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2617), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46303] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46382] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46461] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46540] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    STATE(1282), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1342), 1,
      sym_attribute_list,
    STATE(1344), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1409), 1,
      sym__enum_member_declaration,
    STATE(1455), 1,
      sym__modifier,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46621] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2629), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46700] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2631), 1,
      anon_sym_EQ_GT,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46779] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46858] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46937] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47016] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2637), 1,
      anon_sym_COLON,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47095] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47174] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47253] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47332] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2645), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2648), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2651), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    ACTIONS(2656), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2659), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2662), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2665), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2668), 1,
      sym_var_modifier,
    ACTIONS(2674), 1,
      anon_sym_POUND_LBRACK,
    STATE(1342), 1,
      sym_attribute_list,
    STATE(1344), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1409), 1,
      sym__enum_member_declaration,
    STATE(1455), 1,
      sym__modifier,
    STATE(1896), 1,
      sym__function_definition_header,
    STATE(1282), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2671), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47411] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47490] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47569] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1285), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      sym_attribute_list,
    STATE(1344), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1409), 1,
      sym__enum_member_declaration,
    STATE(1455), 1,
      sym__modifier,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47650] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2683), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47729] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2685), 1,
      anon_sym_EQ_GT,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47808] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2687), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47887] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2689), 1,
      anon_sym_EQ_GT,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47966] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48045] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48124] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48203] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2549), 1,
      anon_sym_RBRACK,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48282] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2697), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48361] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48440] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48519] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48598] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2705), 1,
      anon_sym_COLON,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48677] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48756] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48835] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48914] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48993] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49072] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_AMP,
    ACTIONS(2229), 1,
      anon_sym_QMARK,
    ACTIONS(2231), 1,
      anon_sym_PIPE,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2239), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2241), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    ACTIONS(2703), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49151] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49230] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(1306), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(2092), 1,
      sym_variable_name,
    STATE(2235), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49297] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_GT_EQ,
    ACTIONS(2161), 1,
      anon_sym_DOT,
    ACTIONS(2163), 1,
      anon_sym_SLASH,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2175), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2181), 1,
      anon_sym_CARET,
    ACTIONS(2189), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2191), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2193), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2165), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2153), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49376] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2377), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2569), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1308), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      sym_attribute_list,
    STATE(1344), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1346), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1409), 1,
      sym__enum_member_declaration,
    STATE(1455), 1,
      sym__modifier,
    STATE(1896), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [49457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2723), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49499] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2729), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2727), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49541] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2731), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2477), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2473), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49585] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    ACTIONS(2733), 1,
      sym_bottom_type,
    STATE(1312), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1550), 1,
      sym__types,
    STATE(2423), 1,
      sym__type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1669), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49649] = 16,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    ACTIONS(2741), 1,
      sym_bottom_type,
    STATE(1313), 1,
      sym_text_interpolation,
    STATE(1530), 1,
      sym__types,
    STATE(1725), 1,
      sym_qualified_name,
    STATE(2090), 1,
      sym__type,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(2115), 2,
      sym_union_type,
      sym_intersection_type,
    STATE(1722), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2737), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49713] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2477), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2473), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2745), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2743), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49795] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2749), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2747), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2753), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2751), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49877] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1746), 1,
      anon_sym_POUND_LBRACK,
    STATE(1318), 1,
      sym_text_interpolation,
    STATE(1319), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1326), 1,
      sym_attribute_group,
    ACTIONS(2757), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2755), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49923] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2763), 1,
      anon_sym_POUND_LBRACK,
    STATE(1326), 1,
      sym_attribute_group,
    STATE(1319), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2761), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2759), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49967] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    STATE(1320), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1745), 1,
      sym__types,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50021] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    STATE(1321), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      sym_qualified_name,
    STATE(1797), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1722), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2737), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50075] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    STATE(1322), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      sym_qualified_name,
    STATE(1796), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1722), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2737), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50129] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1679), 1,
      anon_sym_QMARK,
    STATE(1323), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1601), 1,
      sym__types,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50183] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2768), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2766), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50221] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2772), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2770), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50259] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2776), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2774), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50297] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    STATE(1327), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1601), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50351] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    ACTIONS(1744), 1,
      anon_sym_QMARK,
    STATE(1328), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1745), 1,
      sym__types,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1619), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50405] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2780), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2778), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50443] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2735), 1,
      sym_name,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      sym_qualified_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1657), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2737), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50490] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    STATE(1331), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2648), 1,
      sym_namespace_name_as_prefix,
    STATE(1593), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50537] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    STATE(1332), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1593), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1671), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50584] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      sym_escape_sequence,
    ACTIONS(2794), 1,
      anon_sym_DOLLAR,
    ACTIONS(2797), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2800), 1,
      sym_heredoc_end,
    STATE(1341), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1351), 1,
      sym__new_line,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2791), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1333), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2788), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50640] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2725), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2723), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_readonly_modifier_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50674] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      sym_escape_sequence,
    ACTIONS(2811), 1,
      anon_sym_DOLLAR,
    ACTIONS(2813), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2815), 1,
      sym_heredoc_end,
    STATE(1333), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1335), 1,
      sym_text_interpolation,
    STATE(1341), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1351), 1,
      sym__new_line,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2808), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2806), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50732] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      sym_escape_sequence,
    ACTIONS(2811), 1,
      anon_sym_DOLLAR,
    ACTIONS(2813), 1,
      sym_encapsed_string_chars_heredoc,
    STATE(1335), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1341), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1351), 1,
      sym__new_line,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2817), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2806), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50787] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2753), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2751), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50820] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2375), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2381), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2389), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2391), 1,
      sym_var_modifier,
    STATE(659), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1212), 1,
      sym_final_modifier,
    STATE(1311), 1,
      sym_visibility_modifier,
    STATE(1316), 1,
      sym__modifier,
    STATE(1338), 1,
      sym_text_interpolation,
    STATE(1402), 1,
      sym__const_declaration,
    STATE(1790), 1,
      sym__function_definition_header,
    ACTIONS(2393), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
  [50879] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    ACTIONS(2822), 1,
      sym_escape_sequence,
    ACTIONS(2830), 1,
      anon_sym_DOLLAR,
    ACTIONS(2833), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2836), 1,
      sym_heredoc_end,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2828), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1339), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2825), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50929] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_heredoc_end,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      sym_escape_sequence,
    ACTIONS(2811), 1,
      anon_sym_DOLLAR,
    ACTIONS(2813), 1,
      sym_encapsed_string_chars_heredoc,
    STATE(1339), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2838), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2806), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [50981] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      sym_escape_sequence,
    ACTIONS(2811), 1,
      anon_sym_DOLLAR,
    ACTIONS(2813), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2842), 1,
      sym_heredoc_end,
    STATE(1339), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2840), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2806), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51033] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym_enum_case_token1,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1343), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1455), 1,
      sym__modifier,
    STATE(1790), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51085] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1455), 1,
      sym__modifier,
    STATE(1813), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51134] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2379), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2565), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2571), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2573), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2577), 1,
      sym_var_modifier,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1455), 1,
      sym__modifier,
    STATE(1794), 1,
      sym__function_definition_header,
    ACTIONS(2579), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51183] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2846), 1,
      anon_sym_POUND_LBRACK,
    STATE(1352), 1,
      sym_attribute_group,
    STATE(1345), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2761), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [51216] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    STATE(1345), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1352), 1,
      sym_attribute_group,
    ACTIONS(2757), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [51251] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2314), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2849), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2852), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2855), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2858), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2861), 1,
      sym_var_modifier,
    STATE(1455), 1,
      sym__modifier,
    STATE(1347), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2864), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51295] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1348), 1,
      sym_text_interpolation,
    ACTIONS(2867), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1766), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [51325] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2772), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51352] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2780), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51379] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_escape_sequence,
    ACTIONS(2806), 1,
      anon_sym_BSLASHu,
    ACTIONS(2869), 1,
      anon_sym_LBRACE,
    ACTIONS(2871), 1,
      anon_sym_DOLLAR,
    STATE(1340), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1364), 1,
      sym_variable_name,
    STATE(1423), 1,
      sym__simple_string_member_access_expression,
    STATE(1424), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1428), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    ACTIONS(2813), 4,
      sym_encapsed_string_chars_heredoc,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [51424] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1352), 1,
      sym_text_interpolation,
    ACTIONS(2776), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51451] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1353), 1,
      sym_text_interpolation,
    ACTIONS(2768), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [51478] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2875), 1,
      sym_integer,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(2480), 1,
      sym__string,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2873), 3,
      sym_float,
      sym_boolean,
      sym_null,
    STATE(740), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [51516] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1355), 1,
      sym_text_interpolation,
    ACTIONS(2877), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51542] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      sym_escape_sequence,
    ACTIONS(2883), 1,
      anon_sym_BSLASHu,
    ACTIONS(2887), 1,
      anon_sym_DQUOTE,
    ACTIONS(2889), 1,
      anon_sym_DOLLAR,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1365), 1,
      aux_sym__interpolated_string_body,
    STATE(1439), 1,
      sym_variable_name,
    STATE(1559), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1525), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1560), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [51588] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1357), 1,
      sym_text_interpolation,
    ACTIONS(996), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1358), 1,
      sym_text_interpolation,
    ACTIONS(1564), 4,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1566), 10,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [51642] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(1000), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51668] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1360), 1,
      sym_text_interpolation,
    ACTIONS(2891), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51694] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2891), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51720] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1362), 1,
      sym_text_interpolation,
    ACTIONS(2893), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51746] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2895), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51772] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2899), 1,
      anon_sym_DASH_GT,
    ACTIONS(2901), 1,
      anon_sym_LBRACK,
    ACTIONS(2905), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(2903), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2897), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [51806] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      sym_escape_sequence,
    ACTIONS(2883), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      anon_sym_DOLLAR,
    ACTIONS(2907), 1,
      anon_sym_DQUOTE,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1370), 1,
      aux_sym__interpolated_string_body,
    STATE(1439), 1,
      sym_variable_name,
    STATE(1559), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1525), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1560), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [51852] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1366), 1,
      sym_text_interpolation,
    ACTIONS(2909), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51878] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1367), 1,
      sym_text_interpolation,
    ACTIONS(2911), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51904] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2913), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51930] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2915), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [51956] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_LBRACE,
    ACTIONS(2920), 1,
      sym_escape_sequence,
    ACTIONS(2923), 1,
      anon_sym_BSLASHu,
    ACTIONS(2929), 1,
      anon_sym_DQUOTE,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR,
    STATE(1439), 1,
      sym_variable_name,
    STATE(1559), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2926), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1370), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1525), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1560), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52000] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2934), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52026] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2936), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52052] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      sym_escape_sequence,
    ACTIONS(2883), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      anon_sym_DQUOTE,
    STATE(1370), 1,
      aux_sym__interpolated_string_body,
    STATE(1373), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      sym_variable_name,
    STATE(1559), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1525), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1560), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52098] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      sym_escape_sequence,
    ACTIONS(2883), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      anon_sym_DOLLAR,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(1373), 1,
      aux_sym__interpolated_string_body,
    STATE(1374), 1,
      sym_text_interpolation,
    STATE(1439), 1,
      sym_variable_name,
    STATE(1559), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1525), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1560), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2936), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52170] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52222] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2877), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(2909), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52274] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(2946), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(1360), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52324] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(1484), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52349] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(1316), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52374] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2948), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52399] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2950), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52424] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACE,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    ACTIONS(2961), 1,
      anon_sym_BQUOTE,
    ACTIONS(2963), 1,
      anon_sym_DOLLAR,
    STATE(1478), 1,
      sym_variable_name,
    STATE(1576), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2955), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1386), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1579), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1604), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52465] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2966), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2968), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52515] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2976), 1,
      anon_sym_BQUOTE,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR,
    STATE(1389), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1478), 1,
      sym_variable_name,
    STATE(1576), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2972), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1579), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1604), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52558] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2980), 1,
      sym_name,
    ACTIONS(2986), 1,
      anon_sym_BSLASH,
    STATE(1390), 1,
      sym_text_interpolation,
    STATE(1773), 1,
      sym_namespace_use_clause,
    STATE(2596), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2984), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1751), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52599] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2988), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52624] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR,
    ACTIONS(2990), 1,
      anon_sym_BQUOTE,
    STATE(1392), 1,
      sym_text_interpolation,
    STATE(1400), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1478), 1,
      sym_variable_name,
    STATE(1576), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2972), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1579), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1604), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52667] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2992), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52692] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2994), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52717] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2996), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52742] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52767] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1397), 1,
      sym_text_interpolation,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52792] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(3002), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52817] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR,
    ACTIONS(3004), 1,
      anon_sym_BQUOTE,
    STATE(1386), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1399), 1,
      sym_text_interpolation,
    STATE(1478), 1,
      sym_variable_name,
    STATE(1576), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2972), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1579), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1604), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52860] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2978), 1,
      anon_sym_DOLLAR,
    ACTIONS(3006), 1,
      anon_sym_BQUOTE,
    STATE(1386), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1400), 1,
      sym_text_interpolation,
    STATE(1478), 1,
      sym_variable_name,
    STATE(1576), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2972), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1579), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1604), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52903] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2980), 1,
      sym_name,
    ACTIONS(3010), 1,
      anon_sym_BSLASH,
    STATE(1401), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      sym_namespace_use_clause,
    STATE(2552), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3008), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1751), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52944] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52969] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52994] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53019] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53044] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3020), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3022), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3024), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3026), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3030), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1406), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      sym__function_definition_header,
    STATE(2535), 1,
      sym_static_modifier,
    STATE(2562), 1,
      sym_readonly_modifier,
    STATE(1915), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [53091] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2385), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2387), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3020), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3022), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3030), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3032), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3034), 1,
      aux_sym_class_declaration_token1,
    STATE(1407), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      sym__function_definition_header,
    STATE(2535), 1,
      sym_static_modifier,
    STATE(2536), 1,
      sym_readonly_modifier,
    STATE(1921), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [53138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53163] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53188] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1411), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53238] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53263] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3050), 1,
      anon_sym_RBRACK,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53303] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3052), 1,
      anon_sym_RBRACK,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53343] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3054), 1,
      anon_sym_RBRACK,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53383] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3056), 1,
      anon_sym_RBRACK,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53423] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2980), 1,
      sym_name,
    STATE(1417), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      sym_namespace_use_clause,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1751), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53460] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(3058), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3060), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(592), 1,
      sym_arguments,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(3064), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3062), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53520] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3066), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1779), 1,
      sym_variable_name,
    STATE(1828), 1,
      sym_static_variable_declaration,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53555] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2980), 1,
      sym_name,
    ACTIONS(3068), 1,
      anon_sym_BSLASH,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      sym_namespace_use_clause,
    STATE(2527), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1751), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(3072), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3070), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(3076), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3074), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(2903), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2897), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3080), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3078), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3084), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3082), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53717] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1427), 1,
      sym_text_interpolation,
    STATE(1925), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53754] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3088), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3086), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(1612), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1614), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(2836), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2828), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(1604), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1606), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53854] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1432), 1,
      sym_text_interpolation,
    STATE(1919), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53891] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1433), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_attribute,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1783), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53928] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3066), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(1779), 1,
      sym_variable_name,
    STATE(1780), 1,
      sym_static_variable_declaration,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(1564), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1566), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [53988] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2980), 1,
      sym_name,
    ACTIONS(3090), 1,
      anon_sym_BSLASH,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1880), 1,
      sym_namespace_use_clause,
    STATE(2563), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1751), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54025] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1825), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54059] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54091] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_BSLASHu,
    ACTIONS(3096), 1,
      anon_sym_DASH_GT,
    ACTIONS(3098), 1,
      anon_sym_LBRACK,
    ACTIONS(3100), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(2903), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54121] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3102), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(1592), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54149] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_BSLASHu,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(1564), 9,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54173] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1442), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54205] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3108), 1,
      sym_name,
    STATE(1443), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1897), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54239] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(1717), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(3112), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3110), 8,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
      anon_sym_DOLLAR,
  [54291] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym_name,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2125), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54325] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3116), 1,
      sym_name,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(2616), 1,
      sym_namespace_name_as_prefix,
    STATE(1575), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54359] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(1562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54387] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    STATE(1449), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
    STATE(1976), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54421] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1450), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54453] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3122), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(698), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54482] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym__reserved_identifier,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54513] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3130), 1,
      sym_name,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54542] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(2477), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54563] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(2749), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54584] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      sym_arguments,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54613] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(592), 1,
      sym_arguments,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54642] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3134), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(718), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54671] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54700] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1460), 1,
      sym_text_interpolation,
    ACTIONS(2619), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54721] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3138), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54746] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(2485), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54773] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3140), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3142), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(657), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54802] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3142), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(655), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54831] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1465), 1,
      sym_text_interpolation,
    ACTIONS(2753), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54852] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1466), 1,
      sym_text_interpolation,
    ACTIONS(2725), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54873] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(686), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54902] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym__reserved_identifier,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(576), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54933] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3158), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(1563), 1,
      sym_reference_modifier,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(2216), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54966] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(607), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [54995] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3168), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(606), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55024] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3172), 1,
      sym_name,
    ACTIONS(3174), 1,
      anon_sym_LBRACE,
    STATE(834), 1,
      sym__reserved_identifier,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(605), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55055] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3176), 1,
      sym_name,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(855), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55084] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(2515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55111] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(3180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55138] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3182), 1,
      sym_name,
    ACTIONS(3184), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(840), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55167] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3186), 1,
      sym_name,
    ACTIONS(3188), 1,
      anon_sym_LBRACE,
    STATE(1477), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55196] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_BSLASHu,
    ACTIONS(3190), 1,
      anon_sym_DASH_GT,
    ACTIONS(3192), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      sym_execution_string_chars_after_variable,
    STATE(1478), 1,
      sym_text_interpolation,
    ACTIONS(2903), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [55225] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_BSLASHu,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(1564), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [55248] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3196), 1,
      sym_name,
    ACTIONS(3200), 1,
      anon_sym_LBRACE,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(3198), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(773), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55277] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym__reserved_identifier,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(828), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55308] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym__reserved_identifier,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(713), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55339] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1483), 1,
      sym_text_interpolation,
    ACTIONS(2729), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55360] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym__reserved_identifier,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(709), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55391] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3202), 1,
      sym_name,
    ACTIONS(3204), 1,
      anon_sym_LBRACE,
    STATE(1485), 1,
      sym_text_interpolation,
    ACTIONS(3198), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(772), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55420] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3158), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(1526), 1,
      sym_reference_modifier,
    STATE(1638), 1,
      sym_formal_parameters,
    STATE(2216), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55453] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1487), 1,
      sym_text_interpolation,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55480] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(2745), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55501] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3206), 1,
      sym_name,
    ACTIONS(3208), 1,
      anon_sym_LBRACE,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(829), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55530] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3210), 1,
      sym_name,
    ACTIONS(3214), 1,
      anon_sym_LBRACE,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(3212), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55559] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3216), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(714), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55588] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3220), 1,
      sym_name,
    ACTIONS(3222), 1,
      anon_sym_LBRACE,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(1539), 1,
      sym__reserved_identifier,
    STATE(841), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55619] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3224), 1,
      sym_name,
    ACTIONS(3226), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(682), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55648] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3230), 1,
      anon_sym_LBRACE,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(3212), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(575), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55677] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym__reserved_identifier,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(856), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55708] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55737] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3228), 1,
      sym_name,
    ACTIONS(3230), 1,
      anon_sym_LBRACE,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(575), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55766] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3220), 1,
      sym_name,
    ACTIONS(3222), 1,
      anon_sym_LBRACE,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(1539), 1,
      sym__reserved_identifier,
    STATE(1528), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55797] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3232), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_LBRACE,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(814), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55826] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55855] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(3236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55882] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3238), 1,
      sym_name,
    ACTIONS(3240), 1,
      anon_sym_LBRACE,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(2982), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(831), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [55911] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(2531), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55938] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    ACTIONS(3242), 1,
      sym_name,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1564), 1,
      sym__reserved_identifier,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55969] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3244), 1,
      sym_name,
    ACTIONS(3246), 1,
      anon_sym_LBRACE,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym__reserved_identifier,
    STATE(1546), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56000] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3248), 1,
      sym_name,
    ACTIONS(3250), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym__reserved_identifier,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(660), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56031] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3244), 1,
      sym_name,
    ACTIONS(3246), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym__reserved_identifier,
    STATE(699), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56062] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56089] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3210), 1,
      sym_name,
    ACTIONS(3214), 1,
      anon_sym_LBRACE,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56118] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1121), 1,
      sym_declaration_list,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1584), 1,
      sym_arguments,
    STATE(1775), 1,
      sym_base_clause,
    STATE(2373), 1,
      sym_class_interface_clause,
  [56152] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1817), 1,
      sym_named_type,
    STATE(2033), 1,
      sym_type_list,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [56186] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1817), 1,
      sym_named_type,
    STATE(2032), 1,
      sym_type_list,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [56220] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_BSLASHu,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(3112), 7,
      sym_encapsed_string_chars_heredoc,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      anon_sym_DOLLAR,
  [56268] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    ACTIONS(3264), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_use_list,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(1599), 1,
      aux_sym_base_clause_repeat1,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56300] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3066), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(1592), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56326] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1056), 1,
      sym_declaration_list,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(1614), 1,
      sym_arguments,
    STATE(1862), 1,
      sym_base_clause,
    STATE(2394), 1,
      sym_class_interface_clause,
  [56360] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_declaration_list,
    STATE(1518), 1,
      sym_text_interpolation,
    STATE(1595), 1,
      sym_arguments,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2409), 1,
      sym_class_interface_clause,
  [56394] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(937), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3268), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3270), 1,
      aux_sym_finally_clause_token1,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(1521), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(935), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1685), 2,
      sym_catch_clause,
      sym_finally_clause,
  [56424] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    STATE(1520), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56450] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(945), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3272), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3275), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(943), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1521), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1685), 2,
      sym_catch_clause,
      sym_finally_clause,
  [56478] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_declaration_list,
    STATE(1522), 1,
      sym_text_interpolation,
    STATE(1643), 1,
      sym_arguments,
    STATE(1895), 1,
      sym_base_clause,
    STATE(2198), 1,
      sym_class_interface_clause,
  [56512] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56538] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56561] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3280), 1,
      anon_sym_BSLASHu,
    STATE(1525), 1,
      sym_text_interpolation,
    ACTIONS(3278), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56582] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    ACTIONS(3282), 1,
      sym_name,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1621), 1,
      sym_formal_parameters,
    STATE(2283), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56609] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3286), 1,
      anon_sym_DASH,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(2441), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3284), 2,
      sym_integer,
      sym_name,
    STATE(2452), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [56636] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(898), 1,
      sym_arguments,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56659] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3288), 1,
      sym_name,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(1726), 1,
      sym_reference_modifier,
    STATE(2319), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56686] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_AMP,
    ACTIONS(3295), 1,
      anon_sym_PIPE,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(1658), 1,
      aux_sym_union_type_repeat1,
    STATE(1666), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3290), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56713] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_BSLASHu,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(3072), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [56734] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56755] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3286), 1,
      anon_sym_DASH,
    STATE(1533), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3284), 2,
      sym_integer,
      sym_name,
    STATE(2452), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [56782] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56805] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      sym_arguments,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56828] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56851] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    STATE(1537), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56874] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(3138), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56893] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(898), 1,
      sym_arguments,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(1697), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56916] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym_name,
    STATE(1538), 1,
      sym_qualified_name,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      sym_named_type,
    STATE(2454), 1,
      sym_namespace_name_as_prefix,
    STATE(2615), 1,
      sym_namespace_name,
  [56947] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(720), 1,
      sym_arguments,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1697), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56970] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(3299), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1924), 1,
      sym_namespace_aliasing_clause,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3297), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56997] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(3084), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57018] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      sym_arguments,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57041] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3138), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57064] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(720), 1,
      sym_arguments,
    STATE(1546), 1,
      sym_text_interpolation,
    ACTIONS(1536), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57087] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(619), 1,
      sym_arguments,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57110] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3303), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3306), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3301), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1548), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [57135] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57158] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_AMP,
    ACTIONS(3311), 1,
      anon_sym_PIPE,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(1660), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1670), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3290), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [57185] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57208] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(1604), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57229] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_arguments,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57252] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3286), 1,
      anon_sym_DASH,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(2455), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3284), 2,
      sym_integer,
      sym_name,
    STATE(2452), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [57279] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_BSLASHu,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(2929), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57300] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_BSLASHu,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(3064), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57321] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_BSLASHu,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(1564), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57342] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1558), 1,
      sym_text_interpolation,
    ACTIONS(3236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57363] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_BSLASHu,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(3076), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57384] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_BSLASHu,
    STATE(1560), 1,
      sym_text_interpolation,
    ACTIONS(2903), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57405] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(1612), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57426] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57449] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    ACTIONS(3282), 1,
      sym_name,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(1644), 1,
      sym_formal_parameters,
    STATE(2283), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57476] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(1697), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57499] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(1899), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1897), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57520] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1566), 1,
      sym_text_interpolation,
    ACTIONS(3180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57541] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_BSLASHu,
    STATE(1567), 1,
      sym_text_interpolation,
    ACTIONS(3315), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57562] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3058), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3060), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57585] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1768), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57609] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(967), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3323), 1,
      aux_sym_else_clause_token1,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(1598), 1,
      aux_sym_if_statement_repeat1,
    STATE(2080), 1,
      sym_else_clause,
    STATE(2081), 1,
      sym_else_if_clause,
  [57637] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2181), 1,
      sym_class_interface_clause,
  [57665] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_BSLASHu,
    STATE(1572), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57685] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1095), 1,
      sym_compound_statement,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1757), 1,
      sym_anonymous_function_use_clause,
    STATE(2371), 1,
      sym__return_type,
  [57713] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_base_clause,
    STATE(2368), 1,
      sym_class_interface_clause,
  [57741] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    ACTIONS(3264), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_use_list,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1599), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3260), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57767] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_BSLASHu,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(3076), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57787] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1099), 1,
      sym_compound_statement,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1765), 1,
      sym_anonymous_function_use_clause,
    STATE(2362), 1,
      sym__return_type,
  [57815] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    STATE(1548), 1,
      aux_sym_switch_block_repeat1,
    STATE(1578), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [57841] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(3339), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57861] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(1580), 1,
      sym_text_interpolation,
    STATE(1857), 1,
      sym_anonymous_function_use_clause,
    STATE(2188), 1,
      sym__return_type,
  [57889] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(915), 1,
      sym_compound_statement,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(1888), 1,
      sym_anonymous_function_use_clause,
    STATE(2242), 1,
      sym__return_type,
  [57917] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1881), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57941] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3346), 1,
      aux_sym_else_clause_token1,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1737), 1,
      aux_sym_if_statement_repeat1,
    STATE(2063), 1,
      sym_else_clause,
    STATE(2081), 1,
      sym_else_if_clause,
  [57969] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1053), 1,
      sym_declaration_list,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2395), 1,
      sym_class_interface_clause,
  [57997] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_BSLASHu,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(3064), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58017] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(3084), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58037] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(1587), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      sym_anonymous_function_use_clause,
    STATE(2265), 1,
      sym__return_type,
  [58065] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3349), 1,
      aux_sym_switch_block_token1,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1620), 1,
      aux_sym_switch_block_repeat1,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [58091] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1623), 1,
      aux_sym_switch_block_repeat1,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [58117] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1697), 1,
      sym_declaration_list,
    STATE(1892), 1,
      sym_base_clause,
    STATE(2165), 1,
      sym_class_interface_clause,
  [58145] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(1630), 1,
      aux_sym_if_statement_repeat2,
    STATE(1982), 1,
      sym_else_if_clause_2,
    STATE(2446), 1,
      sym_else_clause_2,
  [58173] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1700), 1,
      sym_declaration_list,
    STATE(1788), 1,
      sym_base_clause,
    STATE(2303), 1,
      sym_class_interface_clause,
  [58201] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(3359), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58219] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(953), 1,
      sym_compound_statement,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(1867), 1,
      sym_anonymous_function_use_clause,
    STATE(2418), 1,
      sym__return_type,
  [58247] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_declaration_list,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [58275] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(967), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3364), 1,
      aux_sym_else_clause_token1,
    STATE(1583), 1,
      aux_sym_if_statement_repeat1,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      sym_else_clause,
    STATE(2081), 1,
      sym_else_if_clause,
  [58303] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2326), 1,
      sym_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58329] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3321), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3323), 1,
      aux_sym_else_clause_token1,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(1737), 1,
      aux_sym_if_statement_repeat1,
    STATE(2063), 1,
      sym_else_clause,
    STATE(2081), 1,
      sym_else_if_clause,
  [58357] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    ACTIONS(3264), 1,
      anon_sym_LBRACE,
    STATE(1369), 1,
      sym_use_list,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(1731), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3369), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58383] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1065), 1,
      sym_compound_statement,
    STATE(1600), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_anonymous_function_use_clause,
    STATE(2339), 1,
      sym__return_type,
  [58411] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1601), 1,
      sym_text_interpolation,
    ACTIONS(3371), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58429] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(942), 1,
      sym_compound_statement,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1789), 1,
      sym_anonymous_function_use_clause,
    STATE(2273), 1,
      sym__return_type,
  [58457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_BSLASHu,
    STATE(1603), 1,
      sym_text_interpolation,
    ACTIONS(2961), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58477] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_BSLASHu,
    STATE(1604), 1,
      sym_text_interpolation,
    ACTIONS(2903), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58497] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(3375), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58515] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3377), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [58537] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1607), 1,
      sym_text_interpolation,
    STATE(1713), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2421), 1,
      sym_class_interface_clause,
  [58565] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_php_tag,
    ACTIONS(3383), 1,
      sym__eof,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      aux_sym_text_repeat1,
    STATE(2164), 1,
      sym_text,
    ACTIONS(3381), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [58591] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(1612), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58611] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3385), 1,
      aux_sym_switch_block_token1,
    STATE(1548), 1,
      aux_sym_switch_block_repeat1,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [58637] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_if_statement_token2,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(1676), 1,
      aux_sym_if_statement_repeat2,
    STATE(1982), 1,
      sym_else_if_clause_2,
    STATE(2482), 1,
      sym_else_clause_2,
  [58665] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      sym_base_clause,
    STATE(2271), 1,
      sym_class_interface_clause,
  [58693] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58717] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_base_clause,
    STATE(2297), 1,
      sym_class_interface_clause,
  [58745] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1615), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [58765] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1770), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58789] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(956), 1,
      sym_compound_statement,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1873), 1,
      sym_anonymous_function_use_clause,
    STATE(2427), 1,
      sym__return_type,
  [58817] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3389), 1,
      anon_sym_AMP,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1678), 1,
      aux_sym_union_type_repeat1,
    STATE(1859), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3290), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58843] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1619), 1,
      sym_text_interpolation,
    ACTIONS(3395), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58861] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3397), 1,
      aux_sym_switch_block_token1,
    STATE(1548), 1,
      aux_sym_switch_block_repeat1,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [58887] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1055), 1,
      sym_compound_statement,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_anonymous_function_use_clause,
    STATE(2417), 1,
      sym__return_type,
  [58915] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym_declaration_list,
    STATE(1818), 1,
      sym_base_clause,
    STATE(2354), 1,
      sym_class_interface_clause,
  [58943] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(1548), 1,
      aux_sym_switch_block_repeat1,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [58969] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_declaration_list,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      sym_base_clause,
    STATE(2375), 1,
      sym_class_interface_clause,
  [58997] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_BSLASHu,
    STATE(1625), 1,
      sym_text_interpolation,
    ACTIONS(3072), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59017] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1969), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59041] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_base_clause,
    STATE(2259), 1,
      sym_class_interface_clause,
  [59069] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(960), 1,
      sym_compound_statement,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      sym_anonymous_function_use_clause,
    STATE(2363), 1,
      sym__return_type,
  [59097] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(914), 1,
      sym_compound_statement,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1830), 1,
      sym_anonymous_function_use_clause,
    STATE(2367), 1,
      sym__return_type,
  [59125] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3401), 1,
      aux_sym_if_statement_token2,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1676), 1,
      aux_sym_if_statement_repeat2,
    STATE(1982), 1,
      sym_else_if_clause_2,
    STATE(2502), 1,
      sym_else_clause_2,
  [59153] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(946), 1,
      sym_compound_statement,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      sym_anonymous_function_use_clause,
    STATE(2393), 1,
      sym__return_type,
  [59181] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      sym_base_clause,
    STATE(2293), 1,
      sym_class_interface_clause,
  [59209] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_if_statement_token2,
    STATE(1611), 1,
      aux_sym_if_statement_repeat2,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1982), 1,
      sym_else_if_clause_2,
    STATE(2499), 1,
      sym_else_clause_2,
  [59237] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1694), 1,
      sym_declaration_list,
    STATE(1894), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [59265] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1646), 1,
      sym_declaration_list,
    STATE(1832), 1,
      sym_base_clause,
    STATE(2376), 1,
      sym_class_interface_clause,
  [59293] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1853), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59317] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(906), 1,
      sym_compound_statement,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1833), 1,
      sym_anonymous_function_use_clause,
    STATE(2304), 1,
      sym__return_type,
  [59345] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1872), 1,
      sym_anonymous_function_use_clause,
    STATE(2285), 1,
      sym__return_type,
  [59373] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3405), 1,
      aux_sym_switch_block_token1,
    STATE(1610), 1,
      aux_sym_switch_block_repeat1,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [59399] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_name,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      sym_const_element,
    STATE(2594), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59423] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3335), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3337), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(1578), 1,
      aux_sym_switch_block_repeat1,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1784), 2,
      sym_case_statement,
      sym_default_statement,
  [59449] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1814), 1,
      aux_sym_base_clause_repeat1,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3411), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [59475] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_declaration_list,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1808), 1,
      sym_base_clause,
    STATE(2399), 1,
      sym_class_interface_clause,
  [59503] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3327), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1046), 1,
      sym_compound_statement,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      sym_anonymous_function_use_clause,
    STATE(2264), 1,
      sym__return_type,
  [59531] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1068), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1645), 1,
      sym_text_interpolation,
    ACTIONS(1066), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59552] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1044), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(1042), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59573] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3417), 1,
      ts_builtin_sym_end,
    ACTIONS(3419), 1,
      sym_php_tag,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1728), 1,
      aux_sym_text_repeat1,
    ACTIONS(11), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [59596] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3423), 1,
      sym_heredoc_end,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1855), 1,
      sym_nowdoc_body,
    STATE(2047), 1,
      sym__new_line,
    ACTIONS(3421), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [59619] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_heredoc_end,
    STATE(1336), 1,
      sym__new_line,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1852), 1,
      sym_heredoc_body,
    ACTIONS(3425), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [59642] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(3375), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59659] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1504), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3429), 1,
      sym_name,
    ACTIONS(3431), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(680), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59682] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1084), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1652), 1,
      sym_text_interpolation,
    ACTIONS(1082), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59703] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_BSLASH,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1733), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3435), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [59724] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym_LBRACE,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3443), 1,
      anon_sym_DASH_GT,
    ACTIONS(3445), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1654), 1,
      sym_text_interpolation,
  [59749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3451), 1,
      anon_sym_BSLASH,
    STATE(1655), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3449), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59768] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3456), 1,
      sym_heredoc_end,
    ACTIONS(3458), 1,
      sym_nowdoc_string,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1744), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3454), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [59791] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(3359), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59808] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3295), 1,
      anon_sym_PIPE,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1716), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3460), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59829] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(987), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(985), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59848] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_AMP,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3462), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [59869] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3464), 1,
      sym_name,
    ACTIONS(3466), 1,
      anon_sym_BSLASH,
    STATE(483), 1,
      sym_compound_statement,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      sym_namespace_name,
  [59894] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_COLON,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(2074), 1,
      sym__return_type,
    ACTIONS(3468), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59915] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59936] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym_heredoc_end,
    STATE(1336), 1,
      sym__new_line,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      sym_heredoc_body,
    ACTIONS(3425), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [59959] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1665), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59980] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_AMP,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3462), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60001] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(3478), 1,
      sym_name,
    ACTIONS(3480), 1,
      anon_sym_LBRACE,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(734), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60024] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3482), 1,
      anon_sym_LBRACE,
    ACTIONS(3484), 1,
      anon_sym_DASH_GT,
    ACTIONS(3486), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3488), 1,
      anon_sym_LBRACK,
    STATE(1668), 1,
      sym_text_interpolation,
  [60049] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(3490), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60066] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_PIPE,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1698), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3460), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60087] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1020), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(1018), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60108] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3494), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(2021), 1,
      sym_reference_modifier,
    STATE(2024), 1,
      sym_variable_name,
  [60133] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3496), 1,
      sym_php_tag,
    ACTIONS(3501), 1,
      sym__eof,
    ACTIONS(3498), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1673), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [60154] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3503), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1957), 1,
      sym_reference_modifier,
    STATE(1958), 1,
      sym_variable_name,
  [60179] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1014), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1675), 1,
      sym_text_interpolation,
    ACTIONS(1012), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60200] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3507), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3509), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3512), 1,
      aux_sym_else_clause_token1,
    STATE(1982), 1,
      sym_else_if_clause_2,
    STATE(1676), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [60223] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(3516), 1,
      anon_sym_DASH_GT,
    ACTIONS(3518), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3520), 1,
      anon_sym_LBRACK,
    STATE(1677), 1,
      sym_text_interpolation,
  [60248] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(1729), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3460), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60269] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    ACTIONS(3524), 1,
      anon_sym_COLON,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(2078), 1,
      sym_enum_declaration_list,
    STATE(2426), 1,
      sym_class_interface_clause,
  [60294] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1010), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(1008), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60313] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym__eof,
    ACTIONS(3419), 1,
      sym_php_tag,
    STATE(1673), 1,
      aux_sym_text_repeat1,
    STATE(1681), 1,
      sym_text_interpolation,
    ACTIONS(3381), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [60336] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(3520), 1,
      anon_sym_LBRACK,
    ACTIONS(3526), 1,
      anon_sym_DASH_GT,
    ACTIONS(3528), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1682), 1,
      sym_text_interpolation,
  [60361] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3268), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3270), 1,
      aux_sym_finally_clause_token1,
    STATE(1519), 1,
      aux_sym_try_statement_repeat1,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1685), 2,
      sym_catch_clause,
      sym_finally_clause,
  [60384] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3377), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [60405] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1006), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1685), 1,
      sym_text_interpolation,
    ACTIONS(1004), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60424] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3530), 1,
      anon_sym_LBRACE,
    ACTIONS(3532), 1,
      anon_sym_DASH_GT,
    ACTIONS(3534), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3536), 1,
      anon_sym_LBRACK,
    STATE(1686), 1,
      sym_text_interpolation,
  [60449] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    ACTIONS(3538), 1,
      anon_sym_COLON,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(2110), 1,
      sym_enum_declaration_list,
    STATE(2239), 1,
      sym_class_interface_clause,
  [60474] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3540), 1,
      sym_name,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(859), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60497] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3530), 1,
      anon_sym_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_LBRACK,
    ACTIONS(3544), 1,
      anon_sym_DASH_GT,
    ACTIONS(3546), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1689), 1,
      sym_text_interpolation,
  [60522] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3548), 1,
      sym_name,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym_namespace_name,
    STATE(2012), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3550), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [60545] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3552), 1,
      sym_name,
    ACTIONS(3554), 1,
      anon_sym_LBRACE,
    ACTIONS(3556), 1,
      anon_sym_DOLLAR,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1609), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60568] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_BSLASH,
    STATE(1692), 1,
      sym_text_interpolation,
    STATE(2117), 1,
      sym_compound_statement,
    ACTIONS(3558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60591] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(981), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1693), 1,
      sym_text_interpolation,
    ACTIONS(979), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60610] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1694), 1,
      sym_text_interpolation,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60631] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(3520), 1,
      anon_sym_LBRACK,
    ACTIONS(3564), 1,
      anon_sym_DASH_GT,
    ACTIONS(3566), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1695), 1,
      sym_text_interpolation,
  [60656] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3568), 1,
      anon_sym_LBRACE,
    ACTIONS(3570), 1,
      anon_sym_DASH_GT,
    ACTIONS(3572), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3574), 1,
      anon_sym_LBRACK,
    STATE(1696), 1,
      sym_text_interpolation,
  [60681] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1026), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(1024), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60702] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_PIPE,
    STATE(1698), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3371), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60721] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3530), 1,
      anon_sym_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_LBRACK,
    ACTIONS(3581), 1,
      anon_sym_DASH_GT,
    ACTIONS(3583), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1699), 1,
      sym_text_interpolation,
  [60746] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1050), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(1048), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60767] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_heredoc_end,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      sym_nowdoc_body,
    STATE(2047), 1,
      sym__new_line,
    ACTIONS(3421), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [60790] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1056), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1702), 1,
      sym_text_interpolation,
    ACTIONS(1054), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60811] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1703), 1,
      sym_text_interpolation,
    ACTIONS(1060), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60832] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_AMP,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(2169), 2,
      sym_variable_name,
      sym_variable_reference,
  [60855] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_AMP,
    STATE(1705), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3600), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [60874] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3602), 1,
      sym_name,
    ACTIONS(3604), 1,
      anon_sym_LBRACE,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(593), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60897] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    ACTIONS(3608), 1,
      anon_sym_COLON,
    STATE(492), 1,
      sym_enum_declaration_list,
    STATE(1707), 1,
      sym_text_interpolation,
    STATE(2369), 1,
      sym_class_interface_clause,
  [60922] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3610), 1,
      sym_name,
    ACTIONS(3612), 1,
      anon_sym_LBRACE,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(627), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60945] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3614), 1,
      sym_name,
    ACTIONS(3616), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(789), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60968] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3464), 1,
      sym_name,
    ACTIONS(3466), 1,
      anon_sym_BSLASH,
    STATE(1692), 1,
      sym_namespace_name,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(2129), 1,
      sym_compound_statement,
  [60993] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1711), 1,
      sym_text_interpolation,
    ACTIONS(1094), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3618), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61014] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1038), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1712), 1,
      sym_text_interpolation,
    ACTIONS(1036), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61035] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1713), 1,
      sym_text_interpolation,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61056] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3624), 1,
      sym_heredoc_end,
    STATE(1336), 1,
      sym__new_line,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      sym_heredoc_body,
    ACTIONS(3425), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [61079] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      sym_property_initializer,
    ACTIONS(3626), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61100] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_PIPE,
    STATE(1716), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3371), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61119] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    STATE(1717), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3600), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61138] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3636), 1,
      sym_name,
    ACTIONS(3638), 1,
      anon_sym_LBRACE,
    ACTIONS(3640), 1,
      anon_sym_DOLLAR,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1561), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61161] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3642), 1,
      sym_heredoc_end,
    STATE(1336), 1,
      sym__new_line,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1776), 1,
      sym_heredoc_body,
    ACTIONS(3425), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [61184] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_COLON,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(2091), 1,
      sym__return_type,
    ACTIONS(3644), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61205] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_AMP,
    ACTIONS(3646), 1,
      anon_sym_RPAREN,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(2169), 2,
      sym_variable_name,
      sym_variable_reference,
  [61228] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1722), 1,
      sym_text_interpolation,
    ACTIONS(3395), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61245] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3648), 1,
      anon_sym_LBRACE,
    ACTIONS(3650), 1,
      anon_sym_DASH_GT,
    ACTIONS(3652), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3654), 1,
      anon_sym_LBRACK,
    STATE(1723), 1,
      sym_text_interpolation,
  [61270] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_LBRACE,
    ACTIONS(3640), 1,
      anon_sym_DOLLAR,
    ACTIONS(3656), 1,
      sym_name,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(1561), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61293] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1725), 1,
      sym_text_interpolation,
    ACTIONS(3138), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61310] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3658), 1,
      sym_name,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61331] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1727), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61352] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3496), 1,
      sym_php_tag,
    ACTIONS(3501), 1,
      ts_builtin_sym_end,
    ACTIONS(3662), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1728), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [61373] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3665), 1,
      anon_sym_PIPE,
    STATE(1729), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3371), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61392] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_BSLASH,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(1736), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3668), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61413] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_COMMA,
    STATE(1731), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3377), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61432] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_BSLASH,
    STATE(497), 1,
      sym_compound_statement,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(3676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61455] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_BSLASH,
    STATE(1733), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3449), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61474] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    ACTIONS(3681), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(2029), 1,
      aux_sym_base_clause_repeat1,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
  [61499] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3683), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3685), 1,
      aux_sym_finally_clause_token1,
    STATE(420), 1,
      aux_sym_try_statement_repeat1,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(439), 2,
      sym_catch_clause,
      sym_finally_clause,
  [61522] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_BSLASH,
    STATE(1655), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(3435), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61543] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_while_statement_token1,
    ACTIONS(991), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_else_if_clause_token1,
    STATE(2081), 1,
      sym_else_if_clause,
    STATE(1737), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [61566] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3568), 1,
      anon_sym_LBRACE,
    ACTIONS(3574), 1,
      anon_sym_LBRACK,
    ACTIONS(3693), 1,
      anon_sym_DASH_GT,
    ACTIONS(3695), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1738), 1,
      sym_text_interpolation,
  [61591] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61612] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1740), 1,
      sym_text_interpolation,
    ACTIONS(1558), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61629] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1032), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(1030), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61650] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3701), 1,
      sym_name,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(1429), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61673] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3707), 1,
      sym_name,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(2141), 1,
      sym_visibility_modifier,
    ACTIONS(3709), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [61694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3713), 1,
      sym_heredoc_end,
    ACTIONS(3715), 1,
      sym_nowdoc_string,
    ACTIONS(3711), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    STATE(1744), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [61715] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1745), 1,
      sym_text_interpolation,
    ACTIONS(3600), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61732] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    ACTIONS(3718), 1,
      anon_sym_COLON,
    STATE(535), 1,
      sym_enum_declaration_list,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym_class_interface_clause,
  [61757] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_BSLASH,
    STATE(1653), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3668), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61778] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3548), 1,
      sym_name,
    STATE(1748), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      sym_namespace_name,
    STATE(2177), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3550), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [61801] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_LBRACE,
    ACTIONS(3556), 1,
      anon_sym_DOLLAR,
    ACTIONS(3720), 1,
      sym_name,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(1609), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61824] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(3705), 1,
      anon_sym_DOLLAR,
    ACTIONS(3722), 1,
      sym_name,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(1429), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61847] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3299), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(1924), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3297), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61868] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61888] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1946), 1,
      sym_formal_parameters,
    STATE(2335), 1,
      sym_reference_modifier,
  [61910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1754), 1,
      sym_text_interpolation,
    STATE(2518), 1,
      sym_declare_directive,
    ACTIONS(3728), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [61928] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61948] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3734), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61964] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(2263), 1,
      sym__return_type,
  [61986] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_AMP,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(2169), 2,
      sym_variable_name,
      sym_variable_reference,
  [62006] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1759), 1,
      sym_text_interpolation,
    ACTIONS(3736), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [62022] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3740), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(2179), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3738), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62042] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3740), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(2252), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62062] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1762), 1,
      sym_text_interpolation,
    ACTIONS(3449), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62078] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1763), 1,
      sym_text_interpolation,
    ACTIONS(3734), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [62094] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(2495), 1,
      sym_declare_directive,
    ACTIONS(3728), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [62112] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1105), 1,
      sym_compound_statement,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      sym__return_type,
  [62134] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3030), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3744), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3746), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(2535), 1,
      sym_static_modifier,
  [62156] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym_formal_parameters,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(2305), 1,
      sym_reference_modifier,
  [62178] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1768), 1,
      sym_text_interpolation,
    ACTIONS(3748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62198] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(2287), 1,
      sym_base_clause,
  [62220] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(1875), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3752), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62240] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym_class_interface_clause,
  [62262] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(511), 1,
      sym_enum_declaration_list,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(2330), 1,
      sym_class_interface_clause,
  [62284] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62304] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(2209), 1,
      sym_class_interface_clause,
  [62326] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1053), 1,
      sym_declaration_list,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym_class_interface_clause,
  [62348] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3760), 1,
      sym_heredoc_end,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2456), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [62368] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_formal_parameters,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(2272), 1,
      sym_reference_modifier,
  [62390] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3762), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62410] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_EQ,
    STATE(1779), 1,
      sym_text_interpolation,
    ACTIONS(3766), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62428] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62448] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1600), 1,
      sym_formal_parameters,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_reference_modifier,
  [62470] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(2548), 1,
      sym_declare_directive,
    ACTIONS(3728), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [62488] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(2326), 1,
      sym_arguments,
    ACTIONS(3367), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62508] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(3774), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [62524] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1785), 1,
      sym_text_interpolation,
    ACTIONS(3776), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62540] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3020), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3030), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3778), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(2535), 1,
      sym_static_modifier,
  [62562] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1787), 1,
      sym_text_interpolation,
    ACTIONS(3780), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [62578] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1663), 1,
      sym_declaration_list,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      sym_class_interface_clause,
  [62600] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(2295), 1,
      sym__return_type,
  [62622] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_SEMI,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(3786), 1,
      sym__automatic_semicolon,
    STATE(1368), 1,
      sym_compound_statement,
    STATE(1790), 1,
      sym_text_interpolation,
  [62644] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(1791), 1,
      sym_text_interpolation,
    STATE(2182), 1,
      sym_class_interface_clause,
  [62666] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(1821), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62686] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    ACTIONS(3792), 1,
      anon_sym_RPAREN,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(1900), 1,
      aux_sym__list_destructing_repeat1,
  [62708] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(3794), 1,
      anon_sym_SEMI,
    ACTIONS(3796), 1,
      sym__automatic_semicolon,
    STATE(1377), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_text_interpolation,
  [62730] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_PIPE,
    ACTIONS(3798), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1795), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [62748] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(3371), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62764] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1797), 1,
      sym_text_interpolation,
    ACTIONS(3600), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [62780] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3736), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62796] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(2183), 1,
      sym_class_interface_clause,
  [62818] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1587), 1,
      sym_formal_parameters,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym_reference_modifier,
  [62840] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(2184), 1,
      sym__return_type,
  [62862] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_compound_statement,
    STATE(1802), 1,
      sym_text_interpolation,
    STATE(2187), 1,
      sym__return_type,
  [62884] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_declaration_list,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(2189), 1,
      sym_class_interface_clause,
  [62906] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3803), 1,
      sym_integer,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      sym_string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
  [62926] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      sym_text_interpolation,
    STATE(1812), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62946] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62966] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_declaration_list,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_class_interface_clause,
  [62988] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_declaration_list,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2385), 1,
      sym_class_interface_clause,
  [63010] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3811), 1,
      anon_sym_COMMA,
    ACTIONS(3809), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1809), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat2,
  [63028] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2299), 1,
      sym_reference_modifier,
  [63050] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1755), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1811), 1,
      sym_text_interpolation,
    ACTIONS(3814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63070] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1812), 1,
      sym_text_interpolation,
    ACTIONS(3816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63090] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(3818), 1,
      anon_sym_SEMI,
    ACTIONS(3820), 1,
      sym__automatic_semicolon,
    STATE(1367), 1,
      sym_compound_statement,
    STATE(1813), 1,
      sym_text_interpolation,
  [63112] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(1849), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3822), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63132] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(1945), 1,
      sym_formal_parameters,
    STATE(2333), 1,
      sym_reference_modifier,
  [63154] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2008), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_reference_modifier,
  [63176] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_PIPE,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3824), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [63196] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1702), 1,
      sym_declaration_list,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym_class_interface_clause,
  [63218] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2361), 1,
      sym__return_type,
  [63240] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_COMMA,
    ACTIONS(3828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1820), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [63258] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1809), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1821), 1,
      sym_text_interpolation,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63278] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1822), 1,
      sym_text_interpolation,
    ACTIONS(3835), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63298] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(2071), 1,
      sym_enum_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [63320] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2022), 1,
      sym_enum_declaration_list,
    STATE(2316), 1,
      sym_class_interface_clause,
  [63342] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1825), 1,
      sym_text_interpolation,
    ACTIONS(3377), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [63358] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(948), 1,
      sym_compound_statement,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2321), 1,
      sym__return_type,
  [63380] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3837), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63400] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63420] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63440] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_compound_statement,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(2325), 1,
      sym__return_type,
  [63462] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(1882), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63482] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1711), 1,
      sym_declaration_list,
    STATE(1832), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym_class_interface_clause,
  [63504] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(933), 1,
      sym_compound_statement,
    STATE(1833), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      sym__return_type,
  [63526] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1834), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [63544] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      sym_text_interpolation,
    STATE(1889), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3850), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63564] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    STATE(1820), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1836), 1,
      sym_text_interpolation,
    ACTIONS(3852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63584] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2565), 1,
      sym_declare_directive,
    ACTIONS(3728), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63602] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3256), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2111), 1,
      sym_declaration_list,
    STATE(2278), 1,
      sym_base_clause,
  [63624] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63644] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1840), 1,
      sym_text_interpolation,
    ACTIONS(3856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63664] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_formal_parameters,
    STATE(1841), 1,
      sym_text_interpolation,
    STATE(2202), 1,
      sym_reference_modifier,
  [63686] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(1906), 1,
      sym_formal_parameters,
    STATE(2257), 1,
      sym_reference_modifier,
  [63708] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63728] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3860), 1,
      sym_heredoc_end,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2621), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [63748] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      sym_class_interface_clause,
  [63770] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(940), 1,
      sym_compound_statement,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym__return_type,
  [63792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym__eof,
    STATE(1847), 1,
      sym_text_interpolation,
    ACTIONS(3862), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [63810] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1848), 1,
      sym_text_interpolation,
    ACTIONS(3866), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [63826] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_COMMA,
    ACTIONS(3377), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1849), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [63844] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63864] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3873), 1,
      sym_integer,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      sym_string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
  [63884] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3875), 1,
      sym_heredoc_end,
    STATE(1852), 1,
      sym_text_interpolation,
    STATE(2469), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [63904] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(1883), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63924] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1854), 1,
      sym_text_interpolation,
    ACTIONS(3856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63944] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3879), 1,
      sym_heredoc_end,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2468), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [63964] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_PIPE,
    STATE(1795), 1,
      aux_sym_type_list_repeat1,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3881), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [63984] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1119), 1,
      sym_compound_statement,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2186), 1,
      sym__return_type,
  [64006] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1858), 1,
      sym_text_interpolation,
    ACTIONS(3776), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64022] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_AMP,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3462), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64042] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3886), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64058] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2340), 1,
      sym_class_interface_clause,
  [64080] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym_class_interface_clause,
  [64102] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_formal_parameters,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_reference_modifier,
  [64124] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1133), 1,
      sym_declaration_list,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2298), 1,
      sym_class_interface_clause,
  [64146] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_AMP,
    ACTIONS(3600), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1865), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [64164] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1107), 1,
      sym_compound_statement,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym__return_type,
  [64186] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(938), 1,
      sym_compound_statement,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym__return_type,
  [64208] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_AMP,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2026), 2,
      sym_variable_name,
      sym_variable_reference,
  [64228] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym_heredoc_end,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2620), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [64248] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_COMMA,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1870), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [64266] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1741), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2357), 1,
      sym_class_interface_clause,
  [64288] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(1050), 1,
      sym_compound_statement,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym__return_type,
  [64310] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(909), 1,
      sym_compound_statement,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym__return_type,
  [64332] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3449), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [64348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64368] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1059), 1,
      sym_declaration_list,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2206), 1,
      sym_class_interface_clause,
  [64390] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1877), 1,
      sym_text_interpolation,
    ACTIONS(3866), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64406] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    STATE(1820), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1878), 1,
      sym_text_interpolation,
    ACTIONS(3898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64426] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1879), 1,
      sym_text_interpolation,
    ACTIONS(3900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64446] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1880), 1,
      sym_text_interpolation,
    ACTIONS(3902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64466] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(1887), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64486] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1882), 1,
      sym_text_interpolation,
    ACTIONS(3902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64506] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3906), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1884), 1,
      sym_text_interpolation,
    ACTIONS(3908), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
    ACTIONS(3910), 2,
      sym_heredoc_end,
      sym_nowdoc_string,
  [64544] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3912), 1,
      sym_heredoc_end,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2438), 1,
      sym__new_line,
    ACTIONS(3758), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [64564] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_AMP,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_formal_parameters,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2309), 1,
      sym_reference_modifier,
  [64586] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3914), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64606] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    STATE(958), 1,
      sym_compound_statement,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym__return_type,
  [64628] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64648] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(1709), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [64664] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1891), 1,
      sym_text_interpolation,
    ACTIONS(3906), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64684] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1671), 1,
      sym_declaration_list,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2324), 1,
      sym_class_interface_clause,
  [64706] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COMMA,
    ACTIONS(3916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1893), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [64724] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1645), 1,
      sym_declaration_list,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(2382), 1,
      sym_class_interface_clause,
  [64746] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_declaration_list,
    STATE(1895), 1,
      sym_text_interpolation,
    STATE(2399), 1,
      sym_class_interface_clause,
  [64768] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    ACTIONS(3921), 1,
      anon_sym_SEMI,
    ACTIONS(3923), 1,
      sym__automatic_semicolon,
    STATE(1376), 1,
      sym_compound_statement,
    STATE(1896), 1,
      sym_text_interpolation,
  [64790] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      aux_sym_base_clause_repeat1,
    STATE(1897), 1,
      sym_text_interpolation,
    ACTIONS(3411), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [64810] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3258), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym_class_interface_clause,
  [64832] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3864), 1,
      ts_builtin_sym_end,
    STATE(1899), 1,
      sym_text_interpolation,
    ACTIONS(3862), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [64850] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_RPAREN,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(1992), 1,
      aux_sym__list_destructing_repeat1,
  [64869] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1901), 1,
      sym_text_interpolation,
    ACTIONS(3798), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [64884] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(1778), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [64901] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_SQUOTE,
    ACTIONS(3929), 1,
      anon_sym_DQUOTE,
    ACTIONS(3931), 1,
      sym_heredoc_start,
    STATE(1903), 1,
      sym_text_interpolation,
  [64920] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3933), 1,
      aux_sym_class_declaration_token1,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2541), 1,
      sym_readonly_modifier,
  [64939] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_BSLASH,
    ACTIONS(3935), 1,
      sym_name,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_namespace_name,
  [64958] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(3937), 1,
      anon_sym_EQ_GT,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2501), 1,
      sym__return_type,
  [64977] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_COMMA,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(1943), 1,
      aux_sym_array_creation_expression_repeat1,
  [64996] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COMMA,
    ACTIONS(3946), 1,
      anon_sym_RPAREN,
    STATE(1908), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [65013] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(1997), 1,
      aux_sym_array_creation_expression_repeat1,
  [65032] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LBRACE,
    ACTIONS(3952), 1,
      anon_sym_COLON,
    STATE(564), 1,
      sym_switch_block,
    STATE(1910), 1,
      sym_text_interpolation,
  [65051] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3050), 1,
      anon_sym_RBRACK,
    ACTIONS(3954), 1,
      anon_sym_COMMA,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(1998), 1,
      aux_sym_attribute_group_repeat1,
  [65070] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    STATE(1912), 1,
      sym_text_interpolation,
    ACTIONS(3956), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [65087] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    ACTIONS(3960), 1,
      anon_sym_RBRACK,
    STATE(1913), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym__array_destructing_repeat1,
  [65106] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_COMMA,
    ACTIONS(3964), 1,
      anon_sym_RBRACK,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(1940), 1,
      aux_sym_array_creation_expression_repeat1,
  [65125] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3966), 1,
      aux_sym_class_declaration_token1,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(2569), 1,
      sym_readonly_modifier,
  [65144] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    ACTIONS(3960), 1,
      anon_sym_RBRACK,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      aux_sym__array_destructing_repeat1,
  [65163] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_COMMA,
    ACTIONS(3970), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(1967), 1,
      aux_sym_arguments_repeat1,
  [65182] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_COMMA,
    ACTIONS(3974), 1,
      anon_sym_RPAREN,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      aux_sym_formal_parameters_repeat1,
  [65201] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    ACTIONS(3978), 1,
      anon_sym_RBRACK,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(1942), 1,
      aux_sym_attribute_group_repeat1,
  [65220] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3980), 1,
      aux_sym_class_declaration_token1,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2559), 1,
      sym_readonly_modifier,
  [65239] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3028), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3982), 1,
      aux_sym_class_declaration_token1,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym_readonly_modifier,
  [65258] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(1779), 1,
      sym_variable_name,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      sym_static_variable_declaration,
  [65277] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(1948), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [65294] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1924), 1,
      sym_text_interpolation,
    ACTIONS(3984), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65309] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 1,
      anon_sym_RBRACK,
    STATE(1911), 1,
      aux_sym_attribute_group_repeat1,
    STATE(1925), 1,
      sym_text_interpolation,
  [65328] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    ACTIONS(3992), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1926), 1,
      sym_text_interpolation,
  [65347] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_LBRACE,
    ACTIONS(3996), 1,
      anon_sym_COLON,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2101), 1,
      sym_switch_block,
  [65366] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3998), 1,
      sym_name,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_namespace_use_group,
  [65385] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4002), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(1954), 1,
      sym_variable_name,
  [65404] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_COMMA,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(1956), 1,
      aux_sym_formal_parameters_repeat1,
  [65423] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_EQ,
    STATE(1931), 1,
      sym_text_interpolation,
    ACTIONS(4008), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65440] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym__return_type,
  [65459] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4012), 1,
      anon_sym_EQ_GT,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(2431), 1,
      sym__return_type,
  [65478] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2018), 1,
      aux_sym_formal_parameters_repeat1,
  [65497] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_COMMA,
    ACTIONS(4018), 1,
      anon_sym_RPAREN,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(1978), 1,
      aux_sym_array_creation_expression_repeat1,
  [65516] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1936), 1,
      sym_text_interpolation,
    ACTIONS(4020), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [65531] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(1988), 1,
      aux_sym__list_destructing_repeat1,
  [65550] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(1992), 1,
      aux_sym__list_destructing_repeat1,
  [65569] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RBRACK,
    STATE(1939), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      aux_sym__array_destructing_repeat1,
  [65588] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(809), 1,
      anon_sym_RBRACK,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(1997), 1,
      aux_sym_array_creation_expression_repeat1,
  [65607] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    ACTIONS(4029), 1,
      anon_sym_RBRACK,
    STATE(1941), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [65624] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_RBRACK,
    ACTIONS(4031), 1,
      anon_sym_COMMA,
    STATE(1942), 1,
      sym_text_interpolation,
    STATE(1998), 1,
      aux_sym_attribute_group_repeat1,
  [65643] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(813), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1943), 1,
      sym_text_interpolation,
  [65662] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_COMMA,
    ACTIONS(4037), 1,
      anon_sym_RPAREN,
    STATE(1944), 1,
      sym_text_interpolation,
    STATE(2003), 1,
      aux_sym_arguments_repeat1,
  [65681] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4039), 1,
      anon_sym_EQ_GT,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym__return_type,
  [65700] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4041), 1,
      anon_sym_EQ_GT,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      sym__return_type,
  [65719] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1947), 1,
      sym_text_interpolation,
    ACTIONS(3828), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65734] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(3893), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65749] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3998), 1,
      sym_name,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_namespace_use_group,
  [65768] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    ACTIONS(4043), 1,
      sym_name,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_namespace_use_group,
  [65787] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    ACTIONS(4047), 1,
      anon_sym_RBRACE,
    STATE(1951), 1,
      sym_text_interpolation,
    STATE(1995), 1,
      aux_sym_match_block_repeat1,
  [65806] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(4049), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65821] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(3845), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    STATE(1954), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65853] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_EQ,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(4055), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65870] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    ACTIONS(4059), 1,
      anon_sym_COMMA,
    STATE(1956), 1,
      sym_text_interpolation,
    STATE(2018), 1,
      aux_sym_formal_parameters_repeat1,
  [65889] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1957), 1,
      sym_text_interpolation,
    STATE(2019), 1,
      sym_variable_name,
  [65908] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_EQ,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(4063), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65925] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4067), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2048), 1,
      sym_variable_name,
  [65944] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65961] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65978] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_EQ,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(4069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65995] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(3468), 1,
      anon_sym_LBRACE,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2462), 1,
      sym__return_type,
  [66014] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66031] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66048] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66065] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(761), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
  [66084] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66101] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(3916), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [66116] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66133] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66150] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66167] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66201] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66218] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    ACTIONS(3681), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      sym_text_interpolation,
    STATE(2029), 1,
      aux_sym_base_clause_repeat1,
  [66237] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66254] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1978), 1,
      sym_text_interpolation,
  [66273] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66290] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(4077), 1,
      anon_sym_RPAREN,
    STATE(1980), 1,
      sym_text_interpolation,
    STATE(2030), 1,
      aux_sym_unset_statement_repeat1,
  [66309] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66326] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4081), 1,
      aux_sym_else_clause_token1,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(4079), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [66343] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66360] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    ACTIONS(4085), 1,
      anon_sym_RBRACE,
    STATE(1984), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      aux_sym_match_block_repeat1,
  [66379] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(4087), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66396] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66413] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(4089), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [66428] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      sym_text_interpolation,
    STATE(1992), 1,
      aux_sym__list_destructing_repeat1,
  [66447] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66464] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(4093), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [66479] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66496] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    ACTIONS(4095), 1,
      anon_sym_COMMA,
    STATE(1992), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [66513] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(4098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [66530] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66547] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    STATE(1995), 1,
      sym_text_interpolation,
    STATE(2136), 1,
      aux_sym_match_block_repeat1,
  [66566] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(3946), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [66581] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_RBRACK,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    STATE(1997), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [66598] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    ACTIONS(4108), 1,
      anon_sym_RBRACK,
    STATE(1998), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [66615] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66632] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66649] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66666] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66683] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_COMMA,
    STATE(2003), 1,
      sym_text_interpolation,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
  [66702] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66719] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4112), 1,
      anon_sym_EQ_GT,
    STATE(2005), 1,
      sym_text_interpolation,
    STATE(2523), 1,
      sym__return_type,
  [66738] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4114), 1,
      anon_sym_EQ_GT,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2534), 1,
      sym__return_type,
  [66757] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66774] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4116), 1,
      anon_sym_EQ_GT,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2540), 1,
      sym__return_type,
  [66793] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66810] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    ACTIONS(4043), 1,
      sym_name,
    STATE(2010), 1,
      sym_text_interpolation,
    STATE(2255), 1,
      sym_namespace_use_group,
  [66829] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66846] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(4120), 1,
      anon_sym_RBRACE,
    STATE(2012), 1,
      sym_text_interpolation,
    STATE(2082), 1,
      aux_sym_namespace_use_group_repeat1,
  [66865] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66882] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_EQ,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(4122), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66916] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_EQ,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(4126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66933] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_COMMA,
    ACTIONS(4133), 1,
      anon_sym_RPAREN,
    STATE(2018), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [66967] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_EQ,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(4135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66984] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(4139), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67001] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4143), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2021), 1,
      sym_text_interpolation,
    STATE(2096), 1,
      sym_variable_name,
  [67020] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67037] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_EQ,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(4145), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67071] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67088] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    ACTIONS(4151), 1,
      anon_sym_RPAREN,
    STATE(2026), 1,
      sym_text_interpolation,
    STATE(2100), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [67107] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(1715), 1,
      sym_variable_name,
    STATE(1822), 1,
      sym_property_element,
    STATE(2027), 1,
      sym_text_interpolation,
  [67126] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_EQ,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(4153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67143] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3409), 1,
      anon_sym_COMMA,
    ACTIONS(4157), 1,
      anon_sym_LBRACE,
    STATE(1849), 1,
      aux_sym_base_clause_repeat1,
    STATE(2029), 1,
      sym_text_interpolation,
  [67162] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_RPAREN,
    ACTIONS(4159), 1,
      anon_sym_COMMA,
    STATE(2030), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [67179] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67196] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4162), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      sym_text_interpolation,
    STATE(2597), 1,
      sym_variable_name,
  [67215] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    ACTIONS(4164), 1,
      anon_sym_RPAREN,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2478), 1,
      sym_variable_name,
  [67234] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    ACTIONS(4043), 1,
      sym_name,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2351), 1,
      sym_namespace_use_group,
  [67253] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2136), 1,
      aux_sym_match_block_repeat1,
  [67272] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67289] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    ACTIONS(4168), 1,
      anon_sym_EQ_GT,
    STATE(2037), 1,
      sym_text_interpolation,
    STATE(2137), 1,
      aux_sym_match_condition_list_repeat1,
  [67308] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(4170), 1,
      anon_sym_RPAREN,
    STATE(2030), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2038), 1,
      sym_text_interpolation,
  [67327] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_RPAREN,
    STATE(2039), 1,
      sym_text_interpolation,
    STATE(2147), 1,
      aux_sym__list_destructing_repeat1,
  [67346] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    ACTIONS(4043), 1,
      sym_name,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_namespace_use_group,
  [67365] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67382] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3998), 1,
      sym_name,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_namespace_use_group,
  [67401] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
    STATE(2043), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      aux_sym__list_destructing_repeat1,
  [67420] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(4174), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67435] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67452] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(4176), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3458), 1,
      sym_nowdoc_string,
    ACTIONS(4178), 1,
      anon_sym_,
    STATE(1656), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2047), 1,
      sym_text_interpolation,
  [67486] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_EQ,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67503] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    ACTIONS(4187), 1,
      anon_sym_RPAREN,
    STATE(2049), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [67520] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67537] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67554] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67571] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67588] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67622] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67639] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67656] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67673] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67690] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67707] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67724] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67741] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67758] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67775] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67792] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67809] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67826] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67843] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67860] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67877] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67894] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67911] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3998), 1,
      sym_name,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    STATE(2073), 1,
      sym_text_interpolation,
    STATE(2281), 1,
      sym_namespace_use_group,
  [67930] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(4189), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [67945] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67962] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    STATE(2076), 1,
      sym_text_interpolation,
    STATE(2625), 1,
      sym__return_type,
  [67981] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_SQUOTE,
    ACTIONS(4195), 1,
      anon_sym_DQUOTE,
    ACTIONS(4197), 1,
      sym_heredoc_start,
    STATE(2077), 1,
      sym_text_interpolation,
  [68000] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68017] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68034] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68051] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68068] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
    STATE(2082), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      aux_sym_namespace_use_group_repeat1,
  [68087] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_EQ,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(4201), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68104] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    STATE(1829), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68121] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68138] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68155] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68172] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68189] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68206] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4205), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68221] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(4207), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68236] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_EQ,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(4209), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68253] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68270] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4215), 1,
      anon_sym_EQ,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(4213), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68287] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68304] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4219), 1,
      anon_sym_EQ,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(4217), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68321] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_RPAREN,
    STATE(2097), 1,
      sym_text_interpolation,
    STATE(2106), 1,
      aux_sym_arguments_repeat1,
  [68340] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68357] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68374] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_RPAREN,
    ACTIONS(4225), 1,
      anon_sym_COMMA,
    STATE(2100), 1,
      sym_text_interpolation,
    STATE(2155), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [68393] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68410] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68427] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68444] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(1715), 1,
      sym_variable_name,
    STATE(1811), 1,
      sym_property_element,
    STATE(2104), 1,
      sym_text_interpolation,
  [68463] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68480] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2106), 1,
      sym_text_interpolation,
  [68499] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68516] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68533] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68550] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68567] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68584] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_DOLLAR,
    STATE(1715), 1,
      sym_variable_name,
    STATE(2112), 1,
      sym_text_interpolation,
    STATE(2156), 1,
      sym_property_element,
  [68603] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68620] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68637] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(3490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68652] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68669] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68686] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68703] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2119), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68720] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2120), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68737] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2121), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68754] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68771] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(4229), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68786] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68803] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(3377), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68818] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68835] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68852] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_EQ,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(4231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68869] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68886] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2130), 1,
      sym_text_interpolation,
  [68905] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68922] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(2725), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [68937] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68954] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    ACTIONS(4239), 1,
      anon_sym_RPAREN,
    STATE(2130), 1,
      aux_sym_arguments_repeat1,
    STATE(2134), 1,
      sym_text_interpolation,
  [68973] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4243), 1,
      aux_sym_else_clause_token1,
    STATE(2135), 1,
      sym_text_interpolation,
    ACTIONS(4241), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [68990] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4245), 1,
      anon_sym_COMMA,
    ACTIONS(4248), 1,
      anon_sym_RBRACE,
    STATE(2136), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [69007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_EQ_GT,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(2137), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [69024] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(2138), 1,
      sym_text_interpolation,
    STATE(2144), 1,
      aux_sym_arguments_repeat1,
  [69043] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2139), 1,
      sym_text_interpolation,
  [69062] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    ACTIONS(4261), 1,
      anon_sym_RPAREN,
    STATE(2139), 1,
      aux_sym_arguments_repeat1,
    STATE(2140), 1,
      sym_text_interpolation,
  [69081] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4263), 1,
      sym_name,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(4265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69098] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(4267), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69113] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    STATE(1992), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2143), 1,
      sym_text_interpolation,
  [69132] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(771), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2144), 1,
      sym_text_interpolation,
  [69151] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2145), 1,
      sym_text_interpolation,
    ACTIONS(4273), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69166] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(4275), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69181] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(827), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_RPAREN,
    STATE(1992), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2147), 1,
      sym_text_interpolation,
  [69200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3456), 1,
      sym_heredoc_end,
    STATE(2148), 1,
      sym_text_interpolation,
    ACTIONS(3454), 2,
      aux_sym__new_line_token1,
      aux_sym__new_line_token2,
  [69217] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(767), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2149), 1,
      sym_text_interpolation,
  [69236] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_COMMA,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
    STATE(2149), 1,
      aux_sym_arguments_repeat1,
    STATE(2150), 1,
      sym_text_interpolation,
  [69255] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym_RBRACE,
    STATE(2151), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [69272] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(4290), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69287] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(4292), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69304] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(757), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_arguments_repeat1,
    STATE(2154), 1,
      sym_text_interpolation,
  [69323] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    STATE(2155), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69340] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(3809), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69355] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_COMMA,
    ACTIONS(4305), 1,
      anon_sym_RPAREN,
    STATE(2154), 1,
      aux_sym_arguments_repeat1,
    STATE(2157), 1,
      sym_text_interpolation,
  [69374] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(2515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69388] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(4307), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69402] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
    STATE(2160), 1,
      sym_text_interpolation,
  [69418] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(527), 1,
      ts_builtin_sym_end,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4311), 1,
      sym_php_tag,
    STATE(2161), 1,
      sym_text_interpolation,
  [69434] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    ACTIONS(4313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69448] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(4315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69462] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(4317), 2,
      sym__eof,
      sym_php_tag,
  [69476] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      sym_declaration_list,
    STATE(2165), 1,
      sym_text_interpolation,
  [69492] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4319), 1,
      sym_name,
    STATE(2166), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_namespace_name,
  [69508] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(4322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69522] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2168), 1,
      sym_text_interpolation,
  [69538] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(4301), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69552] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4319), 1,
      sym_name,
    STATE(2170), 1,
      sym_text_interpolation,
    STATE(2570), 1,
      sym_namespace_name,
  [69568] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(4326), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [69582] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2172), 1,
      sym_text_interpolation,
    ACTIONS(4328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69596] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1735), 1,
      sym_compound_statement,
    STATE(2173), 1,
      sym_text_interpolation,
  [69612] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    STATE(677), 1,
      sym_arguments,
    STATE(2174), 1,
      sym_text_interpolation,
  [69628] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(4248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69642] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(4330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69656] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(4288), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69670] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4319), 1,
      sym_name,
    STATE(2178), 1,
      sym_text_interpolation,
    STATE(2564), 1,
      sym_namespace_name,
  [69686] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69700] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    STATE(2180), 1,
      sym_text_interpolation,
  [69716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(2181), 1,
      sym_text_interpolation,
  [69732] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(2182), 1,
      sym_text_interpolation,
  [69748] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_enum_declaration_list,
    STATE(2183), 1,
      sym_text_interpolation,
  [69764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_compound_statement,
    STATE(2184), 1,
      sym_text_interpolation,
  [69780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    STATE(2185), 1,
      sym_text_interpolation,
  [69796] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1049), 1,
      sym_compound_statement,
    STATE(2186), 1,
      sym_text_interpolation,
  [69812] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_compound_statement,
    STATE(2187), 1,
      sym_text_interpolation,
  [69828] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_compound_statement,
    STATE(2188), 1,
      sym_text_interpolation,
  [69844] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(2189), 1,
      sym_text_interpolation,
  [69860] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(2190), 1,
      sym_text_interpolation,
  [69876] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69890] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    STATE(2192), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      sym_parenthesized_expression,
  [69906] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    STATE(1910), 1,
      sym_parenthesized_expression,
    STATE(2193), 1,
      sym_text_interpolation,
  [69922] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_arguments,
    STATE(2194), 1,
      sym_text_interpolation,
  [69938] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(4338), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [69952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_arguments,
    STATE(2196), 1,
      sym_text_interpolation,
  [69968] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 1,
      sym_string_value,
    STATE(2197), 1,
      sym_text_interpolation,
  [69984] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_declaration_list,
    STATE(2198), 1,
      sym_text_interpolation,
  [70000] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(4344), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70014] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(4346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70028] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(3252), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70042] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_formal_parameters,
    STATE(2202), 1,
      sym_text_interpolation,
  [70058] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2203), 1,
      sym_text_interpolation,
    ACTIONS(4265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70072] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2204), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70086] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(4350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70100] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_declaration_list,
    STATE(2206), 1,
      sym_text_interpolation,
  [70116] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(469), 1,
      sym_compound_statement,
    STATE(2208), 1,
      sym_text_interpolation,
  [70146] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(2209), 1,
      sym_text_interpolation,
  [70162] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_SEMI,
    ACTIONS(4356), 1,
      sym__automatic_semicolon,
    STATE(2210), 1,
      sym_text_interpolation,
  [70178] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2211), 1,
      sym_text_interpolation,
    ACTIONS(3790), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70192] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(4358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70206] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4360), 1,
      sym_name,
    STATE(2213), 1,
      sym_text_interpolation,
    STATE(2530), 1,
      sym_namespace_name,
  [70222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4319), 1,
      sym_name,
    STATE(2214), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym_namespace_name,
  [70238] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_compound_statement,
    STATE(2215), 1,
      sym_text_interpolation,
  [70254] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1932), 1,
      sym_formal_parameters,
    STATE(2216), 1,
      sym_text_interpolation,
  [70270] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(4363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70284] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(4365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70298] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(4367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70312] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_BSLASH,
    STATE(2220), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      aux_sym_namespace_name_repeat1,
  [70328] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(2433), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [70342] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(2222), 1,
      sym_text_interpolation,
  [70358] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70372] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LPAREN,
    STATE(803), 1,
      sym_arguments,
    STATE(2224), 1,
      sym_text_interpolation,
  [70388] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1680), 1,
      sym_compound_statement,
    STATE(2225), 1,
      sym_text_interpolation,
  [70404] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(2226), 1,
      sym_text_interpolation,
  [70420] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(4373), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [70434] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(4375), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70448] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4377), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70462] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2172), 1,
      sym_variable_name,
    STATE(2230), 1,
      sym_text_interpolation,
  [70478] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2231), 1,
      sym_text_interpolation,
  [70494] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70508] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(2433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70522] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(4381), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70536] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2153), 1,
      sym_variable_name,
    STATE(2235), 1,
      sym_text_interpolation,
  [70552] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(4383), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70566] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4049), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70580] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(4385), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70594] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(2086), 1,
      sym_enum_declaration_list,
    STATE(2239), 1,
      sym_text_interpolation,
  [70610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_match_block,
    STATE(2240), 1,
      sym_text_interpolation,
  [70626] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_parenthesized_expression,
    STATE(2241), 1,
      sym_text_interpolation,
  [70642] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(957), 1,
      sym_compound_statement,
    STATE(2242), 1,
      sym_text_interpolation,
  [70658] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2243), 1,
      sym_text_interpolation,
    ACTIONS(4389), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70672] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2244), 1,
      sym_text_interpolation,
    ACTIONS(2453), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [70686] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    STATE(1662), 1,
      sym_formal_parameters,
    STATE(2245), 1,
      sym_text_interpolation,
  [70702] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(4394), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1683), 1,
      sym_compound_statement,
    STATE(2247), 1,
      sym_text_interpolation,
  [70732] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4396), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2248), 1,
      sym_text_interpolation,
  [70748] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
    STATE(2249), 1,
      sym_text_interpolation,
  [70764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    STATE(2250), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      sym_parenthesized_expression,
  [70780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    STATE(1927), 1,
      sym_parenthesized_expression,
    STATE(2251), 1,
      sym_text_interpolation,
  [70796] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(3738), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70810] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
    STATE(2253), 1,
      sym_text_interpolation,
  [70826] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_BSLASH,
    STATE(1733), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2254), 1,
      sym_text_interpolation,
  [70842] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(4401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70856] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1089), 1,
      sym_compound_statement,
    STATE(2256), 1,
      sym_text_interpolation,
  [70872] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1933), 1,
      sym_formal_parameters,
    STATE(2257), 1,
      sym_text_interpolation,
  [70888] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2059), 1,
      sym_compound_statement,
    STATE(2258), 1,
      sym_text_interpolation,
  [70904] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(2259), 1,
      sym_text_interpolation,
  [70920] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(504), 1,
      sym_compound_statement,
    STATE(2260), 1,
      sym_text_interpolation,
  [70936] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(2261), 1,
      sym_text_interpolation,
  [70952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1577), 1,
      sym_formal_parameters,
    STATE(2262), 1,
      sym_text_interpolation,
  [70968] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(2263), 1,
      sym_text_interpolation,
  [70984] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_compound_statement,
    STATE(2264), 1,
      sym_text_interpolation,
  [71000] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_compound_statement,
    STATE(2265), 1,
      sym_text_interpolation,
  [71016] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2745), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4403), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2266), 1,
      sym_text_interpolation,
  [71032] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_LPAREN,
    STATE(618), 1,
      sym_arguments,
    STATE(2267), 1,
      sym_text_interpolation,
  [71048] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_match_block,
    STATE(2268), 1,
      sym_text_interpolation,
  [71064] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2269), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_variable_name,
  [71080] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(4407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71094] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_declaration_list,
    STATE(2271), 1,
      sym_text_interpolation,
  [71110] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    STATE(2272), 1,
      sym_text_interpolation,
  [71126] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(965), 1,
      sym_compound_statement,
    STATE(2273), 1,
      sym_text_interpolation,
  [71142] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(4187), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71156] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(4409), 2,
      anon_sym_string,
      anon_sym_int,
  [71170] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym_parenthesized_expression,
    STATE(2276), 1,
      sym_text_interpolation,
  [71186] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2277), 1,
      sym_text_interpolation,
    ACTIONS(4411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71200] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(2088), 1,
      sym_declaration_list,
    STATE(2278), 1,
      sym_text_interpolation,
  [71216] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(4413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71230] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(4415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71244] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(3858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71258] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_LPAREN,
    STATE(2282), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_parenthesized_expression,
  [71274] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1963), 1,
      sym_formal_parameters,
    STATE(2283), 1,
      sym_text_interpolation,
  [71290] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(3236), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71304] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_compound_statement,
    STATE(2285), 1,
      sym_text_interpolation,
  [71320] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71334] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
    STATE(2287), 1,
      sym_text_interpolation,
  [71350] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(4419), 2,
      anon_sym_string,
      anon_sym_int,
  [71364] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_enum_declaration_list,
    STATE(2289), 1,
      sym_text_interpolation,
  [71380] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2290), 1,
      sym_text_interpolation,
    ACTIONS(4421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71394] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(4423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71408] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71422] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(2293), 1,
      sym_text_interpolation,
  [71438] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1652), 1,
      sym_declaration_list,
    STATE(2294), 1,
      sym_text_interpolation,
  [71454] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(961), 1,
      sym_compound_statement,
    STATE(2295), 1,
      sym_text_interpolation,
  [71470] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1059), 1,
      sym_declaration_list,
    STATE(2297), 1,
      sym_text_interpolation,
  [71500] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1058), 1,
      sym_declaration_list,
    STATE(2298), 1,
      sym_text_interpolation,
  [71516] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1644), 1,
      sym_formal_parameters,
    STATE(2299), 1,
      sym_text_interpolation,
  [71532] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1659), 1,
      sym_compound_statement,
    STATE(2300), 1,
      sym_text_interpolation,
  [71548] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2301), 1,
      sym_text_interpolation,
    ACTIONS(4425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71562] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(4427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1663), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_text_interpolation,
  [71592] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(968), 1,
      sym_compound_statement,
    STATE(2304), 1,
      sym_text_interpolation,
  [71608] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1637), 1,
      sym_formal_parameters,
    STATE(2305), 1,
      sym_text_interpolation,
  [71624] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_SEMI,
    ACTIONS(4431), 1,
      sym__automatic_semicolon,
    STATE(2306), 1,
      sym_text_interpolation,
  [71640] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2307), 1,
      sym_text_interpolation,
    ACTIONS(4433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71654] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(2113), 1,
      sym_declaration_list,
    STATE(2308), 1,
      sym_text_interpolation,
  [71670] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      sym_formal_parameters,
    STATE(2309), 1,
      sym_text_interpolation,
  [71686] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(4435), 2,
      anon_sym_string,
      anon_sym_int,
  [71700] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_compound_statement,
    STATE(2311), 1,
      sym_text_interpolation,
  [71716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_text_interpolation,
  [71732] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(439), 1,
      anon_sym_COLON,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2135), 1,
      sym_colon_block,
    STATE(2313), 1,
      sym_text_interpolation,
  [71748] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2314), 1,
      sym_text_interpolation,
  [71764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_LPAREN,
    STATE(2315), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_parenthesized_expression,
  [71780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_enum_declaration_list,
    STATE(2316), 1,
      sym_text_interpolation,
  [71796] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4319), 1,
      sym_name,
    STATE(2317), 1,
      sym_text_interpolation,
    STATE(2449), 1,
      sym_namespace_name,
  [71812] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(932), 1,
      sym_compound_statement,
    STATE(2318), 1,
      sym_text_interpolation,
  [71828] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_LPAREN,
    STATE(1720), 1,
      sym_formal_parameters,
    STATE(2319), 1,
      sym_text_interpolation,
  [71844] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(970), 1,
      sym_compound_statement,
    STATE(2321), 1,
      sym_text_interpolation,
  [71874] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2322), 1,
      sym_text_interpolation,
  [71890] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2323), 1,
      sym_text_interpolation,
    ACTIONS(1649), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71904] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1727), 1,
      sym_declaration_list,
    STATE(2324), 1,
      sym_text_interpolation,
  [71920] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(969), 1,
      sym_compound_statement,
    STATE(2325), 1,
      sym_text_interpolation,
  [71936] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2326), 1,
      sym_text_interpolation,
    ACTIONS(4437), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71950] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2327), 1,
      sym_text_interpolation,
    ACTIONS(4439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71964] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(916), 1,
      sym_compound_statement,
    STATE(2328), 1,
      sym_text_interpolation,
  [71980] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2329), 1,
      sym_text_interpolation,
    ACTIONS(4441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71994] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_enum_declaration_list,
    STATE(2330), 1,
      sym_text_interpolation,
  [72010] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2331), 1,
      sym_text_interpolation,
    ACTIONS(2485), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72024] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_declaration_list,
    STATE(2332), 1,
      sym_text_interpolation,
  [72040] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(2005), 1,
      sym_formal_parameters,
    STATE(2333), 1,
      sym_text_interpolation,
  [72056] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(4443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72070] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(2006), 1,
      sym_formal_parameters,
    STATE(2335), 1,
      sym_text_interpolation,
  [72086] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2336), 1,
      sym_text_interpolation,
    ACTIONS(4445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72100] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2228), 1,
      sym_variable_name,
    STATE(2337), 1,
      sym_text_interpolation,
  [72116] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_compound_statement,
    STATE(2338), 1,
      sym_text_interpolation,
  [72132] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1100), 1,
      sym_compound_statement,
    STATE(2339), 1,
      sym_text_interpolation,
  [72148] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_declaration_list,
    STATE(2340), 1,
      sym_text_interpolation,
  [72164] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_SEMI,
    ACTIONS(4449), 1,
      sym__automatic_semicolon,
    STATE(2341), 1,
      sym_text_interpolation,
  [72180] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2232), 1,
      sym_variable_name,
    STATE(2342), 1,
      sym_text_interpolation,
  [72196] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(1693), 1,
      sym_compound_statement,
    STATE(2343), 1,
      sym_text_interpolation,
  [72212] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2094), 1,
      sym_variable_name,
    STATE(2344), 1,
      sym_text_interpolation,
  [72228] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2345), 1,
      sym_text_interpolation,
    ACTIONS(3399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72242] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2236), 1,
      sym_variable_name,
    STATE(2346), 1,
      sym_text_interpolation,
  [72258] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2347), 1,
      sym_text_interpolation,
    ACTIONS(4451), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72272] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(4453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72286] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2238), 1,
      sym_variable_name,
    STATE(2349), 1,
      sym_text_interpolation,
  [72302] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(4455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72316] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72330] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4133), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72344] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(950), 1,
      sym_compound_statement,
    STATE(2353), 1,
      sym_text_interpolation,
  [72360] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_declaration_list,
    STATE(2354), 1,
      sym_text_interpolation,
  [72376] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2083), 1,
      sym_variable_name,
    STATE(2355), 1,
      sym_text_interpolation,
  [72392] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2356), 1,
      sym_text_interpolation,
    ACTIONS(4459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72406] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1703), 1,
      sym_declaration_list,
    STATE(2357), 1,
      sym_text_interpolation,
  [72422] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4461), 1,
      sym_name,
    STATE(1760), 1,
      sym_namespace_name,
    STATE(2358), 1,
      sym_text_interpolation,
  [72438] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72452] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(949), 1,
      sym_compound_statement,
    STATE(2360), 1,
      sym_text_interpolation,
  [72468] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_compound_statement,
    STATE(2361), 1,
      sym_text_interpolation,
  [72484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1088), 1,
      sym_compound_statement,
    STATE(2362), 1,
      sym_text_interpolation,
  [72500] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(945), 1,
      sym_compound_statement,
    STATE(2363), 1,
      sym_text_interpolation,
  [72516] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(2076), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_text_interpolation,
  [72532] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(2365), 1,
      sym_text_interpolation,
  [72548] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2366), 1,
      sym_text_interpolation,
    ACTIONS(4465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72562] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(943), 1,
      sym_compound_statement,
    STATE(2367), 1,
      sym_text_interpolation,
  [72578] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(2368), 1,
      sym_text_interpolation,
  [72594] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_enum_declaration_list,
    STATE(2369), 1,
      sym_text_interpolation,
  [72610] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2370), 1,
      sym_text_interpolation,
    ACTIONS(4467), 2,
      anon_sym_string,
      anon_sym_int,
  [72624] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_compound_statement,
    STATE(2371), 1,
      sym_text_interpolation,
  [72640] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1580), 1,
      sym_formal_parameters,
    STATE(2372), 1,
      sym_text_interpolation,
  [72656] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_declaration_list,
    STATE(2373), 1,
      sym_text_interpolation,
  [72672] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(2374), 1,
      sym_text_interpolation,
  [72688] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(2375), 1,
      sym_text_interpolation,
  [72704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1711), 1,
      sym_declaration_list,
    STATE(2376), 1,
      sym_text_interpolation,
  [72720] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(2531), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72734] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2122), 1,
      sym_compound_statement,
    STATE(2378), 1,
      sym_text_interpolation,
  [72750] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72764] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(3837), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72778] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2381), 1,
      sym_text_interpolation,
    ACTIONS(4469), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72792] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1712), 1,
      sym_declaration_list,
    STATE(2382), 1,
      sym_text_interpolation,
  [72808] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2383), 1,
      sym_text_interpolation,
    ACTIONS(4108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [72838] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
    STATE(2385), 1,
      sym_text_interpolation,
  [72854] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    ACTIONS(4471), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72868] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2387), 1,
      sym_text_interpolation,
    ACTIONS(4474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72882] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_SEMI,
    ACTIONS(4478), 1,
      sym__automatic_semicolon,
    STATE(2388), 1,
      sym_text_interpolation,
  [72898] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2389), 1,
      sym_text_interpolation,
    ACTIONS(4480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72912] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2390), 1,
      sym_text_interpolation,
    ACTIONS(4482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72926] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_enum_declaration_list,
    STATE(2391), 1,
      sym_text_interpolation,
  [72942] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(1651), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72956] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(947), 1,
      sym_compound_statement,
    STATE(2393), 1,
      sym_text_interpolation,
  [72972] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(2394), 1,
      sym_text_interpolation,
  [72988] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_declaration_list,
    STATE(2395), 1,
      sym_text_interpolation,
  [73004] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2356), 1,
      sym_variable_name,
    STATE(2396), 1,
      sym_text_interpolation,
  [73020] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2397), 1,
      sym_text_interpolation,
    ACTIONS(4484), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [73034] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2398), 1,
      sym_text_interpolation,
    ACTIONS(4486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73048] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_declaration_list,
    STATE(2399), 1,
      sym_text_interpolation,
  [73064] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2016), 1,
      sym_variable_name,
    STATE(2400), 1,
      sym_text_interpolation,
  [73080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_SQUOTE,
    ACTIONS(4490), 1,
      sym_string_value,
    STATE(2401), 1,
      sym_text_interpolation,
  [73096] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
    STATE(2402), 1,
      sym_text_interpolation,
  [73112] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2350), 1,
      sym_variable_name,
    STATE(2403), 1,
      sym_text_interpolation,
  [73128] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(913), 1,
      sym_compound_statement,
    STATE(2404), 1,
      sym_text_interpolation,
  [73144] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(361), 1,
      anon_sym_COLON,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2405), 1,
      sym_text_interpolation,
    STATE(2497), 1,
      sym_colon_block,
  [73160] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LPAREN,
    STATE(2313), 1,
      sym_parenthesized_expression,
    STATE(2406), 1,
      sym_text_interpolation,
  [73176] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2407), 1,
      sym_text_interpolation,
    ACTIONS(521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73190] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(2408), 1,
      sym_text_interpolation,
  [73206] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_declaration_list,
    STATE(2409), 1,
      sym_text_interpolation,
  [73222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
    STATE(2410), 1,
      sym_text_interpolation,
  [73238] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2411), 1,
      sym_text_interpolation,
    ACTIONS(3112), 2,
      sym_nowdoc_string,
      anon_sym_,
  [73252] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DOLLAR,
    STATE(2347), 1,
      sym_variable_name,
    STATE(2412), 1,
      sym_text_interpolation,
  [73268] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2413), 1,
      sym_text_interpolation,
  [73284] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_text_interpolation,
  [73300] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2415), 1,
      sym_text_interpolation,
    ACTIONS(4492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73314] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2416), 1,
      sym_text_interpolation,
    ACTIONS(4494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73328] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1106), 1,
      sym_compound_statement,
    STATE(2417), 1,
      sym_text_interpolation,
  [73344] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(911), 1,
      sym_compound_statement,
    STATE(2418), 1,
      sym_text_interpolation,
  [73360] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(4496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73374] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2420), 1,
      sym_text_interpolation,
    ACTIONS(2453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73388] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1741), 1,
      sym_declaration_list,
    STATE(2421), 1,
      sym_text_interpolation,
  [73404] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_formal_parameters,
    STATE(2422), 1,
      sym_text_interpolation,
  [73420] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2423), 1,
      sym_text_interpolation,
    ACTIONS(4205), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [73434] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1109), 1,
      sym_compound_statement,
    STATE(2424), 1,
      sym_text_interpolation,
  [73450] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(2425), 1,
      sym_text_interpolation,
  [73466] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    STATE(2058), 1,
      sym_enum_declaration_list,
    STATE(2426), 1,
      sym_text_interpolation,
  [73482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(908), 1,
      sym_compound_statement,
    STATE(2427), 1,
      sym_text_interpolation,
  [73498] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4498), 1,
      sym_name,
    STATE(2428), 1,
      sym_text_interpolation,
  [73511] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_BSLASH,
    STATE(2429), 1,
      sym_text_interpolation,
  [73524] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym_name,
    STATE(2430), 1,
      sym_text_interpolation,
  [73537] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    STATE(2431), 1,
      sym_text_interpolation,
  [73550] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_STAR_STAR,
    STATE(2432), 1,
      sym_text_interpolation,
  [73563] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_EQ,
    STATE(2433), 1,
      sym_text_interpolation,
  [73576] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_RPAREN,
    STATE(2434), 1,
      sym_text_interpolation,
  [73589] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
  [73602] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_LBRACE,
    STATE(2436), 1,
      sym_text_interpolation,
  [73615] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    STATE(2437), 1,
      sym_text_interpolation,
  [73628] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_heredoc_end,
    STATE(2438), 1,
      sym_text_interpolation,
  [73641] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_COLON_COLON,
    STATE(2439), 1,
      sym_text_interpolation,
  [73654] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2440), 1,
      sym_text_interpolation,
  [73667] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_RBRACK,
    STATE(2441), 1,
      sym_text_interpolation,
  [73680] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_RPAREN,
    STATE(2442), 1,
      sym_text_interpolation,
  [73693] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_EQ,
    STATE(2443), 1,
      sym_text_interpolation,
  [73706] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_EQ_GT,
    STATE(2444), 1,
      sym_text_interpolation,
  [73719] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(867), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2445), 1,
      sym_text_interpolation,
  [73732] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym_if_statement_token2,
    STATE(2446), 1,
      sym_text_interpolation,
  [73745] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_STAR_STAR,
    STATE(2447), 1,
      sym_text_interpolation,
  [73758] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_text_interpolation,
  [73771] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_BSLASH,
    STATE(2449), 1,
      sym_text_interpolation,
  [73784] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(2450), 1,
      sym_text_interpolation,
  [73797] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_EQ_GT,
    STATE(2451), 1,
      sym_text_interpolation,
  [73810] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_RBRACK,
    STATE(2452), 1,
      sym_text_interpolation,
  [73823] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym_integer,
    STATE(2453), 1,
      sym_text_interpolation,
  [73836] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4532), 1,
      sym_name,
    STATE(2454), 1,
      sym_text_interpolation,
  [73849] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_RBRACK,
    STATE(2455), 1,
      sym_text_interpolation,
  [73862] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_heredoc_end,
    STATE(2456), 1,
      sym_text_interpolation,
  [73875] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_RBRACE,
    STATE(2457), 1,
      sym_text_interpolation,
  [73888] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_EQ_GT,
    STATE(2458), 1,
      sym_text_interpolation,
  [73901] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym_name,
    STATE(2459), 1,
      sym_text_interpolation,
  [73914] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_EQ_GT,
    STATE(2460), 1,
      sym_text_interpolation,
  [73927] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym_name,
    STATE(2461), 1,
      sym_text_interpolation,
  [73940] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_LBRACE,
    STATE(2462), 1,
      sym_text_interpolation,
  [73953] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4546), 1,
      aux_sym_class_declaration_token1,
    STATE(2463), 1,
      sym_text_interpolation,
  [73966] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4548), 1,
      sym_name,
    STATE(2464), 1,
      sym_text_interpolation,
  [73979] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4550), 1,
      aux_sym_foreach_statement_token2,
    STATE(2465), 1,
      sym_text_interpolation,
  [73992] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN,
    STATE(2466), 1,
      sym_text_interpolation,
  [74005] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_EQ,
    STATE(2467), 1,
      sym_text_interpolation,
  [74018] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4556), 1,
      sym_heredoc_end,
    STATE(2468), 1,
      sym_text_interpolation,
  [74031] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4558), 1,
      sym_heredoc_end,
    STATE(2469), 1,
      sym_text_interpolation,
  [74044] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4560), 1,
      sym_name,
    STATE(2470), 1,
      sym_text_interpolation,
  [74057] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym_name,
    STATE(2471), 1,
      sym_text_interpolation,
  [74070] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_EQ_GT,
    STATE(2472), 1,
      sym_text_interpolation,
  [74083] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_text_interpolation,
  [74096] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_DQUOTE2,
    STATE(2474), 1,
      sym_text_interpolation,
  [74109] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_SQUOTE2,
    STATE(2475), 1,
      sym_text_interpolation,
  [74122] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4570), 1,
      sym_name,
    STATE(2476), 1,
      sym_text_interpolation,
  [74135] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2477), 1,
      sym_text_interpolation,
  [74148] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_RPAREN,
    STATE(2478), 1,
      sym_text_interpolation,
  [74161] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_EQ,
    STATE(2479), 1,
      sym_text_interpolation,
  [74174] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_RPAREN,
    STATE(2480), 1,
      sym_text_interpolation,
  [74187] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    STATE(2481), 1,
      sym_text_interpolation,
  [74200] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4578), 1,
      aux_sym_if_statement_token2,
    STATE(2482), 1,
      sym_text_interpolation,
  [74213] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_RPAREN,
    STATE(2483), 1,
      sym_text_interpolation,
  [74226] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3602), 1,
      sym_name,
    STATE(2484), 1,
      sym_text_interpolation,
  [74239] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(851), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2485), 1,
      sym_text_interpolation,
  [74252] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2486), 1,
      sym_text_interpolation,
  [74265] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_SEMI,
    STATE(2487), 1,
      sym_text_interpolation,
  [74278] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3964), 1,
      anon_sym_RBRACK,
    STATE(2488), 1,
      sym_text_interpolation,
  [74291] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
    STATE(2489), 1,
      sym_text_interpolation,
  [74304] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_SEMI,
    STATE(2490), 1,
      sym_text_interpolation,
  [74317] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    STATE(2491), 1,
      sym_text_interpolation,
  [74330] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4586), 1,
      aux_sym_while_statement_token2,
    STATE(2492), 1,
      sym_text_interpolation,
  [74343] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4588), 1,
      sym_name,
    STATE(2493), 1,
      sym_text_interpolation,
  [74356] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    STATE(2494), 1,
      sym_text_interpolation,
  [74369] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
    STATE(2495), 1,
      sym_text_interpolation,
  [74382] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_EQ,
    STATE(2496), 1,
      sym_text_interpolation,
  [74395] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4596), 1,
      aux_sym_if_statement_token2,
    STATE(2497), 1,
      sym_text_interpolation,
  [74408] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_RPAREN,
    STATE(2498), 1,
      sym_text_interpolation,
  [74421] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4598), 1,
      aux_sym_if_statement_token2,
    STATE(2499), 1,
      sym_text_interpolation,
  [74434] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_STAR_STAR,
    STATE(2500), 1,
      sym_text_interpolation,
  [74447] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_EQ_GT,
    STATE(2501), 1,
      sym_text_interpolation,
  [74460] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_if_statement_token2,
    STATE(2502), 1,
      sym_text_interpolation,
  [74473] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym_name,
    STATE(2503), 1,
      sym_text_interpolation,
  [74486] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_COLON_COLON,
    STATE(2504), 1,
      sym_text_interpolation,
  [74499] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE2,
    STATE(2505), 1,
      sym_text_interpolation,
  [74512] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_EQ_GT,
    STATE(2506), 1,
      sym_text_interpolation,
  [74525] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_EQ,
    STATE(2507), 1,
      sym_text_interpolation,
  [74538] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_COLON_COLON,
    STATE(2508), 1,
      sym_text_interpolation,
  [74551] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RPAREN,
    STATE(2509), 1,
      sym_text_interpolation,
  [74564] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_SQUOTE2,
    STATE(2510), 1,
      sym_text_interpolation,
  [74577] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_EQ,
    STATE(2511), 1,
      sym_text_interpolation,
  [74590] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN,
    STATE(2512), 1,
      sym_text_interpolation,
  [74603] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_LPAREN,
    STATE(2513), 1,
      sym_text_interpolation,
  [74616] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_RBRACK,
    STATE(2514), 1,
      sym_text_interpolation,
  [74629] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RPAREN,
    STATE(2515), 1,
      sym_text_interpolation,
  [74642] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_while_statement_token2,
    STATE(2516), 1,
      sym_text_interpolation,
  [74655] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      sym_text_interpolation,
  [74668] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RPAREN,
    STATE(2518), 1,
      sym_text_interpolation,
  [74681] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4636), 1,
      sym_name,
    STATE(2519), 1,
      sym_text_interpolation,
  [74694] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_name,
    STATE(2520), 1,
      sym_text_interpolation,
  [74707] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(2521), 1,
      sym_text_interpolation,
  [74720] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_RBRACK,
    STATE(2522), 1,
      sym_text_interpolation,
  [74733] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_EQ_GT,
    STATE(2523), 1,
      sym_text_interpolation,
  [74746] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_name,
    STATE(2524), 1,
      sym_text_interpolation,
  [74759] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN,
    STATE(2525), 1,
      sym_text_interpolation,
  [74772] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_BSLASH,
    STATE(2526), 1,
      sym_text_interpolation,
  [74785] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_BSLASH,
    STATE(2527), 1,
      sym_text_interpolation,
  [74798] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_name,
    STATE(2528), 1,
      sym_text_interpolation,
  [74811] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4043), 1,
      sym_name,
    STATE(2529), 1,
      sym_text_interpolation,
  [74824] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_BSLASH,
    STATE(2530), 1,
      sym_text_interpolation,
  [74837] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_SQUOTE,
    STATE(2531), 1,
      sym_text_interpolation,
  [74850] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2532), 1,
      sym_text_interpolation,
  [74863] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4658), 1,
      aux_sym_class_declaration_token1,
    STATE(2533), 1,
      sym_text_interpolation,
  [74876] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
    STATE(2534), 1,
      sym_text_interpolation,
  [74889] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4662), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2535), 1,
      sym_text_interpolation,
  [74902] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3982), 1,
      aux_sym_class_declaration_token1,
    STATE(2536), 1,
      sym_text_interpolation,
  [74915] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_COLON_COLON,
    STATE(2537), 1,
      sym_text_interpolation,
  [74928] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4666), 1,
      sym_name,
    STATE(2538), 1,
      sym_text_interpolation,
  [74941] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_name,
    STATE(2539), 1,
      sym_text_interpolation,
  [74954] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_EQ_GT,
    STATE(2540), 1,
      sym_text_interpolation,
  [74967] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_class_declaration_token1,
    STATE(2541), 1,
      sym_text_interpolation,
  [74980] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
    STATE(2542), 1,
      sym_text_interpolation,
  [74993] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_text_interpolation,
  [75006] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_name,
    STATE(2544), 1,
      sym_text_interpolation,
  [75019] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_name,
    STATE(2545), 1,
      sym_text_interpolation,
  [75032] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4682), 1,
      sym_heredoc_start,
    STATE(2546), 1,
      sym_text_interpolation,
  [75045] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4684), 1,
      sym_heredoc_start,
    STATE(2547), 1,
      sym_text_interpolation,
  [75058] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(2548), 1,
      sym_text_interpolation,
  [75071] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4688), 1,
      sym_name,
    STATE(2549), 1,
      sym_text_interpolation,
  [75084] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3980), 1,
      aux_sym_class_declaration_token1,
    STATE(2550), 1,
      sym_text_interpolation,
  [75097] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4690), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2551), 1,
      sym_text_interpolation,
  [75110] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_BSLASH,
    STATE(2552), 1,
      sym_text_interpolation,
  [75123] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_SQUOTE,
    STATE(2553), 1,
      sym_text_interpolation,
  [75136] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    STATE(2554), 1,
      sym_text_interpolation,
  [75149] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_RPAREN,
    STATE(2555), 1,
      sym_text_interpolation,
  [75162] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym_while_statement_token1,
    STATE(2556), 1,
      sym_text_interpolation,
  [75175] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4700), 1,
      sym_heredoc_start,
    STATE(2557), 1,
      sym_text_interpolation,
  [75188] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4702), 1,
      sym_heredoc_start,
    STATE(2558), 1,
      sym_text_interpolation,
  [75201] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_class_declaration_token1,
    STATE(2559), 1,
      sym_text_interpolation,
  [75214] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym_name,
    STATE(2560), 1,
      sym_text_interpolation,
  [75227] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_RPAREN,
    STATE(2561), 1,
      sym_text_interpolation,
  [75240] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3966), 1,
      aux_sym_class_declaration_token1,
    STATE(2562), 1,
      sym_text_interpolation,
  [75253] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_BSLASH,
    STATE(2563), 1,
      sym_text_interpolation,
  [75266] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_BSLASH,
    STATE(2564), 1,
      sym_text_interpolation,
  [75279] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    STATE(2565), 1,
      sym_text_interpolation,
  [75292] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    STATE(2566), 1,
      sym_text_interpolation,
  [75305] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4714), 1,
      sym_name,
    STATE(2567), 1,
      sym_text_interpolation,
  [75318] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_name,
    STATE(2568), 1,
      sym_text_interpolation,
  [75331] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4718), 1,
      aux_sym_class_declaration_token1,
    STATE(2569), 1,
      sym_text_interpolation,
  [75344] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_BSLASH,
    STATE(2570), 1,
      sym_text_interpolation,
  [75357] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4722), 1,
      sym_name,
    STATE(2571), 1,
      sym_text_interpolation,
  [75370] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4724), 1,
      aux_sym_class_declaration_token1,
    STATE(2572), 1,
      sym_text_interpolation,
  [75383] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(853), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2573), 1,
      sym_text_interpolation,
  [75396] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym_name,
    STATE(2574), 1,
      sym_text_interpolation,
  [75409] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym_name,
    STATE(2575), 1,
      sym_text_interpolation,
  [75422] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4730), 1,
      aux_sym_while_statement_token1,
    STATE(2576), 1,
      sym_text_interpolation,
  [75435] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_STAR_STAR,
    STATE(2577), 1,
      sym_text_interpolation,
  [75448] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2578), 1,
      sym_text_interpolation,
  [75461] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4732), 1,
      sym_name,
    STATE(2579), 1,
      sym_text_interpolation,
  [75474] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_SEMI,
    STATE(2580), 1,
      sym_text_interpolation,
  [75487] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [75500] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_RPAREN,
    STATE(2582), 1,
      sym_text_interpolation,
  [75513] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_COLON_COLON,
    STATE(2583), 1,
      sym_text_interpolation,
  [75526] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2584), 1,
      sym_text_interpolation,
  [75539] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3112), 1,
      sym_heredoc_end,
    STATE(2585), 1,
      sym_text_interpolation,
  [75552] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_RPAREN,
    STATE(2586), 1,
      sym_text_interpolation,
  [75565] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
    STATE(2587), 1,
      sym_text_interpolation,
  [75578] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(2588), 1,
      sym_text_interpolation,
  [75591] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RBRACK,
    STATE(2589), 1,
      sym_text_interpolation,
  [75604] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_COLON_COLON,
    STATE(2590), 1,
      sym_text_interpolation,
  [75617] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4746), 1,
      ts_builtin_sym_end,
    STATE(2591), 1,
      sym_text_interpolation,
  [75630] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_COLON_COLON,
    STATE(2592), 1,
      sym_text_interpolation,
  [75643] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3998), 1,
      sym_name,
    STATE(2593), 1,
      sym_text_interpolation,
  [75656] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_EQ,
    STATE(2594), 1,
      sym_text_interpolation,
  [75669] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4239), 1,
      anon_sym_RPAREN,
    STATE(2595), 1,
      sym_text_interpolation,
  [75682] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_BSLASH,
    STATE(2596), 1,
      sym_text_interpolation,
  [75695] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    STATE(2597), 1,
      sym_text_interpolation,
  [75708] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_RPAREN,
    STATE(2598), 1,
      sym_text_interpolation,
  [75721] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_RPAREN,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2599), 1,
      sym_text_interpolation,
  [75734] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2600), 1,
      sym_text_interpolation,
  [75747] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3610), 1,
      sym_name,
    STATE(2601), 1,
      sym_text_interpolation,
  [75760] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_LPAREN,
    STATE(2602), 1,
      sym_text_interpolation,
  [75773] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON_COLON,
    STATE(2603), 1,
      sym_text_interpolation,
  [75786] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_COLON_COLON,
    STATE(2604), 1,
      sym_text_interpolation,
  [75799] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2605), 1,
      sym_text_interpolation,
  [75812] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_COLON_COLON,
    STATE(2606), 1,
      sym_text_interpolation,
  [75825] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_EQ,
    STATE(2607), 1,
      sym_text_interpolation,
  [75838] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_EQ_GT,
    STATE(2608), 1,
      sym_text_interpolation,
  [75851] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_SEMI,
    STATE(2609), 1,
      sym_text_interpolation,
  [75864] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      sym_text_interpolation,
  [75877] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4770), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2611), 1,
      sym_text_interpolation,
  [75890] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4772), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2612), 1,
      sym_text_interpolation,
  [75903] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(3933), 1,
      aux_sym_class_declaration_token1,
    STATE(2613), 1,
      sym_text_interpolation,
  [75916] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_RPAREN,
    STATE(2614), 1,
      sym_text_interpolation,
  [75929] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_BSLASH,
    STATE(2615), 1,
      sym_text_interpolation,
  [75942] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4776), 1,
      sym_name,
    STATE(2616), 1,
      sym_text_interpolation,
  [75955] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4778), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [75968] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_COLON_COLON,
    STATE(2618), 1,
      sym_text_interpolation,
  [75981] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_LPAREN,
    STATE(2619), 1,
      sym_text_interpolation,
  [75994] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4784), 1,
      sym_heredoc_end,
    STATE(2620), 1,
      sym_text_interpolation,
  [76007] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_heredoc_end,
    STATE(2621), 1,
      sym_text_interpolation,
  [76020] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
    STATE(2622), 1,
      sym_text_interpolation,
  [76033] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_LPAREN,
    STATE(2623), 1,
      sym_text_interpolation,
  [76046] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_LPAREN,
    STATE(2624), 1,
      sym_text_interpolation,
  [76059] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_EQ_GT,
    STATE(2625), 1,
      sym_text_interpolation,
  [76072] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_LPAREN,
    STATE(2626), 1,
      sym_text_interpolation,
  [76085] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_LPAREN,
    STATE(2627), 1,
      sym_text_interpolation,
  [76098] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_name,
    STATE(2628), 1,
      sym_text_interpolation,
  [76111] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_COLON_COLON,
    STATE(2629), 1,
      sym_text_interpolation,
  [76124] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_COLON_COLON,
    STATE(2630), 1,
      sym_text_interpolation,
  [76137] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_LPAREN,
    STATE(2631), 1,
      sym_text_interpolation,
  [76150] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RPAREN,
    STATE(2632), 1,
      sym_text_interpolation,
  [76163] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_LPAREN,
    STATE(2633), 1,
      sym_text_interpolation,
  [76176] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_text_interpolation,
  [76189] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_SEMI,
    STATE(2635), 1,
      sym_text_interpolation,
  [76202] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LPAREN,
    STATE(2636), 1,
      sym_text_interpolation,
  [76215] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_SEMI,
    ACTIONS(1516), 1,
      sym_comment,
    STATE(2637), 1,
      sym_text_interpolation,
  [76228] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_name,
    STATE(2638), 1,
      sym_text_interpolation,
  [76241] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
    STATE(2639), 1,
      sym_text_interpolation,
  [76254] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_SEMI,
    STATE(2640), 1,
      sym_text_interpolation,
  [76267] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_text_interpolation,
  [76280] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
    STATE(2642), 1,
      sym_text_interpolation,
  [76293] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_SEMI,
    STATE(2643), 1,
      sym_text_interpolation,
  [76306] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_name,
    STATE(2644), 1,
      sym_text_interpolation,
  [76319] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(2645), 1,
      sym_text_interpolation,
  [76332] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_LPAREN,
    STATE(2646), 1,
      sym_text_interpolation,
  [76345] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_foreach_statement_token2,
    STATE(2647), 1,
      sym_text_interpolation,
  [76358] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_name,
    STATE(2648), 1,
      sym_text_interpolation,
  [76371] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_SEMI,
    STATE(2649), 1,
      sym_text_interpolation,
  [76384] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_RPAREN,
    STATE(2650), 1,
      sym_text_interpolation,
  [76397] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LPAREN,
    STATE(2651), 1,
      sym_text_interpolation,
  [76410] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_LPAREN,
    STATE(2652), 1,
      sym_text_interpolation,
  [76423] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_LPAREN,
    STATE(2653), 1,
      sym_text_interpolation,
  [76436] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_LPAREN,
    STATE(2654), 1,
      sym_text_interpolation,
  [76449] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1516), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RPAREN,
    STATE(2655), 1,
      sym_text_interpolation,
  [76462] = 1,
    ACTIONS(4848), 1,
      ts_builtin_sym_end,
  [76466] = 1,
    ACTIONS(4850), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(575)] = 0,
  [SMALL_STATE(576)] = 79,
  [SMALL_STATE(577)] = 158,
  [SMALL_STATE(578)] = 237,
  [SMALL_STATE(579)] = 316,
  [SMALL_STATE(580)] = 395,
  [SMALL_STATE(581)] = 482,
  [SMALL_STATE(582)] = 556,
  [SMALL_STATE(583)] = 630,
  [SMALL_STATE(584)] = 704,
  [SMALL_STATE(585)] = 778,
  [SMALL_STATE(586)] = 852,
  [SMALL_STATE(587)] = 926,
  [SMALL_STATE(588)] = 1000,
  [SMALL_STATE(589)] = 1074,
  [SMALL_STATE(590)] = 1148,
  [SMALL_STATE(591)] = 1222,
  [SMALL_STATE(592)] = 1296,
  [SMALL_STATE(593)] = 1370,
  [SMALL_STATE(594)] = 1444,
  [SMALL_STATE(595)] = 1529,
  [SMALL_STATE(596)] = 1610,
  [SMALL_STATE(597)] = 1695,
  [SMALL_STATE(598)] = 1779,
  [SMALL_STATE(599)] = 1863,
  [SMALL_STATE(600)] = 1938,
  [SMALL_STATE(601)] = 2021,
  [SMALL_STATE(602)] = 2104,
  [SMALL_STATE(603)] = 2187,
  [SMALL_STATE(604)] = 2266,
  [SMALL_STATE(605)] = 2349,
  [SMALL_STATE(606)] = 2424,
  [SMALL_STATE(607)] = 2499,
  [SMALL_STATE(608)] = 2574,
  [SMALL_STATE(609)] = 2663,
  [SMALL_STATE(610)] = 2742,
  [SMALL_STATE(611)] = 2817,
  [SMALL_STATE(612)] = 2887,
  [SMALL_STATE(613)] = 2957,
  [SMALL_STATE(614)] = 3039,
  [SMALL_STATE(615)] = 3109,
  [SMALL_STATE(616)] = 3179,
  [SMALL_STATE(617)] = 3261,
  [SMALL_STATE(618)] = 3331,
  [SMALL_STATE(619)] = 3401,
  [SMALL_STATE(620)] = 3471,
  [SMALL_STATE(621)] = 3541,
  [SMALL_STATE(622)] = 3625,
  [SMALL_STATE(623)] = 3695,
  [SMALL_STATE(624)] = 3765,
  [SMALL_STATE(625)] = 3835,
  [SMALL_STATE(626)] = 3905,
  [SMALL_STATE(627)] = 3983,
  [SMALL_STATE(628)] = 4053,
  [SMALL_STATE(629)] = 4137,
  [SMALL_STATE(630)] = 4207,
  [SMALL_STATE(631)] = 4277,
  [SMALL_STATE(632)] = 4361,
  [SMALL_STATE(633)] = 4431,
  [SMALL_STATE(634)] = 4509,
  [SMALL_STATE(635)] = 4579,
  [SMALL_STATE(636)] = 4656,
  [SMALL_STATE(637)] = 4739,
  [SMALL_STATE(638)] = 4822,
  [SMALL_STATE(639)] = 4899,
  [SMALL_STATE(640)] = 4976,
  [SMALL_STATE(641)] = 5053,
  [SMALL_STATE(642)] = 5131,
  [SMALL_STATE(643)] = 5207,
  [SMALL_STATE(644)] = 5285,
  [SMALL_STATE(645)] = 5363,
  [SMALL_STATE(646)] = 5439,
  [SMALL_STATE(647)] = 5516,
  [SMALL_STATE(648)] = 5587,
  [SMALL_STATE(649)] = 5654,
  [SMALL_STATE(650)] = 5763,
  [SMALL_STATE(651)] = 5834,
  [SMALL_STATE(652)] = 5903,
  [SMALL_STATE(653)] = 5974,
  [SMALL_STATE(654)] = 6045,
  [SMALL_STATE(655)] = 6106,
  [SMALL_STATE(656)] = 6171,
  [SMALL_STATE(657)] = 6236,
  [SMALL_STATE(658)] = 6301,
  [SMALL_STATE(659)] = 6366,
  [SMALL_STATE(660)] = 6475,
  [SMALL_STATE(661)] = 6540,
  [SMALL_STATE(662)] = 6600,
  [SMALL_STATE(663)] = 6660,
  [SMALL_STATE(664)] = 6720,
  [SMALL_STATE(665)] = 6780,
  [SMALL_STATE(666)] = 6840,
  [SMALL_STATE(667)] = 6950,
  [SMALL_STATE(668)] = 7010,
  [SMALL_STATE(669)] = 7070,
  [SMALL_STATE(670)] = 7130,
  [SMALL_STATE(671)] = 7190,
  [SMALL_STATE(672)] = 7250,
  [SMALL_STATE(673)] = 7314,
  [SMALL_STATE(674)] = 7374,
  [SMALL_STATE(675)] = 7434,
  [SMALL_STATE(676)] = 7494,
  [SMALL_STATE(677)] = 7554,
  [SMALL_STATE(678)] = 7614,
  [SMALL_STATE(679)] = 7724,
  [SMALL_STATE(680)] = 7784,
  [SMALL_STATE(681)] = 7844,
  [SMALL_STATE(682)] = 7904,
  [SMALL_STATE(683)] = 7965,
  [SMALL_STATE(684)] = 8028,
  [SMALL_STATE(685)] = 8131,
  [SMALL_STATE(686)] = 8196,
  [SMALL_STATE(687)] = 8259,
  [SMALL_STATE(688)] = 8324,
  [SMALL_STATE(689)] = 8427,
  [SMALL_STATE(690)] = 8492,
  [SMALL_STATE(691)] = 8555,
  [SMALL_STATE(692)] = 8618,
  [SMALL_STATE(693)] = 8683,
  [SMALL_STATE(694)] = 8748,
  [SMALL_STATE(695)] = 8855,
  [SMALL_STATE(696)] = 8920,
  [SMALL_STATE(697)] = 8981,
  [SMALL_STATE(698)] = 9088,
  [SMALL_STATE(699)] = 9151,
  [SMALL_STATE(700)] = 9214,
  [SMALL_STATE(701)] = 9279,
  [SMALL_STATE(702)] = 9344,
  [SMALL_STATE(703)] = 9409,
  [SMALL_STATE(704)] = 9474,
  [SMALL_STATE(705)] = 9539,
  [SMALL_STATE(706)] = 9646,
  [SMALL_STATE(707)] = 9711,
  [SMALL_STATE(708)] = 9774,
  [SMALL_STATE(709)] = 9837,
  [SMALL_STATE(710)] = 9900,
  [SMALL_STATE(711)] = 9963,
  [SMALL_STATE(712)] = 10026,
  [SMALL_STATE(713)] = 10127,
  [SMALL_STATE(714)] = 10188,
  [SMALL_STATE(715)] = 10249,
  [SMALL_STATE(716)] = 10310,
  [SMALL_STATE(717)] = 10417,
  [SMALL_STATE(718)] = 10478,
  [SMALL_STATE(719)] = 10541,
  [SMALL_STATE(720)] = 10604,
  [SMALL_STATE(721)] = 10662,
  [SMALL_STATE(722)] = 10720,
  [SMALL_STATE(723)] = 10778,
  [SMALL_STATE(724)] = 10836,
  [SMALL_STATE(725)] = 10894,
  [SMALL_STATE(726)] = 10952,
  [SMALL_STATE(727)] = 11010,
  [SMALL_STATE(728)] = 11068,
  [SMALL_STATE(729)] = 11126,
  [SMALL_STATE(730)] = 11184,
  [SMALL_STATE(731)] = 11242,
  [SMALL_STATE(732)] = 11300,
  [SMALL_STATE(733)] = 11358,
  [SMALL_STATE(734)] = 11416,
  [SMALL_STATE(735)] = 11474,
  [SMALL_STATE(736)] = 11532,
  [SMALL_STATE(737)] = 11590,
  [SMALL_STATE(738)] = 11648,
  [SMALL_STATE(739)] = 11706,
  [SMALL_STATE(740)] = 11764,
  [SMALL_STATE(741)] = 11822,
  [SMALL_STATE(742)] = 11880,
  [SMALL_STATE(743)] = 11938,
  [SMALL_STATE(744)] = 11998,
  [SMALL_STATE(745)] = 12056,
  [SMALL_STATE(746)] = 12160,
  [SMALL_STATE(747)] = 12218,
  [SMALL_STATE(748)] = 12276,
  [SMALL_STATE(749)] = 12334,
  [SMALL_STATE(750)] = 12392,
  [SMALL_STATE(751)] = 12450,
  [SMALL_STATE(752)] = 12508,
  [SMALL_STATE(753)] = 12566,
  [SMALL_STATE(754)] = 12670,
  [SMALL_STATE(755)] = 12774,
  [SMALL_STATE(756)] = 12832,
  [SMALL_STATE(757)] = 12890,
  [SMALL_STATE(758)] = 12950,
  [SMALL_STATE(759)] = 13008,
  [SMALL_STATE(760)] = 13066,
  [SMALL_STATE(761)] = 13124,
  [SMALL_STATE(762)] = 13228,
  [SMALL_STATE(763)] = 13332,
  [SMALL_STATE(764)] = 13390,
  [SMALL_STATE(765)] = 13448,
  [SMALL_STATE(766)] = 13506,
  [SMALL_STATE(767)] = 13563,
  [SMALL_STATE(768)] = 13630,
  [SMALL_STATE(769)] = 13695,
  [SMALL_STATE(770)] = 13796,
  [SMALL_STATE(771)] = 13855,
  [SMALL_STATE(772)] = 13914,
  [SMALL_STATE(773)] = 13975,
  [SMALL_STATE(774)] = 14036,
  [SMALL_STATE(775)] = 14097,
  [SMALL_STATE(776)] = 14158,
  [SMALL_STATE(777)] = 14217,
  [SMALL_STATE(778)] = 14274,
  [SMALL_STATE(779)] = 14341,
  [SMALL_STATE(780)] = 14402,
  [SMALL_STATE(781)] = 14461,
  [SMALL_STATE(782)] = 14528,
  [SMALL_STATE(783)] = 14587,
  [SMALL_STATE(784)] = 14654,
  [SMALL_STATE(785)] = 14717,
  [SMALL_STATE(786)] = 14778,
  [SMALL_STATE(787)] = 14834,
  [SMALL_STATE(788)] = 14902,
  [SMALL_STATE(789)] = 14958,
  [SMALL_STATE(790)] = 15014,
  [SMALL_STATE(791)] = 15070,
  [SMALL_STATE(792)] = 15126,
  [SMALL_STATE(793)] = 15194,
  [SMALL_STATE(794)] = 15250,
  [SMALL_STATE(795)] = 15306,
  [SMALL_STATE(796)] = 15362,
  [SMALL_STATE(797)] = 15418,
  [SMALL_STATE(798)] = 15474,
  [SMALL_STATE(799)] = 15530,
  [SMALL_STATE(800)] = 15586,
  [SMALL_STATE(801)] = 15642,
  [SMALL_STATE(802)] = 15710,
  [SMALL_STATE(803)] = 15766,
  [SMALL_STATE(804)] = 15822,
  [SMALL_STATE(805)] = 15878,
  [SMALL_STATE(806)] = 15934,
  [SMALL_STATE(807)] = 15990,
  [SMALL_STATE(808)] = 16051,
  [SMALL_STATE(809)] = 16146,
  [SMALL_STATE(810)] = 16203,
  [SMALL_STATE(811)] = 16264,
  [SMALL_STATE(812)] = 16359,
  [SMALL_STATE(813)] = 16416,
  [SMALL_STATE(814)] = 16477,
  [SMALL_STATE(815)] = 16536,
  [SMALL_STATE(816)] = 16593,
  [SMALL_STATE(817)] = 16688,
  [SMALL_STATE(818)] = 16783,
  [SMALL_STATE(819)] = 16842,
  [SMALL_STATE(820)] = 16937,
  [SMALL_STATE(821)] = 16998,
  [SMALL_STATE(822)] = 17059,
  [SMALL_STATE(823)] = 17118,
  [SMALL_STATE(824)] = 17173,
  [SMALL_STATE(825)] = 17228,
  [SMALL_STATE(826)] = 17287,
  [SMALL_STATE(827)] = 17348,
  [SMALL_STATE(828)] = 17409,
  [SMALL_STATE(829)] = 17468,
  [SMALL_STATE(830)] = 17527,
  [SMALL_STATE(831)] = 17588,
  [SMALL_STATE(832)] = 17647,
  [SMALL_STATE(833)] = 17706,
  [SMALL_STATE(834)] = 17761,
  [SMALL_STATE(835)] = 17820,
  [SMALL_STATE(836)] = 17879,
  [SMALL_STATE(837)] = 17934,
  [SMALL_STATE(838)] = 17995,
  [SMALL_STATE(839)] = 18090,
  [SMALL_STATE(840)] = 18185,
  [SMALL_STATE(841)] = 18242,
  [SMALL_STATE(842)] = 18301,
  [SMALL_STATE(843)] = 18362,
  [SMALL_STATE(844)] = 18457,
  [SMALL_STATE(845)] = 18552,
  [SMALL_STATE(846)] = 18647,
  [SMALL_STATE(847)] = 18708,
  [SMALL_STATE(848)] = 18767,
  [SMALL_STATE(849)] = 18862,
  [SMALL_STATE(850)] = 18957,
  [SMALL_STATE(851)] = 19014,
  [SMALL_STATE(852)] = 19109,
  [SMALL_STATE(853)] = 19204,
  [SMALL_STATE(854)] = 19265,
  [SMALL_STATE(855)] = 19360,
  [SMALL_STATE(856)] = 19417,
  [SMALL_STATE(857)] = 19474,
  [SMALL_STATE(858)] = 19533,
  [SMALL_STATE(859)] = 19587,
  [SMALL_STATE(860)] = 19641,
  [SMALL_STATE(861)] = 19695,
  [SMALL_STATE(862)] = 19749,
  [SMALL_STATE(863)] = 19803,
  [SMALL_STATE(864)] = 19857,
  [SMALL_STATE(865)] = 19911,
  [SMALL_STATE(866)] = 19967,
  [SMALL_STATE(867)] = 20021,
  [SMALL_STATE(868)] = 20075,
  [SMALL_STATE(869)] = 20129,
  [SMALL_STATE(870)] = 20183,
  [SMALL_STATE(871)] = 20241,
  [SMALL_STATE(872)] = 20295,
  [SMALL_STATE(873)] = 20349,
  [SMALL_STATE(874)] = 20403,
  [SMALL_STATE(875)] = 20457,
  [SMALL_STATE(876)] = 20511,
  [SMALL_STATE(877)] = 20567,
  [SMALL_STATE(878)] = 20621,
  [SMALL_STATE(879)] = 20675,
  [SMALL_STATE(880)] = 20729,
  [SMALL_STATE(881)] = 20783,
  [SMALL_STATE(882)] = 20837,
  [SMALL_STATE(883)] = 20891,
  [SMALL_STATE(884)] = 20945,
  [SMALL_STATE(885)] = 21001,
  [SMALL_STATE(886)] = 21055,
  [SMALL_STATE(887)] = 21109,
  [SMALL_STATE(888)] = 21163,
  [SMALL_STATE(889)] = 21217,
  [SMALL_STATE(890)] = 21271,
  [SMALL_STATE(891)] = 21325,
  [SMALL_STATE(892)] = 21379,
  [SMALL_STATE(893)] = 21433,
  [SMALL_STATE(894)] = 21487,
  [SMALL_STATE(895)] = 21541,
  [SMALL_STATE(896)] = 21595,
  [SMALL_STATE(897)] = 21649,
  [SMALL_STATE(898)] = 21703,
  [SMALL_STATE(899)] = 21757,
  [SMALL_STATE(900)] = 21811,
  [SMALL_STATE(901)] = 21865,
  [SMALL_STATE(902)] = 21920,
  [SMALL_STATE(903)] = 21975,
  [SMALL_STATE(904)] = 22030,
  [SMALL_STATE(905)] = 22085,
  [SMALL_STATE(906)] = 22140,
  [SMALL_STATE(907)] = 22192,
  [SMALL_STATE(908)] = 22244,
  [SMALL_STATE(909)] = 22296,
  [SMALL_STATE(910)] = 22348,
  [SMALL_STATE(911)] = 22400,
  [SMALL_STATE(912)] = 22452,
  [SMALL_STATE(913)] = 22504,
  [SMALL_STATE(914)] = 22556,
  [SMALL_STATE(915)] = 22608,
  [SMALL_STATE(916)] = 22660,
  [SMALL_STATE(917)] = 22712,
  [SMALL_STATE(918)] = 22764,
  [SMALL_STATE(919)] = 22816,
  [SMALL_STATE(920)] = 22868,
  [SMALL_STATE(921)] = 22920,
  [SMALL_STATE(922)] = 22972,
  [SMALL_STATE(923)] = 23024,
  [SMALL_STATE(924)] = 23076,
  [SMALL_STATE(925)] = 23130,
  [SMALL_STATE(926)] = 23182,
  [SMALL_STATE(927)] = 23234,
  [SMALL_STATE(928)] = 23286,
  [SMALL_STATE(929)] = 23338,
  [SMALL_STATE(930)] = 23390,
  [SMALL_STATE(931)] = 23442,
  [SMALL_STATE(932)] = 23494,
  [SMALL_STATE(933)] = 23546,
  [SMALL_STATE(934)] = 23598,
  [SMALL_STATE(935)] = 23650,
  [SMALL_STATE(936)] = 23702,
  [SMALL_STATE(937)] = 23754,
  [SMALL_STATE(938)] = 23806,
  [SMALL_STATE(939)] = 23858,
  [SMALL_STATE(940)] = 23910,
  [SMALL_STATE(941)] = 23962,
  [SMALL_STATE(942)] = 24014,
  [SMALL_STATE(943)] = 24066,
  [SMALL_STATE(944)] = 24118,
  [SMALL_STATE(945)] = 24170,
  [SMALL_STATE(946)] = 24222,
  [SMALL_STATE(947)] = 24274,
  [SMALL_STATE(948)] = 24326,
  [SMALL_STATE(949)] = 24378,
  [SMALL_STATE(950)] = 24430,
  [SMALL_STATE(951)] = 24482,
  [SMALL_STATE(952)] = 24534,
  [SMALL_STATE(953)] = 24586,
  [SMALL_STATE(954)] = 24638,
  [SMALL_STATE(955)] = 24690,
  [SMALL_STATE(956)] = 24742,
  [SMALL_STATE(957)] = 24794,
  [SMALL_STATE(958)] = 24846,
  [SMALL_STATE(959)] = 24898,
  [SMALL_STATE(960)] = 24950,
  [SMALL_STATE(961)] = 25002,
  [SMALL_STATE(962)] = 25054,
  [SMALL_STATE(963)] = 25106,
  [SMALL_STATE(964)] = 25158,
  [SMALL_STATE(965)] = 25210,
  [SMALL_STATE(966)] = 25262,
  [SMALL_STATE(967)] = 25314,
  [SMALL_STATE(968)] = 25366,
  [SMALL_STATE(969)] = 25418,
  [SMALL_STATE(970)] = 25470,
  [SMALL_STATE(971)] = 25522,
  [SMALL_STATE(972)] = 25573,
  [SMALL_STATE(973)] = 25624,
  [SMALL_STATE(974)] = 25692,
  [SMALL_STATE(975)] = 25772,
  [SMALL_STATE(976)] = 25852,
  [SMALL_STATE(977)] = 25938,
  [SMALL_STATE(978)] = 26024,
  [SMALL_STATE(979)] = 26110,
  [SMALL_STATE(980)] = 26162,
  [SMALL_STATE(981)] = 26242,
  [SMALL_STATE(982)] = 26322,
  [SMALL_STATE(983)] = 26408,
  [SMALL_STATE(984)] = 26494,
  [SMALL_STATE(985)] = 26546,
  [SMALL_STATE(986)] = 26626,
  [SMALL_STATE(987)] = 26714,
  [SMALL_STATE(988)] = 26800,
  [SMALL_STATE(989)] = 26886,
  [SMALL_STATE(990)] = 26944,
  [SMALL_STATE(991)] = 27000,
  [SMALL_STATE(992)] = 27060,
  [SMALL_STATE(993)] = 27124,
  [SMALL_STATE(994)] = 27208,
  [SMALL_STATE(995)] = 27294,
  [SMALL_STATE(996)] = 27364,
  [SMALL_STATE(997)] = 27438,
  [SMALL_STATE(998)] = 27514,
  [SMALL_STATE(999)] = 27596,
  [SMALL_STATE(1000)] = 27680,
  [SMALL_STATE(1001)] = 27760,
  [SMALL_STATE(1002)] = 27846,
  [SMALL_STATE(1003)] = 27926,
  [SMALL_STATE(1004)] = 27980,
  [SMALL_STATE(1005)] = 28052,
  [SMALL_STATE(1006)] = 28138,
  [SMALL_STATE(1007)] = 28190,
  [SMALL_STATE(1008)] = 28241,
  [SMALL_STATE(1009)] = 28326,
  [SMALL_STATE(1010)] = 28413,
  [SMALL_STATE(1011)] = 28492,
  [SMALL_STATE(1012)] = 28577,
  [SMALL_STATE(1013)] = 28656,
  [SMALL_STATE(1014)] = 28729,
  [SMALL_STATE(1015)] = 28808,
  [SMALL_STATE(1016)] = 28893,
  [SMALL_STATE(1017)] = 28946,
  [SMALL_STATE(1018)] = 29001,
  [SMALL_STATE(1019)] = 29086,
  [SMALL_STATE(1020)] = 29145,
  [SMALL_STATE(1021)] = 29208,
  [SMALL_STATE(1022)] = 29277,
  [SMALL_STATE(1023)] = 29356,
  [SMALL_STATE(1024)] = 29435,
  [SMALL_STATE(1025)] = 29520,
  [SMALL_STATE(1026)] = 29571,
  [SMALL_STATE(1027)] = 29650,
  [SMALL_STATE(1028)] = 29735,
  [SMALL_STATE(1029)] = 29814,
  [SMALL_STATE(1030)] = 29897,
  [SMALL_STATE(1031)] = 29982,
  [SMALL_STATE(1032)] = 30049,
  [SMALL_STATE(1033)] = 30100,
  [SMALL_STATE(1034)] = 30185,
  [SMALL_STATE(1035)] = 30270,
  [SMALL_STATE(1036)] = 30351,
  [SMALL_STATE(1037)] = 30408,
  [SMALL_STATE(1038)] = 30479,
  [SMALL_STATE(1039)] = 30554,
  [SMALL_STATE(1040)] = 30639,
  [SMALL_STATE(1041)] = 30695,
  [SMALL_STATE(1042)] = 30743,
  [SMALL_STATE(1043)] = 30827,
  [SMALL_STATE(1044)] = 30875,
  [SMALL_STATE(1045)] = 30923,
  [SMALL_STATE(1046)] = 31007,
  [SMALL_STATE(1047)] = 31055,
  [SMALL_STATE(1048)] = 31103,
  [SMALL_STATE(1049)] = 31151,
  [SMALL_STATE(1050)] = 31199,
  [SMALL_STATE(1051)] = 31247,
  [SMALL_STATE(1052)] = 31295,
  [SMALL_STATE(1053)] = 31343,
  [SMALL_STATE(1054)] = 31391,
  [SMALL_STATE(1055)] = 31475,
  [SMALL_STATE(1056)] = 31523,
  [SMALL_STATE(1057)] = 31571,
  [SMALL_STATE(1058)] = 31619,
  [SMALL_STATE(1059)] = 31667,
  [SMALL_STATE(1060)] = 31715,
  [SMALL_STATE(1061)] = 31763,
  [SMALL_STATE(1062)] = 31847,
  [SMALL_STATE(1063)] = 31933,
  [SMALL_STATE(1064)] = 32007,
  [SMALL_STATE(1065)] = 32055,
  [SMALL_STATE(1066)] = 32103,
  [SMALL_STATE(1067)] = 32151,
  [SMALL_STATE(1068)] = 32229,
  [SMALL_STATE(1069)] = 32307,
  [SMALL_STATE(1070)] = 32355,
  [SMALL_STATE(1071)] = 32403,
  [SMALL_STATE(1072)] = 32451,
  [SMALL_STATE(1073)] = 32505,
  [SMALL_STATE(1074)] = 32553,
  [SMALL_STATE(1075)] = 32601,
  [SMALL_STATE(1076)] = 32659,
  [SMALL_STATE(1077)] = 32707,
  [SMALL_STATE(1078)] = 32755,
  [SMALL_STATE(1079)] = 32817,
  [SMALL_STATE(1080)] = 32885,
  [SMALL_STATE(1081)] = 32957,
  [SMALL_STATE(1082)] = 33037,
  [SMALL_STATE(1083)] = 33119,
  [SMALL_STATE(1084)] = 33197,
  [SMALL_STATE(1085)] = 33275,
  [SMALL_STATE(1086)] = 33327,
  [SMALL_STATE(1087)] = 33397,
  [SMALL_STATE(1088)] = 33445,
  [SMALL_STATE(1089)] = 33493,
  [SMALL_STATE(1090)] = 33541,
  [SMALL_STATE(1091)] = 33619,
  [SMALL_STATE(1092)] = 33667,
  [SMALL_STATE(1093)] = 33745,
  [SMALL_STATE(1094)] = 33793,
  [SMALL_STATE(1095)] = 33859,
  [SMALL_STATE(1096)] = 33907,
  [SMALL_STATE(1097)] = 33955,
  [SMALL_STATE(1098)] = 34005,
  [SMALL_STATE(1099)] = 34089,
  [SMALL_STATE(1100)] = 34137,
  [SMALL_STATE(1101)] = 34185,
  [SMALL_STATE(1102)] = 34233,
  [SMALL_STATE(1103)] = 34281,
  [SMALL_STATE(1104)] = 34365,
  [SMALL_STATE(1105)] = 34413,
  [SMALL_STATE(1106)] = 34461,
  [SMALL_STATE(1107)] = 34509,
  [SMALL_STATE(1108)] = 34557,
  [SMALL_STATE(1109)] = 34605,
  [SMALL_STATE(1110)] = 34653,
  [SMALL_STATE(1111)] = 34737,
  [SMALL_STATE(1112)] = 34785,
  [SMALL_STATE(1113)] = 34833,
  [SMALL_STATE(1114)] = 34881,
  [SMALL_STATE(1115)] = 34929,
  [SMALL_STATE(1116)] = 34977,
  [SMALL_STATE(1117)] = 35025,
  [SMALL_STATE(1118)] = 35073,
  [SMALL_STATE(1119)] = 35137,
  [SMALL_STATE(1120)] = 35185,
  [SMALL_STATE(1121)] = 35269,
  [SMALL_STATE(1122)] = 35317,
  [SMALL_STATE(1123)] = 35365,
  [SMALL_STATE(1124)] = 35449,
  [SMALL_STATE(1125)] = 35533,
  [SMALL_STATE(1126)] = 35581,
  [SMALL_STATE(1127)] = 35629,
  [SMALL_STATE(1128)] = 35677,
  [SMALL_STATE(1129)] = 35755,
  [SMALL_STATE(1130)] = 35803,
  [SMALL_STATE(1131)] = 35851,
  [SMALL_STATE(1132)] = 35899,
  [SMALL_STATE(1133)] = 35947,
  [SMALL_STATE(1134)] = 35995,
  [SMALL_STATE(1135)] = 36045,
  [SMALL_STATE(1136)] = 36093,
  [SMALL_STATE(1137)] = 36141,
  [SMALL_STATE(1138)] = 36189,
  [SMALL_STATE(1139)] = 36239,
  [SMALL_STATE(1140)] = 36287,
  [SMALL_STATE(1141)] = 36337,
  [SMALL_STATE(1142)] = 36406,
  [SMALL_STATE(1143)] = 36489,
  [SMALL_STATE(1144)] = 36542,
  [SMALL_STATE(1145)] = 36609,
  [SMALL_STATE(1146)] = 36692,
  [SMALL_STATE(1147)] = 36747,
  [SMALL_STATE(1148)] = 36818,
  [SMALL_STATE(1149)] = 36875,
  [SMALL_STATE(1150)] = 36948,
  [SMALL_STATE(1151)] = 37027,
  [SMALL_STATE(1152)] = 37104,
  [SMALL_STATE(1153)] = 37181,
  [SMALL_STATE(1154)] = 37264,
  [SMALL_STATE(1155)] = 37313,
  [SMALL_STATE(1156)] = 37390,
  [SMALL_STATE(1157)] = 37439,
  [SMALL_STATE(1158)] = 37520,
  [SMALL_STATE(1159)] = 37603,
  [SMALL_STATE(1160)] = 37680,
  [SMALL_STATE(1161)] = 37757,
  [SMALL_STATE(1162)] = 37840,
  [SMALL_STATE(1163)] = 37923,
  [SMALL_STATE(1164)] = 38006,
  [SMALL_STATE(1165)] = 38089,
  [SMALL_STATE(1166)] = 38166,
  [SMALL_STATE(1167)] = 38217,
  [SMALL_STATE(1168)] = 38278,
  [SMALL_STATE(1169)] = 38361,
  [SMALL_STATE(1170)] = 38438,
  [SMALL_STATE(1171)] = 38523,
  [SMALL_STATE(1172)] = 38588,
  [SMALL_STATE(1173)] = 38637,
  [SMALL_STATE(1174)] = 38720,
  [SMALL_STATE(1175)] = 38811,
  [SMALL_STATE(1176)] = 38900,
  [SMALL_STATE(1177)] = 38991,
  [SMALL_STATE(1178)] = 39074,
  [SMALL_STATE(1179)] = 39157,
  [SMALL_STATE(1180)] = 39240,
  [SMALL_STATE(1181)] = 39323,
  [SMALL_STATE(1182)] = 39414,
  [SMALL_STATE(1183)] = 39505,
  [SMALL_STATE(1184)] = 39586,
  [SMALL_STATE(1185)] = 39659,
  [SMALL_STATE(1186)] = 39750,
  [SMALL_STATE(1187)] = 39823,
  [SMALL_STATE(1188)] = 39908,
  [SMALL_STATE(1189)] = 39999,
  [SMALL_STATE(1190)] = 40082,
  [SMALL_STATE(1191)] = 40163,
  [SMALL_STATE(1192)] = 40244,
  [SMALL_STATE(1193)] = 40335,
  [SMALL_STATE(1194)] = 40426,
  [SMALL_STATE(1195)] = 40506,
  [SMALL_STATE(1196)] = 40588,
  [SMALL_STATE(1197)] = 40668,
  [SMALL_STATE(1198)] = 40748,
  [SMALL_STATE(1199)] = 40798,
  [SMALL_STATE(1200)] = 40878,
  [SMALL_STATE(1201)] = 40958,
  [SMALL_STATE(1202)] = 41038,
  [SMALL_STATE(1203)] = 41118,
  [SMALL_STATE(1204)] = 41198,
  [SMALL_STATE(1205)] = 41278,
  [SMALL_STATE(1206)] = 41358,
  [SMALL_STATE(1207)] = 41438,
  [SMALL_STATE(1208)] = 41518,
  [SMALL_STATE(1209)] = 41598,
  [SMALL_STATE(1210)] = 41680,
  [SMALL_STATE(1211)] = 41760,
  [SMALL_STATE(1212)] = 41840,
  [SMALL_STATE(1213)] = 41890,
  [SMALL_STATE(1214)] = 41970,
  [SMALL_STATE(1215)] = 42050,
  [SMALL_STATE(1216)] = 42130,
  [SMALL_STATE(1217)] = 42210,
  [SMALL_STATE(1218)] = 42292,
  [SMALL_STATE(1219)] = 42372,
  [SMALL_STATE(1220)] = 42454,
  [SMALL_STATE(1221)] = 42534,
  [SMALL_STATE(1222)] = 42614,
  [SMALL_STATE(1223)] = 42694,
  [SMALL_STATE(1224)] = 42774,
  [SMALL_STATE(1225)] = 42856,
  [SMALL_STATE(1226)] = 42936,
  [SMALL_STATE(1227)] = 43016,
  [SMALL_STATE(1228)] = 43096,
  [SMALL_STATE(1229)] = 43176,
  [SMALL_STATE(1230)] = 43256,
  [SMALL_STATE(1231)] = 43338,
  [SMALL_STATE(1232)] = 43420,
  [SMALL_STATE(1233)] = 43500,
  [SMALL_STATE(1234)] = 43582,
  [SMALL_STATE(1235)] = 43662,
  [SMALL_STATE(1236)] = 43742,
  [SMALL_STATE(1237)] = 43821,
  [SMALL_STATE(1238)] = 43900,
  [SMALL_STATE(1239)] = 43979,
  [SMALL_STATE(1240)] = 44058,
  [SMALL_STATE(1241)] = 44137,
  [SMALL_STATE(1242)] = 44216,
  [SMALL_STATE(1243)] = 44283,
  [SMALL_STATE(1244)] = 44362,
  [SMALL_STATE(1245)] = 44441,
  [SMALL_STATE(1246)] = 44520,
  [SMALL_STATE(1247)] = 44601,
  [SMALL_STATE(1248)] = 44680,
  [SMALL_STATE(1249)] = 44759,
  [SMALL_STATE(1250)] = 44838,
  [SMALL_STATE(1251)] = 44917,
  [SMALL_STATE(1252)] = 44996,
  [SMALL_STATE(1253)] = 45075,
  [SMALL_STATE(1254)] = 45154,
  [SMALL_STATE(1255)] = 45233,
  [SMALL_STATE(1256)] = 45312,
  [SMALL_STATE(1257)] = 45391,
  [SMALL_STATE(1258)] = 45470,
  [SMALL_STATE(1259)] = 45549,
  [SMALL_STATE(1260)] = 45628,
  [SMALL_STATE(1261)] = 45707,
  [SMALL_STATE(1262)] = 45786,
  [SMALL_STATE(1263)] = 45865,
  [SMALL_STATE(1264)] = 45944,
  [SMALL_STATE(1265)] = 46023,
  [SMALL_STATE(1266)] = 46102,
  [SMALL_STATE(1267)] = 46181,
  [SMALL_STATE(1268)] = 46260,
  [SMALL_STATE(1269)] = 46303,
  [SMALL_STATE(1270)] = 46382,
  [SMALL_STATE(1271)] = 46461,
  [SMALL_STATE(1272)] = 46540,
  [SMALL_STATE(1273)] = 46621,
  [SMALL_STATE(1274)] = 46700,
  [SMALL_STATE(1275)] = 46779,
  [SMALL_STATE(1276)] = 46858,
  [SMALL_STATE(1277)] = 46937,
  [SMALL_STATE(1278)] = 47016,
  [SMALL_STATE(1279)] = 47095,
  [SMALL_STATE(1280)] = 47174,
  [SMALL_STATE(1281)] = 47253,
  [SMALL_STATE(1282)] = 47332,
  [SMALL_STATE(1283)] = 47411,
  [SMALL_STATE(1284)] = 47490,
  [SMALL_STATE(1285)] = 47569,
  [SMALL_STATE(1286)] = 47650,
  [SMALL_STATE(1287)] = 47729,
  [SMALL_STATE(1288)] = 47808,
  [SMALL_STATE(1289)] = 47887,
  [SMALL_STATE(1290)] = 47966,
  [SMALL_STATE(1291)] = 48045,
  [SMALL_STATE(1292)] = 48124,
  [SMALL_STATE(1293)] = 48203,
  [SMALL_STATE(1294)] = 48282,
  [SMALL_STATE(1295)] = 48361,
  [SMALL_STATE(1296)] = 48440,
  [SMALL_STATE(1297)] = 48519,
  [SMALL_STATE(1298)] = 48598,
  [SMALL_STATE(1299)] = 48677,
  [SMALL_STATE(1300)] = 48756,
  [SMALL_STATE(1301)] = 48835,
  [SMALL_STATE(1302)] = 48914,
  [SMALL_STATE(1303)] = 48993,
  [SMALL_STATE(1304)] = 49072,
  [SMALL_STATE(1305)] = 49151,
  [SMALL_STATE(1306)] = 49230,
  [SMALL_STATE(1307)] = 49297,
  [SMALL_STATE(1308)] = 49376,
  [SMALL_STATE(1309)] = 49457,
  [SMALL_STATE(1310)] = 49499,
  [SMALL_STATE(1311)] = 49541,
  [SMALL_STATE(1312)] = 49585,
  [SMALL_STATE(1313)] = 49649,
  [SMALL_STATE(1314)] = 49713,
  [SMALL_STATE(1315)] = 49754,
  [SMALL_STATE(1316)] = 49795,
  [SMALL_STATE(1317)] = 49836,
  [SMALL_STATE(1318)] = 49877,
  [SMALL_STATE(1319)] = 49923,
  [SMALL_STATE(1320)] = 49967,
  [SMALL_STATE(1321)] = 50021,
  [SMALL_STATE(1322)] = 50075,
  [SMALL_STATE(1323)] = 50129,
  [SMALL_STATE(1324)] = 50183,
  [SMALL_STATE(1325)] = 50221,
  [SMALL_STATE(1326)] = 50259,
  [SMALL_STATE(1327)] = 50297,
  [SMALL_STATE(1328)] = 50351,
  [SMALL_STATE(1329)] = 50405,
  [SMALL_STATE(1330)] = 50443,
  [SMALL_STATE(1331)] = 50490,
  [SMALL_STATE(1332)] = 50537,
  [SMALL_STATE(1333)] = 50584,
  [SMALL_STATE(1334)] = 50640,
  [SMALL_STATE(1335)] = 50674,
  [SMALL_STATE(1336)] = 50732,
  [SMALL_STATE(1337)] = 50787,
  [SMALL_STATE(1338)] = 50820,
  [SMALL_STATE(1339)] = 50879,
  [SMALL_STATE(1340)] = 50929,
  [SMALL_STATE(1341)] = 50981,
  [SMALL_STATE(1342)] = 51033,
  [SMALL_STATE(1343)] = 51085,
  [SMALL_STATE(1344)] = 51134,
  [SMALL_STATE(1345)] = 51183,
  [SMALL_STATE(1346)] = 51216,
  [SMALL_STATE(1347)] = 51251,
  [SMALL_STATE(1348)] = 51295,
  [SMALL_STATE(1349)] = 51325,
  [SMALL_STATE(1350)] = 51352,
  [SMALL_STATE(1351)] = 51379,
  [SMALL_STATE(1352)] = 51424,
  [SMALL_STATE(1353)] = 51451,
  [SMALL_STATE(1354)] = 51478,
  [SMALL_STATE(1355)] = 51516,
  [SMALL_STATE(1356)] = 51542,
  [SMALL_STATE(1357)] = 51588,
  [SMALL_STATE(1358)] = 51614,
  [SMALL_STATE(1359)] = 51642,
  [SMALL_STATE(1360)] = 51668,
  [SMALL_STATE(1361)] = 51694,
  [SMALL_STATE(1362)] = 51720,
  [SMALL_STATE(1363)] = 51746,
  [SMALL_STATE(1364)] = 51772,
  [SMALL_STATE(1365)] = 51806,
  [SMALL_STATE(1366)] = 51852,
  [SMALL_STATE(1367)] = 51878,
  [SMALL_STATE(1368)] = 51904,
  [SMALL_STATE(1369)] = 51930,
  [SMALL_STATE(1370)] = 51956,
  [SMALL_STATE(1371)] = 52000,
  [SMALL_STATE(1372)] = 52026,
  [SMALL_STATE(1373)] = 52052,
  [SMALL_STATE(1374)] = 52098,
  [SMALL_STATE(1375)] = 52144,
  [SMALL_STATE(1376)] = 52170,
  [SMALL_STATE(1377)] = 52196,
  [SMALL_STATE(1378)] = 52222,
  [SMALL_STATE(1379)] = 52248,
  [SMALL_STATE(1380)] = 52274,
  [SMALL_STATE(1381)] = 52299,
  [SMALL_STATE(1382)] = 52324,
  [SMALL_STATE(1383)] = 52349,
  [SMALL_STATE(1384)] = 52374,
  [SMALL_STATE(1385)] = 52399,
  [SMALL_STATE(1386)] = 52424,
  [SMALL_STATE(1387)] = 52465,
  [SMALL_STATE(1388)] = 52490,
  [SMALL_STATE(1389)] = 52515,
  [SMALL_STATE(1390)] = 52558,
  [SMALL_STATE(1391)] = 52599,
  [SMALL_STATE(1392)] = 52624,
  [SMALL_STATE(1393)] = 52667,
  [SMALL_STATE(1394)] = 52692,
  [SMALL_STATE(1395)] = 52717,
  [SMALL_STATE(1396)] = 52742,
  [SMALL_STATE(1397)] = 52767,
  [SMALL_STATE(1398)] = 52792,
  [SMALL_STATE(1399)] = 52817,
  [SMALL_STATE(1400)] = 52860,
  [SMALL_STATE(1401)] = 52903,
  [SMALL_STATE(1402)] = 52944,
  [SMALL_STATE(1403)] = 52969,
  [SMALL_STATE(1404)] = 52994,
  [SMALL_STATE(1405)] = 53019,
  [SMALL_STATE(1406)] = 53044,
  [SMALL_STATE(1407)] = 53091,
  [SMALL_STATE(1408)] = 53138,
  [SMALL_STATE(1409)] = 53163,
  [SMALL_STATE(1410)] = 53188,
  [SMALL_STATE(1411)] = 53213,
  [SMALL_STATE(1412)] = 53238,
  [SMALL_STATE(1413)] = 53263,
  [SMALL_STATE(1414)] = 53303,
  [SMALL_STATE(1415)] = 53343,
  [SMALL_STATE(1416)] = 53383,
  [SMALL_STATE(1417)] = 53423,
  [SMALL_STATE(1418)] = 53460,
  [SMALL_STATE(1419)] = 53495,
  [SMALL_STATE(1420)] = 53520,
  [SMALL_STATE(1421)] = 53555,
  [SMALL_STATE(1422)] = 53592,
  [SMALL_STATE(1423)] = 53617,
  [SMALL_STATE(1424)] = 53642,
  [SMALL_STATE(1425)] = 53667,
  [SMALL_STATE(1426)] = 53692,
  [SMALL_STATE(1427)] = 53717,
  [SMALL_STATE(1428)] = 53754,
  [SMALL_STATE(1429)] = 53779,
  [SMALL_STATE(1430)] = 53804,
  [SMALL_STATE(1431)] = 53829,
  [SMALL_STATE(1432)] = 53854,
  [SMALL_STATE(1433)] = 53891,
  [SMALL_STATE(1434)] = 53928,
  [SMALL_STATE(1435)] = 53963,
  [SMALL_STATE(1436)] = 53988,
  [SMALL_STATE(1437)] = 54025,
  [SMALL_STATE(1438)] = 54059,
  [SMALL_STATE(1439)] = 54091,
  [SMALL_STATE(1440)] = 54121,
  [SMALL_STATE(1441)] = 54149,
  [SMALL_STATE(1442)] = 54173,
  [SMALL_STATE(1443)] = 54205,
  [SMALL_STATE(1444)] = 54239,
  [SMALL_STATE(1445)] = 54267,
  [SMALL_STATE(1446)] = 54291,
  [SMALL_STATE(1447)] = 54325,
  [SMALL_STATE(1448)] = 54359,
  [SMALL_STATE(1449)] = 54387,
  [SMALL_STATE(1450)] = 54421,
  [SMALL_STATE(1451)] = 54453,
  [SMALL_STATE(1452)] = 54482,
  [SMALL_STATE(1453)] = 54513,
  [SMALL_STATE(1454)] = 54542,
  [SMALL_STATE(1455)] = 54563,
  [SMALL_STATE(1456)] = 54584,
  [SMALL_STATE(1457)] = 54613,
  [SMALL_STATE(1458)] = 54642,
  [SMALL_STATE(1459)] = 54671,
  [SMALL_STATE(1460)] = 54700,
  [SMALL_STATE(1461)] = 54721,
  [SMALL_STATE(1462)] = 54746,
  [SMALL_STATE(1463)] = 54773,
  [SMALL_STATE(1464)] = 54802,
  [SMALL_STATE(1465)] = 54831,
  [SMALL_STATE(1466)] = 54852,
  [SMALL_STATE(1467)] = 54873,
  [SMALL_STATE(1468)] = 54902,
  [SMALL_STATE(1469)] = 54933,
  [SMALL_STATE(1470)] = 54966,
  [SMALL_STATE(1471)] = 54995,
  [SMALL_STATE(1472)] = 55024,
  [SMALL_STATE(1473)] = 55055,
  [SMALL_STATE(1474)] = 55084,
  [SMALL_STATE(1475)] = 55111,
  [SMALL_STATE(1476)] = 55138,
  [SMALL_STATE(1477)] = 55167,
  [SMALL_STATE(1478)] = 55196,
  [SMALL_STATE(1479)] = 55225,
  [SMALL_STATE(1480)] = 55248,
  [SMALL_STATE(1481)] = 55277,
  [SMALL_STATE(1482)] = 55308,
  [SMALL_STATE(1483)] = 55339,
  [SMALL_STATE(1484)] = 55360,
  [SMALL_STATE(1485)] = 55391,
  [SMALL_STATE(1486)] = 55420,
  [SMALL_STATE(1487)] = 55453,
  [SMALL_STATE(1488)] = 55480,
  [SMALL_STATE(1489)] = 55501,
  [SMALL_STATE(1490)] = 55530,
  [SMALL_STATE(1491)] = 55559,
  [SMALL_STATE(1492)] = 55588,
  [SMALL_STATE(1493)] = 55619,
  [SMALL_STATE(1494)] = 55648,
  [SMALL_STATE(1495)] = 55677,
  [SMALL_STATE(1496)] = 55708,
  [SMALL_STATE(1497)] = 55737,
  [SMALL_STATE(1498)] = 55766,
  [SMALL_STATE(1499)] = 55797,
  [SMALL_STATE(1500)] = 55826,
  [SMALL_STATE(1501)] = 55855,
  [SMALL_STATE(1502)] = 55882,
  [SMALL_STATE(1503)] = 55911,
  [SMALL_STATE(1504)] = 55938,
  [SMALL_STATE(1505)] = 55969,
  [SMALL_STATE(1506)] = 56000,
  [SMALL_STATE(1507)] = 56031,
  [SMALL_STATE(1508)] = 56062,
  [SMALL_STATE(1509)] = 56089,
  [SMALL_STATE(1510)] = 56118,
  [SMALL_STATE(1511)] = 56152,
  [SMALL_STATE(1512)] = 56186,
  [SMALL_STATE(1513)] = 56220,
  [SMALL_STATE(1514)] = 56246,
  [SMALL_STATE(1515)] = 56268,
  [SMALL_STATE(1516)] = 56300,
  [SMALL_STATE(1517)] = 56326,
  [SMALL_STATE(1518)] = 56360,
  [SMALL_STATE(1519)] = 56394,
  [SMALL_STATE(1520)] = 56424,
  [SMALL_STATE(1521)] = 56450,
  [SMALL_STATE(1522)] = 56478,
  [SMALL_STATE(1523)] = 56512,
  [SMALL_STATE(1524)] = 56538,
  [SMALL_STATE(1525)] = 56561,
  [SMALL_STATE(1526)] = 56582,
  [SMALL_STATE(1527)] = 56609,
  [SMALL_STATE(1528)] = 56636,
  [SMALL_STATE(1529)] = 56659,
  [SMALL_STATE(1530)] = 56686,
  [SMALL_STATE(1531)] = 56713,
  [SMALL_STATE(1532)] = 56734,
  [SMALL_STATE(1533)] = 56755,
  [SMALL_STATE(1534)] = 56782,
  [SMALL_STATE(1535)] = 56805,
  [SMALL_STATE(1536)] = 56828,
  [SMALL_STATE(1537)] = 56851,
  [SMALL_STATE(1538)] = 56874,
  [SMALL_STATE(1539)] = 56893,
  [SMALL_STATE(1540)] = 56916,
  [SMALL_STATE(1541)] = 56947,
  [SMALL_STATE(1542)] = 56970,
  [SMALL_STATE(1543)] = 56997,
  [SMALL_STATE(1544)] = 57018,
  [SMALL_STATE(1545)] = 57041,
  [SMALL_STATE(1546)] = 57064,
  [SMALL_STATE(1547)] = 57087,
  [SMALL_STATE(1548)] = 57110,
  [SMALL_STATE(1549)] = 57135,
  [SMALL_STATE(1550)] = 57158,
  [SMALL_STATE(1551)] = 57185,
  [SMALL_STATE(1552)] = 57208,
  [SMALL_STATE(1553)] = 57229,
  [SMALL_STATE(1554)] = 57252,
  [SMALL_STATE(1555)] = 57279,
  [SMALL_STATE(1556)] = 57300,
  [SMALL_STATE(1557)] = 57321,
  [SMALL_STATE(1558)] = 57342,
  [SMALL_STATE(1559)] = 57363,
  [SMALL_STATE(1560)] = 57384,
  [SMALL_STATE(1561)] = 57405,
  [SMALL_STATE(1562)] = 57426,
  [SMALL_STATE(1563)] = 57449,
  [SMALL_STATE(1564)] = 57476,
  [SMALL_STATE(1565)] = 57499,
  [SMALL_STATE(1566)] = 57520,
  [SMALL_STATE(1567)] = 57541,
  [SMALL_STATE(1568)] = 57562,
  [SMALL_STATE(1569)] = 57585,
  [SMALL_STATE(1570)] = 57609,
  [SMALL_STATE(1571)] = 57637,
  [SMALL_STATE(1572)] = 57665,
  [SMALL_STATE(1573)] = 57685,
  [SMALL_STATE(1574)] = 57713,
  [SMALL_STATE(1575)] = 57741,
  [SMALL_STATE(1576)] = 57767,
  [SMALL_STATE(1577)] = 57787,
  [SMALL_STATE(1578)] = 57815,
  [SMALL_STATE(1579)] = 57841,
  [SMALL_STATE(1580)] = 57861,
  [SMALL_STATE(1581)] = 57889,
  [SMALL_STATE(1582)] = 57917,
  [SMALL_STATE(1583)] = 57941,
  [SMALL_STATE(1584)] = 57969,
  [SMALL_STATE(1585)] = 57997,
  [SMALL_STATE(1586)] = 58017,
  [SMALL_STATE(1587)] = 58037,
  [SMALL_STATE(1588)] = 58065,
  [SMALL_STATE(1589)] = 58091,
  [SMALL_STATE(1590)] = 58117,
  [SMALL_STATE(1591)] = 58145,
  [SMALL_STATE(1592)] = 58173,
  [SMALL_STATE(1593)] = 58201,
  [SMALL_STATE(1594)] = 58219,
  [SMALL_STATE(1595)] = 58247,
  [SMALL_STATE(1596)] = 58275,
  [SMALL_STATE(1597)] = 58303,
  [SMALL_STATE(1598)] = 58329,
  [SMALL_STATE(1599)] = 58357,
  [SMALL_STATE(1600)] = 58383,
  [SMALL_STATE(1601)] = 58411,
  [SMALL_STATE(1602)] = 58429,
  [SMALL_STATE(1603)] = 58457,
  [SMALL_STATE(1604)] = 58477,
  [SMALL_STATE(1605)] = 58497,
  [SMALL_STATE(1606)] = 58515,
  [SMALL_STATE(1607)] = 58537,
  [SMALL_STATE(1608)] = 58565,
  [SMALL_STATE(1609)] = 58591,
  [SMALL_STATE(1610)] = 58611,
  [SMALL_STATE(1611)] = 58637,
  [SMALL_STATE(1612)] = 58665,
  [SMALL_STATE(1613)] = 58693,
  [SMALL_STATE(1614)] = 58717,
  [SMALL_STATE(1615)] = 58745,
  [SMALL_STATE(1616)] = 58765,
  [SMALL_STATE(1617)] = 58789,
  [SMALL_STATE(1618)] = 58817,
  [SMALL_STATE(1619)] = 58843,
  [SMALL_STATE(1620)] = 58861,
  [SMALL_STATE(1621)] = 58887,
  [SMALL_STATE(1622)] = 58915,
  [SMALL_STATE(1623)] = 58943,
  [SMALL_STATE(1624)] = 58969,
  [SMALL_STATE(1625)] = 58997,
  [SMALL_STATE(1626)] = 59017,
  [SMALL_STATE(1627)] = 59041,
  [SMALL_STATE(1628)] = 59069,
  [SMALL_STATE(1629)] = 59097,
  [SMALL_STATE(1630)] = 59125,
  [SMALL_STATE(1631)] = 59153,
  [SMALL_STATE(1632)] = 59181,
  [SMALL_STATE(1633)] = 59209,
  [SMALL_STATE(1634)] = 59237,
  [SMALL_STATE(1635)] = 59265,
  [SMALL_STATE(1636)] = 59293,
  [SMALL_STATE(1637)] = 59317,
  [SMALL_STATE(1638)] = 59345,
  [SMALL_STATE(1639)] = 59373,
  [SMALL_STATE(1640)] = 59399,
  [SMALL_STATE(1641)] = 59423,
  [SMALL_STATE(1642)] = 59449,
  [SMALL_STATE(1643)] = 59475,
  [SMALL_STATE(1644)] = 59503,
  [SMALL_STATE(1645)] = 59531,
  [SMALL_STATE(1646)] = 59552,
  [SMALL_STATE(1647)] = 59573,
  [SMALL_STATE(1648)] = 59596,
  [SMALL_STATE(1649)] = 59619,
  [SMALL_STATE(1650)] = 59642,
  [SMALL_STATE(1651)] = 59659,
  [SMALL_STATE(1652)] = 59682,
  [SMALL_STATE(1653)] = 59703,
  [SMALL_STATE(1654)] = 59724,
  [SMALL_STATE(1655)] = 59749,
  [SMALL_STATE(1656)] = 59768,
  [SMALL_STATE(1657)] = 59791,
  [SMALL_STATE(1658)] = 59808,
  [SMALL_STATE(1659)] = 59829,
  [SMALL_STATE(1660)] = 59848,
  [SMALL_STATE(1661)] = 59869,
  [SMALL_STATE(1662)] = 59894,
  [SMALL_STATE(1663)] = 59915,
  [SMALL_STATE(1664)] = 59936,
  [SMALL_STATE(1665)] = 59959,
  [SMALL_STATE(1666)] = 59980,
  [SMALL_STATE(1667)] = 60001,
  [SMALL_STATE(1668)] = 60024,
  [SMALL_STATE(1669)] = 60049,
  [SMALL_STATE(1670)] = 60066,
  [SMALL_STATE(1671)] = 60087,
  [SMALL_STATE(1672)] = 60108,
  [SMALL_STATE(1673)] = 60133,
  [SMALL_STATE(1674)] = 60154,
  [SMALL_STATE(1675)] = 60179,
  [SMALL_STATE(1676)] = 60200,
  [SMALL_STATE(1677)] = 60223,
  [SMALL_STATE(1678)] = 60248,
  [SMALL_STATE(1679)] = 60269,
  [SMALL_STATE(1680)] = 60294,
  [SMALL_STATE(1681)] = 60313,
  [SMALL_STATE(1682)] = 60336,
  [SMALL_STATE(1683)] = 60361,
  [SMALL_STATE(1684)] = 60384,
  [SMALL_STATE(1685)] = 60405,
  [SMALL_STATE(1686)] = 60424,
  [SMALL_STATE(1687)] = 60449,
  [SMALL_STATE(1688)] = 60474,
  [SMALL_STATE(1689)] = 60497,
  [SMALL_STATE(1690)] = 60522,
  [SMALL_STATE(1691)] = 60545,
  [SMALL_STATE(1692)] = 60568,
  [SMALL_STATE(1693)] = 60591,
  [SMALL_STATE(1694)] = 60610,
  [SMALL_STATE(1695)] = 60631,
  [SMALL_STATE(1696)] = 60656,
  [SMALL_STATE(1697)] = 60681,
  [SMALL_STATE(1698)] = 60702,
  [SMALL_STATE(1699)] = 60721,
  [SMALL_STATE(1700)] = 60746,
  [SMALL_STATE(1701)] = 60767,
  [SMALL_STATE(1702)] = 60790,
  [SMALL_STATE(1703)] = 60811,
  [SMALL_STATE(1704)] = 60832,
  [SMALL_STATE(1705)] = 60855,
  [SMALL_STATE(1706)] = 60874,
  [SMALL_STATE(1707)] = 60897,
  [SMALL_STATE(1708)] = 60922,
  [SMALL_STATE(1709)] = 60945,
  [SMALL_STATE(1710)] = 60968,
  [SMALL_STATE(1711)] = 60993,
  [SMALL_STATE(1712)] = 61014,
  [SMALL_STATE(1713)] = 61035,
  [SMALL_STATE(1714)] = 61056,
  [SMALL_STATE(1715)] = 61079,
  [SMALL_STATE(1716)] = 61100,
  [SMALL_STATE(1717)] = 61119,
  [SMALL_STATE(1718)] = 61138,
  [SMALL_STATE(1719)] = 61161,
  [SMALL_STATE(1720)] = 61184,
  [SMALL_STATE(1721)] = 61205,
  [SMALL_STATE(1722)] = 61228,
  [SMALL_STATE(1723)] = 61245,
  [SMALL_STATE(1724)] = 61270,
  [SMALL_STATE(1725)] = 61293,
  [SMALL_STATE(1726)] = 61310,
  [SMALL_STATE(1727)] = 61331,
  [SMALL_STATE(1728)] = 61352,
  [SMALL_STATE(1729)] = 61373,
  [SMALL_STATE(1730)] = 61392,
  [SMALL_STATE(1731)] = 61413,
  [SMALL_STATE(1732)] = 61432,
  [SMALL_STATE(1733)] = 61455,
  [SMALL_STATE(1734)] = 61474,
  [SMALL_STATE(1735)] = 61499,
  [SMALL_STATE(1736)] = 61522,
  [SMALL_STATE(1737)] = 61543,
  [SMALL_STATE(1738)] = 61566,
  [SMALL_STATE(1739)] = 61591,
  [SMALL_STATE(1740)] = 61612,
  [SMALL_STATE(1741)] = 61629,
  [SMALL_STATE(1742)] = 61650,
  [SMALL_STATE(1743)] = 61673,
  [SMALL_STATE(1744)] = 61694,
  [SMALL_STATE(1745)] = 61715,
  [SMALL_STATE(1746)] = 61732,
  [SMALL_STATE(1747)] = 61757,
  [SMALL_STATE(1748)] = 61778,
  [SMALL_STATE(1749)] = 61801,
  [SMALL_STATE(1750)] = 61824,
  [SMALL_STATE(1751)] = 61847,
  [SMALL_STATE(1752)] = 61868,
  [SMALL_STATE(1753)] = 61888,
  [SMALL_STATE(1754)] = 61910,
  [SMALL_STATE(1755)] = 61928,
  [SMALL_STATE(1756)] = 61948,
  [SMALL_STATE(1757)] = 61964,
  [SMALL_STATE(1758)] = 61986,
  [SMALL_STATE(1759)] = 62006,
  [SMALL_STATE(1760)] = 62022,
  [SMALL_STATE(1761)] = 62042,
  [SMALL_STATE(1762)] = 62062,
  [SMALL_STATE(1763)] = 62078,
  [SMALL_STATE(1764)] = 62094,
  [SMALL_STATE(1765)] = 62112,
  [SMALL_STATE(1766)] = 62134,
  [SMALL_STATE(1767)] = 62156,
  [SMALL_STATE(1768)] = 62178,
  [SMALL_STATE(1769)] = 62198,
  [SMALL_STATE(1770)] = 62220,
  [SMALL_STATE(1771)] = 62240,
  [SMALL_STATE(1772)] = 62262,
  [SMALL_STATE(1773)] = 62284,
  [SMALL_STATE(1774)] = 62304,
  [SMALL_STATE(1775)] = 62326,
  [SMALL_STATE(1776)] = 62348,
  [SMALL_STATE(1777)] = 62368,
  [SMALL_STATE(1778)] = 62390,
  [SMALL_STATE(1779)] = 62410,
  [SMALL_STATE(1780)] = 62428,
  [SMALL_STATE(1781)] = 62448,
  [SMALL_STATE(1782)] = 62470,
  [SMALL_STATE(1783)] = 62488,
  [SMALL_STATE(1784)] = 62508,
  [SMALL_STATE(1785)] = 62524,
  [SMALL_STATE(1786)] = 62540,
  [SMALL_STATE(1787)] = 62562,
  [SMALL_STATE(1788)] = 62578,
  [SMALL_STATE(1789)] = 62600,
  [SMALL_STATE(1790)] = 62622,
  [SMALL_STATE(1791)] = 62644,
  [SMALL_STATE(1792)] = 62666,
  [SMALL_STATE(1793)] = 62686,
  [SMALL_STATE(1794)] = 62708,
  [SMALL_STATE(1795)] = 62730,
  [SMALL_STATE(1796)] = 62748,
  [SMALL_STATE(1797)] = 62764,
  [SMALL_STATE(1798)] = 62780,
  [SMALL_STATE(1799)] = 62796,
  [SMALL_STATE(1800)] = 62818,
  [SMALL_STATE(1801)] = 62840,
  [SMALL_STATE(1802)] = 62862,
  [SMALL_STATE(1803)] = 62884,
  [SMALL_STATE(1804)] = 62906,
  [SMALL_STATE(1805)] = 62926,
  [SMALL_STATE(1806)] = 62946,
  [SMALL_STATE(1807)] = 62966,
  [SMALL_STATE(1808)] = 62988,
  [SMALL_STATE(1809)] = 63010,
  [SMALL_STATE(1810)] = 63028,
  [SMALL_STATE(1811)] = 63050,
  [SMALL_STATE(1812)] = 63070,
  [SMALL_STATE(1813)] = 63090,
  [SMALL_STATE(1814)] = 63112,
  [SMALL_STATE(1815)] = 63132,
  [SMALL_STATE(1816)] = 63154,
  [SMALL_STATE(1817)] = 63176,
  [SMALL_STATE(1818)] = 63196,
  [SMALL_STATE(1819)] = 63218,
  [SMALL_STATE(1820)] = 63240,
  [SMALL_STATE(1821)] = 63258,
  [SMALL_STATE(1822)] = 63278,
  [SMALL_STATE(1823)] = 63298,
  [SMALL_STATE(1824)] = 63320,
  [SMALL_STATE(1825)] = 63342,
  [SMALL_STATE(1826)] = 63358,
  [SMALL_STATE(1827)] = 63380,
  [SMALL_STATE(1828)] = 63400,
  [SMALL_STATE(1829)] = 63420,
  [SMALL_STATE(1830)] = 63440,
  [SMALL_STATE(1831)] = 63462,
  [SMALL_STATE(1832)] = 63482,
  [SMALL_STATE(1833)] = 63504,
  [SMALL_STATE(1834)] = 63526,
  [SMALL_STATE(1835)] = 63544,
  [SMALL_STATE(1836)] = 63564,
  [SMALL_STATE(1837)] = 63584,
  [SMALL_STATE(1838)] = 63602,
  [SMALL_STATE(1839)] = 63624,
  [SMALL_STATE(1840)] = 63644,
  [SMALL_STATE(1841)] = 63664,
  [SMALL_STATE(1842)] = 63686,
  [SMALL_STATE(1843)] = 63708,
  [SMALL_STATE(1844)] = 63728,
  [SMALL_STATE(1845)] = 63748,
  [SMALL_STATE(1846)] = 63770,
  [SMALL_STATE(1847)] = 63792,
  [SMALL_STATE(1848)] = 63810,
  [SMALL_STATE(1849)] = 63826,
  [SMALL_STATE(1850)] = 63844,
  [SMALL_STATE(1851)] = 63864,
  [SMALL_STATE(1852)] = 63884,
  [SMALL_STATE(1853)] = 63904,
  [SMALL_STATE(1854)] = 63924,
  [SMALL_STATE(1855)] = 63944,
  [SMALL_STATE(1856)] = 63964,
  [SMALL_STATE(1857)] = 63984,
  [SMALL_STATE(1858)] = 64006,
  [SMALL_STATE(1859)] = 64022,
  [SMALL_STATE(1860)] = 64042,
  [SMALL_STATE(1861)] = 64058,
  [SMALL_STATE(1862)] = 64080,
  [SMALL_STATE(1863)] = 64102,
  [SMALL_STATE(1864)] = 64124,
  [SMALL_STATE(1865)] = 64146,
  [SMALL_STATE(1866)] = 64164,
  [SMALL_STATE(1867)] = 64186,
  [SMALL_STATE(1868)] = 64208,
  [SMALL_STATE(1869)] = 64228,
  [SMALL_STATE(1870)] = 64248,
  [SMALL_STATE(1871)] = 64266,
  [SMALL_STATE(1872)] = 64288,
  [SMALL_STATE(1873)] = 64310,
  [SMALL_STATE(1874)] = 64332,
  [SMALL_STATE(1875)] = 64348,
  [SMALL_STATE(1876)] = 64368,
  [SMALL_STATE(1877)] = 64390,
  [SMALL_STATE(1878)] = 64406,
  [SMALL_STATE(1879)] = 64426,
  [SMALL_STATE(1880)] = 64446,
  [SMALL_STATE(1881)] = 64466,
  [SMALL_STATE(1882)] = 64486,
  [SMALL_STATE(1883)] = 64506,
  [SMALL_STATE(1884)] = 64526,
  [SMALL_STATE(1885)] = 64544,
  [SMALL_STATE(1886)] = 64564,
  [SMALL_STATE(1887)] = 64586,
  [SMALL_STATE(1888)] = 64606,
  [SMALL_STATE(1889)] = 64628,
  [SMALL_STATE(1890)] = 64648,
  [SMALL_STATE(1891)] = 64664,
  [SMALL_STATE(1892)] = 64684,
  [SMALL_STATE(1893)] = 64706,
  [SMALL_STATE(1894)] = 64724,
  [SMALL_STATE(1895)] = 64746,
  [SMALL_STATE(1896)] = 64768,
  [SMALL_STATE(1897)] = 64790,
  [SMALL_STATE(1898)] = 64810,
  [SMALL_STATE(1899)] = 64832,
  [SMALL_STATE(1900)] = 64850,
  [SMALL_STATE(1901)] = 64869,
  [SMALL_STATE(1902)] = 64884,
  [SMALL_STATE(1903)] = 64901,
  [SMALL_STATE(1904)] = 64920,
  [SMALL_STATE(1905)] = 64939,
  [SMALL_STATE(1906)] = 64958,
  [SMALL_STATE(1907)] = 64977,
  [SMALL_STATE(1908)] = 64996,
  [SMALL_STATE(1909)] = 65013,
  [SMALL_STATE(1910)] = 65032,
  [SMALL_STATE(1911)] = 65051,
  [SMALL_STATE(1912)] = 65070,
  [SMALL_STATE(1913)] = 65087,
  [SMALL_STATE(1914)] = 65106,
  [SMALL_STATE(1915)] = 65125,
  [SMALL_STATE(1916)] = 65144,
  [SMALL_STATE(1917)] = 65163,
  [SMALL_STATE(1918)] = 65182,
  [SMALL_STATE(1919)] = 65201,
  [SMALL_STATE(1920)] = 65220,
  [SMALL_STATE(1921)] = 65239,
  [SMALL_STATE(1922)] = 65258,
  [SMALL_STATE(1923)] = 65277,
  [SMALL_STATE(1924)] = 65294,
  [SMALL_STATE(1925)] = 65309,
  [SMALL_STATE(1926)] = 65328,
  [SMALL_STATE(1927)] = 65347,
  [SMALL_STATE(1928)] = 65366,
  [SMALL_STATE(1929)] = 65385,
  [SMALL_STATE(1930)] = 65404,
  [SMALL_STATE(1931)] = 65423,
  [SMALL_STATE(1932)] = 65440,
  [SMALL_STATE(1933)] = 65459,
  [SMALL_STATE(1934)] = 65478,
  [SMALL_STATE(1935)] = 65497,
  [SMALL_STATE(1936)] = 65516,
  [SMALL_STATE(1937)] = 65531,
  [SMALL_STATE(1938)] = 65550,
  [SMALL_STATE(1939)] = 65569,
  [SMALL_STATE(1940)] = 65588,
  [SMALL_STATE(1941)] = 65607,
  [SMALL_STATE(1942)] = 65624,
  [SMALL_STATE(1943)] = 65643,
  [SMALL_STATE(1944)] = 65662,
  [SMALL_STATE(1945)] = 65681,
  [SMALL_STATE(1946)] = 65700,
  [SMALL_STATE(1947)] = 65719,
  [SMALL_STATE(1948)] = 65734,
  [SMALL_STATE(1949)] = 65749,
  [SMALL_STATE(1950)] = 65768,
  [SMALL_STATE(1951)] = 65787,
  [SMALL_STATE(1952)] = 65806,
  [SMALL_STATE(1953)] = 65821,
  [SMALL_STATE(1954)] = 65836,
  [SMALL_STATE(1955)] = 65853,
  [SMALL_STATE(1956)] = 65870,
  [SMALL_STATE(1957)] = 65889,
  [SMALL_STATE(1958)] = 65908,
  [SMALL_STATE(1959)] = 65925,
  [SMALL_STATE(1960)] = 65944,
  [SMALL_STATE(1961)] = 65961,
  [SMALL_STATE(1962)] = 65978,
  [SMALL_STATE(1963)] = 65995,
  [SMALL_STATE(1964)] = 66014,
  [SMALL_STATE(1965)] = 66031,
  [SMALL_STATE(1966)] = 66048,
  [SMALL_STATE(1967)] = 66065,
  [SMALL_STATE(1968)] = 66084,
  [SMALL_STATE(1969)] = 66101,
  [SMALL_STATE(1970)] = 66116,
  [SMALL_STATE(1971)] = 66133,
  [SMALL_STATE(1972)] = 66150,
  [SMALL_STATE(1973)] = 66167,
  [SMALL_STATE(1974)] = 66184,
  [SMALL_STATE(1975)] = 66201,
  [SMALL_STATE(1976)] = 66218,
  [SMALL_STATE(1977)] = 66237,
  [SMALL_STATE(1978)] = 66254,
  [SMALL_STATE(1979)] = 66273,
  [SMALL_STATE(1980)] = 66290,
  [SMALL_STATE(1981)] = 66309,
  [SMALL_STATE(1982)] = 66326,
  [SMALL_STATE(1983)] = 66343,
  [SMALL_STATE(1984)] = 66360,
  [SMALL_STATE(1985)] = 66379,
  [SMALL_STATE(1986)] = 66396,
  [SMALL_STATE(1987)] = 66413,
  [SMALL_STATE(1988)] = 66428,
  [SMALL_STATE(1989)] = 66447,
  [SMALL_STATE(1990)] = 66464,
  [SMALL_STATE(1991)] = 66479,
  [SMALL_STATE(1992)] = 66496,
  [SMALL_STATE(1993)] = 66513,
  [SMALL_STATE(1994)] = 66530,
  [SMALL_STATE(1995)] = 66547,
  [SMALL_STATE(1996)] = 66566,
  [SMALL_STATE(1997)] = 66581,
  [SMALL_STATE(1998)] = 66598,
  [SMALL_STATE(1999)] = 66615,
  [SMALL_STATE(2000)] = 66632,
  [SMALL_STATE(2001)] = 66649,
  [SMALL_STATE(2002)] = 66666,
  [SMALL_STATE(2003)] = 66683,
  [SMALL_STATE(2004)] = 66702,
  [SMALL_STATE(2005)] = 66719,
  [SMALL_STATE(2006)] = 66738,
  [SMALL_STATE(2007)] = 66757,
  [SMALL_STATE(2008)] = 66774,
  [SMALL_STATE(2009)] = 66793,
  [SMALL_STATE(2010)] = 66810,
  [SMALL_STATE(2011)] = 66829,
  [SMALL_STATE(2012)] = 66846,
  [SMALL_STATE(2013)] = 66865,
  [SMALL_STATE(2014)] = 66882,
  [SMALL_STATE(2015)] = 66899,
  [SMALL_STATE(2016)] = 66916,
  [SMALL_STATE(2017)] = 66933,
  [SMALL_STATE(2018)] = 66950,
  [SMALL_STATE(2019)] = 66967,
  [SMALL_STATE(2020)] = 66984,
  [SMALL_STATE(2021)] = 67001,
  [SMALL_STATE(2022)] = 67020,
  [SMALL_STATE(2023)] = 67037,
  [SMALL_STATE(2024)] = 67054,
  [SMALL_STATE(2025)] = 67071,
  [SMALL_STATE(2026)] = 67088,
  [SMALL_STATE(2027)] = 67107,
  [SMALL_STATE(2028)] = 67126,
  [SMALL_STATE(2029)] = 67143,
  [SMALL_STATE(2030)] = 67162,
  [SMALL_STATE(2031)] = 67179,
  [SMALL_STATE(2032)] = 67196,
  [SMALL_STATE(2033)] = 67215,
  [SMALL_STATE(2034)] = 67234,
  [SMALL_STATE(2035)] = 67253,
  [SMALL_STATE(2036)] = 67272,
  [SMALL_STATE(2037)] = 67289,
  [SMALL_STATE(2038)] = 67308,
  [SMALL_STATE(2039)] = 67327,
  [SMALL_STATE(2040)] = 67346,
  [SMALL_STATE(2041)] = 67365,
  [SMALL_STATE(2042)] = 67382,
  [SMALL_STATE(2043)] = 67401,
  [SMALL_STATE(2044)] = 67420,
  [SMALL_STATE(2045)] = 67435,
  [SMALL_STATE(2046)] = 67452,
  [SMALL_STATE(2047)] = 67467,
  [SMALL_STATE(2048)] = 67486,
  [SMALL_STATE(2049)] = 67503,
  [SMALL_STATE(2050)] = 67520,
  [SMALL_STATE(2051)] = 67537,
  [SMALL_STATE(2052)] = 67554,
  [SMALL_STATE(2053)] = 67571,
  [SMALL_STATE(2054)] = 67588,
  [SMALL_STATE(2055)] = 67605,
  [SMALL_STATE(2056)] = 67622,
  [SMALL_STATE(2057)] = 67639,
  [SMALL_STATE(2058)] = 67656,
  [SMALL_STATE(2059)] = 67673,
  [SMALL_STATE(2060)] = 67690,
  [SMALL_STATE(2061)] = 67707,
  [SMALL_STATE(2062)] = 67724,
  [SMALL_STATE(2063)] = 67741,
  [SMALL_STATE(2064)] = 67758,
  [SMALL_STATE(2065)] = 67775,
  [SMALL_STATE(2066)] = 67792,
  [SMALL_STATE(2067)] = 67809,
  [SMALL_STATE(2068)] = 67826,
  [SMALL_STATE(2069)] = 67843,
  [SMALL_STATE(2070)] = 67860,
  [SMALL_STATE(2071)] = 67877,
  [SMALL_STATE(2072)] = 67894,
  [SMALL_STATE(2073)] = 67911,
  [SMALL_STATE(2074)] = 67930,
  [SMALL_STATE(2075)] = 67945,
  [SMALL_STATE(2076)] = 67962,
  [SMALL_STATE(2077)] = 67981,
  [SMALL_STATE(2078)] = 68000,
  [SMALL_STATE(2079)] = 68017,
  [SMALL_STATE(2080)] = 68034,
  [SMALL_STATE(2081)] = 68051,
  [SMALL_STATE(2082)] = 68068,
  [SMALL_STATE(2083)] = 68087,
  [SMALL_STATE(2084)] = 68104,
  [SMALL_STATE(2085)] = 68121,
  [SMALL_STATE(2086)] = 68138,
  [SMALL_STATE(2087)] = 68155,
  [SMALL_STATE(2088)] = 68172,
  [SMALL_STATE(2089)] = 68189,
  [SMALL_STATE(2090)] = 68206,
  [SMALL_STATE(2091)] = 68221,
  [SMALL_STATE(2092)] = 68236,
  [SMALL_STATE(2093)] = 68253,
  [SMALL_STATE(2094)] = 68270,
  [SMALL_STATE(2095)] = 68287,
  [SMALL_STATE(2096)] = 68304,
  [SMALL_STATE(2097)] = 68321,
  [SMALL_STATE(2098)] = 68340,
  [SMALL_STATE(2099)] = 68357,
  [SMALL_STATE(2100)] = 68374,
  [SMALL_STATE(2101)] = 68393,
  [SMALL_STATE(2102)] = 68410,
  [SMALL_STATE(2103)] = 68427,
  [SMALL_STATE(2104)] = 68444,
  [SMALL_STATE(2105)] = 68463,
  [SMALL_STATE(2106)] = 68480,
  [SMALL_STATE(2107)] = 68499,
  [SMALL_STATE(2108)] = 68516,
  [SMALL_STATE(2109)] = 68533,
  [SMALL_STATE(2110)] = 68550,
  [SMALL_STATE(2111)] = 68567,
  [SMALL_STATE(2112)] = 68584,
  [SMALL_STATE(2113)] = 68603,
  [SMALL_STATE(2114)] = 68620,
  [SMALL_STATE(2115)] = 68637,
  [SMALL_STATE(2116)] = 68652,
  [SMALL_STATE(2117)] = 68669,
  [SMALL_STATE(2118)] = 68686,
  [SMALL_STATE(2119)] = 68703,
  [SMALL_STATE(2120)] = 68720,
  [SMALL_STATE(2121)] = 68737,
  [SMALL_STATE(2122)] = 68754,
  [SMALL_STATE(2123)] = 68771,
  [SMALL_STATE(2124)] = 68786,
  [SMALL_STATE(2125)] = 68803,
  [SMALL_STATE(2126)] = 68818,
  [SMALL_STATE(2127)] = 68835,
  [SMALL_STATE(2128)] = 68852,
  [SMALL_STATE(2129)] = 68869,
  [SMALL_STATE(2130)] = 68886,
  [SMALL_STATE(2131)] = 68905,
  [SMALL_STATE(2132)] = 68922,
  [SMALL_STATE(2133)] = 68937,
  [SMALL_STATE(2134)] = 68954,
  [SMALL_STATE(2135)] = 68973,
  [SMALL_STATE(2136)] = 68990,
  [SMALL_STATE(2137)] = 69007,
  [SMALL_STATE(2138)] = 69024,
  [SMALL_STATE(2139)] = 69043,
  [SMALL_STATE(2140)] = 69062,
  [SMALL_STATE(2141)] = 69081,
  [SMALL_STATE(2142)] = 69098,
  [SMALL_STATE(2143)] = 69113,
  [SMALL_STATE(2144)] = 69132,
  [SMALL_STATE(2145)] = 69151,
  [SMALL_STATE(2146)] = 69166,
  [SMALL_STATE(2147)] = 69181,
  [SMALL_STATE(2148)] = 69200,
  [SMALL_STATE(2149)] = 69217,
  [SMALL_STATE(2150)] = 69236,
  [SMALL_STATE(2151)] = 69255,
  [SMALL_STATE(2152)] = 69272,
  [SMALL_STATE(2153)] = 69287,
  [SMALL_STATE(2154)] = 69304,
  [SMALL_STATE(2155)] = 69323,
  [SMALL_STATE(2156)] = 69340,
  [SMALL_STATE(2157)] = 69355,
  [SMALL_STATE(2158)] = 69374,
  [SMALL_STATE(2159)] = 69388,
  [SMALL_STATE(2160)] = 69402,
  [SMALL_STATE(2161)] = 69418,
  [SMALL_STATE(2162)] = 69434,
  [SMALL_STATE(2163)] = 69448,
  [SMALL_STATE(2164)] = 69462,
  [SMALL_STATE(2165)] = 69476,
  [SMALL_STATE(2166)] = 69492,
  [SMALL_STATE(2167)] = 69508,
  [SMALL_STATE(2168)] = 69522,
  [SMALL_STATE(2169)] = 69538,
  [SMALL_STATE(2170)] = 69552,
  [SMALL_STATE(2171)] = 69568,
  [SMALL_STATE(2172)] = 69582,
  [SMALL_STATE(2173)] = 69596,
  [SMALL_STATE(2174)] = 69612,
  [SMALL_STATE(2175)] = 69628,
  [SMALL_STATE(2176)] = 69642,
  [SMALL_STATE(2177)] = 69656,
  [SMALL_STATE(2178)] = 69670,
  [SMALL_STATE(2179)] = 69686,
  [SMALL_STATE(2180)] = 69700,
  [SMALL_STATE(2181)] = 69716,
  [SMALL_STATE(2182)] = 69732,
  [SMALL_STATE(2183)] = 69748,
  [SMALL_STATE(2184)] = 69764,
  [SMALL_STATE(2185)] = 69780,
  [SMALL_STATE(2186)] = 69796,
  [SMALL_STATE(2187)] = 69812,
  [SMALL_STATE(2188)] = 69828,
  [SMALL_STATE(2189)] = 69844,
  [SMALL_STATE(2190)] = 69860,
  [SMALL_STATE(2191)] = 69876,
  [SMALL_STATE(2192)] = 69890,
  [SMALL_STATE(2193)] = 69906,
  [SMALL_STATE(2194)] = 69922,
  [SMALL_STATE(2195)] = 69938,
  [SMALL_STATE(2196)] = 69952,
  [SMALL_STATE(2197)] = 69968,
  [SMALL_STATE(2198)] = 69984,
  [SMALL_STATE(2199)] = 70000,
  [SMALL_STATE(2200)] = 70014,
  [SMALL_STATE(2201)] = 70028,
  [SMALL_STATE(2202)] = 70042,
  [SMALL_STATE(2203)] = 70058,
  [SMALL_STATE(2204)] = 70072,
  [SMALL_STATE(2205)] = 70086,
  [SMALL_STATE(2206)] = 70100,
  [SMALL_STATE(2207)] = 70116,
  [SMALL_STATE(2208)] = 70130,
  [SMALL_STATE(2209)] = 70146,
  [SMALL_STATE(2210)] = 70162,
  [SMALL_STATE(2211)] = 70178,
  [SMALL_STATE(2212)] = 70192,
  [SMALL_STATE(2213)] = 70206,
  [SMALL_STATE(2214)] = 70222,
  [SMALL_STATE(2215)] = 70238,
  [SMALL_STATE(2216)] = 70254,
  [SMALL_STATE(2217)] = 70270,
  [SMALL_STATE(2218)] = 70284,
  [SMALL_STATE(2219)] = 70298,
  [SMALL_STATE(2220)] = 70312,
  [SMALL_STATE(2221)] = 70328,
  [SMALL_STATE(2222)] = 70342,
  [SMALL_STATE(2223)] = 70358,
  [SMALL_STATE(2224)] = 70372,
  [SMALL_STATE(2225)] = 70388,
  [SMALL_STATE(2226)] = 70404,
  [SMALL_STATE(2227)] = 70420,
  [SMALL_STATE(2228)] = 70434,
  [SMALL_STATE(2229)] = 70448,
  [SMALL_STATE(2230)] = 70462,
  [SMALL_STATE(2231)] = 70478,
  [SMALL_STATE(2232)] = 70494,
  [SMALL_STATE(2233)] = 70508,
  [SMALL_STATE(2234)] = 70522,
  [SMALL_STATE(2235)] = 70536,
  [SMALL_STATE(2236)] = 70552,
  [SMALL_STATE(2237)] = 70566,
  [SMALL_STATE(2238)] = 70580,
  [SMALL_STATE(2239)] = 70594,
  [SMALL_STATE(2240)] = 70610,
  [SMALL_STATE(2241)] = 70626,
  [SMALL_STATE(2242)] = 70642,
  [SMALL_STATE(2243)] = 70658,
  [SMALL_STATE(2244)] = 70672,
  [SMALL_STATE(2245)] = 70686,
  [SMALL_STATE(2246)] = 70702,
  [SMALL_STATE(2247)] = 70716,
  [SMALL_STATE(2248)] = 70732,
  [SMALL_STATE(2249)] = 70748,
  [SMALL_STATE(2250)] = 70764,
  [SMALL_STATE(2251)] = 70780,
  [SMALL_STATE(2252)] = 70796,
  [SMALL_STATE(2253)] = 70810,
  [SMALL_STATE(2254)] = 70826,
  [SMALL_STATE(2255)] = 70842,
  [SMALL_STATE(2256)] = 70856,
  [SMALL_STATE(2257)] = 70872,
  [SMALL_STATE(2258)] = 70888,
  [SMALL_STATE(2259)] = 70904,
  [SMALL_STATE(2260)] = 70920,
  [SMALL_STATE(2261)] = 70936,
  [SMALL_STATE(2262)] = 70952,
  [SMALL_STATE(2263)] = 70968,
  [SMALL_STATE(2264)] = 70984,
  [SMALL_STATE(2265)] = 71000,
  [SMALL_STATE(2266)] = 71016,
  [SMALL_STATE(2267)] = 71032,
  [SMALL_STATE(2268)] = 71048,
  [SMALL_STATE(2269)] = 71064,
  [SMALL_STATE(2270)] = 71080,
  [SMALL_STATE(2271)] = 71094,
  [SMALL_STATE(2272)] = 71110,
  [SMALL_STATE(2273)] = 71126,
  [SMALL_STATE(2274)] = 71142,
  [SMALL_STATE(2275)] = 71156,
  [SMALL_STATE(2276)] = 71170,
  [SMALL_STATE(2277)] = 71186,
  [SMALL_STATE(2278)] = 71200,
  [SMALL_STATE(2279)] = 71216,
  [SMALL_STATE(2280)] = 71230,
  [SMALL_STATE(2281)] = 71244,
  [SMALL_STATE(2282)] = 71258,
  [SMALL_STATE(2283)] = 71274,
  [SMALL_STATE(2284)] = 71290,
  [SMALL_STATE(2285)] = 71304,
  [SMALL_STATE(2286)] = 71320,
  [SMALL_STATE(2287)] = 71334,
  [SMALL_STATE(2288)] = 71350,
  [SMALL_STATE(2289)] = 71364,
  [SMALL_STATE(2290)] = 71380,
  [SMALL_STATE(2291)] = 71394,
  [SMALL_STATE(2292)] = 71408,
  [SMALL_STATE(2293)] = 71422,
  [SMALL_STATE(2294)] = 71438,
  [SMALL_STATE(2295)] = 71454,
  [SMALL_STATE(2296)] = 71470,
  [SMALL_STATE(2297)] = 71484,
  [SMALL_STATE(2298)] = 71500,
  [SMALL_STATE(2299)] = 71516,
  [SMALL_STATE(2300)] = 71532,
  [SMALL_STATE(2301)] = 71548,
  [SMALL_STATE(2302)] = 71562,
  [SMALL_STATE(2303)] = 71576,
  [SMALL_STATE(2304)] = 71592,
  [SMALL_STATE(2305)] = 71608,
  [SMALL_STATE(2306)] = 71624,
  [SMALL_STATE(2307)] = 71640,
  [SMALL_STATE(2308)] = 71654,
  [SMALL_STATE(2309)] = 71670,
  [SMALL_STATE(2310)] = 71686,
  [SMALL_STATE(2311)] = 71700,
  [SMALL_STATE(2312)] = 71716,
  [SMALL_STATE(2313)] = 71732,
  [SMALL_STATE(2314)] = 71748,
  [SMALL_STATE(2315)] = 71764,
  [SMALL_STATE(2316)] = 71780,
  [SMALL_STATE(2317)] = 71796,
  [SMALL_STATE(2318)] = 71812,
  [SMALL_STATE(2319)] = 71828,
  [SMALL_STATE(2320)] = 71844,
  [SMALL_STATE(2321)] = 71858,
  [SMALL_STATE(2322)] = 71874,
  [SMALL_STATE(2323)] = 71890,
  [SMALL_STATE(2324)] = 71904,
  [SMALL_STATE(2325)] = 71920,
  [SMALL_STATE(2326)] = 71936,
  [SMALL_STATE(2327)] = 71950,
  [SMALL_STATE(2328)] = 71964,
  [SMALL_STATE(2329)] = 71980,
  [SMALL_STATE(2330)] = 71994,
  [SMALL_STATE(2331)] = 72010,
  [SMALL_STATE(2332)] = 72024,
  [SMALL_STATE(2333)] = 72040,
  [SMALL_STATE(2334)] = 72056,
  [SMALL_STATE(2335)] = 72070,
  [SMALL_STATE(2336)] = 72086,
  [SMALL_STATE(2337)] = 72100,
  [SMALL_STATE(2338)] = 72116,
  [SMALL_STATE(2339)] = 72132,
  [SMALL_STATE(2340)] = 72148,
  [SMALL_STATE(2341)] = 72164,
  [SMALL_STATE(2342)] = 72180,
  [SMALL_STATE(2343)] = 72196,
  [SMALL_STATE(2344)] = 72212,
  [SMALL_STATE(2345)] = 72228,
  [SMALL_STATE(2346)] = 72242,
  [SMALL_STATE(2347)] = 72258,
  [SMALL_STATE(2348)] = 72272,
  [SMALL_STATE(2349)] = 72286,
  [SMALL_STATE(2350)] = 72302,
  [SMALL_STATE(2351)] = 72316,
  [SMALL_STATE(2352)] = 72330,
  [SMALL_STATE(2353)] = 72344,
  [SMALL_STATE(2354)] = 72360,
  [SMALL_STATE(2355)] = 72376,
  [SMALL_STATE(2356)] = 72392,
  [SMALL_STATE(2357)] = 72406,
  [SMALL_STATE(2358)] = 72422,
  [SMALL_STATE(2359)] = 72438,
  [SMALL_STATE(2360)] = 72452,
  [SMALL_STATE(2361)] = 72468,
  [SMALL_STATE(2362)] = 72484,
  [SMALL_STATE(2363)] = 72500,
  [SMALL_STATE(2364)] = 72516,
  [SMALL_STATE(2365)] = 72532,
  [SMALL_STATE(2366)] = 72548,
  [SMALL_STATE(2367)] = 72562,
  [SMALL_STATE(2368)] = 72578,
  [SMALL_STATE(2369)] = 72594,
  [SMALL_STATE(2370)] = 72610,
  [SMALL_STATE(2371)] = 72624,
  [SMALL_STATE(2372)] = 72640,
  [SMALL_STATE(2373)] = 72656,
  [SMALL_STATE(2374)] = 72672,
  [SMALL_STATE(2375)] = 72688,
  [SMALL_STATE(2376)] = 72704,
  [SMALL_STATE(2377)] = 72720,
  [SMALL_STATE(2378)] = 72734,
  [SMALL_STATE(2379)] = 72750,
  [SMALL_STATE(2380)] = 72764,
  [SMALL_STATE(2381)] = 72778,
  [SMALL_STATE(2382)] = 72792,
  [SMALL_STATE(2383)] = 72808,
  [SMALL_STATE(2384)] = 72822,
  [SMALL_STATE(2385)] = 72838,
  [SMALL_STATE(2386)] = 72854,
  [SMALL_STATE(2387)] = 72868,
  [SMALL_STATE(2388)] = 72882,
  [SMALL_STATE(2389)] = 72898,
  [SMALL_STATE(2390)] = 72912,
  [SMALL_STATE(2391)] = 72926,
  [SMALL_STATE(2392)] = 72942,
  [SMALL_STATE(2393)] = 72956,
  [SMALL_STATE(2394)] = 72972,
  [SMALL_STATE(2395)] = 72988,
  [SMALL_STATE(2396)] = 73004,
  [SMALL_STATE(2397)] = 73020,
  [SMALL_STATE(2398)] = 73034,
  [SMALL_STATE(2399)] = 73048,
  [SMALL_STATE(2400)] = 73064,
  [SMALL_STATE(2401)] = 73080,
  [SMALL_STATE(2402)] = 73096,
  [SMALL_STATE(2403)] = 73112,
  [SMALL_STATE(2404)] = 73128,
  [SMALL_STATE(2405)] = 73144,
  [SMALL_STATE(2406)] = 73160,
  [SMALL_STATE(2407)] = 73176,
  [SMALL_STATE(2408)] = 73190,
  [SMALL_STATE(2409)] = 73206,
  [SMALL_STATE(2410)] = 73222,
  [SMALL_STATE(2411)] = 73238,
  [SMALL_STATE(2412)] = 73252,
  [SMALL_STATE(2413)] = 73268,
  [SMALL_STATE(2414)] = 73284,
  [SMALL_STATE(2415)] = 73300,
  [SMALL_STATE(2416)] = 73314,
  [SMALL_STATE(2417)] = 73328,
  [SMALL_STATE(2418)] = 73344,
  [SMALL_STATE(2419)] = 73360,
  [SMALL_STATE(2420)] = 73374,
  [SMALL_STATE(2421)] = 73388,
  [SMALL_STATE(2422)] = 73404,
  [SMALL_STATE(2423)] = 73420,
  [SMALL_STATE(2424)] = 73434,
  [SMALL_STATE(2425)] = 73450,
  [SMALL_STATE(2426)] = 73466,
  [SMALL_STATE(2427)] = 73482,
  [SMALL_STATE(2428)] = 73498,
  [SMALL_STATE(2429)] = 73511,
  [SMALL_STATE(2430)] = 73524,
  [SMALL_STATE(2431)] = 73537,
  [SMALL_STATE(2432)] = 73550,
  [SMALL_STATE(2433)] = 73563,
  [SMALL_STATE(2434)] = 73576,
  [SMALL_STATE(2435)] = 73589,
  [SMALL_STATE(2436)] = 73602,
  [SMALL_STATE(2437)] = 73615,
  [SMALL_STATE(2438)] = 73628,
  [SMALL_STATE(2439)] = 73641,
  [SMALL_STATE(2440)] = 73654,
  [SMALL_STATE(2441)] = 73667,
  [SMALL_STATE(2442)] = 73680,
  [SMALL_STATE(2443)] = 73693,
  [SMALL_STATE(2444)] = 73706,
  [SMALL_STATE(2445)] = 73719,
  [SMALL_STATE(2446)] = 73732,
  [SMALL_STATE(2447)] = 73745,
  [SMALL_STATE(2448)] = 73758,
  [SMALL_STATE(2449)] = 73771,
  [SMALL_STATE(2450)] = 73784,
  [SMALL_STATE(2451)] = 73797,
  [SMALL_STATE(2452)] = 73810,
  [SMALL_STATE(2453)] = 73823,
  [SMALL_STATE(2454)] = 73836,
  [SMALL_STATE(2455)] = 73849,
  [SMALL_STATE(2456)] = 73862,
  [SMALL_STATE(2457)] = 73875,
  [SMALL_STATE(2458)] = 73888,
  [SMALL_STATE(2459)] = 73901,
  [SMALL_STATE(2460)] = 73914,
  [SMALL_STATE(2461)] = 73927,
  [SMALL_STATE(2462)] = 73940,
  [SMALL_STATE(2463)] = 73953,
  [SMALL_STATE(2464)] = 73966,
  [SMALL_STATE(2465)] = 73979,
  [SMALL_STATE(2466)] = 73992,
  [SMALL_STATE(2467)] = 74005,
  [SMALL_STATE(2468)] = 74018,
  [SMALL_STATE(2469)] = 74031,
  [SMALL_STATE(2470)] = 74044,
  [SMALL_STATE(2471)] = 74057,
  [SMALL_STATE(2472)] = 74070,
  [SMALL_STATE(2473)] = 74083,
  [SMALL_STATE(2474)] = 74096,
  [SMALL_STATE(2475)] = 74109,
  [SMALL_STATE(2476)] = 74122,
  [SMALL_STATE(2477)] = 74135,
  [SMALL_STATE(2478)] = 74148,
  [SMALL_STATE(2479)] = 74161,
  [SMALL_STATE(2480)] = 74174,
  [SMALL_STATE(2481)] = 74187,
  [SMALL_STATE(2482)] = 74200,
  [SMALL_STATE(2483)] = 74213,
  [SMALL_STATE(2484)] = 74226,
  [SMALL_STATE(2485)] = 74239,
  [SMALL_STATE(2486)] = 74252,
  [SMALL_STATE(2487)] = 74265,
  [SMALL_STATE(2488)] = 74278,
  [SMALL_STATE(2489)] = 74291,
  [SMALL_STATE(2490)] = 74304,
  [SMALL_STATE(2491)] = 74317,
  [SMALL_STATE(2492)] = 74330,
  [SMALL_STATE(2493)] = 74343,
  [SMALL_STATE(2494)] = 74356,
  [SMALL_STATE(2495)] = 74369,
  [SMALL_STATE(2496)] = 74382,
  [SMALL_STATE(2497)] = 74395,
  [SMALL_STATE(2498)] = 74408,
  [SMALL_STATE(2499)] = 74421,
  [SMALL_STATE(2500)] = 74434,
  [SMALL_STATE(2501)] = 74447,
  [SMALL_STATE(2502)] = 74460,
  [SMALL_STATE(2503)] = 74473,
  [SMALL_STATE(2504)] = 74486,
  [SMALL_STATE(2505)] = 74499,
  [SMALL_STATE(2506)] = 74512,
  [SMALL_STATE(2507)] = 74525,
  [SMALL_STATE(2508)] = 74538,
  [SMALL_STATE(2509)] = 74551,
  [SMALL_STATE(2510)] = 74564,
  [SMALL_STATE(2511)] = 74577,
  [SMALL_STATE(2512)] = 74590,
  [SMALL_STATE(2513)] = 74603,
  [SMALL_STATE(2514)] = 74616,
  [SMALL_STATE(2515)] = 74629,
  [SMALL_STATE(2516)] = 74642,
  [SMALL_STATE(2517)] = 74655,
  [SMALL_STATE(2518)] = 74668,
  [SMALL_STATE(2519)] = 74681,
  [SMALL_STATE(2520)] = 74694,
  [SMALL_STATE(2521)] = 74707,
  [SMALL_STATE(2522)] = 74720,
  [SMALL_STATE(2523)] = 74733,
  [SMALL_STATE(2524)] = 74746,
  [SMALL_STATE(2525)] = 74759,
  [SMALL_STATE(2526)] = 74772,
  [SMALL_STATE(2527)] = 74785,
  [SMALL_STATE(2528)] = 74798,
  [SMALL_STATE(2529)] = 74811,
  [SMALL_STATE(2530)] = 74824,
  [SMALL_STATE(2531)] = 74837,
  [SMALL_STATE(2532)] = 74850,
  [SMALL_STATE(2533)] = 74863,
  [SMALL_STATE(2534)] = 74876,
  [SMALL_STATE(2535)] = 74889,
  [SMALL_STATE(2536)] = 74902,
  [SMALL_STATE(2537)] = 74915,
  [SMALL_STATE(2538)] = 74928,
  [SMALL_STATE(2539)] = 74941,
  [SMALL_STATE(2540)] = 74954,
  [SMALL_STATE(2541)] = 74967,
  [SMALL_STATE(2542)] = 74980,
  [SMALL_STATE(2543)] = 74993,
  [SMALL_STATE(2544)] = 75006,
  [SMALL_STATE(2545)] = 75019,
  [SMALL_STATE(2546)] = 75032,
  [SMALL_STATE(2547)] = 75045,
  [SMALL_STATE(2548)] = 75058,
  [SMALL_STATE(2549)] = 75071,
  [SMALL_STATE(2550)] = 75084,
  [SMALL_STATE(2551)] = 75097,
  [SMALL_STATE(2552)] = 75110,
  [SMALL_STATE(2553)] = 75123,
  [SMALL_STATE(2554)] = 75136,
  [SMALL_STATE(2555)] = 75149,
  [SMALL_STATE(2556)] = 75162,
  [SMALL_STATE(2557)] = 75175,
  [SMALL_STATE(2558)] = 75188,
  [SMALL_STATE(2559)] = 75201,
  [SMALL_STATE(2560)] = 75214,
  [SMALL_STATE(2561)] = 75227,
  [SMALL_STATE(2562)] = 75240,
  [SMALL_STATE(2563)] = 75253,
  [SMALL_STATE(2564)] = 75266,
  [SMALL_STATE(2565)] = 75279,
  [SMALL_STATE(2566)] = 75292,
  [SMALL_STATE(2567)] = 75305,
  [SMALL_STATE(2568)] = 75318,
  [SMALL_STATE(2569)] = 75331,
  [SMALL_STATE(2570)] = 75344,
  [SMALL_STATE(2571)] = 75357,
  [SMALL_STATE(2572)] = 75370,
  [SMALL_STATE(2573)] = 75383,
  [SMALL_STATE(2574)] = 75396,
  [SMALL_STATE(2575)] = 75409,
  [SMALL_STATE(2576)] = 75422,
  [SMALL_STATE(2577)] = 75435,
  [SMALL_STATE(2578)] = 75448,
  [SMALL_STATE(2579)] = 75461,
  [SMALL_STATE(2580)] = 75474,
  [SMALL_STATE(2581)] = 75487,
  [SMALL_STATE(2582)] = 75500,
  [SMALL_STATE(2583)] = 75513,
  [SMALL_STATE(2584)] = 75526,
  [SMALL_STATE(2585)] = 75539,
  [SMALL_STATE(2586)] = 75552,
  [SMALL_STATE(2587)] = 75565,
  [SMALL_STATE(2588)] = 75578,
  [SMALL_STATE(2589)] = 75591,
  [SMALL_STATE(2590)] = 75604,
  [SMALL_STATE(2591)] = 75617,
  [SMALL_STATE(2592)] = 75630,
  [SMALL_STATE(2593)] = 75643,
  [SMALL_STATE(2594)] = 75656,
  [SMALL_STATE(2595)] = 75669,
  [SMALL_STATE(2596)] = 75682,
  [SMALL_STATE(2597)] = 75695,
  [SMALL_STATE(2598)] = 75708,
  [SMALL_STATE(2599)] = 75721,
  [SMALL_STATE(2600)] = 75734,
  [SMALL_STATE(2601)] = 75747,
  [SMALL_STATE(2602)] = 75760,
  [SMALL_STATE(2603)] = 75773,
  [SMALL_STATE(2604)] = 75786,
  [SMALL_STATE(2605)] = 75799,
  [SMALL_STATE(2606)] = 75812,
  [SMALL_STATE(2607)] = 75825,
  [SMALL_STATE(2608)] = 75838,
  [SMALL_STATE(2609)] = 75851,
  [SMALL_STATE(2610)] = 75864,
  [SMALL_STATE(2611)] = 75877,
  [SMALL_STATE(2612)] = 75890,
  [SMALL_STATE(2613)] = 75903,
  [SMALL_STATE(2614)] = 75916,
  [SMALL_STATE(2615)] = 75929,
  [SMALL_STATE(2616)] = 75942,
  [SMALL_STATE(2617)] = 75955,
  [SMALL_STATE(2618)] = 75968,
  [SMALL_STATE(2619)] = 75981,
  [SMALL_STATE(2620)] = 75994,
  [SMALL_STATE(2621)] = 76007,
  [SMALL_STATE(2622)] = 76020,
  [SMALL_STATE(2623)] = 76033,
  [SMALL_STATE(2624)] = 76046,
  [SMALL_STATE(2625)] = 76059,
  [SMALL_STATE(2626)] = 76072,
  [SMALL_STATE(2627)] = 76085,
  [SMALL_STATE(2628)] = 76098,
  [SMALL_STATE(2629)] = 76111,
  [SMALL_STATE(2630)] = 76124,
  [SMALL_STATE(2631)] = 76137,
  [SMALL_STATE(2632)] = 76150,
  [SMALL_STATE(2633)] = 76163,
  [SMALL_STATE(2634)] = 76176,
  [SMALL_STATE(2635)] = 76189,
  [SMALL_STATE(2636)] = 76202,
  [SMALL_STATE(2637)] = 76215,
  [SMALL_STATE(2638)] = 76228,
  [SMALL_STATE(2639)] = 76241,
  [SMALL_STATE(2640)] = 76254,
  [SMALL_STATE(2641)] = 76267,
  [SMALL_STATE(2642)] = 76280,
  [SMALL_STATE(2643)] = 76293,
  [SMALL_STATE(2644)] = 76306,
  [SMALL_STATE(2645)] = 76319,
  [SMALL_STATE(2646)] = 76332,
  [SMALL_STATE(2647)] = 76345,
  [SMALL_STATE(2648)] = 76358,
  [SMALL_STATE(2649)] = 76371,
  [SMALL_STATE(2650)] = 76384,
  [SMALL_STATE(2651)] = 76397,
  [SMALL_STATE(2652)] = 76410,
  [SMALL_STATE(2653)] = 76423,
  [SMALL_STATE(2654)] = 76436,
  [SMALL_STATE(2655)] = 76449,
  [SMALL_STATE(2656)] = 76462,
  [SMALL_STATE(2657)] = 76466,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [15] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(787),
  [18] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(466),
  [23] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1434),
  [26] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1902),
  [29] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1661),
  [32] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1390),
  [35] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1486),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1616),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2166),
  [44] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2644),
  [50] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2642),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2639),
  [56] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [58] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2638),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1268),
  [64] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1310),
  [67] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1337),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1334),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1842),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(93),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2636),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(192),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2634),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2631),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1087),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2173),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2628),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(190),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(195),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(199),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(274),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2180),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(83),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2624),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2623),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2185),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2192),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2193),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(291),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(293),
  [139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(293),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(568),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(312),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(678),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(839),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2619),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(103),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(757),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1432),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2197),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1356),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1903),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1392),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1708),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(348),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(354),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(355),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(357),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 126),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 126),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 126),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 126),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2645),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2253),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2653),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2602),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2249),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(723),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(868),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2494),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2311),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 44),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(2408),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(80),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 16),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(2408),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(80),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 159),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 159),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 177),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 177),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86), SHIFT_REPEAT(2408),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 39),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 39),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 10),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 10),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 99),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 132),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 132),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 145),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 145),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 144),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 144),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 143),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 143),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 83),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 83),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 133),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 133),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 169),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 169),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 101),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 101),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 170),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 170),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 50),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 50),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 10),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 10),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 42),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 90),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 8),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 8),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 44),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 44),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 85),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 85),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 16),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 16),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 16),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 16),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 58),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 58),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 9),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 9),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 39),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 39),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 142),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 142),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, .production_id = 179),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, .production_id = 179),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 83),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 83),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 25),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 25),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 123),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 123),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 160),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 160),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 82),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 82),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 99),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 99),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 170),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 170),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 101),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 101),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 169),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 169),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 163),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 163),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 99),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 99),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 10),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 10),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 10),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 10),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 160),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 160),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 10),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 10),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 85),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 85),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 39),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 39),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 132),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 132),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 133),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 133),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 16),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 16),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 39),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 39),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, .production_id = 168),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, .production_id = 168),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 143),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 143),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 144),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 144),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 145),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 145),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 16),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 16),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 23),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 23),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 22),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 22),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 94),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 94),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 94),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 94),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 23),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 23),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 41),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 41),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 135),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 135),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 56),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 56),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 56),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 56),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 135),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 135),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 134),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 134),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 55),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 55),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 7),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 7),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 1),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 3),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 21),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 21),
  [1660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2545),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1418),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(757),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1905),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2166),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(96),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2566),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(116),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2401),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1374),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2077),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1706),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, .production_id = 162),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, .production_id = 162),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, .production_id = 17),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, .production_id = 17),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 15),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 15),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, .production_id = 129),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, .production_id = 129),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, .production_id = 130),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, .production_id = 130),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, .production_id = 161),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, .production_id = 161),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, .production_id = 48),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, .production_id = 48),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, .production_id = 15),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, .production_id = 15),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 87),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 87),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, .production_id = 88),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, .production_id = 88),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 15),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 15),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 15),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 15),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 34),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 34),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 97),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 97),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 98),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 98),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 104),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 104),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 106),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 106),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 95),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 95),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 12),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 12),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 118),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 118),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, .production_id = 45),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, .production_id = 45),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 16),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 16),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 77),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 77),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, .production_id = 45),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, .production_id = 45),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 41),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 41),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 20),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 20),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 105),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 105),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 136),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 136),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 137),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 137),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 138),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 138),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 139),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 139),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 26),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 26),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 63),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 63),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 147),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 147),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 62),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 62),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, .production_id = 45),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, .production_id = 45),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 57),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 57),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 36),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 36),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 96),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 96),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 178),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 178),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, .production_id = 45),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, .production_id = 45),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 164),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 164),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 165),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 165),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 76),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 76),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 166),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 166),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 167),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 167),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 20),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 53),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 53),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, .production_id = 54),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 21),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 19),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1315),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1268),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1310),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1317),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1314),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1309),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1315),
  [2398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1447),
  [2401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1529),
  [2404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1636),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [2409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1268),
  [2412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1310),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1317),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1314),
  [2421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1309),
  [2424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1432),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 27),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, .production_id = 174),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 155),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 74),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 153),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 171),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 107),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 151),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 150),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 149),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 172),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, .production_id = 180),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 148),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 173),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 1),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, .production_id = 124),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 109),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, .production_id = 131),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 49),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, .production_id = 125),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 117),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 111),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1488),
  [2648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1447),
  [2651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1529),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(2430),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1460),
  [2662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1483),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1465),
  [2668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1454),
  [2671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1466),
  [2674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1432),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1427),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(344),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1428),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1425),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1514),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1750),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1425),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_heredoc_body, 2), SHIFT(1514),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(344),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1428),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1425),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1750),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1425),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1432),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1488),
  [2852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1460),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1483),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1465),
  [2861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1454),
  [2864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1466),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 80),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 120),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 156),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 157),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 25),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(374),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1525),
  [2923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1567),
  [2926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1567),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1724),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 121),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 8),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 122),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 79),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, .production_id = 9),
  [2952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(415),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1579),
  [2958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1579),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1691),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 158),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, .production_id = 176),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 158),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, .production_id = 181),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 175),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 175),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 81),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 81),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, .production_id = 70),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 81),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, .production_id = 38),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, .production_id = 119),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 23),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 23),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, .production_id = 6),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, .production_id = 6),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 5),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 5),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_line, 1),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_line, 1),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [3272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2633),
  [3275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2225),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [3290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [3303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(286),
  [3306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2397),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 5),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 5),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(2365),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 44), SHIFT(84),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(2365),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 16), SHIFT(84),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3389] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), SHIFT(1328),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [3451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2532),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc_body, 2),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 33),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [3498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1847),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86),
  [3509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86), SHIFT_REPEAT(2406),
  [3512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 86),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1323),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1320),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1322),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1321),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 11),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1899),
  [3665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1327),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2532),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1437),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2545),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [3687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2532),
  [3690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 86), SHIFT_REPEAT(2365),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2), SHIFT_REPEAT(1884),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 1),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(1540),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [3811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(2112),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(1922),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(1417),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1446),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2), SHIFT(1328),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1328),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [3895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(1923),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2), SHIFT_REPEAT(1626),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, .production_id = 3),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(148),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, .production_id = 4),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 1),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 13),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(151),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 18),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 24),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 28),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, .production_id = 29),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 30),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 31),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 42),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 42),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 46),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 47),
  [4095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(157),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, .production_id = 47),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(144),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2), SHIFT_REPEAT(1433),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 51),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 59),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 61),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 66),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 67),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(769),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 69),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 72),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 73),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [4159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(819),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 47),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 71),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(150),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 75),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 102),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 108),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 35),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 32),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 113),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 114),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 116),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 16),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 16),
  [4245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2), SHIFT_REPEAT(156),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2), SHIFT_REPEAT(241),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 128),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1748),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 128),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 152),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1758),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(2220),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, .production_id = 154),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 127),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [4360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(2220),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 115),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 112),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 110),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1), REDUCE(sym_array_element_initializer, 1),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2545),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 3),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 70),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 68),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 65),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 9),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3), REDUCE(sym_array_element_initializer, 3),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 40),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 52),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 60),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 2),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 14),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 92),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 100),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 103),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4746] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, .production_id = 146),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [7] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
